CREATE TABLE `ec_optionitem` (  `optionitem_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Gives the ec_optionitem table a unique ID.',  `option_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates ec_optionitem to ec_option using the option_id field.',  `optionitem_name` varchar(255) NOT NULL DEFAULT '',  `optionitem_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Price change value for an optionitem.',  `optionitem_order` int(11) NOT NULL DEFAULT '1' COMMENT 'Gives a user selected order of display for the optionitems.',  `optionitem_icon` varchar(255) NOT NULL DEFAULT '',  `optionitem_price_onetime` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Price change one-time addition to total price.',  `optionitem_price_override` float(15,3) NOT NULL DEFAULT '-1.000' COMMENT 'Price change to override product price.',  `optionitem_weight` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Weight change value for an optionitem.',  `optionitem_weight_onetime` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Weight change one-time addition to total weight.',  `optionitem_weight_override` float(15,3) NOT NULL DEFAULT '-1.000' COMMENT 'Weight change to override product weight.',  `optionitem_initial_value` varchar(255) NOT NULL DEFAULT '',  `optionitem_model_number` varchar(255) NOT NULL DEFAULT '',  `optionitem_price_multiplier` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'This multiplies your unit price by the value here.',  `optionitem_weight_multiplier` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'This multiplies your unit price by the value here.',  `optionitem_allow_download` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Gives the ability to disallow a download via option set.',  `optionitem_disallow_shipping` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Gives the ability to disallow shipping on a product via option set.',  `optionitem_initially_selected` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Forces this optionitem to be selected when the option set loads.',  `optionitem_price_per_character` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'When using text field or textbox input, you can add price per character.',  `optionitem_download_override_file` text,  `optionitem_download_addition_file` text,  `square_id` varchar(255) NOT NULL DEFAULT '',  `stripe_plan_id` varchar(255) NOT NULL DEFAULT '',  PRIMARY KEY (`optionitem_id`),  UNIQUE KEY `unique_name_ova` (`option_id`,`optionitem_name`),  KEY `idopt_ova` (`option_id`),  KEY `option_id` (`option_id`)) ENGINE=MyISAM AUTO_INCREMENT=73 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=43;
/*!40000 ALTER TABLE `ec_optionitem` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_optionitem` VALUES('1', '1', 'Small', '0.000', '1', 'sm_bc236202a8b9d3e58858663f592868a3.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('2', '1', 'Medium', '0.000', '2', 'md_902fef0d2b1a126b57da8649d9b01c4f.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('6', '2', 'Small', '0.000', '1', 'sm_6351869fffbfa777dfdd41b1b61d25d3.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('7', '2', 'Medium', '0.000', '2', 'md_902fef0d2b1a126b57da8649d9b01c4f.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('3', '1', 'Large', '0.000', '3', 'lg_3bb4e0411a32e1c56587273a7289f8ca.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('8', '3', 'One size fits all', '0.000', '1', 'sox-swatch-blue_35c1052d96f7ca62b85ae403b2fd0063.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('9', '4', 'Red', '0.000', '3', 'red_cf9bce1100a85cfcce53ad6ad025360f.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('10', '4', 'White', '0.000', '2', 'white 2_89bfed2ea6f0008b7900bcd313087f15.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('11', '4', 'Navy', '0.000', '1', 'navy_22dbb4ee302ea0c12e07a8a1342c4a52.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('5', '1', 'Double Extra Large', '0.000', '5', 'xxl_0f2a0a39e7a2911379619246bed1721c.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('12', '5', 'Melon', '0.000', '1', 'melon_aef6c3f2fcc85712811a4aa04514948c.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('13', '5', 'Seafoam', '0.000', '2', 'seafoam_c78d9640a8ccfaf09d5bf2a90108ad9e.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('14', '5', 'Periwinkle', '0.000', '3', 'periwinkle_236a2ed3e9b2de64a979902e8a2e1011.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('15', '5', 'Brick', '0.000', '4', 'brick_e987b025b5d222b5858ea2e2dff72e36.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('16', '5', 'Celery', '0.000', '5', 'celery_fd524ab7f536c489b4ae2c711722bd9c.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('17', '6', 'Black', '0.000', '1', 'black swatch_6b0e1574b07d236cdfc25f8d9eb91006.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('18', '6', 'White', '0.000', '2', 'white swatch_d40e38e17d70b4a09f2f1e609cbefe89.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('20', '6', 'Ash', '0.000', '4', 'ash swatch_dcd4614a8ebd829cbe1c5ae44fddac30.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('19', '6', 'Stone Blue', '0.000', '3', 'stone blue swatch_24a204f0fc0ba18a7fd80882faa3eecb.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('21', '6', 'Violet', '0.000', '5', 'violet swatch_a3c7fca8454684d1f2188bcd8aa74a19.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('22', '7', 'Gray Hoodie', '0.000', '1', 'ash swatch_40b74320c554a14df24e9091b4503f00.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('23', '7', 'Navy Hoodie', '0.000', '2', 'navy_9dcba302ed0731d394af2ce14fb25c00.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('24', '9', 'Olive', '0.000', '1', 'olive-hat_9331b10980792db65fb2b2f610f5a562.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('25', '9', 'Navy', '0.000', '2', 'navy-hat_0354e8fc74b2d556a795fff1ff7aaafc.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('26', '9', 'Burgundy', '0.000', '3', 'burgundy-hat_50af88b3fba972edfdc8f14e92b4a9e5.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('27', '9', 'Black', '0.000', '4', 'black-hat_019744cd245f7377ba182c8f530f5e06.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('28', '8', 'Red', '0.000', '1', 'sox-red-swatch_a2e5f59bbd6eb6b5478334de6ec03d5d.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('30', '8', 'Blue', '0.000', '3', 'sox-swatch-blue_35c1052d96f7ca62b85ae403b2fd0063.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('29', '8', 'Stone', '0.000', '2', 'sox-stone-swatch_668b92fd552a2c4563f8671f47714eb3.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('31', '10', 'Small', '0.000', '1', 'sm_ad40505efdd17f10b941a7871260270f.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('32', '10', 'Medium', '0.000', '2', 'md_1cacf054c6bb31c516af71a8019f9b30.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('33', '10', 'Large', '0.000', '3', 'lg_116a4fad2e1d631ff92b2b1fd43101a9.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('34', '10', 'Extra Large', '0.000', '4', 'xl_4dc393f0506fc97002d24b44b0be3a40.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('35', '10', 'Double Extra Large', '0.000', '5', '2x_bf666c0b1401280f30c28167b6109035.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('4', '1', 'Extra Large', '0.000', '4', 'xl_9ace5415cef5997c46435b16736b6411.jpg', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('36', '11', 'SM', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('37', '11', 'MD', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('38', '11', 'LG', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('39', '11', 'XL', '0.000', '4', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('40', '11', 'XXL', '0.000', '5', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('41', '12', 'Red', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('42', '12', 'White', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('43', '12', 'Blue', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('44', '13', 'SM', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('45', '13', 'MD', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('46', '13', 'LG', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('47', '13', 'XL', '0.000', '4', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('49', '14', 'Black', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('50', '14', 'White', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('52', '14', 'Ash', '0.000', '4', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('56', '15', 'Burgundy with White Logo', '0.000', '0', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0.00', '', '0.000', '0.000', '1', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('58', '16', 'Melon', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0.00', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('59', '16', 'Island Reef', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0.00', '', '0.000', '0.000', '1', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('60', '16', 'Periwinkle', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('61', '16', 'Brick', '0.000', '4', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('68', '20', 'SM', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '0', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('63', '18', 'Red', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('64', '18', 'Stone', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('65', '18', 'Navy', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '1', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('66', '19', 'SM/MD', '0.000', '1', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '0', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('67', '19', 'LG/XL', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '0', '', '0.000', '0.000', '0', '0', '0', '0.000', NULL, NULL, '', '');
INSERT INTO `ec_optionitem` VALUES('69', '20', 'MD', '0.000', '2', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '0', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('70', '20', 'LG', '0.000', '3', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '0', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('71', '20', 'XL', '0.000', '4', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '0', '0', '0', '0.000', '', '', '', '');
INSERT INTO `ec_optionitem` VALUES('72', '20', '2XL', '0.000', '5', '', '0.000', '-1.000', '0.000', '0.000', '-1.000', '', '', '0.000', '0.000', '0', '0', '0', '0.000', '', '', '', '');
/*!40000 ALTER TABLE `ec_optionitem` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
