CREATE TABLE `ec_user` (  `user_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for the ec_user table.',  `email` varchar(255) NOT NULL DEFAULT '' COMMENT 'Email address for the user, must be unique.',  `password` varchar(255) NOT NULL DEFAULT '' COMMENT 'Encrypted password for the user.',  `list_id` varchar(255) NOT NULL DEFAULT '',  `edit_sequence` varchar(255) NOT NULL DEFAULT '',  `first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'First name of the user.',  `last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Last name of the user.',  `default_billing_address_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the ec_user table to the ec_address table that represents the default billing address for this user.',  `default_shipping_address_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the ec_user table to the ec_address table. Represents the default shipping address for this user.',  `user_level` varchar(255) NOT NULL DEFAULT 'shopper',  `is_subscriber` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, tells the admin that this user wants to recieve emails and/or newsletters.',  `realauth_registered` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, customer is using Realex Payments and this customer already has an account in the RealVault.',  `stripe_customer_id` varchar(255) NOT NULL DEFAULT '',  `default_card_type` varchar(255) NOT NULL DEFAULT '',  `default_card_last4` varchar(255) NOT NULL DEFAULT '',  `exclude_tax` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Give customer tax free purchases.',  `exclude_shipping` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Give free shipping to this customer.',  `user_notes` text COMMENT 'This is available for an admin to keep notes on a user.',  `vat_registration_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'Used in the EU to properly tax customers.',  `quickbooks_status` varchar(255) NOT NULL DEFAULT 'Not Queued',  `is_demo_item` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`user_id`),  UNIQUE KEY `user_id` (`user_id`),  UNIQUE KEY `email_2` (`email`),  UNIQUE KEY `user_user_id` (`user_id`),  UNIQUE KEY `user_email` (`email`(191)),  KEY `Email` (`email`),  KEY `Password` (`password`),  KEY `ec_user_idx1` (`default_billing_address_id`) USING BTREE,  KEY `ec_user_idx2` (`default_shipping_address_id`) USING BTREE,  KEY `ec_user_idx3` (`user_level`) USING BTREE,  KEY `user_password` (`password`(191)),  KEY `user_default_billing_address_id` (`default_billing_address_id`),  KEY `user_default_shipping_address_id` (`default_shipping_address_id`),  KEY `user_user_level` (`user_level`(191))) ENGINE=MyISAM AUTO_INCREMENT=138 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=98;
/*!40000 ALTER TABLE `ec_user` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_user` VALUES('44', 'mail@lynxpromo.com', '2ef9692a8384c61b30bc8cc303af7f3c', '', '', 'Steve', 'Bohn', '56', '57', 'admin', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('45', 'glap1950@gmail.com', '349bb423155c4f03e6f44af5b3793477', '', '', 'George', 'LaPenta', '0', '0', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('46', 'frankschweighardt@hotmail.com', '50ff9ede75e9cd1c814558ef2d26a7ff', '', '', 'Frank', 'Schweighardt', '58', '59', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('47', 'danckel@hotmail.com', 'dbe12057d15e354af59d424aa5e89350', '', '', 'Dan', 'Kellogg', '60', '61', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('48', 'andrewhamel@comcast.net', 'b769b2d09880b38dfcbbdc66ddd88c9d', '', '', 'Andrew', 'Hamel', '62', '63', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('49', 'ewsoxfan@yahoo.com', 'c0900c194f435359b977f7f4577bb558', '', '', 'Erich', 'Wunderlich', '64', '65', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('50', 'sarahdeades@gmail.com', '119d614d98d7890b974b8007f484fc66', '', '', 'Sarah', 'Eades', '66', '67', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('51', 'jganish@comcast.net', 'd9ebf53ad7c824d8143e95ca301244ef', '', '', 'Janele', 'Ganish', '68', '69', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('52', 'R.otisjr@comcast.net', 'a6780585687290882e34eb9326fd9c7d', '', '', 'Bob', 'Otis', '70', '71', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('53', 'bwanateva@aol.com', '121942cd1863780a36971017fd1bb127', '', '', 'Michael', 'O\\\'Hare', '72', '73', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('54', 'jenorr@zoominternet.net', '1ace630e900c4b0557a1089943ac5c74', '', '', 'Jennifer', 'Schepner', '74', '75', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('55', 'LuisFC@msn.com', '41a9bf7ed19efec5adc55b494eca0ded', '', '', 'Luis', 'Candal', '78', '79', 'shopper', '1', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('56', 'heeberusso@gmail.com', '5e437b312916119d4876dbab96ed70a1', '', '', 'Elizabeth', 'Heebe-Russo', '80', '81', 'shopper', '0', '0', '', '', '', '0', '0', NULL, '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('57', 'rdslough@gmail.com', '9954da5f6356fa8e0ae8440f9feff9f8', '', '', 'RD', 'SLOUGH', '82', '83', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('58', 'lfc126@aol.com', 'c2896042b17bb70d12dd9616c5d675b4', '', '', 'LISA', 'COSTA', '84', '85', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('59', 'boxbergers1996@gmail.com', '31f41d040fd854e82e29550c31098d31', '', '', 'Sheri', 'Boxberger', '88', '89', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('60', 'jmtmtboss@aol.com', '312e2d6f2bf243142bc8d1a89da8c8a5', '', '', 'Julie', 'Bossidy', '90', '91', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('61', 'Chesley.katherine@gmail.com', '2cef098edf2a0c47452ee6326d93ffe1', '', '', 'Joanne', 'Enegess', '92', '93', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('62', 'denisemackev@snet.net', '9cbed67122550a8e9814d5e7154497fc', '', '', 'Denise', 'Lynch', '94', '95', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('63', 'bobandbevgilbert@comcast.net', '77eef519388125870654f396ffdc9041', '', '', 'Robert', 'Gilbert', '96', '97', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('64', 'ristcanyon@verizon.net', 'aab1075002f044d1a04348e4b8509fec', '', '', 'jordan', 'dyas', '98', '99', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('65', 'CapeMassBL@aol.com', 'd98093d3ec6fe2e4323085e0ef5abf2e', '', '', 'Bill', 'Lyons', '104', '105', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('66', 'Newob2@aol.com', 'a638f912e522310a3a6680e23b504cda', '', '', 'Robert', 'Bowen', '106', '107', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('67', 'wheretobuddy@gmail.com', '93aa7475c9192fabd253f8d53ac0ee2e', '', '', 'Mike ', 'Golden ', '108', '109', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('68', 'j_anetakis@yahoo.com', 'da2a4936a5b96ef97bb5c334a0687650', '', '', 'james', 'anetakis', '110', '111', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('69', 'Twleafe@gmail.com', 'e857dc5c9cce9fb2d03e5d44bff97360', '', '', 'Trevor', 'Leafe', '112', '113', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('70', 'michaelarieta@mac.com', 'e16714748d58a6d7a540f6a9e1b8f608', '', '', 'Michael', 'Arieta', '114', '115', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('71', 'gregdemp@hotmail.com', '98cb7f1d1e6cb4a23c92256c90aeaf00', '', '', 'greg', 'dempsey', '116', '117', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('72', 'Bobnchef@yahoo.com', '28cff0a6f7234da391390931ddc9a539', '', '', 'Roberta ', 'Benton', '118', '119', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('73', 'bd4400@gmail.com', 'a9ad38bdbd1ea315e38b106249fe1594', '', '', 'Ben', 'Dursch', '122', '123', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('74', 'dylanroche1991@gmail.com', '30162f87778f8ce2e4669f719a67e9bd', '', '', 'Dylan', 'Roche', '124', '125', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('75', 'littlewalsh@gmail.com', '3b969e278a15d297a39d0c4e93287207', '', '', 'Deirdre', 'Rushkowski', '146', '147', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('76', 'james@wemberly.com', '1ebdcfadec0adeb1358a9e5f7b5dfdf2', '', '', 'James', 'Duncan', '160', '161', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('77', 'Dougmuench@me.com', 'f8cd0e9de476af61c9f07dfe3c834b3e', '', '', 'Doug', 'Muench', '176', '177', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('78', 'scottsperry66@gmail.com', 'd7e818592cc6cb9c8e13566815a0ab76', '', '', 'scott', 'sperry', '184', '185', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('79', 'amychase81081@gmail.com', 'e3552cc9eb01aa949d8f716aa147673a', '', '', 'Amy', 'Buinicky', '192', '193', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('80', 'tempestandco@yahoo.com', '8afea16ee6b7a48ad7c5c763e6841c92', '', '', 'Simon', 'Tempest', '198', '199', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('81', 'Ericjraymond@gmail.com', '3381f24c3c50144883cca29090c566ed', '', '', 'Eric', 'Raymond', '202', '203', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('82', 'vaccarof@fmvaccaro.com', '34fd60db8510f3af197240bc5c92d694', '', '', 'Frank', 'Vaccaro ', '216', '217', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('83', 'cdfigg@verizon.net', 'e3d1315a29fd6bb2c1850b556ea3f012', '', '', 'Drum', 'Figg', '220', '221', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('84', 'cartlaw1@gmail.com', 'c29227e0025fa0c0dd6ce0075d86fe4a', '', '', 'Richard', 'Carter', '228', '229', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('85', 'bwk3@mac.com', 'b8e4e18ba159a95be886304937368bf2', '', '', 'Brad', 'Ketchum', '230', '231', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('86', 'tim.loehr@gmail.com', '89b25fe7a4b944342979619c4d55b5d3', '', '', 'Timothy', 'Loehr', '232', '233', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('87', 'nantucketknitter@aol.com', '5f756c8bfd797df569baa30a1e001b3a', '', '', 'Beth', 'finkelstein', '244', '245', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('88', 'markmikitka@gmail.com', 'a19d9a6131de732aaec336a778c00121', '', '', 'Mark', 'Mikitka', '284', '285', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('89', 'ngallant@my.uri.edu', 'ee1896c501c22fafcbe014dbf7346e39', '', '', 'Nicholas', 'Gallant', '322', '323', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('90', 'ethelpali@mail.ru', '1e910b97bf7dd136c55b727e2fcf9647', '', '', 'Moses', 'Nobbs', '0', '0', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('91', 'Dmurph70@gmail.com', '6aecdfe8b004d1e8cb1e42c4414687a9', '', '', 'Dan', 'Murphy', '374', '375', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('92', 'Kebsphone@gmail.com', 'e962e532941320c89adcf4dde142d96b', '', '', 'Kenneth ', 'Button ', '382', '383', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('93', 'Dmbalsam@hotmail.com', 'f49a2d8a11396bdab11fc873893c8fd7', '', '', 'Douglas', 'Balsam', '392', '393', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('94', 'jasonrglass@gmail.com', 'cd0246379d43cf0fbb03071d702e7e26', '', '', 'jason', 'glass', '436', '437', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('95', 'dmb567@yahoo.com', '0ae019a4d9a48687e78e631cad557066', '', '', 'Donna', 'Bauer', '438', '439', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('96', 'julie_layden@yahoo.com', 'e783f0198969a410465a01a722d55fe9', '', '', 'Julie', 'Layden', '476', '477', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('97', 'erinbdc@hotmail.com', 'bafe7c4002e19110b7ab3901475cd397', '', '', 'Erin', 'Gaudreau', '0', '0', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('98', 'wdunphy@afvusa.com', '84e252ef3e7257089d3e260e7212f0ab', '', '', 'Walter ', 'Dunphy', '0', '0', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('99', 'kblaquiere@yahoo.com', '33769544b6144bba9ea717aa3604bbb8', '', '', 'Keith', 'Blaquiere', '506', '507', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('100', 'rniziak@hotmail.com', 'a9f1dbd83ef763aa3ddfa99993281916', '', '', 'Richard', 'Niziak', '564', '565', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('101', 'todd.wetzel@ms.com', '81666a6f37d8de913e9f64f8dcb46259', '', '', 'Todd', 'Wetzel', '580', '581', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('102', 'pennybflick@gmail.com', '04378447d56a3baaa3148c3eb928d8e5', '', '', 'Penny', 'Flick', '600', '601', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('103', 'Paul@loanfuel.com', 'c0e51455fed65ba816bf91b146925164', '', '', 'Paul', 'Mignone', '638', '639', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('104', 'brasinge@comcast.net', '1c885e23b850f482244d2d726dccdf19', '', '', 'Evan', 'Brasington', '642', '643', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('105', 'traseabrown@aol.com', '1102cc7d8276ade78262d9611c5a3c35', '', '', 'Tracey', 'Brown', '656', '0', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('106', 'nyterps@yahoo.com', 'a4350ef4f96b6012cc5e4a5c1921d6f0', '', '', 'Nancy', 'Friedman', '663', '664', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('107', 'walklouie@yahoo.com', '573a5dc6d7b075244ddc155ddb8af40d', '', '', 'wesley', 'walker', '665', '666', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('108', 'suzanne-edwards@idexx.com', 'c59f6373c60b995970fd4acdc6ea9cb4', '', '', 'Suzanne', 'Edwards', '667', '668', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('109', 'Julieanneaubin@hotmail.com', 'abb61e4d15392770bd73e4e7eebd3de4', '', '', 'Julie', 'Aubin', '697', '698', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('110', 'jfknapp@verizon.net', 'cb1d5814d7d50fcb4cafd4710c5a9626', '', '', 'John', 'Knapp', '705', '706', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('111', 'back_at_one@yahoo.com', '3537dfe3e6e23a65055f81eac0a48188', '', '', 'Philip', 'Burke', '771', '772', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('112', 'mgillRN@yahoo.com', '0485048a162d2e31c7aa26f5945800d4', '', '', 'Monica', 'Gill', '775', '776', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('113', 'hasslefreebaby@icloud.com', 'f27fb80be0a54fb0960b8ad88777a245', '', '', 'thanh', 'nguyen', '797', '798', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('114', 'lucy328g@comcast.net', 'd46efe03f939430f9604961eec5faf6f', '', '', 'Linda', 'Grimes', '799', '800', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('115', 'hima5@hotmail.com', 'afdd0b4ad2ec172c586e2150770fbf9e', '', '', 'hima', 'sima', '0', '0', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('116', 'ericmorningstar3@gmail.com', '70c452783e4db765bf33b72a46057803', '', '', 'Eric', 'Morningstar', '827', '828', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('117', 'reajas@supplyne.com', '1c5cd45454f3af21e01d79baaad3f5f3', '', '', 'Jason', 'Reardon', '859', '860', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('118', 'jeri_savoy@me.com', '5bbe787c6277a4ea4ebee3e56278671b', '', '', 'Geraldine', 'Savoy', '879', '880', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('119', 'garth.wentzel@ipaper.com', 'eb21ef347028ef300084cc18789ec8aa', '', '', 'Garth', 'Wentzel', '0', '0', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('120', 'letsgo@placestaffing.com', '3536d73a1d909130a31a01e44592a40b', '', '', 'jason', 'devito', '935', '936', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('121', 'lbertrand@zitomedia.net', '08a17a73c2725e829e8c27eb5a808e89', '', '', 'leeanne', 'bertrand', '961', '962', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('122', 'teamfishboy@mac.com', '74f329a564ee1b96465170de2c37b4dc', '', '', 'Christopher', 'Harde', '991', '992', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('123', 'jseelinger@gmail.com', 'a4a6a33a3c5fb414fef69b653c591e0a', '', '', 'John', 'Seelinger', '1011', '1012', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('124', 'gary.kleiman@gmail.com', '119442ca2bb7d9dd410f382f104225d8', '', '', 'Gary', 'Kleiman', '1013', '1014', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('125', 'sharonbkelley@gmail.com', 'be46a6b13424dc70507828511b6fceb0', '', '', 'Sharon', 'Kelley', '1035', '1036', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('126', 'silveroak93@yahoo.com', '3b17ebfbfe0cc88345ca920d85a2eeb7', '', '', 'James', 'Segerson', '1039', '1040', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('127', 'Kellyr412@gmail.com', '9fff8a02a4e9cf20251f877a4aa23652', '', '', 'Bill', 'Reed', '1043', '1044', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('128', 'OWNESK@GMAIL.COM', 'baf097e97ab59a7dfa86cdcae9d9af14', '', '', 'Kaitlin', 'Ownes', '1047', '1048', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('129', 'jmarra18@gmail.com', '67f9986058c4ebe82f18bc725a000c88', '', '', 'Joseph', 'Marra', '1049', '1050', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('130', 'Qgoonan@gmail.com', '790cba53ba80b9bd4d8ae26628653172', '', '', 'Quinn ', 'Goonan', '1065', '1066', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('131', 'wooddog72@gmail.com', '5841d483a0eecf690717c4ef389899a8', '', '', 'Douglas', 'Woollard', '1161', '1162', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('132', 'Rusa5621@hotmail.com', '2296cd7c24490fb68658df1215fd7bea', '', '', 'How to invest in Cryptocurrency $ 38269 - get a return of up to 2988%: http://freeurlredirect.com/earnonebtc376952?h=7899', 'How to invest in Cryptocurrency $ 38269 - get a return of up to 2988%: http://freeurlredirect.com/earnonebtc376952?h=7899', '0', '0', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('135', 'Caity@authsocial.com', '08406ba4bd3a016d25fdd46b9232a4a1', '', '', 'Caitlin', 'Begg', '1311', '1312', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('136', 'dusty_ramos@comcast.net', '6a8d3e9a458179f97e6dbec2dc1fb015', '', '', 'Dusty', 'Ramos', '1313', '1314', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('134', 'anyak16@yahoo.com', '85d3fe656d71c7f96a2f03e222e757f3', '', '', 'Anne', 'Kayes', '1237', '1238', 'shopper', '1', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
INSERT INTO `ec_user` VALUES('137', 'GLOVER1828@GMAIL.COM', 'ffee65654b0ebeace71001f7e20f90ed', '', '', 'Emma', 'Glover', '1335', '1336', 'shopper', '0', '0', '', '', '', '0', '0', '', '', 'Not Queued', '0');
/*!40000 ALTER TABLE `ec_user` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
