CREATE TABLE `ec_order` (  `order_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for ec_order.',  `user_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the ec_order to a ec_user.',  `user_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The contact email for this order.',  `user_level` varchar(255) NOT NULL DEFAULT 'shopper',  `last_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The last time this order was updated.',  `order_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'The timestamp for when the order was placed.',  `orderstatus_id` int(11) NOT NULL DEFAULT '5' COMMENT 'The orderstatus.status_id reference to the status of the order.',  `order_weight` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The total weight of the order.',  `sub_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The order sub total.',  `tax_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The order tax total.',  `shipping_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The order shipping total.',  `discount_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The order discount total.',  `vat_total` float(15,3) NOT NULL DEFAULT '0.000',  `duty_total` float(15,3) NOT NULL DEFAULT '0.000',  `grand_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The order grand total.',  `promo_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'If a promo code was used, enter it here.',  `giftcard_id` varchar(20) NOT NULL DEFAULT '',  `use_expedited_shipping` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the customer paid for expedited shipping.',  `shipping_method` varchar(255) NOT NULL DEFAULT '' COMMENT 'The shipping method used for this order.',  `shipping_carrier` varchar(255) NOT NULL DEFAULT '',  `tracking_number` varchar(255) NOT NULL DEFAULT '',  `billing_first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first name for the billing address.',  `billing_last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The last name for the billing address.',  `billing_address_line_1` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first address line for the billing address.',  `billing_address_line_2` varchar(255) NOT NULL DEFAULT '' COMMENT 'The second address line for the billing address.',  `billing_city` varchar(255) NOT NULL DEFAULT '' COMMENT 'The city for the billing address.',  `billing_state` varchar(255) NOT NULL DEFAULT '' COMMENT 'The state for the billing address.',  `billing_country` varchar(255) NOT NULL DEFAULT '' COMMENT 'The country for the billing address.',  `billing_zip` varchar(255) NOT NULL DEFAULT '',  `billing_phone` varchar(255) NOT NULL DEFAULT '',  `shipping_first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first name for the shipping address.',  `shipping_last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The last name for the shipping address.',  `shipping_address_line_1` varchar(255) NOT NULL DEFAULT '' COMMENT 'The first address line for the shipping address.',  `shipping_address_line_2` varchar(255) NOT NULL DEFAULT '' COMMENT 'The second address line for the shipping address.',  `shipping_city` varchar(255) NOT NULL DEFAULT '' COMMENT 'The city for the shipping address.',  `shipping_state` varchar(255) NOT NULL DEFAULT '' COMMENT 'The state for the shipping address.',  `shipping_country` varchar(255) NOT NULL DEFAULT '' COMMENT 'The country for the shipping address.',  `shipping_zip` varchar(255) NOT NULL DEFAULT '',  `shipping_phone` varchar(255) NOT NULL DEFAULT '',  `payment_method` varchar(255) NOT NULL DEFAULT '',  `paypal_email_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The paypal email id.',  `paypal_transaction_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The paypal transaction id.',  `paypal_payer_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'The paypal payer id.',  `order_viewed` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the order has been viewed by the administration console.',  `order_notes` text COMMENT 'Notes only available on the backend.',  `order_customer_notes` blob,  `txn_id` varchar(50) NOT NULL DEFAULT '' COMMENT 'Quickbooks Specific TXN ID.',  `edit_sequence` varchar(50) NOT NULL DEFAULT '' COMMENT 'Quickbooks Specific Edit Sequence.',  `creditcard_digits` varchar(4) NOT NULL DEFAULT '' COMMENT 'If credit card checkout is used, saves the last four digits here.',  `fraktjakt_order_id` varchar(20) NOT NULL DEFAULT '' COMMENT 'Order ID for the Fraktjakt shipment.',  `fraktjakt_shipment_id` varchar(20) DEFAULT '' COMMENT 'Shipment ID for the Fraktjakt shipment.',  `stripe_charge_id` varchar(255) NOT NULL DEFAULT '',  `subscription_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Subscription ID from the ec_subscription table if order was a subscription order.',  `refund_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Amount of the order that has been refunded.',  `nets_transaction_id` varchar(255) NOT NULL DEFAULT '',  `order_gateway` varchar(64) NOT NULL DEFAULT '' COMMENT 'The gateway used during checkout ONLY IF a refund functionality is available.',  `affirm_charge_id` varchar(100) NOT NULL DEFAULT '' COMMENT 'The Affirm Charge ID added during checkout',  `billing_company_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Billing company name for this order if used.',  `shipping_company_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Shipping company name for this order if used.',  `guest_key` varchar(255) NOT NULL DEFAULT '',  `agreed_to_terms` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'This value is used to verify the user agreed to your terms and conditions during checkout.',  `order_ip_address` varchar(255) NOT NULL DEFAULT '',  `gst_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The GST total on the order',  `gst_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The GST rate applied to the order',  `pst_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The PST total on the order',  `pst_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The PST rate applied to the order',  `hst_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The HST total on the order',  `hst_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The HST rate applied to the order',  `gateway_transaction_id` varchar(255) NOT NULL DEFAULT '',  `credit_memo_txn_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'Quickbooks refund reference.',  `cc_exp_month` varchar(2) NOT NULL DEFAULT '' COMMENT 'If credit card checkout is used, saves the month for display purposes.',  `cc_exp_year` varchar(4) NOT NULL DEFAULT '' COMMENT 'If credit card checkout is used, saves the year for display purposes.',  `card_holder_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The value entered on checkout for the card holder name.',  `vat_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The VAT rate on the order',  `shipping_service_code` varchar(255) NOT NULL DEFAULT '',  `vat_registration_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'VAT registration number entered if used by EU users.',  `quickbooks_status` varchar(255) NOT NULL DEFAULT 'Not Queued',  `is_demo_item` tinyint(1) NOT NULL DEFAULT '0',  `payment_txn_id` varchar(50) NOT NULL DEFAULT '',  PRIMARY KEY (`order_id`),  UNIQUE KEY `order_id` (`order_id`),  KEY `ec_order_idx1` (`order_id`) USING BTREE,  KEY `ec_order_idx2` (`user_id`) USING BTREE,  KEY `ec_order_idx3` (`giftcard_id`) USING BTREE,  KEY `user_id` (`user_id`),  KEY `giftcard_id` (`giftcard_id`)) ENGINE=MyISAM AUTO_INCREMENT=587 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=225;
/*!40000 ALTER TABLE `ec_order` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_order` VALUES('2', '0', 'info@lynxpromo.com', '', '2019-01-14 18:02:00', '2013-12-17 09:27:38', '10', '4.000', '50.000', '0.000', '10.750', '0.000', '0.000', '0.000', '60.750', '', '', '0', 'UPS Ground', '', '', 'Frank', 'Schweighardt', '324 Birch Parkway', '', 'Wyckoff', 'NJ', 'US', '07481', '508-785-8321', 'Frank', 'Schweighardt', '324 Birch Parkway', '', 'Wyckoff', 'NJ', 'US', '07481', '508-785-8321', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('3', '0', 'parker.howland@gmail.com', '', '2019-01-14 18:02:00', '2013-12-25 18:35:59', '10', '2.000', '30.000', '0.000', '13.730', '0.000', '0.000', '0.000', '43.730', '', '', '0', 'UPS Ground', '', '', 'Parker', 'Howland', '1114 Adams Road', '', 'Pittsford', 'VT', 'US', '05763', '8022360371', 'Parker', 'Howland', '1114 Adams Road', '', 'Pittsford', 'VT', 'US', '05763', '8022360371', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('4', '0', 'mail@lynxpromo.com', '', '2019-01-14 18:02:00', '2014-01-03 12:17:17', '10', '2.000', '25.000', '0.000', '10.420', '0.000', '0.000', '0.000', '35.420', '', '', '0', 'UPS Ground', '', '', 'Barbara', 'Loughlin', '94 Titicut Road', '', 'Raynham', 'MA', 'US', '02767', '508-822-6346', 'Barbara', 'Loughlin', '94 Titicut Road', '', 'Raynham', 'MA', 'US', '02767', '508-822-6346', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('5', '0', 'ronin82510@gmail.com', '', '2019-01-14 18:02:00', '2014-01-25 11:17:00', '8', '1.000', '20.000', '0.000', '28.650', '0.000', '0.000', '0.000', '48.650', '', '', '0', 'UPS Ground', '', '', 'Jessie', 'Ramirez', '91-1038 Hamoula St', '', 'Ewa Beach', 'HI', 'US', '96706', '8086365409', 'Jessie', 'Ramirez', '91-1038 Hamoula St', '', 'Ewa Beach', 'HI', 'US', '96706', '8086365409', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('6', '0', 'mbannan2@juno.com', '', '2019-01-14 18:02:00', '2014-02-09 11:24:46', '10', '2.000', '40.000', '0.000', '10.420', '0.000', '0.000', '0.000', '50.420', '', '', '0', 'UPS Ground', '', '', 'Meighan', 'Fogarty', '42 Duncan Avenue', '', 'Cornwall on Hudson', 'NY', 'US', '12520', '845-534-2010', 'Meighan', 'Fogarty', '42 Duncan Avenue', '', 'Cornwall on Hudson', 'NY', 'US', '12520', '845-534-2010', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('7', '0', 'ericmross@gmail.com', '', '2019-01-14 18:02:00', '2014-03-24 15:10:04', '10', '4.000', '50.000', '0.000', '13.600', '0.000', '0.000', '0.000', '63.600', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610398677979', 'Eric', 'Ross', '325 Fairfax St', '', 'Denver', 'CO', 'US', '80220', '6175199692', 'Eric', 'Ross', '325 Fairfax St', '', 'Denver', 'CO', 'US', '80220', '6175199692', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('8', '0', 'jonathanpharvey@yahoo.com', '', '2019-01-14 18:02:00', '2014-04-03 19:15:03', '10', '2.000', '25.000', '0.000', '11.720', '0.000', '0.000', '0.000', '36.720', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610398815293', 'Jon', 'Harvey', '1924 N. Seminary Ave.', '', 'Chicago', 'IL', 'US', '60614', '7734722902', 'Jon', 'Harvey', '1924 N. Seminary Ave.', '', 'Chicago', 'IL', 'US', '60614', '7734722902', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('9', '0', 'lauren.czorniak@gmail.com', '', '2019-01-14 18:02:00', '2014-04-07 11:34:33', '10', '1.000', '20.000', '0.000', '9.830', '0.000', '0.000', '0.000', '29.830', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610394355690', 'Lauren', 'Czorniak', '165 Salem Street', '', 'Boston', 'MA', 'US', '02113', '3392361774', 'Lauren', 'Czorniak', '165 Salem Street', '', 'Boston', 'MA', 'US', '02113', '3392361774', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('10', '0', 'cathyburkeusa@gmail.com', '', '2019-01-14 18:02:00', '2014-05-16 19:34:37', '10', '2.000', '30.000', '0.000', '10.970', '0.000', '0.000', '0.000', '40.970', '', '', '0', 'UPS Ground', '', '', 'Catherine', 'Burke', '256 Eagleview Blvd', '', '#338', 'PA', 'US', '19341', '9176264050', 'Catherine', 'Burke', '256 Eagleview Blvd', '', '#338', 'PA', 'US', '19341', '9176264050', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('11', '48', 'andrewhamel@comcast.net', 'shopper', '2019-01-14 18:02:00', '2014-05-24 10:57:22', '10', '2.000', '25.000', '0.000', '13.530', '0.000', '0.000', '0.000', '38.530', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('12', '49', 'ewsoxfan@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2014-05-26 17:45:29', '10', '2.000', '30.000', '0.000', '10.970', '0.000', '0.000', '0.000', '40.970', '', '', '0', 'UPS Ground', '', '', 'Erich', 'Wunderlich', '4705 Center Blvd., Apt. 2512', '', 'Long Island City', 'NY', 'US', '11109-5697', '917 328-9418', 'Erich', 'Wunderlich', '4705 Center Blvd., Apt. 2512', '', 'Long Island City', 'NY', 'US', '11109-5697', '917 328-9418', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('13', '0', 'walklouie@yahoo.com', '', '2019-01-14 18:02:00', '2014-06-03 11:30:26', '10', '4.000', '50.000', '0.000', '13.290', '0.000', '0.000', '0.000', '63.290', '', '', '0', 'UPS Ground', '', '', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('14', '51', 'jganish@comcast.net', 'shopper', '2019-01-14 18:02:00', '2014-06-09 19:32:45', '10', '4.000', '50.000', '0.000', '12.910', '0.000', '0.000', '0.000', '62.910', '', '', '0', 'UPS Ground', '', '', 'Janele', 'Ganish', '48751 Chelsea Ct.', '', 'Macomb Twp.', 'MI', 'US', '48044', '5862280437', 'Janele', 'Ganish', '48751 Chelsea Ct.', '', 'Macomb Twp.', 'MI', 'US', '48044', '5862280437', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('15', '52', 'R.otisjr@comcast.net', 'shopper', '2019-01-14 18:02:00', '2014-06-21 06:04:17', '10', '2.000', '30.000', '0.000', '10.470', '0.000', '0.000', '0.000', '40.470', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395070790', 'Bob', 'Otis', '26 Lee Terrace', '', 'Hanson', 'MA', 'US', '02341', '3399331663', 'Bob', 'Otis', '26 Lee Terrace', '', 'Hanson', 'MA', 'US', '02341', '3399331663', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('16', '0', 'rdslough@gmail.com', '', '2019-01-14 18:02:00', '2014-07-06 09:22:00', '10', '2.000', '30.000', '0.000', '11.590', '0.000', '0.000', '0.000', '41.590', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392891168', 'RD', 'SLOUGH', '850 N. Randolph   Apt 1133', '', 'Arlington', 'VA', 'US', '22203', '202-436-2997', 'RD', 'SLOUGH', '850 N. Randolph   Apt 1133', '', 'Arlington', 'VA', 'US', '22203', '202-436-2997', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('17', '0', 'fencerdebb@aol.com', '', '2019-01-14 18:02:00', '2014-07-25 12:30:15', '10', '4.000', '50.000', '0.000', '14.650', '0.000', '0.000', '0.000', '64.650', '', '', '0', 'UPS Ground', '', '', 'Deborah', 'Mastromatteo', '35 Van Guilder Road', '', 'Chestertown', 'NY', 'US', '12817', '9145887488', 'Deborah', 'Mastromatteo', '35 Van Guilder Road', '', 'Chestertown', 'NY', 'US', '12817', '9145887488', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('18', '53', 'bwanateva@aol.com', 'shopper', '2019-01-14 18:02:00', '2014-07-25 15:48:29', '10', '10.000', '130.000', '0.000', '13.720', '0.000', '0.000', '0.000', '143.720', '', '', '0', 'UPS Ground', '', '', 'Michael', 'O\\\'Hare', '7855 Railroad St', '', 'Dunn Loring', 'VA', 'US', '22027', '703 289-9993', 'Michael', 'O\\\'Hare', '7855 Railroad St', '', 'Dunn Loring', 'VA', 'US', '22027', '703 289-9993', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('19', '0', 'jenorr@zoominternet.net', '', '2019-01-14 18:02:00', '2014-07-31 11:03:51', '10', '4.000', '55.000', '0.000', '10.760', '0.000', '0.000', '0.000', '65.760', '', '', '0', 'UPS Ground', 'UPS ', '1Z5Y16610391842954', 'Jennifer', 'Schepner', '10785 Cervone Drive', '', 'Meadville', 'PA', 'US', '16335', '814-720-4830', 'Tim and Dawn', 'Anderson', '1 Hay Road', '', 'Belmont', 'MA', 'US', '02478', '617-939-6478', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('20', '0', 'portageekid89@yahoo.com', '', '2019-01-14 18:02:00', '2014-08-04 23:59:31', '10', '2.000', '25.000', '0.000', '10.420', '0.000', '0.000', '0.000', '35.420', '', '', '0', 'UPS Ground', '', '', 'Daniel', 'Guedes', '15 Carlton St.', '', 'Somerville', 'MA', 'US', '02143', '617-913-5659', 'Daniel', 'Guedes', '15 Carlton St.', '', 'Somerville', 'MA', 'US', '02143', '617-913-5659', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('21', '0', 'mjb66@comcast.net', '', '2019-01-14 18:02:00', '2014-08-06 14:50:31', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Margaret', 'Beaton', '178 Sugar Road', '', 'Bolton', 'MA', 'US', '01740', '9788751187', 'Margaret', 'Beaton', '178 Sugar Road', '', 'Bolton', 'MA', 'US', '01740', '9788751187', 'paypal', '', '', '', '1', NULL, 'PLEASE SHIP TO:\r\nMaggie Beaton\r\n20 Ashford Street\r\nAllston, MA 02134', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('22', '0', 'steve@lynxpromo.com', '', '2019-01-14 18:02:00', '2014-08-12 06:57:42', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Steve', 'Bohn', '15 Francis Street', '', 'Dover', 'MA', 'US', '02030', '5087858321', 'Steve', 'Bohn', '15 Francis Street', '', 'Dover', 'MA', 'US', '02030', '5087858321', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('23', '0', 'tgalt@swbell.net', '', '2019-01-14 18:02:00', '2014-08-15 10:08:00', '10', '4.000', '50.000', '0.000', '13.600', '0.000', '0.000', '0.000', '63.600', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610391208890', 'John', 'Galt', '10564 Somerton', '', 'Dallas', 'TX', 'US', '75229', '', 'John', 'Galt', '10564 Somerton', '', 'Dallas', 'TX', 'US', '75229', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('24', '0', 'rjcool2468@hotmail.com', '', '2019-01-14 18:02:00', '2014-08-19 11:58:42', '10', '2.000', '30.000', '0.000', '10.910', '0.000', '0.000', '0.000', '40.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610394993885', 'Leslie', 'Cooleen', '769 Cherry Valley Rd', '', 'Princeton', 'NJ', 'US', '08540-7920', '', 'Leslie', 'Cooleen', '769 Cherry Valley Rd', '', 'Princeton', 'NJ', 'US', '08540-7920', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('25', '55', 'LuisFC@msn.com', 'shopper', '2019-01-14 18:02:00', '2014-08-21 15:21:42', '10', '2.000', '25.000', '0.000', '10.910', '0.000', '0.000', '0.000', '35.910', '', '', '0', 'UPS Ground', '', '', 'Luis', 'Candal', '21 2nd Place', '', 'Brooklyn', 'NY', 'US', '11231', '', 'Luis', 'Candal', '21 2nd Place', '', 'Brooklyn', 'NY', 'US', '11231', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('26', '56', 'heeberusso@gmail.com', 'shopper', '2019-01-14 18:02:00', '2014-08-25 15:55:46', '10', '2.000', '25.000', '0.000', '12.170', '0.000', '0.000', '0.000', '37.170', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610396951363', 'Adrea', 'Heebe', '28 Colony Road', '', 'Gretna', 'LA', 'US', '70056', '', 'Adrea', 'Heebe', '28 Colony Road', '', 'Gretna', 'LA', 'US', '70056', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('27', '0', 'dbpersacct@yahoo.com', '', '2019-01-14 18:02:00', '2014-08-26 06:33:23', '10', '5.000', '40.000', '0.000', '11.910', '0.000', '0.000', '0.000', '51.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610399288978', 'David', 'Barrett', '36 Foster St', '', 'Marblehead', 'MA', 'US', '01945', '', 'David', 'Barrett', '36 Foster St', '', 'Marblehead', 'MA', 'US', '01945', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('28', '0', 'Grandlarceny22@aol.com', '', '2019-01-14 18:02:00', '2014-08-27 15:18:03', '10', '2.000', '35.000', '0.000', '11.910', '0.000', '0.000', '0.000', '46.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610393401515', 'Edward', 'Larsen', '37 1/2 St. Marks Pl. Apt. E3', '', 'New York', 'NY', 'US', '10003', '', 'Edward', 'Larsen', '37 1/2 St. Marks Pl. Apt. E3', '', 'New York', 'NY', 'US', '10003', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('29', '0', 'Bdavis@chesapeakesurgical.com', '', '2019-01-14 18:02:00', '2014-08-28 05:22:37', '10', '4.000', '50.000', '0.000', '12.430', '0.000', '0.000', '0.000', '62.430', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395492469', 'Brian', 'Davis', '220 West Windsor Ave', '', 'Alexandria', 'VA', 'US', '22301', '', 'Brian', 'Davis', '220 West Windsor Ave', '', 'Alexandria', 'VA', 'US', '22301', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('30', '0', 'arielle.pensler@gmail.com', '', '2019-01-14 18:02:00', '2014-08-29 17:57:15', '10', '2.000', '25.000', '0.000', '12.620', '0.000', '0.000', '0.000', '37.620', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610391869159', 'Arielle', 'Pensler', '2 Sutton Place South', '', 'New York', 'NY', 'US', '10022', '', 'Andrew', 'Heffer', '733 San Carlos Ct', '', 'Palo Alto', 'CA', 'US', '94306', '', 'paypal', '', '', '', '1', NULL, 'This is a birthday gift so please prepare package accordingly. Thank you.', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('31', '0', 'Bdavis@chesapeakesurgical.com', '', '2019-01-14 18:02:00', '2014-09-07 10:03:44', '10', '2.000', '25.000', '0.000', '11.530', '0.000', '0.000', '0.000', '36.530', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610397700079', 'Brian', 'Davis', '220 West Windsor Ave', '', 'Alexandria', 'VA', 'US', '22301', '', 'Brian', 'Davis', '220 West Windsor Ave', '', 'Alexandria', 'VA', 'US', '22301', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('32', '0', 'steve@lynxpromo.com', '', '2019-01-14 18:02:00', '2014-09-14 19:15:36', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Stephen', 'Bohn', '15 Francis Street', '', 'Dover', 'MA', 'US', '02030', '', 'Stephen', 'Bohn', '15 Francis Street', '', 'Dover', 'MA', 'US', '02030', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('33', '0', 'Erica.carvalho58@gmail.com', '', '2019-01-14 18:02:00', '2014-10-07 17:15:39', '10', '2.000', '25.000', '0.000', '12.170', '0.000', '0.000', '0.000', '37.170', '', '', '0', 'UPS Ground', '', '', 'Erica', 'Carvalho', '2205 osprey ave', '', 'Orlando', 'FL', 'US', '32814', '', 'Erica', 'Carvalho', '2205 osprey ave', '', 'Orlando', 'FL', 'US', '32814', '', 'paypal', '', '', '', '1', NULL, 'My dad used to play at The Box in the 80\\\'s- his birthday is October 11th and I would be over the moon if the shirt got to Orlando by the 10th!', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('34', '0', 'Katieldean@yahoo.com', '', '2019-01-14 18:02:00', '2014-10-14 06:07:31', '10', '2.000', '30.000', '0.000', '10.420', '0.000', '0.000', '0.000', '40.420', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610390331963', 'Katherine', 'Devine', '57 Monument Ave', '', 'Charlestown', 'MA', 'US', '02129', '', 'Katherine', 'Devine', '57 Monument Ave', '', 'Charlestown', 'MA', 'US', '02129', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('35', '0', 'Davidjhozer@aol.com', '', '2019-01-14 18:02:00', '2014-10-27 14:41:59', '10', '2.000', '30.000', '0.000', '11.420', '0.000', '0.000', '0.000', '41.420', '', '', '0', 'UPS Ground', '', '', 'David', 'Hozer', '174 country woods lane ', '', 'Southbury', 'CT', 'US', '06488', '', 'David', 'Hozer', '174 country woods lane ', '', 'Southbury', 'CT', 'US', '06488', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('36', '57', 'rdslough@gmail.com', 'shopper', '2019-01-14 18:02:00', '2014-11-09 17:33:57', '10', '4.000', '55.000', '0.000', '12.430', '0.000', '0.000', '0.000', '67.430', '', '', '0', 'UPS Ground', '', '', 'RD', 'SLOUGH', '850 N. Randolph St   #1133', '', 'Arlington', 'VA', 'US', '22203', '', 'RD', 'SLOUGH', '850 N. Randolph St   #1133', '', 'Arlington', 'VA', 'US', '22203', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('37', '0', 'tcullinan@brandel-stephens.com', '', '2019-01-14 18:02:00', '2014-11-11 07:02:56', '8', '0.000', '5.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5.000', '', '', '0', '', '', '', 'Tom ', 'Cullinan', '4911 King Palm Cir ', '', 'Boynton Beach ', 'FL', 'US', '33436', '', 'Tom ', 'Cullinan', '4911 King Palm Cir ', '', 'Boynton Beach ', 'FL', 'US', '33436', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QRIRREJPHUTLCKJFCGXVTRWWGBZOQU', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('38', '58', 'lfc126@aol.com', 'shopper', '2019-01-14 18:02:00', '2014-11-12 20:45:35', '10', '8.000', '30.000', '0.000', '11.780', '0.000', '0.000', '0.000', '41.780', '', '', '0', 'UPS Ground', '', '', 'LISA', 'COSTA', '44 English Commons', '', 'Topsfield', 'MA', 'US', '01983', '', 'LISA', 'COSTA', '44 English Commons', '', 'Topsfield', 'MA', 'US', '01983', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('39', '0', 'HerbertHFoster@gmail.com', '', '2019-01-14 18:02:00', '2014-11-20 11:45:16', '8', '8.000', '110.000', '0.000', '11.780', '0.000', '0.000', '0.000', '121.780', '', '', '0', 'UPS Ground', '', '', 'Herbert', 'Foster', '81 Springhurst Road', '', 'Bedford Hills', 'NY', 'US', '10507', '', 'Herbert', 'Foster', '81 Springhurst Road', '', 'Bedford Hills', 'NY', 'US', '10507', '', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DVKRNZMLKPBERVNONNABFJLNRSLQTA', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('40', '59', 'boxbergers1996@gmail.com', 'shopper', '2019-01-14 18:02:00', '2014-11-23 07:56:52', '10', '2.000', '25.000', '0.000', '12.170', '0.000', '0.000', '0.000', '37.170', '', '', '0', 'UPS Ground', '', '', 'Sheri', 'Boxberger', '2002 W. 5TH', '', 'Lawrence', 'KS', 'US', '66044', '785-865-6771', 'Sheri ', 'Boxberger', '2958 FOUR WHEEL DR.', '', 'LAWRENCE', 'KS', 'US', '66047', '785-865-6771', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'STANION WHOLESALE ELECTRIC', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('41', '0', 'jmtmtboss@aol.com', '', '2019-01-14 18:02:00', '2014-11-30 14:02:20', '2', '12.000', '180.000', '0.000', '12.790', '0.000', '0.000', '0.000', '192.790', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610397048454', 'julie', 'bossidy', '674 weed street', '', 'New Canaan', 'CT', 'US', '06840', '2039667592', 'julie', 'bossidy', '674 weed street', '', 'New Canaan', 'CT', 'US', '06840', '2039667592', 'paypal', '', '', '', '1', '', '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MNBWOMDBNGTQFAROYGBVZBCZBFNXPJ', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('42', '60', 'jmtmtboss@aol.com', 'shopper', '2019-01-14 18:02:00', '2014-12-04 12:37:52', '10', '4.000', '60.000', '0.000', '10.660', '0.000', '0.000', '0.000', '70.660', '', '', '0', 'UPS Ground', '', '', 'Julie', 'Bossidy', '674 Weed Street', '', 'New Canaan', 'CT', 'US', '06840', '2039667592', 'Julie', 'Bossidy', '674 Weed Street', '', 'New Canaan', 'CT', 'US', '06840', '2039667592', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('43', '0', 'Maryphillips@comcast.net', '', '2019-01-14 18:02:00', '2014-12-05 20:35:50', '10', '2.000', '25.000', '0.000', '10.370', '0.000', '0.000', '0.000', '35.370', '', '', '0', 'UPS Ground', '', '', 'Mary', 'Phillips', '28 Harbor Heights Rd', '', 'scituate', 'MA', 'US', '02066', '7813782393', 'Mary', 'Phillips', '28 Harbor Heights Rd', '', 'scituate', 'MA', 'US', '02066', '7813782393', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KRNXTLVCBRSBPZKJGPATHIVRXNBKUA', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('44', '0', 'rewksw@aol.com', '', '2019-01-14 18:02:00', '2014-12-09 17:59:20', '10', '2.000', '25.000', '0.000', '10.370', '0.000', '0.000', '0.000', '35.370', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395059722', 'karen', 'wilson', '67 lakeshore dr', '', 'westwood', 'MA', 'US', '02090', '781-326-1957', 'karen', 'wilson', '67 lakeshore dr', '', 'westwood', 'MA', 'US', '02090', '781-326-1957', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FPLDGHSZSRTQQFKMMOZMDPFSMAZSZJ', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('45', '0', 'Katiefitz90@gmail.com', '', '2019-01-14 18:02:00', '2015-01-04 19:47:42', '10', '2.000', '25.000', '0.000', '11.010', '0.000', '0.000', '0.000', '36.010', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610394378264', 'Kathryn', 'Fitzgerald', '196 Salem Street, #3', '', 'Boston', 'MA', 'US', '02113', '3017179463', 'Kathryn', 'Fitzgerald', '196 Salem Street, #3', '', 'Boston', 'MA', 'US', '02113', '3017179463', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SLYMPTBZOAGJZTIHPSXVRLIWUDMXQL', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('46', '0', 'cshep66@gmail.com', '', '2019-01-14 18:02:00', '2015-01-13 11:11:44', '10', '2.000', '25.000', '0.000', '11.610', '0.000', '0.000', '0.000', '36.610', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610399604714', 'Christopher', 'Sheppard', '1 Mount Pleasant Road', '', 'Morristown', 'NJ', 'US', '07960', '908-868-5254', 'Christopher', 'Sheppard', '1 Mount Pleasant Road', '', 'Morristown', 'NJ', 'US', '07960', '908-868-5254', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HQOOVDLDAANZWNWLSGXGFYWRSIYEXS', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('47', '61', 'Chesley.katherine@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-01-23 12:24:33', '8', '1.000', '20.000', '0.000', '10.340', '0.000', '0.000', '0.000', '30.340', '', '', '0', 'UPS Ground', '', '', 'Joanne', 'Enegess', '17 Whistlers Lane', '', 'Kingston', 'MA', 'US', '02364', '781-492-8982', 'Katherine', 'Chesley', '1131 Avalon Way', '', 'Shrewsbury', 'MA', 'US', '01545', '774-230-3324', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('48', '61', 'Chesley.katherine@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-01-23 12:24:34', '3', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '0', '', '', '', 'Joanne', 'Enegess', '17 Whistlers Lane', '', 'Kingston', 'MA', 'US', '02364', '781-492-8982', 'Katherine', 'Chesley', '1131 Avalon Way', '', 'Shrewsbury', 'MA', 'US', '01545', '774-230-3324', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('49', '59', 'boxbergers1996@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-02-08 11:25:11', '10', '6.000', '80.000', '0.000', '14.570', '0.000', '0.000', '0.000', '94.570', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610399566471', 'Sheri', 'Boxberger', '2002 W. 5TH', '', 'Lawrence', 'KS', 'US', '66044', '785-865-6771', 'Sheri', 'Boxberger', '2002 W. 5TH', '', 'Lawrence', 'KS', 'US', '66044', '785-865-6771', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('50', '0', 'lisabecker3@gmail.com', '', '2019-01-14 18:02:00', '2015-03-03 15:04:34', '10', '16.000', '70.000', '0.000', '19.810', '0.000', '0.000', '0.000', '89.810', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395477575', 'Lisa', 'Becker', '989 Bay Oak Lane', '', 'Vero Beach', 'FL', 'US', '32963', '7725592989', 'Lisa', 'Becker', '989 Bay Oak Lane', '', 'Vero Beach', 'FL', 'US', '32963', '7725592989', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QBEIYIZLSLKNEBXBWTUFSHXNFKGOLX', '0', '76.26.164.228', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('51', '0', 'graysonwolf1@gmail.com', '', '2019-01-14 18:02:00', '2015-03-05 01:19:05', '10', '0.000', '15.000', '0.000', '1.000', '0.000', '0.000', '0.000', '16.000', '', '', '0', 'Standard Shipping', 'USPS', '', 'Grayson', 'Wolf', '1147 Clinton Street', '', 'Redwood City', 'CA', 'US', '94061', '6505043174', 'Grayson', 'Wolf', '1147 Clinton Street', '', 'Redwood City', 'CA', 'US', '94061', '6505043174', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'OWHURFGAFESGNDRHIJWXVWXMBTTQQL', '0', '76.212.4.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('52', '62', 'denisemackev@snet.net', 'shopper', '2019-01-14 18:02:00', '2015-03-13 20:48:13', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Denise', 'Lynch', '1044 Black Rock Road', '', 'Easton', 'CT', 'US', '06612', '203-452-9460', 'Denise', 'Lynch', '1044 Black Rock Road', '', 'Easton', 'CT', 'US', '06612', '203-452-9460', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '32.218.41.97', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('53', '0', 'Maggie.leccese@gmail.com', '', '2019-01-14 18:02:00', '2015-04-03 21:55:12', '10', '2.000', '25.000', '0.000', '10.910', '0.000', '0.000', '0.000', '35.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610397821242', 'Margaret', 'Leccese', '91 Payson Rd', '', 'Belmont', 'MA', 'US', '02478', '617-435-2680', 'Maggie', 'Leccese ', '25 Gerald Rd', '', 'Brighton', 'MA', 'US', '02135', '617-435-2680', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GSRQEBALHVQWISDACPQNXBCPGAZJEI', '0', '173.68.8.117', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('54', '64', 'ristcanyon@verizon.net', 'shopper', '2019-01-14 18:02:00', '2015-04-05 12:59:54', '8', '10.000', '95.000', '0.000', '14.100', '0.000', '0.000', '0.000', '109.100', '', '', '0', 'UPS Ground', '', '', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '173.54.114.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('55', '64', 'ristcanyon@verizon.net', 'shopper', '2019-01-14 18:02:00', '2015-04-05 12:59:56', '3', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '0', '', '', '', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '173.54.114.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('56', '64', 'ristcanyon@verizon.net', 'shopper', '2019-01-14 18:02:00', '2015-04-05 13:00:03', '3', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '0', '', '', '', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '173.54.114.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('57', '64', 'ristcanyon@verizon.net', 'shopper', '2019-01-14 18:02:00', '2015-04-05 13:11:42', '10', '10.000', '95.000', '0.000', '14.100', '0.000', '0.000', '0.000', '109.100', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395533076', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'jordan', 'dyas', '347 upper blvd.', '', 'ridgewood', 'NJ', 'US', '07450', '2016526191', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '173.54.114.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('58', '0', 'mickey@4ims.net', '', '2019-01-14 18:02:00', '2015-04-06 12:53:56', '10', '2.000', '30.000', '0.000', '13.310', '0.000', '0.000', '0.000', '43.310', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610397225468', 'michael', 'antonelli', '6300 Lake Waldon dr', '', 'Clarkston', 'MI', 'US', '48346', '248-802-7188', 'michael', 'antonelli', '6300 Lake Waldon dr', '', 'Clarkston', 'MI', 'US', '48346', '248-802-7188', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GNPZYDKFWBZRIOUJCDZGZGJPPQKTLT', '0', '50.77.248.182', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('59', '65', 'CapeMassBL@aol.com', 'shopper', '2019-01-14 18:02:00', '2015-04-11 08:23:43', '8', '2.000', '25.000', '0.000', '10.880', '0.000', '0.000', '0.000', '35.880', '', '', '0', 'UPS Ground', '', '', 'Bill', 'Lyons', '38 Greenhouse Road', '', 'Sandwich', 'MA', 'US', '02644', '508-272-2875', 'Bill', 'Lyons', '38 Greenhouse Road', '', 'Sandwich', 'MA', 'US', '02644', '508-272-2875', 'paypal', '', '', '', '1', NULL, 'Hello Rocky! ', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.167.156.86', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('60', '65', 'CapeMassBL@aol.com', 'shopper', '2019-01-14 18:02:00', '2015-04-11 08:25:50', '3', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '0', '', '', '', 'Bill', 'Lyons', '38 Greenhouse Road', '', 'Sandwich', 'MA', 'US', '02644', '508-272-2875', 'Bill', 'Lyons', '38 Greenhouse Road', '', 'Sandwich', 'MA', 'US', '02644', '508-272-2875', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.167.156.86', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('61', '0', 'dspillane45@yahoo.com', '', '2019-01-14 18:02:00', '2015-04-16 12:57:34', '10', '8.000', '100.000', '0.000', '12.270', '0.000', '0.000', '0.000', '112.270', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610390057608', 'dianne', 'spillane', '11 farquhar st ', '', 'roslindale ', 'MA', 'US', '02131', '617 323-7074', 'dianne', 'spillane', '11 farquhar st ', '', 'roslindale ', 'MA', 'US', '02131', '617 323-7074', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DAOBLZLQNTNDGHOMZQJNVOJKJEGQEX', '0', '50.136.16.177', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('62', '0', 'karenbuckley@comcast.net', '', '2019-01-14 18:02:00', '2015-04-21 06:31:02', '10', '4.000', '60.000', '0.000', '11.250', '0.000', '0.000', '0.000', '71.250', '', '', '0', 'UPS Ground', '', '', 'karen', 'buckley', '4 pine ridge road', '', 'wellesley', 'MA', 'US', '02481', '7812378944', 'karen', 'buckley', '4 pine ridge road', '', 'wellesley', 'MA', 'US', '02481', '7812378944', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'URMHQYBWUOGIIFTXOHZSKIHOTLQHTY', '0', '73.186.17.111', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('63', '0', 'brenttaylor123@irvineonline.net', '', '2019-01-14 18:02:00', '2015-04-21 10:43:09', '8', '2.000', '25.000', '0.000', '16.310', '0.000', '0.000', '0.000', '41.310', '', '', '0', 'UPS Ground', '', '', 'Brent', 'taylor', '178 red lick rd.', '', 'irvine', 'KY', 'US', '40336', '8592003965', 'Brent', 'taylor', '178 red lick rd.', '', 'irvine', 'KY', 'US', '40336', '8592003965', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UKNAPQZLWKQVFFDBXEAGUGASAUIFUP', '0', '107.77.68.31', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('64', '0', 'maintjason@yahoo.com', '', '2019-01-14 18:02:00', '2015-04-21 11:29:26', '10', '2.000', '25.000', '0.000', '16.310', '0.000', '0.000', '0.000', '41.310', '', '', '0', 'UPS Ground', '', '', 'Mark', 'Collins', '5204 HWY 92E', '', 'Williamsburg ', 'KY', 'US', '40769', '6062615278', 'Mark', 'Collins', '5204 HWY 92E', '', 'Williamsburg ', 'KY', 'US', '40769', '6062615278', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'OSPNAHVBUUBXTWJOYOJAAPVMGWERAQ', '0', '107.77.90.89', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('65', '0', 'jxnbank2@earthlink.net', '', '2019-01-14 18:02:00', '2015-04-22 18:35:02', '10', '6.000', '80.000', '0.000', '19.960', '0.000', '0.000', '0.000', '99.960', '', '', '0', 'UPS Ground', '', '', 'Jeffrey', 'Bates', 'P.O. Box 3455', '', 'Ketchum', 'ID', 'US', '83340', '208-250-4343', 'Jeffrey', 'Bates', 'P.O. Box 3455', '', 'Ketchum', 'ID', 'US', '83340', '208-250-4343', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RFAOKTXLJTBSQRYMSOPBFQTNQGQYCT', '0', '70.208.9.232', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('66', '0', 'jabrlm123@aol.com', '', '2019-01-14 18:02:00', '2015-04-28 06:33:22', '10', '8.000', '30.000', '0.000', '12.800', '0.000', '0.000', '0.000', '42.800', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610391837497', 'Robert', 'McNeil', '245 Abrahams Lane', '', 'Villanova', 'PA', 'US', '19085', '6109640714', 'Robert', 'McNeil', '245 Abrahams Lane', '', 'Villanova', 'PA', 'US', '19085', '6109640714', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TNRLLQJPSWNTKROVGAXSYTMRYCUTUH', '0', '108.52.104.210', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('67', '0', 'efe@optonline.net', '', '2019-01-14 18:02:00', '2015-05-04 15:08:54', '10', '4.000', '50.000', '0.000', '11.280', '0.000', '0.000', '0.000', '61.280', '', '', '0', 'UPS Ground', '', '', 'elizabeth', 'edwards', '33 Broad Rd.', '', 'Greenwich', 'CT', 'US', '06830', '2038690550', 'elizabeth', 'edwards', '33 Broad Rd.', '', 'Greenwich', 'CT', 'US', '06830', '2038690550', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FPLFRWYYKETZIPIERQQKOUMAIUNULF', '0', '108.27.52.73', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('68', '66', 'Newob2@aol.com', 'shopper', '2019-01-14 18:02:00', '2015-05-07 12:09:06', '10', '2.000', '25.000', '0.000', '10.910', '0.000', '0.000', '0.000', '35.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392532779', 'Robert', 'Bowen', '26 Winter St apt 23', '', 'Saugus', 'MA', 'US', '01906', '7817242386', 'Robert', 'Bowen', '26 Winter St apt 23', '', 'Saugus', 'MA', 'US', '01906', '7817242386', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.17.116.166', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('69', '0', 'efe@optonline.net', '', '2019-01-14 18:02:00', '2015-05-09 13:07:02', '10', '2.000', '30.000', '0.000', '10.910', '0.000', '0.000', '0.000', '40.910', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610390808592', 'elizabeth ', 'edwards', '33 Broad Rd.', '', 'Greenwich', 'CT', 'US', '06830', '2038690550', 'Trip', 'Hershey', '52 Ute Place', '', 'Greenwich', 'CT', 'US', '06830', '2035361572', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FPLFRWYYKETZIPIERQQKOUMAIUNULF', '0', '108.27.52.73', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('70', '48', 'andrewhamel@comcast.net', 'shopper', '2019-01-14 18:02:00', '2015-06-15 15:16:56', '10', '2.000', '30.000', '0.000', '14.040', '0.000', '0.000', '0.000', '44.040', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610398683186', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '71.235.10.27', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('71', '0', 'Morrow1421@gmail.com', '', '2019-01-14 18:02:00', '2015-06-17 18:13:34', '10', '2.000', '30.000', '0.000', '12.120', '0.000', '0.000', '0.000', '42.120', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392843933', 'Jennifer', 'Morrow', '229 Chantrey Road', '', 'Timonium', 'MD', 'US', '21093', '443-739-8884', 'Jennifer', 'Morrow', '229 Chantrey Road', '', 'Timonium', 'MD', 'US', '21093', '443-739-8884', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AUWJFRIBZQOGLJTFJAAFYNHYQUHSED', '0', '98.117.44.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('72', '0', 'davederoin@gmail.com', '', '2019-01-14 18:02:00', '2015-06-25 07:55:42', '10', '2.000', '30.000', '0.000', '13.900', '0.000', '0.000', '0.000', '43.900', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392241173', 'Dave', 'DeRoin', '11505 Gateshead Drive', '', 'OKC', 'OK', 'US', '73170', '4058306324', 'Dave', 'DeRoin', '11505 Gateshead Drive', '', 'OKC', 'OK', 'US', '73170', '4058306324', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'XRLJFGHEZLRQMSUXTZVTLASVGMULUB', '0', '70.196.13.118', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('73', '67', 'wheretobuddy@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-06-25 20:44:09', '10', '2.000', '25.000', '0.000', '10.880', '0.000', '0.000', '0.000', '35.880', '', '', '0', 'UPS Ground', '', '', 'Michael ', 'Golden ', '279 school st', '', 'Marshfield', 'MA', 'US', '02050', '6176946288', 'Michael ', 'Golden ', '279 school st', '', 'Marshfield', 'MA', 'US', '02050', '6176946288', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '108.7.199.69', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('74', '68', 'j_anetakis@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2015-06-28 09:50:22', '10', '4.000', '60.000', '0.000', '13.060', '0.000', '0.000', '0.000', '73.060', '', '', '0', 'UPS Ground', '', '', 'JAMES', 'ANETAKIS', '10012 PINE RIDGE DRIVE', '', 'WEXFORD', 'PA', 'US', '15090', '4128057860', 'JAMES', 'ANETAKIS', '774 MAIN STREET', '', 'FOLLANSBEE', 'WV', 'US', '26037', '4128057860', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'ALCO STORES INC', '', '0', '71.199.111.87', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('75', '0', 'Jmartin@lindenmeyr.com', '', '2019-01-14 18:02:00', '2015-07-13 21:41:11', '8', '2.000', '25.000', '0.000', '12.120', '0.000', '0.000', '0.000', '37.120', '', '', '0', 'UPS Ground', '', '', 'Jay', 'Martin', '3966 Old Columbia Pike ', '', 'Ellicott City ', 'MD', 'US', '21043', '202-361-1824', 'Jay', 'Martin', '3966 Old Columbia Pike ', '', 'Ellicott City ', 'MD', 'US', '21043', '202-361-1824', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Lindenmeyr Munroe', 'Lindenmeyr Munroe', 'OZOEMFJSGXAPSUVVALLXJFQZSPAVKO', '0', '173.64.122.48', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('76', '0', 'Stapletom@aol.com', '', '2019-01-14 18:02:00', '2015-07-16 07:13:07', '10', '2.000', '25.000', '0.000', '11.470', '0.000', '0.000', '0.000', '36.470', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610390805086', 'Thomas', 'Stapleton', '9819 Woodfern Rd', '', 'Philadelphia', 'PA', 'US', '19115', '215-738-3939', 'Thomas', 'Stapleton', '9819 Woodfern Rd', '', 'Philadelphia', 'PA', 'US', '19115', '215-738-3939', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RBRNLXZTWXKGHDGGQTADFCBRAIFMZZ', '0', '71.224.246.234', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('77', '0', 'jharmon@hdc-inc.com', '', '2019-01-14 18:02:00', '2015-07-29 13:02:39', '10', '4.000', '50.000', '0.000', '13.060', '0.000', '0.000', '0.000', '63.060', '', '', '0', 'UPS Ground', '', '', 'john', 'harmon', '10720 beaver dam road', '', 'cockeysville', 'MD', 'US', '21030', '4107711702', 'john', 'harmon', '10720 beaver dam road', '', 'cockeysville', 'MD', 'US', '21030', '4107711702', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'hdc', 'hdc', 'VKLYEWODYYPMLQXVWSNBPSJJNQXKYP', '0', '50.241.154.113', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('78', '69', 'Twleafe@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-08-01 07:46:01', '10', '2.000', '30.000', '0.000', '11.470', '0.000', '0.000', '0.000', '41.470', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610394979810', 'Trevor', 'Leafe', '104 East 98th street', '', 'New York City ', 'NY', 'US', '10029', '6039680164', 'Trevor', 'Leafe', '104 East 98th street', '', 'New York City ', 'NY', 'US', '10029', '6039680164', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '70.199.103.158', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('79', '0', 'maxjungreis99@aol.com', '', '2019-01-14 18:02:00', '2015-08-03 08:28:45', '8', '2.000', '25.000', '0.000', '12.700', '0.000', '0.000', '0.000', '37.700', '', '', '0', 'UPS Ground', '', '', 'Max', 'Jungreis', '1360 Alabama Dr.', '', 'Winter Park', 'FL', 'US', '32789', '4076371926', 'Max', 'Jungreis', '1360 Alabama Dr.', '', 'Winter Park', 'FL', 'US', '32789', '4076371926', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LIJYYRHXUDFAIQYIXNIRBQROINHXCV', '0', '199.167.124.66', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('80', '0', 'maxjungreis99@aol.com', '', '2019-01-14 18:02:00', '2015-08-03 08:33:00', '10', '2.000', '25.000', '0.000', '12.700', '0.000', '0.000', '0.000', '37.700', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392471424', 'Max', 'Jungreis', '1360 Alabama Dr.', '', 'Winter Park', 'FL', 'US', '32789', '4076371926', 'Max', 'Jungreis', '1360 Alabama Dr.', '', 'Winter Park', 'FL', 'US', '32789', '4076371926', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DWJMIVSEJJZBGCHSSWZXRNGBMWKHEG', '0', '199.167.124.66', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('81', '0', 'mickey@4ims.net', '', '2019-01-14 18:02:00', '2015-08-09 10:18:52', '10', '6.000', '75.000', '0.000', '14.090', '0.000', '0.000', '0.000', '89.090', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610398494759', 'Michael', 'Antonelli', '6300 lake Waldron dr', '', 'Clarkston', 'MI', 'US', '48346', '248-802-7188', 'Michael', 'Antonelli', '6300 lake Waldron dr', '', 'Clarkston', 'MI', 'US', '48346', '248-802-7188', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Ims', 'Ims', 'LCHGWQODDBJALDWFTZDZHZWDDFMQED', '0', '75.39.38.0', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('82', '70', 'michaelarieta@mac.com', 'shopper', '2019-01-14 18:02:00', '2015-08-10 15:11:03', '10', '4.000', '50.000', '0.000', '11.250', '0.000', '0.000', '0.000', '61.250', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Arieta', 'P.O. Box 1936', '', 'Duxbury', 'MA', 'US', '02331', '6179700300', 'Michael', 'Arieta', 'P.O. Box 1936', '', 'Duxbury', 'MA', 'US', '02331', '6179700300', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '75.67.89.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('83', '0', 'brandon.ryan.linker@gmail.com', '', '2019-01-14 18:02:00', '2015-08-12 12:54:12', '10', '4.000', '55.000', '0.000', '12.030', '0.000', '0.000', '0.000', '67.030', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610398653413', 'Brandon', 'Linker', '21 Hardin Avenue', '', 'Staten Island', 'NY', 'US', '10310', '9176582284', 'Brandon', 'Linker', '21 Hardin Avenue', '', 'Staten Island', 'NY', 'US', '10310', '9176582284', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HCESAHTUZAYZULZNNGOENGFECPLSQD', '0', '74.64.54.184', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('84', '71', 'gregdemp@hotmail.com', 'shopper', '2019-01-14 18:02:00', '2015-08-22 16:40:41', '10', '2.000', '35.000', '0.000', '15.040', '0.000', '0.000', '0.000', '50.040', '', '', '0', 'UPS Ground', '', '', 'greg', 'dempsey', '46 bunnell st', '', 'winsted', 'CT', 'US', '06098', '860-459-8726', 'greg', 'dempsey', '46 bunnell st', '', 'winsted', 'CT', 'US', '06098', '860-459-8726', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.218.134.150', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('85', '72', 'Bobnchef@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2015-08-23 12:39:53', '8', '2.000', '30.000', '0.000', '11.880', '0.000', '0.000', '0.000', '41.880', '', '', '0', 'UPS Ground', '', '', 'Roberta', 'Benton', '20 Elliot street', '', 'Winthrop', 'MA', 'US', '02152', '5088165663', 'Roberta', 'Benton', '20 Elliot street', '', 'Winthrop', 'MA', 'US', '02152', '5088165663', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '108.49.160.157', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('86', '0', 'joseph.corrigan@diningalliance.com', '', '2019-01-14 18:02:00', '2015-08-26 07:21:58', '10', '2.000', '25.000', '0.000', '10.880', '0.000', '0.000', '0.000', '35.880', '', '', '0', 'UPS Ground', '', '', 'JOSEPH', 'CORRIGAN', '721 E. 6th St. #2', '', 'Boston', 'MA', 'US', '02127', '6177336279', 'JOSEPH', 'CORRIGAN', '721 E. 6th St. #2', '', 'Boston', 'MA', 'US', '02127', '6177336279', 'paypal', '', '', '', '1', NULL, 'You Da Man Rocky...thanks a million for returning my wallet to me bro.\r\n\r\nBest,\r\nJoseph Corrigan', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NLDALNBDPIELPQXROXBRCTUFUGUVZM', '0', '74.104.161.159', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('87', '72', 'bobnchef@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2015-08-27 10:36:58', '8', '2.000', '30.000', '0.000', '11.880', '0.000', '0.000', '0.000', '41.880', '', '', '0', 'UPS Ground', '', '', 'Roberta', 'Benton', '20 Elliot Street', '', 'Winthrop', 'MA', 'US', '02152', '508-816-5663', 'Roberta', 'Benton', '20 Elliot Street', '', 'Winthrop', 'MA', 'US', '02152', '508-816-5663', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '168.233.1.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('88', '0', 'whit.benedict@gmail.com', '', '2019-01-14 18:02:00', '2015-09-13 07:05:12', '10', '2.000', '30.000', '0.000', '10.880', '0.000', '0.000', '0.000', '40.880', '', '', '0', 'UPS Ground', '', '', 'lauren', 'benedict', '94 noroton ave', '', 'darien', 'CT', 'US', '06820', '6173201662', 'lauren', 'benedict', '94 noroton ave', '', 'darien', 'CT', 'US', '06820', '6173201662', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PHHESAAZFHJQSHXAGUMQPQGUNKQFFO', '0', '69.122.134.56', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('89', '0', 'chipkorn@gmail.com', '', '2019-01-14 18:02:00', '2015-09-14 15:26:45', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Peter', 'Korn', 'PO Box 504', '', 'New Vernon', 'NJ', 'US', '07976', '9175090314', 'Peter', 'Korn', 'PO Box 504', '', 'New Vernon', 'NJ', 'US', '07976', '9175090314', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HPHXXEVLLMGBTLZEROOFSEVURCFXYV', '0', '209.242.95.210', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('90', '0', 'meries@gmail.com', '', '2019-01-14 18:02:00', '2015-09-16 12:25:00', '10', '6.000', '80.000', '0.000', '13.350', '0.000', '0.000', '0.000', '93.350', '', '', '0', 'UPS Ground', '', '', 'Mary Ellen D', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107-1936', '856-858-8766', 'Mary Ellen D', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107-1936', '856-858-8766', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VMFUDAMSZWDGRSABNNZFUQGVCRDKRO', '0', '173.71.99.145', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('91', '0', 'Cavstothefinals@aol.com', '', '2019-01-14 18:02:00', '2015-09-21 23:30:53', '10', '2.000', '30.000', '0.000', '11.470', '0.000', '0.000', '0.000', '41.470', '', '', '0', 'UPS Ground', '', '', 'Laurie', 'Coben', '40 Elm Lane', '', 'Bronxville', 'NY', 'US', '10708', '914-337-6083', 'Robert', 'Epes', '4 Campus Square, Box 5001', '', 'Bethlehem', 'PA', 'US', '18015', '914-282-6494', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FXPEXGMQXOGRBEOVZASMRXQNEMGRKC', '0', '128.180.137.214', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('92', '0', 'walklouie@yahoo.com', '', '2019-01-14 18:02:00', '2015-10-09 15:08:24', '8', '4.000', '50.000', '0.000', '13.730', '0.000', '0.000', '0.000', '63.730', '', '', '0', 'UPS Ground', '', '', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AUWXONRSGYFIODSIOZNLQFBFPWAJAI', '0', '68.188.72.203', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('93', '0', 'walklouie@yahoo.com', '', '2019-01-14 18:02:00', '2015-10-09 15:11:06', '10', '4.000', '50.000', '0.000', '13.730', '0.000', '0.000', '0.000', '63.730', '', '', '0', 'UPS Ground', '', '', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HHZIJZGMWUXPDWMRHPBDKQISPYOGYO', '0', '68.188.72.203', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('94', '0', 'maburns@charter.net', '', '2019-01-14 18:02:00', '2015-10-26 05:41:14', '16', '2.000', '25.000', '0.000', '10.830', '0.000', '0.000', '0.000', '35.830', '', '', '0', 'UPS Ground', '', '', 'Maureen', 'Burns', '22 South Rd', '', 'Hampden', 'MA', 'US', '01036', '4135370443', 'Maureen', 'Burns', '22 South Rd', '', 'Hampden', 'MA', 'US', '01036', '4135370443', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZBEAZSDITCSSIGTNMNXHONPZCJOBZX', '0', '97.80.113.160', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('95', '74', 'dylanroche1991@gmail.com', 'shopper', '2019-01-14 18:02:00', '2015-10-28 11:16:45', '10', '2.000', '30.000', '0.000', '10.830', '0.000', '0.000', '0.000', '40.830', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610393755312', 'Dylan', 'Roche', '57 Harris st ', '', 'brookline ', 'MA', 'US', '02446', '617-447-1230', 'Dylan', 'Roche', '57 Harris st ', '', 'brookline ', 'MA', 'US', '02446', '617-447-1230', 'paypal', '', '', '', '1', NULL, 'none', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '98.229.110.34', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('96', '0', 'cheryl.mcconnell@verizon.net', '', '2019-01-14 18:02:00', '2015-11-08 12:55:51', '10', '4.000', '50.000', '0.000', '13.800', '0.000', '0.000', '0.000', '63.800', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610395473300 ', 'Cheryl ', 'McConnell', '6634 Thackston Drive', '', 'Riverview', 'FL', 'US', '33578', '813-677-8891', 'Cheryl ', 'McConnell', '6634 Thackston Drive', '', 'Riverview', 'FL', 'US', '33578', '813-677-8891', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GPXJHDYOKFSYATEBMTILFGIVOHVHWX', '0', '173.65.81.71', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('97', '0', 'carmenlewellen@aol.com', '', '2019-01-14 18:02:00', '2015-11-12 13:03:53', '10', '6.000', '85.000', '0.000', '14.090', '0.000', '0.000', '0.000', '99.090', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610392341001', 'Carmen ', 'Lewellen', '421 HOLIDAY RD', '', 'LEXINGTON', 'KY', 'US', '40502-1004', '15023162875', 'Carmen ', 'Lewellen', '421 HOLIDAY RD', '', 'LEXINGTON', 'KY', 'US', '40502-1004', '15023162875', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FWHHLDXZYTBAUNDIZMKPEKRELPBETV', '0', '107.77.94.55', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('98', '0', 'bburns@splunk.com', '', '2019-01-14 18:02:00', '2015-11-12 14:48:01', '10', '4.000', '50.000', '0.000', '11.250', '0.000', '0.000', '0.000', '61.250', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610399994188', 'Bill', 'Burns', '17 Bayberry Road', '', 'Hingham', 'MA', 'US', '02043', '7818834503', 'Bill', 'Burns', '17 Bayberry Road', '', 'Hingham', 'MA', 'US', '02043', '7818834503', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SQGOCFIPFQTGIXRDMMORUNJLGJUTJV', '0', '71.184.242.30', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('99', '0', 'amy.bills@montgomerycountymd.gov', '', '2019-01-14 18:02:00', '2015-11-13 08:50:21', '10', '4.000', '15.000', '0.000', '13.060', '0.000', '0.000', '0.000', '28.060', '', '', '0', 'UPS Ground', '', '', 'Amy', 'Bills', '12439 Ansin Circle Drive', '', 'Potomac', 'MD', 'US', '20854', '2404474911', 'Amy', 'Bills', '12439 Ansin Circle Drive', '', 'Potomac', 'MD', 'US', '20854', '2404474911', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FONLKFBEOCUFWTIOQKXKDPVXRKVXWC', '0', '208.76.113.3', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('100', '0', 'Jimmyg06@verizon.net', '', '2019-01-14 18:02:00', '2015-11-22 07:29:16', '10', '2.000', '25.000', '0.000', '10.880', '0.000', '0.000', '0.000', '35.880', '', '', '0', 'UPS Ground', '', '', 'James', 'Gould', '16 old beach rd', '', 'Marshfield', 'MA', 'US', '02050', '781-878-1899', 'James', 'Gould', '16 old beach rd', '', 'Marshfield', 'MA', 'US', '02050', '781-878-1899', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LZFVAUJNYFYPUWLXIXUQXOFPONHJAS', '0', '108.49.39.45', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('101', '0', 'tyler1218@yahoo.com', '', '2019-01-14 18:02:00', '2015-11-22 16:18:04', '10', '2.000', '25.000', '0.000', '13.170', '0.000', '0.000', '0.000', '38.170', '', '', '0', 'UPS Ground', '', '', 'Tyler', 'Smith', '320 Windmill Canyon Place', '', 'Clayton', 'CA', 'US', '94517', '9257873128', 'Tyler', 'Smith', '320 Windmill Canyon Place', '', 'Clayton', 'CA', 'US', '94517', '9257873128', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NRHQAOVVKEWGTBAQZCUMIQVWPMPNHB', '0', '73.202.142.193', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('102', '0', 'Sheila.fenn@hotmail.com', '', '2019-01-14 18:02:00', '2015-12-11 12:08:59', '10', '2.000', '25.000', '0.000', '10.880', '0.000', '0.000', '0.000', '35.880', '', '', '0', 'UPS Ground', '', '', 'Sheila', 'Bruce', '67 John Street', '', 'Reading', 'MA', 'US', '01867', '781-942-0905', 'Sheila', 'Bruce', '67 John Street', '', 'Reading', 'MA', 'US', '01867', '781-942-0905', 'paypal', '', '', '', '1', NULL, 'Please deliver before Christmas', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'JMPRZUXFJYKBRYGFOIKOZWMOHRCOQI', '0', '73.238.172.84', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('103', '0', 'hedges.benjamin@gmail.com', '', '2019-01-14 18:02:00', '2015-12-14 09:25:37', '10', '4.000', '50.000', '0.000', '11.250', '0.000', '0.000', '0.000', '61.250', '', '', '0', 'UPS Ground', '', '', 'Benjamin', 'Hedges', '4 Beach Rd', '', 'Hopkinton', 'MA', 'US', '01748', '8609654284', 'Benjamin', 'Hedges', '4 Beach Rd', '', 'Hopkinton', 'MA', 'US', '01748', '8609654284', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YXGYXRYVDFNGTWYNLBOFAGELVZMLAJ', '0', '50.200.106.138', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('104', '75', 'littlewalsh@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-01-04 08:10:49', '10', '2.000', '35.000', '0.000', '1.000', '0.000', '0.000', '0.000', '36.000', '', '', '0', 'Standard Shipping', 'UPS', '  1Z5Y16610397477179 ', 'Deirdre', 'Rushkowski', '39 Hollyberry Rd', '', 'Bristol', 'CT', 'US', '06010', '8605179068', 'Deirdre', 'Rushkowski', '39 Hollyberry Rd', '', 'Bristol', 'CT', 'US', '06010', '8605179068', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '170.202.22.1', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('105', '0', 'tharrop+chickenbox@gmail.com', '', '2019-01-14 18:02:00', '2016-01-19 06:04:48', '10', '8.000', '120.000', '0.000', '12.860', '0.000', '0.000', '0.000', '132.860', '', '', '0', 'UPS Ground', 'UPS', ' 1Z5Y16610394177294', 'Thomas', 'Harrop', '2885 Sanford Ave SW #26686', '', 'Grandville', 'MI', 'US', '49418-1342', '19179166700', 'Thomas', 'Harrop', '100 Climax RD', '', 'Avon', 'CT', 'US', '06001', '19179166700', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PIUOPIRIYLHUMDRPGHWWKFNNWLOMRC', '0', '218.250.108.133', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('106', '0', 'alimccarthy13@gmail.com', '', '2019-01-14 18:02:00', '2016-01-22 15:44:17', '10', '2.000', '30.000', '0.000', '14.900', '0.000', '0.000', '0.000', '44.900', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610393916620', 'Alison', 'McCarthy', '4311 E. Colorado St.', '', 'Long Beach', 'CA', 'US', '90814', '510-415-4029', 'Alison', 'McCarthy', '4311 E. Colorado St.', '', 'Long Beach', 'CA', 'US', '90814', '510-415-4029', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FIELWBSEFIPNMCOLILFPYHHHXEKIWX', '0', '68.135.2.107', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('107', '0', 'sbohn@lynxpromo.com', '', '2019-01-14 18:02:00', '2016-03-27 11:10:48', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Steve', 'Bohn', '25 Circuit Ave', '', 'Scituate', 'MA', 'US', '02066', '508-785-8321', 'Steve', 'Bohn', '25 Circuit Ave', '', 'Scituate', 'MA', 'US', '02066', '508-785-8321', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Unbroken Spirits', 'Unbroken Spirits', 'KWLJIWMCVRBUEYGDQLKPOYPNBUMIGG', '0', '66.31.163.182', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('108', '0', 'hootie@themasterspool.org', '', '2019-01-14 18:02:00', '2016-03-27 11:13:24', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'John', 'Smith', '15 Francis St', '', 'Dover', 'MA', 'US', '02030', '508-785-8321', 'John', 'Smith', '15 Francis St', '', 'Dover', 'MA', 'US', '02030', '508-785-8321', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Acma', 'Acma', 'ZDHWUCDKLTUYXIXPIWXNSBRZEVNLKY', '0', '66.31.163.182', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('109', '0', 'Mail@stevebohn.com', '', '2019-01-14 18:02:00', '2016-03-27 11:19:17', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Sreve', 'Bohn', '25 circuit ave', '', 'Scituate', 'MA', 'US', '02066', '7815451528', 'Sreve', 'Bohn', '25 circuit ave', '', 'Scituate', 'MA', 'US', '02066', '7815451528', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '25 circuit ave', '25 circuit ave', 'ELEMQESRZDUFHQXAQBUUPGMZJJQRUE', '0', '50.153.128.8', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('110', '0', 'cyrkshirts@gmail.com', '', '2019-01-14 18:02:00', '2016-03-27 16:09:26', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'mary lou', 'pitts', '40 crescent ave', '', 'scituate', 'MA', 'US', '02030', '781-545-1528', 'mary lou', 'pitts', '40 crescent ave', '', 'scituate', 'MA', 'US', '02030', '781-545-1528', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DSDMBFMIPGJQYVGKPYYBXVFYBYZYDY', '0', '24.147.173.207', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('111', '76', 'james@wemberly.com', 'shopper', '2019-01-14 18:02:00', '2016-03-31 09:35:58', '10', '2.000', '25.000', '0.000', '12.020', '0.000', '0.000', '0.000', '37.020', '', '', '0', 'UPS Ground', '', '', 'James', 'Duncan', '109 Newlin Green Cir', '', 'Kennett Square', 'PA', 'US', '19348', '6178036728', 'James', 'Duncan', '109 Newlin Green Cir', '', 'Kennett Square', 'PA', 'US', '19348', '6178036728', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '74.103.167.59', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('112', '0', 'chiphurt@gmail.com', '', '2019-01-14 18:02:00', '2016-04-01 21:15:23', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Chip', 'Hurt', '308 S 8th St', '', 'Livingston', 'MT', 'US', '59047', '3123996221', 'Chip', 'Hurt', '308 S 8th St', '', 'Livingston', 'MT', 'US', '59047', '3123996221', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'IYZYYETUBBIIEPKSPTPMOVWFODNWHU', '0', '72.174.166.176', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('113', '0', 'benjaminbaldwin860@gmail.com', '', '2019-01-14 18:02:00', '2016-04-05 12:23:08', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Benjamin', 'Baldwin', '62 Old Mill Road', '', 'Wethersfield', 'CT', 'US', '06109', '(860) 402-4131', 'Benjamin', 'Baldwin', '62 Old Mill Road', '', 'Wethersfield', 'CT', 'US', '06109', '(860) 402-4131', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AVDWKKCIODNYAZPHMLOKZYGBVWRUUY', '0', '206.213.251.32', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('114', '0', 'benjaminbaldwin860@gmail.com', '', '2019-01-14 18:02:00', '2016-04-08 15:54:58', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Benjamin', 'Baldwin', '62 Old Mill Road', '', 'Wethersfield', 'CT', 'US', '06109', '(860) 402-4131', 'Benjamin', 'Baldwin', '62 Old Mill Road', '', 'Wethersfield', 'CT', 'US', '06109', '(860) 402-4131', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YFLHCQIARQSUEDBOLAYMAAHUXYVHDP', '0', '68.230.154.63', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('115', '0', 'kchristensen90@gmail.com', '', '2019-01-14 18:02:00', '2016-04-09 16:08:19', '10', '2.000', '30.000', '0.000', '11.990', '0.000', '0.000', '0.000', '41.990', '', '', '0', 'UPS Ground', '', '', 'Kyle', 'Christensen', '375 South End Ave, Apt 21N', '', 'New York', 'NY', 'US', '10280', '4156862876', 'Kyle', 'Christensen', '375 South End Ave, Apt 21N', '', 'New York', 'NY', 'US', '10280', '4156862876', 'paypal', '', '', '', '1', NULL, 'Kyle Christensen', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ATREWTCILSDTTHIIMFMCTRLCCYVTGC', '0', '72.227.132.97', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('116', '53', 'bwanateva@aol.com', 'shopper', '2019-01-14 18:02:00', '2016-04-14 15:25:40', '10', '4.000', '55.000', '0.000', '13.660', '0.000', '0.000', '0.000', '68.660', '', '', '0', 'UPS Ground', '', '', 'Michael', 'O\'Hare', '7908 Yancey Dr', '', 'Falls Church', 'VA', 'US', '22042', '7032899993', 'Michael', 'O\'Hare', '7908 Yancey Dr', '', 'Falls Church', 'VA', 'US', '22042', '7032899993', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '50.118.145.39', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('117', '0', 'ktbyron@msn.com', '', '2019-01-14 18:02:00', '2016-04-28 07:28:54', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Kevin', 'Byron', '20 cuthbert street', '', 'scotia', 'NY', 'US', '12302', '5183762721', 'Kevin', 'Byron', '20 cuthbert street', '', 'scotia', 'NY', 'US', '12302', '5183762721', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HEZRSBGQCATRLDELPXGGJWCFWTNWYP', '0', '45.47.196.106', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('118', '0', 'kdkiernan@gmail.com', '', '2019-01-14 18:02:00', '2016-05-04 16:47:42', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Kyle', 'Kiernan', '28 st martin street', '', 'charlestown', 'MA', 'US', '02129', '9785480284', 'Kyle', 'Kiernan', '28 st martin street', '', 'charlestown', 'MA', 'US', '02129', '9785480284', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'JHRGAGDFRUSFIOLHKFSLCFXSFBIEOZ', '0', '98.229.146.211', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('119', '77', 'Dougmuench@me.com', 'shopper', '2019-01-14 18:02:00', '2016-05-17 09:20:11', '10', '10.000', '110.000', '0.000', '14.260', '0.000', '0.000', '0.000', '124.260', '', '', '0', 'UPS Ground', '', '', 'Doug', 'Muench', '2 Ashleigh Lane', '', 'Brookfield', 'CT', 'US', '06804', '2039945403', 'Doug', 'Muench', '2 Ashleigh Lane', '', 'Brookfield', 'CT', 'US', '06804', '2039945403', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '107.77.106.27', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('120', '0', 'michael.fontneau@gmail.com', '', '2019-01-14 18:02:00', '2016-05-24 18:36:08', '10', '2.000', '30.000', '0.000', '11.400', '0.000', '0.000', '0.000', '41.400', '', '', '0', 'UPS Ground', 'UPS', ' 1Z5Y16610399567443', 'Michael', 'Fontneau', '130 Pleasant St', '', 'Nantucket', 'MA', 'US', '02554', '2033955230', 'Michael', 'Fontneau', '281 Shawmut Ave  APT #A (Basement)', '', 'Boston', 'MA', 'US', '02118', '2033955230', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QZFOJRDNIGMTSAFUMYWRHLUGQUOXGB', '0', '73.47.152.63', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('121', '0', 'cbwedlich@gmail.com', '', '2019-01-14 18:02:00', '2016-05-26 15:06:54', '10', '8.000', '110.000', '0.000', '16.430', '0.000', '0.000', '0.000', '126.430', '', '', '0', 'UPS Ground', '', '', 'Chrisann', 'Wedlich', '13806 Ivymount', '', 'Sugar Land', 'TX', 'US', '77498', '281-242-7133', 'Chrisann', 'Wedlich', '13806 Ivymount', '', 'Sugar Land', 'TX', 'US', '77498', '281-242-7133', 'paypal', '', '', '', '1', NULL, 'Please let us know when the pint glasses are back. :))', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Carriage Candle Company, Inc.', 'Carriage Candle Company, Inc.', 'LLCUWIAKYYXNDTOYYRYLNUCFREZFCQ', '0', '98.198.103.224', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('122', '78', 'scottsperry66@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-06-12 10:50:15', '10', '4.000', '55.000', '0.000', '18.280', '0.000', '0.000', '0.000', '73.280', '', '', '0', 'UPS Ground', '', '', 'scott', 'sperry', 'p.o box 7966', '', 'breckenridge', 'CO', 'US', '80424', '9703891505', 'scott', 'sperry', '144 gold run circle ste.33/box1060', '', 'dillon', 'CO', 'US', '80435', '9703891505', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '70.59.24.212', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('123', '0', 'Lordideme@gmail.com', '', '2019-01-14 18:02:00', '2016-06-26 13:29:17', '10', '2.000', '30.000', '0.000', '12.400', '0.000', '0.000', '0.000', '42.400', '', '', '0', 'UPS Ground', '', '', 'Jason', 'Bristol', '1061 wtry rd', '', 'Schenectady ', 'NY', 'US', '12309', '518-698-6347', 'Jason', 'Bristol', '1061 wtry rd', '', 'Schenectady ', 'NY', 'US', '12309', '518-698-6347', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DGXUVDWHNEOAJZYDJKZIEDVZDULVQU', '0', '166.137.12.18', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('124', '48', 'andrewhamel@comcast.net', 'shopper', '2019-01-14 18:02:00', '2016-07-03 13:32:38', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'Andrew', 'Hamel', '476 Haley Road', '', 'Kittery Point', 'ME', 'US', '03905', '9785025686', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '66.30.229.20', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('125', '0', 'Msatin2@gmail.com', '', '2019-01-14 18:02:00', '2016-07-12 18:14:47', '10', '2.000', '25.000', '0.000', '12.080', '0.000', '0.000', '0.000', '37.080', '', '', '0', 'UPS Ground', '', '', 'Michelle', 'Bergstein', '207 Haven Rd', '', 'Franklin Lakes', 'NJ', 'US', '07417', '2012261200', 'Michelle', 'Bergstein', '207 Haven Rd', '', 'Franklin Lakes', 'NJ', 'US', '07417', '2012261200', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GEUVBAFSVSIQTLDYOMTMUNJWZEZDHL', '0', '108.35.168.251', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('126', '79', 'amychase81081@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-07-14 19:28:58', '10', '4.000', '55.000', '0.000', '11.840', '0.000', '0.000', '0.000', '66.840', '', '', '0', 'UPS Ground', 'UPS', '1Z5Y16610397507690', 'Amy', 'Buinicky', '11 Rosemary St.', '', 'JAMAICA PLAIN', 'MA', 'US', '02130', '6179093505', 'Amy', 'Buinicky', '11 Rosemary St.', '', 'JAMAICA PLAIN', 'MA', 'US', '02130', '6179093505', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.167.12.245', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('127', '0', 'michaeltrentel@yahoo.com', '', '2019-01-14 18:02:00', '2016-07-14 20:10:56', '10', '5.000', '65.000', '0.000', '14.130', '0.000', '0.000', '0.000', '79.130', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Trentel', '5601 park street', '', 'Mentor on the lake', 'OH', 'US', '44060', '440-525-0666', 'Michael', 'Trentel', '5601 park street', '', 'Mentor on the lake', 'OH', 'US', '44060', '440-525-0666', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YWECBTYSEJDOYPAJPFVHBGGMGFNKOW', '0', '24.166.105.248', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('128', '0', 'jike_1973@yahoo.com', '', '2019-01-14 18:02:00', '2016-07-15 07:15:03', '10', '3.000', '40.000', '0.000', '12.440', '0.000', '0.000', '0.000', '52.440', '', '', '0', 'UPS Ground', '', '', 'james', 'ikeler', '6 bennet court', '', 'marlboro', 'NJ', 'US', '07746', '3472780841', 'james', 'ikeler', '6 bennet court', '', 'marlboro', 'NJ', 'US', '07746', '3472780841', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AEUKWUNAPVUEOUYLDCYQGPUPOYSPTS', '0', '148.106.4.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('129', '80', 'tempestandco@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2016-07-25 12:07:24', '10', '3.000', '25.000', '0.000', '12.580', '0.000', '0.000', '0.000', '37.580', '', '', '0', 'UPS Ground', '', '', 'Simon', 'Tempest', '7 Parsons Walk', '', 'Marshfield', 'MA', 'US', '02050', '6177214614', 'Simon', 'Tempest', '7 Parsons Walk', '', 'Marshfield', 'MA', 'US', '02050', '6177214614', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Tempest & Co', 'Tempest & Co', '', '0', '76.119.77.13', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('130', '0', 'kroeppler@bellsouth.net', '', '2019-01-14 18:02:00', '2016-07-25 20:56:21', '10', '2.000', '25.000', '0.000', '12.970', '0.000', '0.000', '0.000', '37.970', '', '', '0', 'UPS Ground', '', '', 'Scott', 'Kroeppler', '4913 E. Monte Cristo Ave', '', 'Scottsdale', 'AZ', 'US', '85254', '480-619-9698', 'Karl ', 'Kroeppler', '305 Gantt Trace', '', 'Woodstock', 'GA', 'US', '30188', '678-539-7506', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GHZINRWSLQCBVPJYBTRJKWWELMQGKN', '0', '70.190.201.149', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('131', '81', 'Ericjraymond@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-07-26 19:47:04', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Eric', 'Raymind', '601 7th street', '', 'Mosinee', 'WI', 'US', '54455', '715-551-9491', 'Eric', 'Raymind', '601 7th street', '', 'Mosinee', 'WI', 'US', '54455', '715-551-9491', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '107.77.89.75', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('132', '0', 'hoganp15@gmail.com', '', '2019-01-14 18:02:00', '2016-07-28 08:08:42', '10', '2.000', '25.000', '0.000', '12.970', '0.000', '0.000', '0.000', '37.970', '', '', '0', 'UPS Ground', '', '', 'Paige', 'Hogan', '4505 River Rill Ct. ', '', 'Atlanta', 'GA', 'US', '30327', '4048957113', 'Paige', 'Hogan', '4505 River Rill Ct. ', '', 'Atlanta', 'GA', 'US', '30327', '4048957113', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RKPRCKRHYXUHVNWFZICFXISSMJOZYS', '0', '73.7.147.14', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('133', '0', 'Michael.arieta@gmail.com', '', '2019-01-14 18:02:00', '2016-07-31 06:26:01', '10', '6.000', '45.000', '0.000', '12.180', '0.000', '0.000', '0.000', '57.180', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Arieta', '100 Parks Street, 10A', '', 'Duxbury', 'MA', 'US', '02332', '6179700300', 'Michael', 'Arieta', '100 Parks Street, 10A', '', 'Duxbury', 'MA', 'US', '02332', '6179700300', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MYCTBQPPUMCFWCHGPGWXFDEJCBIDJU', '0', '75.67.89.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('134', '0', 'converseng@g.cofc.edu', '', '2019-01-14 18:02:00', '2016-08-01 16:13:18', '8', '2.000', '25.000', '0.000', '14.800', '0.000', '0.000', '0.000', '39.800', '', '', '0', 'UPS Ground', '', '', 'nick', 'converse', '117 east 72nd street', '', 'new york', 'NY', 'US', '10021', '6467531919', 'nick', 'converse', '61 tennessee street', '', 'nantucket', 'MA', 'US', '02554', '6467531919', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ISRZYOVIFKQCNPGMYVYQYPJFDGZAWB', '0', '76.19.128.251', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('135', '0', 'Kaitlindonahuee@gmail.com', '', '2019-01-14 18:02:00', '2016-08-03 06:47:33', '10', '2.000', '25.000', '0.000', '14.800', '0.000', '0.000', '0.000', '39.800', '', '', '0', 'UPS Ground', '', '', 'Stephen', 'Donahue', '131 Church St. Suite 200', '', 'Burlington', 'VT', 'US', '05401', '8023555490', 'Kaitlin', 'Donahue', '18 Atlantic Ave #2', '', 'Nantucket', 'MA', 'US', '02554', '8023555490', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HDNMCXMOLVGWXXNFJHZVLKSICYANUH', '0', '50.133.166.82', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('136', '82', 'vaccarof@fmvaccaro.com', 'shopper', '2019-01-14 18:02:00', '2016-08-06 17:10:25', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Frank ', 'Vaccaro', '124 bay hill dr', '', 'Blue bell ', 'PA', 'US', '19423', '2153175128', 'Frank ', 'Vaccaro', '124 bay hill dr', '', 'Blue bell ', 'PA', 'US', '19423', '2153175128', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '73.81.154.89', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('137', '0', 'so46@gunet.georgetown.edu', '', '2019-01-14 18:02:00', '2016-08-07 11:21:20', '10', '2.000', '30.000', '0.000', '12.800', '0.000', '0.000', '0.000', '42.800', '', '', '0', 'UPS Ground', '', '', 'Sharon', 'OBrien', '8229 Burning Tree Rd', '', 'Bethesda', 'MD', 'US', '20817', '301-535-7224', 'Sharon', 'OBrien', '8229 Burning Tree Rd', '', 'Bethesda', 'MD', 'US', '20817', '301-535-7224', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UIADZQYDQOZWKSCILNNTQAJZXFAERT', '0', '67.216.158.59', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('138', '83', 'cdfigg@verizon.net', 'shopper', '2019-01-14 18:02:00', '2016-08-08 10:05:16', '10', '7.000', '80.000', '0.000', '15.490', '0.000', '0.000', '0.000', '95.490', '', '', '0', 'UPS Ground', '', '', 'Coleman', 'Figg', '2800 Cassaway Rd', '', 'Midlothian', 'VA', 'US', '23113', '8047044066', 'Coleman', 'Figg', '2800 Cassaway Rd', '', 'Midlothian', 'VA', 'US', '23113', '8047044066', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '98.117.79.158', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('139', '0', 'sweaverint@optonline.net', '', '2019-01-14 18:02:00', '2016-08-09 15:49:48', '10', '5.000', '50.000', '0.000', '12.910', '0.000', '0.000', '0.000', '62.910', '', '', '0', 'UPS Ground', '', '', 'sarah', 'hartigan', '283 Brookside Road', '', 'Darien', 'CT', 'US', '06820', '203-656-9694', 'sarah', 'hartigan', '283 Brookside Road', '', 'Darien', 'CT', 'US', '06820', '203-656-9694', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WYDFKCRRZWCWWHASPOCEATRBJBCRBG', '0', '50.187.113.186', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('140', '0', 'michael.fontneau@gmail.com', '', '2019-01-14 18:02:00', '2016-08-15 06:47:37', '10', '5.000', '50.000', '0.000', '11.910', '0.000', '0.000', '0.000', '61.910', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Fontneau', '130 Pleasant St', '', 'Nantucket', 'MA', 'US', '02554', '2033955230', 'Michael', 'Fontneau', '50 Milk Street, Suite 13', '', 'Boston', 'MA', 'US', '02109', '2033955230', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Datto', 'ZNEAAWHHXUSNDTNRKETMLJMFODKSHO', '0', '8.33.72.250', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('141', '0', 'patrickryanbush@aol.com', '', '2019-01-14 18:02:00', '2016-08-15 10:19:44', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'patrick ryan', 'bush', '99 bull street', '', 'charleston', 'SC', 'US', '29401', '8439917926', 'Ryan', 'Bush', '109 Wappoo Creek Drive, Ste 2-B', '', 'Charleston', 'SC', 'US', '29412', '8439917926', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'e-vos', 'CBTZDVZDICSELUIKWAOLPQGUNUJQTJ', '0', '73.131.100.88', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('142', '84', 'cartlaw1@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-08-16 13:56:59', '10', '2.000', '25.000', '0.000', '12.800', '0.000', '0.000', '0.000', '37.800', '', '', '0', 'UPS Ground', '', '', 'Richard', 'Carter', '416 Jefferson St', '', 'Annapolis', 'MD', 'US', '21403', '7035490076', 'Richard', 'Carter', '416 Jefferson St', '', 'Annapolis', 'MD', 'US', '21403', '7035490076', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '72.81.245.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('143', '85', 'bwk3@mac.com', 'shopper', '2019-01-14 18:02:00', '2016-08-17 09:52:34', '10', '3.000', '20.000', '0.000', '11.610', '0.000', '0.000', '0.000', '31.610', '', '', '0', 'UPS Ground', '', '', 'Brad', 'Ketchum', '12 University Ln', '', 'Manchester', 'MA', 'US', '01944', '9787049745', 'Brad', 'Ketchum', '12 University Ln', '', 'Manchester', 'MA', 'US', '01944', '9787049745', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '98.118.3.15', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('144', '86', 'tim.loehr@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-08-17 11:46:04', '10', '3.000', '20.000', '0.000', '11.610', '0.000', '0.000', '0.000', '31.610', '', '', '0', 'UPS Ground', '', '', 'Timothy', 'Loehr', '481 CHIEF JUSTICE CUSHING HWY', '', 'COHASSET', 'MA', 'US', '02025', '2037882997', 'Timothy', 'Loehr', '481 CHIEF JUSTICE CUSHING HWY', '', 'COHASSET', 'MA', 'US', '02025', '2037882997', 'paypal', '', '', '', '1', NULL, 'Timothy Loehr', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '205.135.168.10', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('145', '0', 'corey.schneid1@gmail.com', '', '2019-01-14 18:02:00', '2016-08-17 12:46:50', '10', '3.000', '20.000', '0.000', '11.610', '0.000', '0.000', '0.000', '31.610', '', '', '0', 'UPS Ground', '', '', 'Corey', 'Schneider', '5 Golden Court', '', 'Westborough ', 'MA', 'US', '01581', '508-353-3491', 'Corey ', 'Schneider', '330 Congress Street', '', 'Boston', 'MA', 'US', '02210', '508-353-3491', 'paypal', '', '', '', '1', NULL, 'Floor 2 ', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'EverTrue', 'MYWORLBAFKAHEUUGFZVRDMXZLLETFM', '0', '64.119.134.166', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('146', '0', 'Rdonohue@colby.edu', '', '2019-01-14 18:02:00', '2016-08-17 20:47:42', '10', '2.000', '35.000', '0.000', '12.480', '0.000', '0.000', '0.000', '47.480', '', '', '0', 'UPS Ground', '', '', 'Robert', 'Donohue', '40 Robert St', '', 'Clinton ', 'MA', 'US', '01510', '9786183290', 'Robert', 'Donohue', '40 Robert St', '', 'Clinton ', 'MA', 'US', '01510', '9786183290', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GQESIQAASDCGMPCVHPMHCYIKXMSKTR', '0', '73.114.19.144', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('147', '0', 'huntmhlh@gmail.com', '', '2019-01-14 18:02:00', '2016-08-18 05:18:41', '10', '5.000', '45.000', '0.000', '11.910', '0.000', '0.000', '0.000', '56.910', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Hunt', '145 Old Wood Road', '', 'North Attleboro', 'MA', 'US', '02760', '508-958-4440', 'Michael', 'Hunt', '145 Old Wood Road', '', 'North Attleboro', 'MA', 'US', '02760', '508-958-4440', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MJIVJFQCEAAVLVKYXUCAEAIIDBVLQR', '0', '96.237.74.77', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('148', '0', 'Apowell@jkj.com', '', '2019-01-14 18:02:00', '2016-08-19 09:52:36', '10', '2.000', '30.000', '0.000', '13.100', '0.000', '0.000', '0.000', '43.100', '', '', '0', 'UPS Ground', '', '', 'Amy', 'Powell ', '4717 McNeil Road', '', 'Doylestown ', 'PA', 'US', '18902', '8043019610', 'Amy', 'Powell ', '4717 McNeil Road', '', 'Doylestown ', 'PA', 'US', '18902', '8043019610', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'EIMRWDQPABEDSKWBSUXIYKCJMGZDYP', '0', '174.201.17.221', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('149', '0', 'bethfinkelstein1@gmail.com', '', '2019-01-14 18:02:00', '2016-08-20 10:50:11', '10', '6.000', '75.000', '0.000', '15.520', '0.000', '0.000', '0.000', '90.520', '', '', '0', 'UPS Ground', '', '', 'beth', 'finkelstein', '22 riverside drive, apt 4', '', 'new york', 'NY', 'US', '10023', '9177338445', 'beth', 'finkelstein', '213 madaket road', '', 'Nantucket', 'MA', 'US', '02554', '9177338445', 'paypal', '', '', '', '1', NULL, 'Beth finkelstein', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YRDZYAZSRURMYIILQTSBIMFNTDFMLF', '0', '50.187.115.218', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('150', '0', 'bethfinkelstein1@gmail.com', '', '2019-01-14 18:02:00', '2016-08-20 10:56:38', '10', '2.000', '25.000', '0.000', '14.800', '0.000', '0.000', '0.000', '39.800', '', '', '0', 'UPS Ground', '', '', 'beth ', 'finkelstein', '22 riverside drive, apt 4', '', 'new york', 'NY', 'US', '10023', '9177338445', 'beth ', 'finkelstein', '213 madaket road', '', 'Nantucket', 'MA', 'US', '02554', '9177338445', 'paypal', '', '', '', '1', NULL, 'Beth finkelstein', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AAHSNZTABONHSEUJMSCQNNGAVMPMGR', '0', '50.187.115.218', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('151', '0', 'comerford.aj@gmail.com', '', '2019-01-14 18:02:00', '2016-08-22 11:08:34', '10', '6.000', '50.000', '0.000', '13.030', '0.000', '0.000', '0.000', '63.030', '', '', '0', 'UPS Ground', '', '', 'Alexandra', 'Comerford', '422 W 55th Street', '', 'New York', 'NY', 'US', '10019', '8472711744', 'Alexandra', 'Comerford', '31 W 52nd Street, Floor 22', '', 'New York', 'NY', 'US', '10019', '8472711744', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Centerview Partners', 'FNZIRHBBSKADCYXFQRWLXDJSZQRGUJ', '0', '38.108.229.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('152', '0', 'rerusso38@gmail.com', '', '2019-01-14 18:02:00', '2016-08-22 14:14:44', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Ralph', 'Russo', '201 E 82nd Street', '', 'New York', 'NY', 'US', '10028', '8562968664', 'Ralph', 'Russo', '201 E 82nd Street', '', 'New York', 'NY', 'US', '10028', '8562968664', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YHLTOZLXENJMOSPDSWRXTUJQYRHCDM', '0', '65.118.222.116', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('153', '0', 'apowell@jkj.com', '', '2019-01-14 18:02:00', '2016-08-23 13:01:50', '10', '3.000', '25.000', '0.000', '12.470', '0.000', '0.000', '0.000', '37.470', '', '', '0', 'UPS Ground', '', '', 'Amy', 'Powell', '4717 Mcneil Road', '', 'Doylestown', 'PA', 'US', '18902', '8043019610', 'Amy', 'Powell', '4717 Mcneil Road', '', 'Doylestown', 'PA', 'US', '18902', '8043019610', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'OEPWUVUYYVHCEEQVQBFTBJQQEXWQML', '0', '71.224.50.59', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('154', '0', 'petershu@umich.edu', '', '2019-01-14 18:02:00', '2016-08-24 16:31:28', '10', '8.000', '75.000', '0.000', '15.360', '0.000', '0.000', '0.000', '90.360', '', '', '0', 'UPS Ground', '', '', 'Peter E.', 'Shumaker', '40 Lee Gate Lane', '', 'Grosse Pointe', 'MI', 'US', '48236', '3138863120', 'Peter E.', 'Shumaker', '17220 Mack Ave.', '', 'Grosse Pointe', 'MI', 'US', '48230', '3138863120', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LZZCRKZVARURYFVNJMCENVHRKBMDPT', '0', '98.209.205.189', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('155', '0', 'mjschu63@gmail.com', '', '2019-01-14 18:02:00', '2016-08-24 20:27:50', '10', '2.000', '25.000', '0.000', '13.900', '0.000', '0.000', '0.000', '38.900', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Schumacher', '32 Forest St', '', 'Sherborn', 'MA', 'US', '01770', '617-593-3968', 'Scott', 'Moore', '737 Graymont Circle', '', 'Concord', 'CA', 'US', '94518', '617-593-3968', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QXJPIYAFVHVQOBZPBOWNQWWUUZIEPV', '0', '173.48.212.69', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('156', '0', 'Waystack@gmail.com', '', '2019-01-14 18:02:00', '2016-08-28 16:10:35', '10', '3.000', '25.000', '0.000', '11.610', '0.000', '0.000', '0.000', '36.610', '', '', '0', 'UPS Ground', '', '', 'Melissa', 'Waystack', '71 Rutland st #2', '', 'Boston', 'MA', 'US', '02118', '917 292 0664', 'Melissa', 'Waystack', '200 Clarendon st 55th fl', '', 'Boston', 'MA', 'US', '02116', '9172920664', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Arclight Capital', 'XBHMRHWQZLPHTEWDHWFDFYQOUUEPRJ', '0', '24.62.186.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('157', '0', 'acarm44454@hotmail.com', '', '2019-01-14 18:02:00', '2016-08-31 10:31:24', '10', '2.000', '25.000', '0.000', '13.410', '0.000', '0.000', '0.000', '38.410', '', '', '0', 'UPS Ground', '', '', 'Arthur', 'Carmody III', '1011 Erie St', '', 'Shreveport', 'LA', 'US', '71106', '3183933009', 'Arthur', 'Carmody III', '1011 Erie St', '', 'Shreveport', 'LA', 'US', '71106', '3183933009', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VHAGDYYPEENUYCISYFPPYRSWUJJLXS', '0', '159.53.78.142', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('158', '0', 'Emhert@gmail.com', '', '2019-01-14 18:02:00', '2016-09-01 13:24:16', '10', '2.000', '25.000', '0.000', '11.480', '0.000', '0.000', '0.000', '36.480', '', '', '0', 'UPS Ground', '', '', 'Emily ', 'Hertenstein', '184 Kings Wood Drive', '', 'Avon', 'CT', 'US', '06001', '8609668824', 'Emily ', 'Hertenstein', '6 Maitland Court', '', 'Newport', 'RI', 'US', '02840', '8609668824', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'OJKYQJLNWQGPTCDRMRYLQQAGZEZUKO', '0', '174.192.6.240', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('159', '0', 'John.silvia@nninc.com', '', '2019-01-14 18:02:00', '2016-09-04 18:29:42', '10', '3.000', '25.000', '0.000', '11.610', '0.000', '0.000', '0.000', '36.610', '', '', '0', 'UPS Ground', '', '', 'John ', 'Silvia', '16 Prospect street ', '', 'Dartmouth ', 'MA', 'US', '02748', '7744518059', 'John ', 'Silvia', '16 Prospect street ', '', 'Dartmouth ', 'MA', 'US', '02748', '7744518059', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AMYXSDTVJGMWUARGTASCKRAJYNLSTN', '0', '172.56.22.128', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('160', '0', 'blgreene22@comcast.net', '', '2019-01-14 18:02:00', '2016-09-05 11:26:43', '10', '6.000', '50.000', '0.000', '12.180', '0.000', '0.000', '0.000', '62.180', '', '', '0', 'UPS Ground', '', '', 'Lisa', 'Greene', '22 Stearns Lane', '', 'Sudbury', 'MA', 'US', '01776', '978 460-1224', 'Lisa', 'Greene', '22 Stearns Lane', '', 'Sudbury', 'MA', 'US', '01776', '978 460-1224', 'paypal', '', '', '', '1', NULL, 'Brian Greene', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZSBPIMRJFDPFMUEHXRGGNJBJZPNCPT', '0', '50.138.170.236', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('161', '88', 'markmikitka@gmail.com', 'shopper', '2019-01-14 18:02:00', '2016-09-08 12:52:50', '10', '5.000', '50.000', '0.000', '11.890', '0.000', '0.000', '0.000', '61.890', '', '', '0', 'UPS Ground', '', '', 'Mark', 'Mikitka', '12 Avery Lane', '', 'Andover', 'MA', 'US', '01810', '6179476485', 'Mark', 'Mikitka', '12 Avery Lane', '', 'Andover', 'MA', 'US', '01810', '6179476485', 'paypal', '', '', '', '1', NULL, 'Mark Mikitka', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Mr.', 'Mr.', '', '0', '204.14.236.152', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('162', '0', 'sphutton22@gmail.com', '', '2019-01-14 18:02:00', '2016-09-08 14:39:57', '10', '2.000', '25.000', '0.000', '12.770', '0.000', '0.000', '0.000', '37.770', '', '', '0', 'UPS Ground', '', '', 'Stephen', 'Hutton', '469 Apple Orchard lane', '', 'webster', 'NY', 'US', '14580', '5854559178', 'Stephen', 'Hutton', '194 Culver Road', '', 'Rochester', 'NY', 'US', '14607', '5854559178', 'paypal', '', '', '', '1', NULL, 'Stephen Hutton', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NYVJMNTQEKGYETKHENUJPQBQNNXFPN', '0', '67.97.247.190', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('163', '0', 'emoroark@gmail.com', '', '2019-01-14 18:02:00', '2016-09-08 18:48:08', '10', '2.000', '25.000', '0.000', '11.460', '0.000', '0.000', '0.000', '36.460', '', '', '0', 'UPS Ground', '', '', 'Evan', 'O\'Roark', '701 Meadowecrest Circle', '', 'Ludlow', 'MA', 'US', '01056', '4135307072', 'Evan', 'O\'Roark', '701 Meadowecrest Circle', '', 'Ludlow', 'MA', 'US', '01056', '4135307072', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KCNKGGXMQCEEITFIZPUJCZGWAOHGVB', '0', '24.179.121.245', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('164', '0', 'nickandsharone@gmail.com', '', '2019-01-14 18:02:00', '2016-09-09 12:43:47', '10', '2.000', '25.000', '0.000', '13.380', '0.000', '0.000', '0.000', '38.380', '', '', '0', 'UPS Ground', '', '', 'Sharon', 'Engelman', '2410 Campbell Rd', '', 'Clearwater', 'FL', 'US', '33765', '7275156837', 'Sharon', 'Engelman', '2410 Campbell Rd', '', 'Clearwater', 'FL', 'US', '33765', '7275156837', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MHBIPJECDQBXQSNALTWTRAYLEVPBBV', '0', '70.126.241.210', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('165', '0', 'Martinaj4@verizon.net', '', '2019-01-14 18:02:00', '2016-09-09 18:52:28', '10', '4.000', '50.000', '0.000', '13.760', '0.000', '0.000', '0.000', '63.760', '', '', '0', 'UPS Ground', '', '', 'Jay', 'Martin', '3966 Old Columbia Pike ', '', 'Ellicott City ', 'MD', 'US', '21043', '2023611824', 'Jay', 'Martin', '3966 Old Columbia Pike ', '', 'Ellicott City ', 'MD', 'US', '21043', '2023611824', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NANRGCPTTXQDGWQSNLRGYDATGLPECN', '0', '71.244.154.17', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('166', '0', 'anne.haberman@gmail.com', '', '2019-01-14 18:02:00', '2016-09-12 07:11:44', '10', '2.000', '25.000', '0.000', '12.770', '0.000', '0.000', '0.000', '37.770', '', '', '0', 'UPS Ground', '', '', 'Anne', 'Haberman', '218 West 10th St, Apt 2D', '', 'New York', 'NY', 'US', '10014', '4102991294', 'Joe', 'Haberman', '909 Applewood Lane', '', 'Baltimore', 'MD', 'US', '21212', '4102991294', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RCKYJZTLTEFSBURRCFOXOEZCFUGRSW', '0', '74.202.85.210', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('167', '0', 'huntmhlh@gmail.com', '', '2019-01-14 18:02:00', '2016-09-12 17:53:16', '10', '10.000', '100.000', '0.000', '13.320', '0.000', '0.000', '0.000', '113.320', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Hunt', '145 Old Wood Road', '', 'North Attleboro', 'MA', 'US', '02760', '5089584440', 'Michael', 'Hunt', '145 Old Wood Road', '', 'North Attleboro', 'MA', 'US', '02760', '5089584440', 'paypal', '', '', '', '1', NULL, 'Michael Hunt', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'URCQUATQJAUBNSGUCLXPSEUKINKEJI', '0', '96.252.76.127', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('168', '0', 'gberube@maclellanoil.com', '', '2019-01-14 18:02:00', '2016-09-13 14:16:30', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Garrett', 'Berube', '1 Peppercorn lane', '', 'andover', 'MA', 'US', '01810', '9782653284', 'Garrett', 'Berube', '1 Peppercorn lane', '', 'andover', 'MA', 'US', '01810', '9782653284', 'paypal', '', '', '', '1', NULL, 'Garrett Berube', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YFLVZUGSOMPERIAZLGYYPHTIEXBXKM', '0', '50.252.253.89', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('169', '0', 'lbstockwell@hotmail.com', '', '2019-01-14 18:02:00', '2016-09-27 05:03:07', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Linwood', 'Stockwell', 'P O Box 17, 67 Rock Ledge Drive', '', 'Phippsburg', 'ME', 'US', '04562', '2073892151', 'Linwood', 'Stockwell', 'P O Box 17, 67 Rock Ledge Drive', '', 'Phippsburg', 'ME', 'US', '04562', '2073892151', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MGBCAGLEDNHGSFNDOKUYLDXYFPGXJL', '0', '166.137.252.21', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('170', '0', 'mullmj13@wfu.edu', '', '2019-01-14 18:02:00', '2016-10-02 18:36:20', '10', '2.000', '25.000', '0.000', '12.970', '0.000', '0.000', '0.000', '37.970', '', '', '0', 'UPS Ground', '', '', 'Matthew', 'Mullen', '760 S. County Rd.', '', 'Palm Beach', 'FL', 'US', '33480', '3125195950', 'Matthew', 'Mullen', '1834 Wake Forest Rd., P.O. Box 28990', '', 'Winston-Salem', 'FL', 'US', '27106', '3125195950', 'paypal', '', '', '', '1', NULL, 'Matthew Mullen', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZYDFQKUKBQXWHVVMCXKRFIYJUYYFXX', '0', '45.36.132.232', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('171', '0', 'hbenedictterrell@yahoo.com', '', '2019-01-14 18:02:00', '2016-10-03 08:36:08', '10', '12.000', '100.000', '0.000', '15.170', '0.000', '0.000', '0.000', '115.170', '', '', '0', 'UPS Ground', '', '', 'Heather ', 'Terrell', '422 Woodland Road', '', 'Sewickley', 'PA', 'US', '15143', '4127412558', 'Jeff and Suzanne', 'Watters', '107 Woodland Road', '', 'Sewickley', 'PA', 'US', '15143', '4127412558', 'paypal', '', '', '', '1', NULL, 'Please include a gift card that says: Thanks for Nantucket -- especially the Chicken Box!  XO The Terrells', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SATDBXCDDXGSYUZWWXQKDFZXJUZXVL', '0', '73.154.237.101', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('172', '0', 'davidrobinson60@comcast.net', '', '2019-01-14 18:02:00', '2016-10-05 15:56:54', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'David', 'Robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'David', 'Robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Outer Space', 'Outer Space', 'GRDKUYMLHGGBSHWUHQQURKRMOMTYKC', '0', '96.33.172.187', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('173', '0', 'davidrobinson60@comcast.net', '', '2019-01-14 18:02:00', '2016-10-05 16:10:50', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'David', 'Robinson', '85 No. Main Street, unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413 213 0069', 'David', 'Robinson', '85 No. Main Street, unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413 213 0069', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Outerspace Band', 'Outerspace Band', 'RBRDBCVSHAWRNCFQSQWJFAQZUUXECS', '0', '96.33.172.187', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('174', '0', 'spmcevoy@gmail.com', '', '2019-01-14 18:02:00', '2016-10-09 10:37:18', '10', '4.000', '55.000', '0.000', '14.760', '0.000', '0.000', '0.000', '69.760', '', '', '0', 'UPS Ground', '', '', 'Sean', 'McEvoy', '6719 Landon Lane', '', 'Bethesda', 'MD', 'US', '20817', '3016740682', 'Sean', 'McEvoy', '6719 Landon Lane', '', 'Bethesda', 'MD', 'US', '20817', '3016740682', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NLJIGFXZPOUSMKXTCBDFXTCFCMZLNA', '0', '71.191.205.182', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('175', '0', 'davidrobinson60@comcast.net', '', '2019-01-14 18:02:00', '2016-10-11 18:11:46', '8', '2.000', '30.000', '0.000', '15.760', '0.000', '0.000', '0.000', '45.760', '', '', '0', 'UPS Ground', '', '', 'marjorie ', 'robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'marjorie ', 'robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QUDPTMQBPBDQQZXOZAVWENZYQMBKCN', '0', '96.33.172.187', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('176', '0', 'davidrobinson60@comcast.net', '', '2019-01-14 18:02:00', '2016-10-11 18:26:06', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Marjorie ', 'Robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'Marjorie ', 'Robinson', '85 No. Main St., Unit 3', '', 'Belchertown ', 'MA', 'US', '01007', '413-213-0069', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QFSFJQQDXUWAQZNVVDIEMVPHIJMOTD', '0', '96.33.172.187', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('177', '89', 'ngallant@my.uri.edu', 'shopper', '2019-01-14 18:02:00', '2016-10-14 18:48:39', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Nicholas', 'Gallant', '33 Tamarack circle', '', 'North Kingstown', 'RI', 'US', '02840', '4013300486', 'Nicholas', 'Gallant', '33 Tamarack circle', '', 'North Kingstown', 'RI', 'US', '02840', '4013300486', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '68.0.217.214', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('178', '0', 'splitrock129@comcast.net', '', '2019-01-14 18:02:00', '2016-10-25 13:30:55', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'ALISON', 'SHORT', '129 Branch Street', '', 'Scituate', 'MA', 'US', '02066', '339-788-0932', 'ALISON', 'SHORT', '129 Branch Street', '', 'Scituate', 'MA', 'US', '02066', '339-788-0932', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KGLRXJNVFANHVRFUPVZZKGHGEUUCEO', '0', '204.60.84.2', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('179', '0', 'tkmoor12@stlawu.edu', '', '2019-01-14 18:02:00', '2016-11-03 15:17:12', '10', '3.000', '25.000', '0.000', '15.750', '0.000', '0.000', '0.000', '40.750', '', '', '0', 'UPS Ground', '', '', 'Todd', 'Moores', '71 Forest street', '', 'Manchester', 'MA', 'US', '01944', '9782902946', 'Todd', 'Moores', '23 Romoda Drive', '', 'Canton', 'NY', 'US', '13617', '9782902946', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'SMC #1181', 'ZVIXSZARWXBUMJBPSWGGDQOODAKAPZ', '0', '69.6.105.78', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('180', '0', 'jharrison@searchpath.com', '', '2019-01-14 18:02:00', '2016-11-09 13:11:02', '8', '2.000', '25.000', '0.000', '12.970', '0.000', '0.000', '0.000', '37.970', '', '', '0', 'UPS Ground', '', '', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'paypal', '', '', '', '1', NULL, 'Jeffrey S. Harrison', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'JPQNCLSFWLRLEBDMLMVCKSFQDEBRYY', '0', '24.127.205.10', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('181', '0', 'jharrison@searchpath.com', '', '2019-01-14 18:02:00', '2016-11-11 12:41:23', '8', '2.000', '25.000', '0.000', '12.970', '0.000', '0.000', '0.000', '37.970', '', '', '0', 'UPS Ground', '', '', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'paypal', '', '', '', '1', NULL, 'Jeffrey S. Harrison', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YMRBQVCHUXDGQTNUCFECGUBQCMBLPC', '0', '24.127.205.10', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('182', '0', 'jharrison@searchpath.com', '', '2019-01-14 18:02:00', '2016-11-11 15:54:18', '10', '4.000', '50.000', '0.000', '14.220', '0.000', '0.000', '0.000', '64.220', '', '', '0', 'UPS Ground', '', '', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'Jeffrey', 'Harrison', '1588 Royal Crescent Dr.', '', 'Holt', 'MI', 'US', '48842', '5178891135', 'paypal', '', '', '', '1', NULL, 'Jeffrey S. Harrison', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BOPUFXCWNBXHMNDNHDMWLCMDLCDAIE', '0', '24.127.205.10', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('183', '0', 'Tjkniffen@gmail.com', '', '2019-01-14 18:02:00', '2016-11-12 08:29:49', '10', '4.000', '55.000', '0.000', '12.840', '0.000', '0.000', '0.000', '67.840', '', '', '0', 'UPS Ground', '', '', 'Todd', 'Kniffen', '5 Everett Street #1', '', 'Newport', 'RI', 'US', '02840', '6077605031', 'Todd', 'Kniffen', '5 Everett Street #1', '', 'Newport', 'RI', 'US', '02840', '6077605031', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HPYHURZCUBGPELFXSOXSRPWMLZPIGJ', '0', '100.1.251.66', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('184', '0', 'delafieldisland81@gmail.com', '', '2019-01-14 18:02:00', '2016-11-29 17:26:21', '10', '2.000', '25.000', '0.000', '13.870', '0.000', '0.000', '0.000', '38.870', '', '', '0', 'UPS Ground', '', '', 'Barbara', 'Alvarez', 'PO Box 3096', '', 'Truckee', 'CA', 'US', '96160', '415/7303292', 'Barbara', 'Alvarez', 'PO Box 3096', '', 'Truckee', 'CA', 'US', '96160', '415/7303292', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ENJGRUPTNRKJUBFUAWQZKWTRMBLILU', '0', '47.208.189.76', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('185', '0', 'jbirdsey@sbcglobal.net', '', '2019-01-14 18:02:00', '2016-12-03 10:43:33', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Hilary', 'Birdsey', '41 East Mountain Dr.', '', 'Southington', 'CT', 'US', '06489', '860-919-3065', 'Hilary', 'Birdsey', '41 East Mountain Dr.', '', 'Southington', 'CT', 'US', '06489', '860-919-3065', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UQNCKAKZEZDTTFUSHFTACWBGTLFTVQ', '0', '32.213.105.1', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('186', '0', 'lisa@rmgfinance.com', '', '2019-01-14 18:02:00', '2016-12-04 18:34:52', '10', '5.000', '50.000', '0.000', '11.890', '0.000', '0.000', '0.000', '61.890', '', '', '0', 'UPS Ground', '', '', 'Lisa', 'LaPolice', '8 River Wind Road', '', 'New Canaan', 'CT', 'US', '06840', '2035544872', 'Lisa', 'LaPolice', '8 River Wind Road', '', 'New Canaan', 'CT', 'US', '06840', '2035544872', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BGEFDDEUGEXSABKSCVERUXJWBULOLA', '0', '24.44.1.7', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('187', '0', 'puffy401@aol.com', '', '2019-01-14 18:02:00', '2016-12-06 11:48:11', '10', '2.000', '25.000', '0.000', '0.000', '0.000', '0.000', '0.000', '25.000', '', '', '0', 'UPS Ground', '', '', 'patrick', 'moore', '1005A E. 14th St.', '', 'Austin', 'TX', 'US', '78702', '8572226921', 'patrick', 'moore', '724 e. 2nd street, Unit 1', '', 'boston', 'MA', 'US', '02127', '8572226921', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DAZYFJPQULRUORKCKVGJEJSIZPPPJO', '0', '67.79.8.124', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('188', '0', 'shandaley@hotmail.com', '', '2019-01-14 18:02:00', '2016-12-07 12:53:38', '10', '5.000', '50.000', '0.000', '11.910', '0.000', '0.000', '0.000', '61.910', '', '', '0', 'UPS Ground', '', '', 'Shannon ', 'Martino', '65 Shadowood Rd', '', 'Fairfield', 'CT', 'US', '06824', '203-923-3747', 'Shannon ', 'Martino', '65 Shadowood Rd', '', 'Fairfield', 'CT', 'US', '06824', '203-923-3747', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TGLMDHDFRRNTRBLXLZLGRGHTRRKREQ', '0', '32.209.205.232', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('189', '0', 'gpz1@williams.edu', '', '2019-01-14 18:02:00', '2016-12-07 14:34:49', '10', '2.000', '25.000', '0.000', '11.480', '0.000', '0.000', '0.000', '36.480', '', '', '0', 'UPS Ground', '', '', 'Gregory', 'Zaffino', '316 Mansfield Ave', '', 'Darien', 'CT', 'US', '06820', '2032466279', 'Gregory', 'Zaffino', '316 Mansfield Ave', '', 'Darien', 'CT', 'US', '06820', '2032466279', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DJIDGODHMQZNGQPMKMRQLLLZDRSQOK', '0', '74.70.139.242', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('190', '0', 'caitlincarmela.collins@gmail.com', '', '2019-01-14 18:02:00', '2016-12-13 14:16:29', '10', '5.000', '55.000', '0.000', '15.170', '0.000', '0.000', '0.000', '70.170', '', '', '0', 'UPS Ground', '', '', 'Caitlin', 'Collins', '748 7th Street SE, Apt B', '', 'Washington DC', '0', 'US', '20003', '5707139781', 'Caitlin', 'Collins', '1829 Bay Street SE', '', 'Washington DC', '0', 'US', '20003', '5707139781', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TCWFMTPSXVDMCKIQGYERRDVMAXGRNN', '0', '73.129.246.21', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('191', '0', 'jbroderick07@gmail.com', '', '2019-01-14 18:02:00', '2016-12-14 13:13:16', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Joseph', 'Broderick', '91 Harvard Ave Apt B', '', 'Brookline', 'MA', 'US', '02446', '781-249-4755', 'Joseph', 'Broderick', '91 Harvard Ave Apt B', '', 'Brookline', 'MA', 'US', '02446', '781-249-4755', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YEKYDQXNNHTEYJDRRGYWCXHRRTNAIY', '0', '38.97.103.188', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('192', '0', 'michelle_cayer@yahoo.com', '', '2019-01-14 18:02:00', '2016-12-16 06:21:41', '10', '2.000', '25.000', '0.000', '11.480', '0.000', '0.000', '0.000', '36.480', '', '', '0', 'UPS Ground', '', '', 'michelle', 'cayer', '55 Sohier Street', '', 'Cohassey', 'MA', 'US', '02025', '5082438066', 'michelle', 'cayer', '55 Sohier Street', '', 'Cohassey', 'MA', 'US', '02025', '5082438066', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YBALAZGNSWUERVJAQHPBMBLKZNRAKQ', '0', '73.114.25.237', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('193', '0', 'smgaffney@crimson.ua.edu', '', '2019-01-14 18:02:00', '2016-12-21 13:26:53', '10', '2.000', '25.000', '0.000', '11.480', '0.000', '0.000', '0.000', '36.480', '', '', '0', 'UPS Ground', '', '', 'mary ', 'gaffney ', '55 Long Pond Road', '', 'west barnstable', 'MA', 'US', '02648', '5082805298', 'mary ', 'gaffney ', '55 Long Pond Road', '', 'west barnstable', 'MA', 'US', '02648', '5082805298', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GIIXRLACCJWECMRPIHIJWPVJLMXBHD', '0', '73.114.27.77', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('194', '0', 'dorisarkis@gmail.com', '', '2019-01-14 18:02:00', '2017-01-02 12:37:13', '8', '2.000', '25.000', '0.000', '12.070', '0.000', '0.000', '0.000', '37.070', '', '', '0', 'UPS Ground', '', '', 'Dorianna', 'Sarkis', '14 Worth\'s Lane', '', 'West Newbury', 'MA', 'US', '01985', '9788066118', 'Dorianna', 'Sarkis', 'GSS Box 10668 University of New Hampshire', '', 'Durham', 'NH', 'US', '03824', '9788066118', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VFSXIUUCWIQEDVBPDNCOOXFRWBFIVR', '0', '73.114.35.153', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('195', '0', 'Traviswinston617@gmail.com', '', '2019-01-14 18:02:00', '2017-01-02 21:35:46', '10', '3.000', '25.000', '0.000', '12.210', '0.000', '0.000', '0.000', '37.210', '', '', '0', 'UPS Ground', '', '', 'Travis', 'Winston', '394 Hammond st ', '', 'Chestnut Hill', 'MA', 'US', '02467', '8572430040', 'Travis', 'Winston', '394 Hammond st ', '', 'Chestnut Hill', 'MA', 'US', '02467', '8572430040', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LKWEHMOSQFIABIMCJKOIXTGDPXWZJB', '0', '174.192.5.55', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('196', '0', 'Bartone@sbcglobal.net', '', '2019-01-14 18:02:00', '2017-01-05 19:58:21', '10', '2.000', '35.000', '0.000', '13.070', '0.000', '0.000', '0.000', '48.070', '', '', '0', 'UPS Ground', '', '', 'Erin', 'Goodhue', '129 stonepost road', '', 'Glastonbury', 'CT', 'US', '06033', '8609661627', 'Erin', 'Goodhue', '129 stonepost road', '', 'Glastonbury', 'CT', 'US', '06033', '8609661627', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QRHBGFNXOEXYFGLSDHOCNJAFXJFNGF', '0', '32.209.229.15', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('197', '0', 'middleton@nobadeerpartners.com', '', '2019-01-14 18:02:00', '2017-02-07 14:37:24', '10', '6.000', '75.000', '0.000', '12.850', '0.000', '0.000', '0.000', '87.850', '', '', '0', 'UPS Ground', '', '', 'THOMAS', 'middleton', '667 esplanade', '', 'PELHAM', 'NY', 'US', '10803', '9145827221', 'THOMAS', 'middleton', '667 esplanade', '', 'PELHAM', 'NY', 'US', '10803', '9145827221', 'paypal', '', '', '', '1', NULL, 'THOMAS middleton', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ACUIJOIZUQYYJPTJPFNOEASCMWDZUS', '0', '76.123.196.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('198', '0', 'ngallant@my.uri.edu', '', '2019-01-14 18:02:00', '2017-02-24 20:59:31', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Nick', 'Gallant', '212 Goddard Row', '', 'Newport', 'RI', 'US', '02840', '4013300486', 'Nick', 'Gallant', '33 Tamarack circle', '', 'North Kingstown', 'RI', 'US', '02840', '4013300486', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'HXREDLWVHWBFKTNDSONFFSBZTZMUVZ', '0', '68.0.217.214', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('199', '91', 'Dmurph70@gmail.com', 'shopper', '2019-01-14 18:02:00', '2017-03-05 16:31:45', '10', '6.000', '50.000', '0.000', '12.850', '0.000', '0.000', '0.000', '62.850', '', '', '0', 'UPS Ground', '', '', 'Dan', 'Murphy', '92 Walnut street, #1L', '', 'Dorchester', 'MA', 'US', '02122', '6177996986', 'Dan', 'Murphy', '92 Walnut street, #1L', '', 'Dorchester', 'MA', 'US', '02122', '6177996986', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '98.217.180.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('200', '0', 'oceanspraybuddy@yahoo.com', '', '2019-01-14 18:02:00', '2017-03-06 10:26:02', '10', '4.000', '50.000', '0.000', '12.500', '0.000', '0.000', '0.000', '62.500', '', '', '0', 'UPS Ground', '', '', 'Henry', 'LaShoto', '131 Doty St', '', 'Waltham', 'MA', 'US', '02452', '6179999253', 'Henry', 'LaShoto', '131 Doty St', '', 'Waltham', 'MA', 'US', '02452', '6179999253', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'JJWJMBUZHVGOZDDWBAWVCYDOQXNCIZ', '0', '174.192.5.97', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('201', '0', 'jpags44@hotmail.com', '', '2019-01-14 18:02:00', '2017-03-07 17:47:01', '10', '2.000', '25.000', '0.000', '13.490', '0.000', '0.000', '0.000', '38.490', '', '', '0', 'UPS Ground', '', '', 'John', 'Paleologos', '3044 N Street NW', '', 'Washington', '0', 'US', '20007', '2407933318', 'John', 'Paleologos', '3044 N Street NW', '', 'Washington', '0', 'US', '20007', '2407933318', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'IIGMHGPYGTAWPFJQFHHZPCESEEHEDQ', '0', '174.205.10.90', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('202', '92', 'Kebsphone@gmail.com', 'shopper', '2019-01-14 18:02:00', '2017-04-01 12:07:26', '10', '4.000', '55.000', '0.000', '13.500', '0.000', '0.000', '0.000', '68.500', '', '', '0', 'UPS Ground', '', '', 'Kenneth ', 'Button ', '14 Lincoln Rd', '', 'Plymouth ', 'MA', 'US', '02360', '704-560-1887', 'Kenneth ', 'Button ', '14 Lincoln Rd', '', 'Plymouth ', 'MA', 'US', '02360', '704-560-1887', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '96.237.154.176', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('203', '92', 'Kebsphone@gmail.com', 'shopper', '2019-01-14 18:02:00', '2017-04-01 12:16:10', '10', '6.000', '50.000', '0.000', '12.850', '0.000', '0.000', '0.000', '62.850', '', '', '0', 'UPS Ground', '', '', 'Kenneth ', 'Button ', '14 Lincoln Rd', '', 'Plymouth ', 'MA', 'US', '02360', '704-560-1887', 'Kenneth ', 'Button ', '14 Lincoln Rd', '', 'Plymouth ', 'MA', 'US', '02360', '704-560-1887', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '96.237.154.176', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('204', '0', 'andrewjlogie@yahoo.com', '', '2019-01-14 18:02:00', '2017-04-07 10:52:35', '10', '2.000', '25.000', '0.000', '14.140', '0.000', '0.000', '0.000', '39.140', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Logie', '56 Kelley Rd.', '', 'West Harwich', 'MA', 'US', '02671', '5089046260', 'Sarah ', 'Gaffney', 'Wesley Place', '', 'Tuscaloosa', 'AL', 'US', '35401', '5082805298', 'paypal', '', '', '', '1', NULL, 'I love your box', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '255A', 'AAHCRGLESMNZMBHDWHBYRGHGWQEOVE', '0', '130.127.255.226', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('205', '0', 'michael.fontneau@gmail.com', '', '2019-01-14 18:02:00', '2017-04-21 07:29:26', '10', '3.000', '25.000', '0.000', '12.240', '0.000', '0.000', '0.000', '37.240', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Fontneau', '281 Shawmut Ave, Apartment A', '', 'Boston', 'MA', 'US', '02118', '2033955230', 'Michael', 'Fontneau', '281 Shawmut Ave, Apartment A', '', 'Boston', 'MA', 'US', '02118', '2033955230', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'EMROKFDPWLPOOPVIKSTJJWNMJMUEHB', '0', '8.33.72.250', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('206', '93', 'Dmbalsam@hotmail.com', 'shopper', '2019-01-14 18:02:00', '2017-04-23 10:11:38', '10', '3.000', '30.000', '0.000', '15.350', '0.000', '0.000', '0.000', '45.350', '', '', '0', 'UPS Ground', '', '', 'Douglas ', 'Balsam', '494 Greenleaf Ave', '', 'Glencoe', 'IL', 'US', '60022', '3125207712', 'Douglas ', 'Balsam', '494 Greenleaf Ave', '', 'Glencoe', 'IL', 'US', '60022', '3125207712', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '174.221.129.124', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('207', '0', 'dave@talent-finders.com', '', '2019-01-14 18:02:00', '2017-04-27 10:05:31', '10', '4.000', '50.000', '0.000', '16.730', '0.000', '0.000', '0.000', '66.730', '', '', '0', 'UPS Ground', '', '', 'David ', 'Henry', '12853 NW Lorraine Drive', '', 'Portland', 'OR', 'US', '97229', '971227-2525', 'David ', 'Henry', '12853 NW Lorraine Drive', '', 'Portland', 'OR', 'US', '97229', '971227-2525', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RSQFQACCGRTWEHDFREPPMBHEXZSSAM', '0', '73.157.218.196', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('208', '0', 'Rubiy669@verizon.net', '', '2019-01-14 18:02:00', '2017-05-17 13:43:47', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'John', 'Mullane', '29 pine st ', '', 'Holbrook ', 'MA', 'US', '02343', '781 664 0539', 'John', 'Mullane', '29 pine st ', '', 'Holbrook ', 'MA', 'US', '02343', '781 664 0539', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QEIXDMYUHBPKOBTDFETIMAOYREHGSW', '0', '71.174.229.184', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('209', '0', 'Beantown7890@yahoo.com', '', '2019-01-14 18:02:00', '2017-05-17 21:43:10', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Michael ', 'Kreitzer ', 'PO Box 146637', '', 'Boston', 'MA', 'US', '02114', '617-398-0202', 'Mike', 'Kreitzer', '53 Hancock St., Unit 4', '', 'Boston ', 'MA', 'US', '02114', '617-398-0202', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'XMFFNUUHSNONNXJORTQXLMJHLTAWOE', '0', '76.118.10.139', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('210', '0', 'chet_fsinsurance@mw.twcbc.com', '', '2019-01-14 18:02:00', '2017-05-28 18:17:32', '10', '3.000', '25.000', '0.000', '14.350', '0.000', '0.000', '0.000', '39.350', '', '', '0', 'UPS Ground', '', '', 'Chet', 'Smithhart', '133 North Main St', '', 'Henderson', 'KY', 'US', '42420', '2708266948', 'Chet', 'Smithhart', '133 North Main St', '', 'Henderson', 'KY', 'US', '42420', '2708266948', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RGYPRXPPQLFXEBHBROLKXEUYUYJTRK', '0', '74.133.71.108', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('211', '0', 'metaldesig@aol.com', '', '2019-01-14 18:02:00', '2017-05-29 13:02:41', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Walter', 'Dodge', '46 Edgerton Street', '', 'Darien', 'CT', 'US', '06820', '9174398383', 'Walter', 'Dodge', '46 Edgerton Street', '', 'Darien', 'CT', 'US', '06820', '9174398383', 'paypal', '', '', '', '1', NULL, 'Walter', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZZALAKIJBUNNTIKOZMILPQULVSXPET', '0', '24.47.99.215', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('212', '0', 'Joey.carini@gmail.com', '', '2019-01-14 18:02:00', '2017-05-29 19:17:52', '8', '4.000', '55.000', '0.000', '13.500', '0.000', '0.000', '0.000', '68.500', '', '', '0', 'UPS Ground', '', '', 'Joseph', 'Carini', '34 Sherman Street', '', 'Foxboro ', 'MA', 'US', '02035', '508-369-3179', 'Joseph', 'Carini', '34 Sherman Street', '', 'Foxboro ', 'MA', 'US', '02035', '508-369-3179', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UPWCCNFEETRYBINMHPFJLBSIHURWGY', '0', '24.62.127.160', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('213', '0', 'piispanen.m@husky.neu.edu', '', '2019-01-14 18:02:00', '2017-06-01 14:36:13', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Matthew', 'Piispanen', '111 Gainsborough St, Apt #403', '', 'Boston', 'MA', 'US', '02115', '7815919051', 'Matthew', 'Piispanen', '111 Gainsborough St, Apt #403', '', 'Boston', 'MA', 'US', '02115', '7815919051', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AQBADAZOEBFASHHWHIYNEDWQKURMKY', '0', '73.126.89.44', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('214', '0', 'rosed08@highpoint.edu', '', '2019-01-14 18:02:00', '2017-06-02 11:22:17', '10', '2.000', '30.000', '0.000', '13.100', '0.000', '0.000', '0.000', '43.100', '', '', '0', 'UPS Ground', '', '', 'Daniel', 'Rose', '1 Eagle Rd', '', 'Woburn', 'MA', 'US', '01801', '6034556013', 'Daniel', 'Rose', '1 Eagle Rd', '', 'Woburn', 'MA', 'US', '01801', '6034556013', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VAWMYOCODRMCMTDSTWCDKRFPDMMJQW', '0', '166.181.84.31', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('215', '0', 'mcolumbus@google.com', '', '2019-01-14 18:02:00', '2017-06-15 18:22:33', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Mike', 'Columbus', '5 Stoddard Rd', '', 'Hingham', 'MA', 'US', '02043', '6172590545', 'Mike', 'Columbus', '5 Stoddard Rd', '', 'Hingham', 'MA', 'US', '02043', '6172590545', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AZTQYKUZOLYPSGCWPZOUXSNRYHXEGR', '0', '24.62.53.19', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('216', '0', 'john.dulemba@gmail.com', '', '2019-01-14 18:02:00', '2017-06-22 19:59:17', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'John', 'Dulemba', '9631 Nonquitt Dr', '', 'Fairfax', 'VA', 'US', '22031', '2022770875', 'Janice', 'Dulemba', '197 Stony Hill Rd, 11-2C', '', 'Chatham', 'MA', 'US', '02633', '2022770875', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RFVREFBCZRORVBBGWFTFRXTMNXJAWP', '0', '65.96.57.178', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('217', '0', 'mbbrads@gmail.com', '', '2019-01-14 18:02:00', '2017-06-23 06:27:12', '10', '3.000', '25.000', '0.000', '12.240', '0.000', '0.000', '0.000', '37.240', '', '', '0', 'UPS Ground', '', '', 'Matthew', 'Bradley', '68 Middle Street, Apt 1', '', 'Boston', 'MA', 'US', '02127', '6174833017', 'Matthew', 'Bradley', '68 Middle Street, Apt 1', '', 'Boston', 'MA', 'US', '02127', '6174833017', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PVEMWMVVEBTCSPRLGEKCCTNQLFXWGR', '0', '24.147.69.204', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('218', '0', 'Joe.Garin@gmail.com', '', '2019-01-14 18:02:00', '2017-06-23 21:30:39', '10', '2.000', '25.000', '0.000', '14.680', '0.000', '0.000', '0.000', '39.680', '', '', '0', 'UPS Ground', '', '', 'Joseph ', 'Garin', '11661 Bradford Commons Dr.', '', 'Las Vegas', 'NV', 'US', '89135-1317', '702-219-7395', 'Joseph ', 'Garin', '11661 Bradford Commons Dr.', '', 'Las Vegas', 'NV', 'US', '89135-1317', '702-219-7395', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RQPESKIVKEKAFCXETVZTUJNAAYCYAY', '0', '68.96.194.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('219', '0', 'andrewleavitt12@gmail.com', '', '2019-01-14 18:02:00', '2017-07-02 08:00:45', '8', '2.000', '30.000', '0.000', '13.070', '0.000', '0.000', '0.000', '43.070', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Leavitt', '25 Washington Drive', '', 'Raymond', 'NH', 'US', '03077', '6033030208', 'Andrew', 'Leavitt', '25 Washington Drive', '', 'Raymond', 'NH', 'US', '03077', '6033030208', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SRVIZEIWWNUZRFIQLJHPCJNMWWAARJ', '0', '66.31.77.145', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('220', '0', 'andrewleavitt12@gmail.com', '', '2019-01-14 18:02:00', '2017-07-02 08:02:10', '10', '2.000', '30.000', '0.000', '13.070', '0.000', '0.000', '0.000', '43.070', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Leavitt', '25 Washington Drive', '', 'Raymond', 'NH', 'US', '03077', '6033030208', 'Andrew', 'Leavitt', '25 Washington Drive', '', 'Raymond', 'NH', 'US', '03077', '6033030208', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TRNPMVBYUFNRDMZHVFVWUQEJUFOEML', '0', '66.31.77.145', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('221', '0', 'aburke2389@gmail.com', '', '2019-01-14 18:02:00', '2017-07-07 14:16:07', '10', '2.000', '30.000', '0.000', '13.070', '0.000', '0.000', '0.000', '43.070', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Burke', '2 bass ct', '', 'dartmouth', 'MA', 'US', '02747', '5089225686', 'Andrew', 'Burke', '78 East Transit St', '', 'PROVIDENCE', 'RI', 'US', '02906-3821', '5089225686', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YAHCHZFYLEBWNTRLCSGIXKYCATWVOL', '0', '192.223.136.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('222', '94', 'jasonrglass@gmail.com', 'shopper', '2019-01-14 18:02:00', '2017-07-07 17:33:52', '10', '12.000', '100.000', '0.000', '15.150', '0.000', '0.000', '0.000', '115.150', '', '', '0', 'UPS Ground', '', '', 'Jason', 'Glass', '49 Walker Street, Apt #3', '', 'New York', 'NY', 'US', '10013', '9175723689', 'Jason', 'Glass', '49 Walker Street, Apt #3', '', 'New York', 'NY', 'US', '10013', '9175723689', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '67.245.117.128', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('223', '95', 'dmb567@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2017-07-11 12:12:21', '10', '2.000', '25.000', '0.000', '14.100', '0.000', '0.000', '0.000', '39.100', '', '', '0', 'UPS Ground', '', '', 'Donna', 'Bauer', '133 Autumn Pine Drive', '', 'Fairview Hgts', 'IL', 'US', '62208', '618-616-3645', 'Donna', 'Bauer', '526 Maranda Estates', '', 'Shiloh', 'IL', 'US', '62269', '618-616-3645', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '63.241.40.126', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('224', '0', 'Mimi@seabreezevb.com', '', '2019-01-14 18:02:00', '2017-07-11 19:29:03', '8', '6.000', '75.000', '0.000', '15.030', '0.000', '0.000', '0.000', '90.030', '', '', '0', 'UPS Ground', '', '', 'Mark', 'Scanlon', '1104 York lane ', '', 'Virginia beach', 'VA', 'US', '23452', '7576201109', 'Mark', 'Scanlon', '1104 York lane ', '', 'Virginia beach', 'VA', 'US', '23452', '7576201109', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PYODRWRIYIVGIJFLMKPWQITTZKVXJX', '0', '174.226.7.200', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('225', '0', 'Mfparker1972@gmail.com', '', '2019-01-14 18:02:00', '2017-07-12 19:39:41', '8', '3.000', '25.000', '0.000', '14.770', '0.000', '0.000', '0.000', '39.770', '', '', '0', 'UPS Ground', '', '', 'Mary', 'Parker', '628 Princeton gate drive', '', 'Chesterfield', 'MO', 'US', '63017', '3144827033', 'Mary', 'Parker', '628 Princeton gate drive', '', 'Chesterfield', 'MO', 'US', '63017', '3144827033', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NDLJORXTIUDLUBRTDPNDJOYHOKBAZU', '0', '99.153.201.247', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('226', '0', 'Matthew.goyette@cit.com', '', '2019-01-14 18:02:00', '2017-07-12 19:50:14', '10', '3.000', '25.000', '0.000', '12.210', '0.000', '0.000', '0.000', '37.210', '', '', '0', 'UPS Ground', '', '', 'Matt', 'Goyette', '750 Brackett Rd', '', 'Rye', 'NH', 'US', '03870', '6035010788', 'Matt', 'Goyette', '750 Brackett Rd', '', 'Rye', 'NH', 'US', '03870', '6035010788', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FJSOXJEPJDEFXRXFSMNANHBJYMLQSE', '0', '71.235.8.86', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('227', '0', 'cwilliams@marketingwerks.com', '', '2019-01-14 18:02:00', '2017-07-12 20:25:03', '10', '3.000', '25.000', '0.000', '14.310', '0.000', '0.000', '0.000', '39.310', '', '', '0', 'UPS Ground', '', '', 'Christopher ', 'Williams ', '525 West Hawthorne Place 2708', '', 'Chicago ', 'IL', 'US', '60657', '937-470-5760', 'Christopher ', 'Williams ', '525 West Hawthorne Place 2708', '', 'Chicago ', 'IL', 'US', '60657', '937-470-5760', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QUJLYXCOMNFDGWPPILPMTPTWGNNQIZ', '0', '24.136.24.16', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('228', '0', 'jeds@alum.dartmouth.org', '', '2019-01-14 18:02:00', '2017-07-12 20:59:59', '10', '3.000', '25.000', '0.000', '16.630', '0.000', '0.000', '0.000', '41.630', '', '', '0', 'UPS Ground', '', '', 'Jon', 'Edwards', '84 Fairway Lane', '', 'New London', 'NH', 'US', '03257', '6462519449', 'Jon', 'Edwards', '84 Fairway Lane', '', 'New London', 'NH', 'US', '03257', '6462519449', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QTDKCPJSHBXPLZMFIJQDFWDYXBSTMQ', '0', '64.35.203.7', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('229', '0', 'krauter.neil@gmail.com', '', '2019-01-14 18:02:00', '2017-07-13 07:07:31', '10', '3.000', '25.000', '0.000', '13.110', '0.000', '0.000', '0.000', '38.110', '', '', '0', 'UPS Ground', '', '', 'Neil', 'Krauter', '464 W 44th Street, apt 2B', '', 'New York', 'NY', 'US', '10036', '2125963451', 'Neil', 'Krauter', '464 W 44th Street, apt 2B', '', 'New York', 'NY', 'US', '10036', '2125963451', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DZIBAXFPEIHUBINJWHWYJOLBSVOVNZ', '0', '38.88.182.154', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('230', '0', 'Jgarfield1@fordham.edu', '', '2019-01-14 18:02:00', '2017-07-14 13:21:06', '10', '3.000', '30.000', '0.000', '13.210', '0.000', '0.000', '0.000', '43.210', '', '', '0', 'UPS Ground', '', '', 'Jack', 'Garfield', '6 oak park ave', '', 'Darien', 'CT', 'US', '06820', '2038584144', 'Jack', 'Garfield', '6 oak park ave', '', 'Darien', 'CT', 'US', '06820', '2038584144', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'XOAWKFMHCRUJDDPGKSQMUQWQXKLZJQ', '0', '69.122.120.95', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('231', '0', 'mulldoar@gmail.com', '', '2019-01-14 18:02:00', '2017-07-17 09:47:25', '10', '3.000', '25.000', '0.000', '15.810', '0.000', '0.000', '0.000', '40.810', '', '', '0', 'UPS Ground', '', '', 'Jane', 'Doar', '3219 N Racine Ave, 3N', '', 'Chicago', 'IL', 'US', '60657', '8475131712', 'Zach', 'Smith', '217 25th St', '', 'Manhattan Beach', 'CA', 'US', '90266', '6102995641', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LHQWYQVVNHBENFRGTDJVREWSCQPFVK', '0', '64.199.207.90', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('232', '0', 'joeycal92@yahoo.com', '', '2019-01-14 18:02:00', '2017-07-17 17:11:01', '10', '3.000', '25.000', '0.000', '13.110', '0.000', '0.000', '0.000', '38.110', '', '', '0', 'UPS Ground', '', '', 'Joseph', 'Callahan', '310 East 2nd Street', '', 'New York', 'NY', 'US', '10009', '9084479509', 'Joseph', 'Callahan', '310 East 2nd Street', '', 'New York', 'NY', 'US', '10009', '9084479509', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YXGVMXEBNVCSTZYMJOJGHHZIFRYXXK', '0', '98.113.168.180', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('233', '0', 'Scott.james@ferguson.com', '', '2019-01-14 18:02:00', '2017-07-22 15:34:04', '10', '4.000', '50.000', '0.000', '14.490', '0.000', '0.000', '0.000', '64.490', '', '', '0', 'UPS Ground', '', '', 'Scott', 'James', '205 Nelson District Road', '', 'Yorktown ', 'VA', 'US', '23692', '7578763729', 'Scott', 'James', '205 Nelson District Road', '', 'Yorktown ', 'VA', 'US', '23692', '7578763729', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VBEDHWIVNFVBYNAJNKJLKELYUMLDYV', '0', '71.120.206.126', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('234', '0', 'kevin.curry@citi.com', '', '2019-01-14 18:02:00', '2017-07-25 10:29:55', '10', '3.000', '25.000', '0.000', '13.110', '0.000', '0.000', '0.000', '38.110', '', '', '0', 'UPS Ground', '', '', 'Molly ', 'Curry', '295 Harvard Street apt 208', '', 'Cambridge', 'MA', 'US', '02139', '7742173757', 'Kevin ', 'Curry', '328 West 19th Apt 5A ', '', 'New York', 'NY', 'US', '10011', '7742173438 ', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DEHDTYARISTNNLJWMSPMGYYKQOZJEJ', '0', '207.172.74.234', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('235', '0', 'julie_layden@yahoo.com', '', '2019-01-14 18:02:00', '2017-07-25 14:29:35', '8', '3.000', '30.000', '0.000', '13.210', '0.000', '0.000', '0.000', '43.210', '', '', '0', 'UPS Ground', '', '', 'Julie ', 'Layden', '130  Hemlock Dr', '', 'Norwell', 'MA', 'US', '02061', '617-957-0359', 'Julie ', 'Layden', '130  Hemlock Dr', '', 'Norwell', 'MA', 'US', '02061', '617-957-0359', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WLFDYWEZKANNVZUBSSEITEMXOKCPHH', '0', '96.89.235.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('236', '96', 'julie_layden@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2017-07-25 14:33:46', '10', '3.000', '30.000', '0.000', '13.210', '0.000', '0.000', '0.000', '43.210', '', '', '0', 'UPS Ground', '', '', 'Julue', 'Layden', '130 Hemlock Dr', '', 'Norwell', 'MA', 'US', '02061', '617-957-0359', 'Julue', 'Layden', '130 Hemlock Dr', '', 'Norwell', 'MA', 'US', '02061', '617-957-0359', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '96.89.235.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('237', '0', 'marinetug@msn.com', '', '2019-01-14 18:02:00', '2017-07-26 21:15:36', '8', '2.000', '25.000', '0.000', '14.100', '0.000', '0.000', '0.000', '39.100', '', '', '0', 'UPS Ground', '', '', 'bill', 'greene', '5446 rutherford Pl.', '', 'Oviedo', 'FL', 'US', '32765', '4013741156', 'bill', 'greene', '5446 rutherford Pl.', '', 'Oviedo', 'FL', 'US', '32765', '4013741156', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YAZPZGQXFHGWITSZAXWIUGDWOTGJFV', '0', '142.196.248.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('238', '0', 'coachmikelly@gmail.com', '', '2019-01-14 18:02:00', '2017-07-29 00:01:12', '10', '3.000', '25.000', '0.000', '14.770', '0.000', '0.000', '0.000', '39.770', '', '', '0', 'UPS Ground', '', '', 'Michael', 'Kelly', '6419 royal tern circle', '', 'Lakewood Ranch', 'FL', 'US', '34202', '6177562707', 'Michael', 'Kelly', '6419 royal tern circle', '', 'Lakewood Ranch', 'FL', 'US', '34202', '6177562707', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ECLORBJNKLMQRNKKHRLLICUPGUGYVU', '0', '47.200.216.252', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('239', '0', 'ajd2142@yahoo.com', '', '2019-01-14 18:02:00', '2017-08-02 09:01:36', '16', '6.000', '50.000', '0.000', '12.820', '0.000', '0.000', '0.000', '62.820', '', '', '0', 'UPS Ground', '', '', 'Anthony ', 'DiNardi', 'PO Box 348', '', 'South Boston ', 'MA', 'US', '02127', '8604638522', 'Anthony ', 'DiNardi', '53 Sandy Point Farm Road #7', '', 'Portsmouth ', 'RI', 'US', '02871', '8604638522', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RRKKQJQUEWMQRNGRRHYEKSACREZIZU', '0', '174.78.128.224', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('240', '0', 'Ali.bruckner657@gmail.com', '', '2019-01-14 18:02:00', '2017-08-04 13:24:06', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Chris ', 'Bruckner', '161 rose lane', '', 'Haverford ', 'PA', 'US', '19041', '4846824608', 'Ali', 'Bruckner', '161 rose lane', '', 'Haverford', 'PA', 'US', '19041', '4846824608', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YSNSCZJTBXRBJOEXXMKZHLMBWFGVFL', '0', '174.192.4.93', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('241', '0', 'cook1@kenyon.edu', '', '2019-01-14 18:02:00', '2017-08-04 17:11:52', '10', '4.000', '55.000', '0.000', '15.490', '0.000', '0.000', '0.000', '70.490', '', '', '0', 'UPS Ground', '', '', 'C D', 'Cook', '134 Kensington Oval', '', 'Rocky River', 'OH', 'US', '44116', '2162724467', 'James', 'Cook', '134 Kensington Oval', '', 'Rocky River', 'OH', 'US', '44116', '4408292755', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BWLPUVBCXPFNSKUVOGMIGDBNZTYTSI', '0', '172.222.88.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('242', '0', 'slateh@bc.edu', '', '2019-01-14 18:02:00', '2017-08-10 11:15:29', '10', '3.000', '25.000', '0.000', '12.210', '0.000', '0.000', '0.000', '37.210', '', '', '0', 'UPS Ground', '', '', 'Henry ', 'Slate', '56 Sarles Lane ', '', 'Pleasantville ', 'NY', 'US', '10570', '9143562283', 'Henry ', 'Slate', '56 Sarles Lane ', '', 'Pleasantville ', 'NY', 'US', '10570', '9143562283', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TBUZXCIBGCJLMLARVUADJSUWBSHOOO', '0', '216.119.213.193', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('243', '0', 'hgpotter96@yahoo.com', '', '2019-01-14 18:02:00', '2017-08-15 06:30:02', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Harrison', 'Potter', '6 John Applegate Road', '', 'Redding', 'CT', 'US', '06896', '9784604358', 'Harrison', 'Potter \'18', '198 College Hill Road', '', 'Clinton ', 'NY', 'US', '13323', '9784604358', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Hamilton Box #1521', 'GOAJDUKFXOSFXHXESVQCVWFDBIWIVW', '0', '97.34.194.105', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('244', '0', 'Abbyg@hopplepopple.com', '', '2019-01-14 18:02:00', '2017-08-26 10:35:41', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'Abby', 'Gordon', '56 Exeter Street', '', 'West Newton', 'MA', 'US', '02465', '6179659749', 'Drew', 'Matzkin', '284 Dorset Road', '', 'Waban', 'MA', 'US', '02468', '6179641167', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BOFBQJACWTHSNGCTYTEXFGJUTUQPGS', '0', '76.119.146.59', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('245', '99', 'kblaquiere@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2017-08-27 14:43:03', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Keith', 'Blaquiere', '49 Grand Oak Rd', '', 'Forestdale', 'MA', 'US', '02644', '5082963969', 'Keith', 'Blaquiere', '49 Grand Oak Rd', '', 'Forestdale', 'MA', 'US', '02644', '5082963969', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '107.77.76.16', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('246', '0', 'Matthios.dejene@gmail.com', '', '2019-01-14 18:02:00', '2017-08-28 10:05:21', '10', '2.000', '25.000', '0.000', '13.490', '0.000', '0.000', '0.000', '38.490', '', '', '0', 'UPS Ground', '', '', 'Matthios', 'Dejene', '251 garden st', '', 'Cambridge', 'MA', 'US', '02138', '6177558323', 'Matthios', 'Dejene', '303 fraternity row', '', 'State college', 'PA', 'US', '16801', '6177558323', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DIUIRNYPJRSZRUGJNSGXMQWBZHELAV', '0', '50.76.123.17', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('247', '0', 'aburke2389@gmail.com', '', '2019-01-14 18:02:00', '2017-08-28 10:52:09', '10', '3.000', '25.000', '0.000', '12.240', '0.000', '0.000', '0.000', '37.240', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Burke', '2 Bass Ct.', '', 'Dartmouth', 'MA', 'US', '02747', '5089225686', 'Andrew', 'Burke', '78 East Transit St', '', 'PROVIDENCE', 'MA', 'US', '02906-3821', '5089225686', 'paypal', '', '', '', '1', NULL, 'Andrew Burke', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZHOGNHRQHECOGSLAJALBRVGOSGLEVX', '0', '192.223.136.6', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('248', '0', 'hgpotter96@yahoo.com', '', '2019-01-14 18:02:00', '2017-08-31 09:04:40', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Harrison', 'Potter', '6 John Applegate Road', '', 'Redding', 'CT', 'US', '06896', '9784604358', 'Harrison', 'Potter \'18', '198 College Hill Road', '', 'Clinton', 'NY', 'US', '13323', '9784604358', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Hamilton College Box #1521', 'LOLFMYWLPWHFAXPWQNSBCFHJGHYNFO', '0', '150.209.47.69', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('249', '0', 'Mikeglista21@gmail.com', '', '2019-01-14 18:02:00', '2017-09-03 11:19:49', '10', '3.000', '25.000', '0.000', '18.460', '0.000', '0.000', '0.000', '43.460', '', '', '0', 'UPS Ground', '', '', 'Michael ', 'Glista', '9006 Cableline Rd ', '', 'Diamond ', 'OH', 'US', '44412', '330-931-8698', 'Michael ', 'Glista', '9006 Cableline Rd ', '', 'Diamond ', 'OH', 'US', '44412', '330-931-8698', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NFQIZOOZDGWTNKKCLSVMQLDLIOXPYL', '0', '66.87.115.99', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('250', '0', 'P_bamber@hotmail.com', '', '2019-01-14 18:02:00', '2017-09-04 07:35:20', '10', '3.000', '25.000', '0.000', '12.240', '0.000', '0.000', '0.000', '37.240', '', '', '0', 'UPS Ground', '', '', 'Peter', 'Bamber', '28 George F Willett Parkway ', '', 'Norwood', 'MA', 'US', '02062', '617-429-3221', 'Peter', 'Bamber', '28 George F Willett Parkway ', '', 'Norwood', 'MA', 'US', '02062', '617-429-3221', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NMGOMFEKYKPHBJLUHUTHFLKLWPDWBS', '0', '174.192.50.48', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('251', '0', 'Wjdtr@aol.com', '', '2019-01-14 18:02:00', '2017-09-11 06:45:08', '10', '2.000', '30.000', '0.000', '13.100', '0.000', '0.000', '0.000', '43.100', '', '', '0', 'UPS Ground', '', '', 'Wayne', 'Dutra', '30 Royal Circle', '', 'East Falmouth', 'MA', 'US', '02536', '5085666045', 'Wayne', 'Dutra', '30 Royal Circle', '', 'East Falmouth', 'MA', 'US', '02536', '5085666045', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AQYSATAARHFXWETSVDNDAYNKROPHRS', '0', '174.192.17.194', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('252', '0', 'Acgerb@yahoo.com', '', '2019-01-14 18:02:00', '2017-09-14 02:52:23', '10', '6.000', '50.000', '0.000', '12.850', '0.000', '0.000', '0.000', '62.850', '', '', '0', 'UPS Ground', '', '', 'Adam', 'Gerbutavich', '30 Anderson Dr.', '', 'Marshfield ', 'MA', 'US', '02050', '9788150190', 'Adam', 'Gerbutavich', '30 Anderson Dr.', '', 'Marshfield ', 'MA', 'US', '02050', '9788150190', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TWGYVZJUAUORWTDUJJYNYKKPOLUVXT', '0', '66.87.125.133', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('253', '0', 'Paul@peddlers.net', '', '2019-01-14 18:02:00', '2017-09-14 20:34:05', '10', '3.000', '25.000', '0.000', '12.240', '0.000', '0.000', '0.000', '37.240', '', '', '0', 'UPS Ground', '', '', 'Paul', 'Sullivan', '82 forest ave', '', 'Cohasset', 'MA', 'US', '02025', '860652-5681', 'Paul', 'Sullivan', '82 forest ave', '', 'Cohasset', 'MA', 'US', '02025', '860652-5681', 'paypal', '', '', '', '1', '\n\n***** Address Information Updated:  Sep 19, 2017 *****\n', '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ULHCUURCVEBMLMDKHETXYYWLCWEAET', '0', '96.237.59.58', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('254', '0', 'Andrewcantella@gmail.com', '', '2019-01-14 18:02:00', '2017-09-15 09:18:36', '10', '5.000', '55.000', '0.000', '17.430', '0.000', '0.000', '0.000', '72.430', '', '', '0', 'UPS Ground', '', '', 'Andrew', 'Cantella', '550 e. 12th ave #1403', '', 'Denver', 'CO', 'US', '80203', '6178940958', 'Andrew', 'Cantella', '550 e. 12th ave #1403', '', 'Denver', 'CO', 'US', '80203', '6178940958', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'IXKLYMLKIXAMIXJQUQTJECRXBFEZKT', '0', '104.152.20.74', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('255', '0', 'sville98@yahoo.com', '', '2019-01-14 18:02:00', '2017-09-17 09:30:08', '10', '2.000', '25.000', '0.000', '12.100', '0.000', '0.000', '0.000', '37.100', '', '', '0', 'UPS Ground', '', '', 'SCOTT', 'SWANEZY', '15 GLEN EAGLES DR', '', 'LARCHMONT', 'NY', 'US', '10538', '9148332361', 'SCOTT', 'SWANEZY', '15 GLEN EAGLES DR', '', 'LARCHMONT', 'NY', 'US', '10538', '9148332361', 'paypal', '', '', '', '1', NULL, 'SCOTT SWANEZY', '', '', '', '', '', '', '0', '0.000', '', '', '', 'out of the fog', 'out of the fog', 'NOLPLFXOVDVKILDDESGVMBFUQKMFMG', '0', '107.3.110.95', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('256', '0', 'ehansen.films@gmail.com', '', '2019-01-14 18:02:00', '2017-09-20 11:23:01', '10', '3.000', '25.000', '0.000', '14.840', '0.000', '0.000', '0.000', '39.840', '', '', '0', 'UPS Ground', '', '', 'Erik', 'Hansen', '7122 S. Sheridan Rd, Ste 2-102', '', 'Tulsa', 'OK', 'US', '74133', '9185761537', 'Erik', 'Hansen', '9017 S. Lakewood Ave.', '', 'Tulsa', 'OK', 'US', '74137', '9185761537', 'paypal', '', '', '', '1', NULL, 'Erik Hansen', '', '', '', '', '', '', '0', '0.000', '', '', '', 'Webster Street Media', '', 'FMOWUMRTMTRHHLKPSMRFYNNRQEBBQI', '0', '98.164.35.166', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('257', '0', 'jmurtagh155@gmail.com', '', '2019-01-14 18:02:00', '2017-09-25 10:51:58', '10', '2.000', '25.000', '0.000', '12.160', '0.000', '0.000', '0.000', '37.160', '', '', '0', 'UPS Ground', '', '', 'John', 'Murtagh', '48 Lexington Avenue', '', 'Greenwich', 'CT', 'US', '06830', '9144715487', 'John', 'Murtagh', '48 Lexington Avenue', '', 'Greenwich', 'CT', 'US', '06830', '9144715487', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DDZNSSZUQELXUMLKLZVNBEWZXAPVOD', '0', '69.74.46.2', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('258', '0', 'thomas.schryver@rbc.com', '', '2019-01-14 18:02:00', '2017-09-26 10:17:38', '10', '4.000', '50.000', '0.000', '16.810', '0.000', '0.000', '0.000', '66.810', '', '', '0', 'UPS Ground', '', '', 'thomas', 'schryver', '4740 balboa st #309', '', 'san francisco', 'CA', 'US', '94121', '415 445 8400', 'thomas ', 'schryver', '345 california st 29 th fl', '', 'san francisco', 'CA', 'US', '94104', '415 445 8400', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'RBC wealth management', 'OHPMQSNHPXJQXHCGLBAIVPQWXZMZLW', '0', '199.250.12.35', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('259', '0', 'hentzmaeve@gmail.com', '', '2019-01-14 18:02:00', '2017-09-26 14:05:02', '10', '4.000', '55.000', '0.000', '17.010', '0.000', '0.000', '0.000', '72.010', '', '', '0', 'UPS Ground', '', '', 'kate ', 'hentz', '27 Tubwreck drive ', '', 'dover ', 'MA', 'US', '02030', '5087852679', 'Maeve ', 'Hentz', 'Centennial halls #918 1870 south high street  ', '', 'Denver ', 'CO', 'US', '80210', '7748933964', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'University of Denver ', 'GCINEGOAQHUKBMGZELHWWWEFHKCJIC', '0', '130.253.27.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('260', '0', 'akovary@amsmtg.com', '', '2019-01-14 18:02:00', '2017-09-27 15:24:21', '10', '2.000', '25.000', '0.000', '14.740', '0.000', '0.000', '0.000', '39.740', '', '', '0', 'UPS Ground', '', '', 'Agnes', 'Jordan', '16 Ford Lane', '', 'Roseland', 'NJ', 'US', '07068', '714-655-5076', 'Anastasia ', 'Kovary', '523 9th Street', '', 'Huntington Beach', 'CA', 'US', '92648', '714-655-5076', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GWZQITRIGGIFLNZNOIGMJVWWWMOZWU', '0', '47.146.214.132', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('261', '0', 'Bobjohnson76@hotmail.com', '', '2019-01-14 18:02:00', '2017-09-28 19:05:57', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Robert', 'Johnson', '270 Biscuit City Rd.', '', 'Charlestown', 'RI', 'US', '02813', '8082866395', 'Robert', 'Johnson', '270 Biscuit City Rd.', '', 'Charlestown', 'RI', 'US', '02813', '8082866395', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UNCVGDRKIBJJFKQWMFSXLVRHSOJXXQ', '0', '174.199.3.230', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('262', '0', 'Ben@solebicycles.com', '', '2019-01-14 18:02:00', '2017-10-03 18:02:35', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Ben', 'Petraglia', '1330 Main Street', '', 'Venice', 'CA', 'US', '90291', '2018352242', 'Ben', 'Petraglia', '1330 Main Street', '', 'Venice', 'CA', 'US', '90291', '2018352242', 'paypal', '', '', '', '1', NULL, 'Ben Petraglia', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LLQYUQNQDUYYYWDXHTYLKCSAUAITHQ', '0', '75.82.201.196', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('263', '0', 'kylewhughes@gmail.com', '', '2019-01-14 18:02:00', '2017-10-16 07:45:20', '10', '2.000', '25.000', '0.000', '12.830', '0.000', '0.000', '0.000', '37.830', '', '', '0', 'UPS Ground', '', '', 'Kyle', 'Hughes', '109 S 4th Street, Apt 3', '', 'Brooklyn', 'NY', 'US', '11249', '9789853041', 'Kyle', 'Hughes', '109 S 4th Street, Apt 3', '', 'Brooklyn', 'NY', 'US', '11249', '9789853041', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MZBMTPHXQJREYODVFDWJLZERKDNNUG', '0', '12.199.98.27', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('264', '0', 'sadx2@sbcglobal.net', '', '2019-01-14 18:02:00', '2017-10-20 11:31:04', '10', '5.000', '50.000', '0.000', '16.500', '0.000', '0.000', '0.000', '66.500', '', '', '0', 'UPS Ground', '', '', 'Steve', 'Dorris', '948 Nightingale Drive', '', 'Allen', 'TX', 'US', '75013', '214-551-0205', 'Steve', 'Dorris', '948 Nightingale Drive', '', 'Allen', 'TX', 'US', '75013', '214-551-0205', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SPEUEJMHFQFGNIZMCTJGWBLVMKQSCU', '0', '104.189.148.234', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('265', '100', 'rniziak@hotmail.com', 'shopper', '2019-01-14 18:02:00', '2017-11-02 07:57:57', '10', '5.000', '50.000', '0.000', '12.600', '0.000', '0.000', '0.000', '62.600', '', '', '0', 'UPS Ground', '', '', 'Richard', 'Niziak', '39 Boylston Street', '', 'Boston', 'MA', 'US', '02116', '6179053298', 'Richard', 'Niziak', '39 Boylston Street', '', 'Boston', 'MA', 'US', '02116', '6179053298', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '192.80.65.178', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('266', '0', 'kristina.f.grace@gmail.com', '', '2019-01-14 18:02:00', '2017-11-07 13:37:34', '10', '2.000', '25.000', '0.000', '12.160', '0.000', '0.000', '0.000', '37.160', '', '', '0', 'UPS Ground', '', '', 'Kristina', 'Grace', '1 Partridge Hill Road', '', 'Dover', 'MA', 'US', '02030', '5087851199', 'Kristina', 'Grace', '1 Partridge Hill Road', '', 'Dover', 'MA', 'US', '02030', '5087851199', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'IEZEKTWOKTUFYCHVWTSCDERLLNKJSY', '0', '108.20.208.2', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('267', '0', 'Kristinvanbeek@gmail.com', '', '2019-01-14 18:02:00', '2017-11-09 12:06:40', '10', '0.000', '15.000', '0.000', '1.000', '0.000', '0.000', '0.000', '16.000', '', '', '0', 'Standard Shipping', '', '', 'Kris', 'VanBeek', '357 monomoscoy', '', 'Mashpee', '0', 'US', '02649', '5089548229', 'Kris', 'VanBeek', '357 monomoscoy', '', 'Mashpee', '0', 'US', '02649', '5089548229', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'JSOBZKSAKQWGIERGWRSEXLQUCQEMZS', '0', '65.51.196.70', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('268', '0', 'pjicon@icloud.com', '', '2019-01-14 18:02:00', '2017-11-10 09:57:08', '10', '2.000', '25.000', '0.000', '12.160', '0.000', '0.000', '0.000', '37.160', '', '', '0', 'UPS Ground', '', '', 'Paul', 'Iaconis', '2 WOODLAND DR', '', 'PLEASANTVILLE', 'NY', 'US', '10570-3611', '9178873339', 'Paul', 'Iaconis', '2 WOODLAND DR', '', 'PLEASANTVILLE', 'NY', 'US', '10570-3611', '9178873339', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NRLYSZTXLHSBGOEHKSKPBDSWPFTABD', '0', '209.160.130.126', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('269', '0', 'mesemjen@comcast.net', '', '2019-01-14 18:02:00', '2017-11-11 07:43:02', '10', '6.000', '80.000', '0.000', '13.910', '0.000', '0.000', '0.000', '93.910', '', '', '0', 'UPS Ground', '', '', 'Mary', 'Semjen', '19 Hilltop Road', '', 'Hingham', 'MA', 'US', '02043', '6177333775', 'Mary', 'Semjen', '19 Hilltop Road', '', 'Hingham', 'MA', 'US', '02043', '6177333775', 'paypal', '', '', '', '1', NULL, 'Mary Semjen', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YBIJIOVXXZPAAXKYEJJICDASMRODCN', '0', '73.143.20.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('270', '0', 'Charlottekelly28@gmail.com', '', '2019-01-14 18:02:00', '2017-11-19 13:24:35', '10', '2.000', '25.000', '0.000', '12.160', '0.000', '0.000', '0.000', '37.160', '', '', '0', 'UPS Ground', '', '', 'Charlotte', 'Kelly', '28 Lochland Street', '', 'Milton', 'MA', 'US', '02186', '617-347-7188', 'Charlotte', 'Kelly', '28 Lochland Street', '', 'Milton', 'MA', 'US', '02186', '617-347-7188', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SYENEZDPIBJTXBLLNPLWISSNSEVDHJ', '0', '24.60.198.253', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('271', '101', 'todd.wetzel@ms.com', 'shopper', '2019-01-14 18:02:00', '2017-11-21 13:03:36', '10', '3.000', '25.000', '0.000', '12.300', '0.000', '0.000', '0.000', '37.300', '', '', '0', 'UPS Ground', '', '', 'todd', 'wetzel', '154 W. Plain Street', '', 'Wayland ', 'MA', 'US', '01778', '508-380-9992', 'todd', 'wetzel', '154 W. Plain Street', '', 'Wayland ', 'MA', 'US', '01778', '508-380-9992', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '162.212.12.109', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('272', '0', 'aleeceas@me.com', '', '2019-01-14 18:02:00', '2017-11-28 11:02:40', '10', '6.000', '75.000', '0.000', '12.940', '0.000', '0.000', '0.000', '87.940', '', '', '0', 'UPS Ground', '', '', 'Aleece', 'Strachan', '89 Ledgeways', '', 'Wellesley', 'MA', 'US', '02481', '6176508797', 'Aleece', 'Strachan', '89 Ledgeways', '', 'Wellesley', 'MA', 'US', '02481', '6176508797', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UJWOCOHQNCRVDVLVUHXBAWBKPKUQOQ', '0', '198.0.159.91', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('273', '85', 'bwk3@mac.com', 'shopper', '2019-01-14 18:02:00', '2017-12-01 12:55:05', '10', '3.000', '25.000', '0.000', '12.330', '0.000', '0.000', '0.000', '37.330', '', '', '0', 'UPS Ground', '', '', 'Brad', 'Ketchum', '7 Low Land Farm Road', '', 'Essex', 'MA', 'US', '01929', '9783251387', 'Brad', 'Ketchum', '64J Concord Street', '', 'Wilmington', 'MA', 'US', '01887', '9782846336', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Liftory/Fusion', '', '0', '173.166.59.11', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('274', '0', 'aliciazampino2@yahoo.com', '', '2019-01-14 18:02:00', '2017-12-03 19:03:11', '10', '2.000', '25.000', '0.000', '13.800', '0.000', '0.000', '0.000', '38.800', '', '', '0', 'UPS Ground', '', '', 'Alicia', 'Zampino', '36 Latimer Lane NE', '', 'Kennesaw', 'GA', 'US', '30144', '5618091211', 'Alicia', 'Zampino', '36 Latimer Lane NE', '', 'Kennesaw', 'GA', 'US', '30144', '5618091211', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PGQVWTCQWHBXRCGZOULQKHKPCGCQNY', '0', '172.58.3.242', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('275', '0', 'honormary@sbcglobal.net', '', '2019-01-14 18:02:00', '2017-12-06 19:31:34', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Honor', 'Lorenzini', '121 Sunset Ave', '', 'La Grange', 'IL', 'US', '60525', '7083023092', 'Honor', 'Lorenzini', '121 Sunset Ave', '', 'La Grange', 'IL', 'US', '60525', '7083023092', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NQACJSBZBKGYPBKJJLWPZQYSDJILJX', '0', '73.50.31.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('276', '0', 'katierose.cronin@gmail.com', '', '2019-01-14 18:02:00', '2017-12-09 14:35:10', '10', '3.000', '25.000', '0.000', '14.450', '0.000', '0.000', '0.000', '39.450', '', '', '0', 'UPS Ground', '', '', 'Katie Rose ', 'Cronin', '3512 Saratoga Ave', '', 'Downer Grove', 'IL', 'US', '60515', '6306993964', 'Katie Rose ', 'Cronin', '3512 Saratoga Ave', '', 'Downer Grove', 'IL', 'US', '60515', '6306993964', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZGLGNXXOZGGIYGPXHVWOKHKPOHOFDC', '0', '98.212.28.45', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('277', '0', 'juliana.quinn@verizon.net', '', '2019-01-14 18:02:00', '2017-12-11 21:50:09', '10', '3.000', '25.000', '0.000', '12.330', '0.000', '0.000', '0.000', '37.330', '', '', '0', 'UPS Ground', '', '', 'Juliana', 'Quinn', '26 shipman road', '', 'andover', 'MA', 'US', '01810', '9788359212', 'Juliana', 'Quinn', '26 shipman road', '', 'andover', 'MA', 'US', '01810', '9788359212', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VZDMKNJDIZRYFTCLSPORXECPWICWFE', '0', '173.76.181.43', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('278', '102', 'pennybflick@gmail.com', 'shopper', '2019-01-14 18:02:00', '2017-12-13 09:22:06', '10', '5.000', '50.000', '0.000', '13.540', '0.000', '0.000', '0.000', '63.540', '', '', '0', 'UPS Ground', '', '', 'Penny', 'Flick', '117 West 13th Street, Apt 36', '', 'New York', 'NY', 'US', '10011', '3057931221', 'Penny', 'Flick', '117 West 13th Street, Apt 36', '', 'New York', 'NY', 'US', '10011', '3057931221', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '155.201.35.107', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('279', '0', 'Kogrady@ascendentsg.com', '', '2019-01-14 18:02:00', '2017-12-15 11:32:00', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Kevin', 'Ogrady', '9 Sound bay dr', '', 'Lloyd harbor', 'NY', 'US', '11743', '8166164809', 'Kevin', 'Ogrady', '9 Sound bay dr', '', 'Lloyd harbor', 'NY', 'US', '11743', '8166164809', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ODWMYRIHTDPEWIJDIZQVYJSOQMSLEF', '0', '70.214.109.159', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('280', '0', 'kogrady@ascendentsg.com', '', '2019-01-14 18:02:00', '2017-12-15 11:36:14', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Kevin', 'Ogrady', '9 Sound Bay', '', 'Lloyd Harbor', 'NY', 'US', '11743', '8166164809', 'Kevin', 'Ogrady', '9 Sound Bay', '', 'Lloyd Harbor', 'NY', 'US', '11743', '8166164809', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NBKEHNWPWODCVKRQNMBTUYRGEZJJLI', '0', '70.214.109.159', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('281', '0', 'Clreply.17@verizon.net', '', '2019-01-14 18:02:00', '2017-12-17 06:13:19', '10', '2.000', '30.000', '0.000', '13.190', '0.000', '0.000', '0.000', '43.190', '', '', '0', 'UPS Ground', '', '', 'Richard', 'Duntley', '24 Hollis Road', '', 'Lynn', 'MA', 'US', '01904', '7819534166', 'Richard', 'Duntley', '24 Hollis Road', '', 'Lynn', 'MA', 'US', '01904', '7819534166', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'XMZXSBQWLGDHAOZGXDKKLSEQRSROSG', '0', '173.48.166.21', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('282', '0', 'Vcon2545@gmail.com', '', '2019-01-14 18:02:00', '2017-12-17 09:31:09', '10', '3.000', '25.000', '0.000', '12.330', '0.000', '0.000', '0.000', '37.330', '', '', '0', 'UPS Ground', '', '', 'Vernon', 'Connell', '63 Hancock street, Apt 4f', '', 'Boston', 'MA', 'US', '02114', '8602278211', 'Meredith', 'OConnor', '29 Sawyer Road', '', 'Waltham', 'MA', 'US', '02453', '6172912951 ', 'paypal', '', '', '', '1', NULL, 'Vernon Connell', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Commonwealth Financial Network', 'XARTCSOZULTFPFTTYKXORDZFSOHGQJ', '0', '174.192.23.223', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('283', '0', 'nantucketcane@msn.com', '', '2019-01-14 18:02:00', '2017-12-21 17:05:15', '10', '3.000', '30.000', '0.000', '15.910', '0.000', '0.000', '0.000', '45.910', '', '', '0', 'UPS Ground', '', '', 'Richard', 'Whipple', '908 Tendilla Ave', '', 'Coral Gables', 'FL', 'US', '33134', '3053355403', 'Richard', 'Whipple', '908 Tendilla Ave', '', 'Coral Gables', 'FL', 'US', '33134', '3053355403', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QRHSEPRZPYWYMFLZMHVZXOIPOJJNJY', '0', '99.104.72.107', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('284', '0', 'fferffee@yahoo.com', '', '2019-01-14 18:02:00', '2018-01-24 13:26:50', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Amy', 'Sherr', '113 Cross St', '', 'Somerville', 'MA', 'US', '02145', '617-686-5357', 'Amy', 'Sherr', '113 Cross St', '', 'Somerville', 'MA', 'US', '02145', '617-686-5357', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KUAAVFUDKOBDFSXEQGYAQEPCMZTFGH', '0', '98.216.54.196', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('285', '0', 'jessebbrown@yahoo.com', '', '2019-01-14 18:02:00', '2018-01-25 21:00:54', '10', '3.000', '25.000', '0.000', '12.860', '0.000', '0.000', '0.000', '37.860', '', '', '0', 'UPS Ground', '', '', 'Jesse', 'Brown', '7 Arlington Rd', '', 'Wellesley', 'MA', 'US', '02481', '7814895068', 'Jesse', 'Brown', '7 Arlington Rd', '', 'Wellesley', 'MA', 'US', '02481', '7814895068', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PLHLZVYUNMPHJJWJIDSRDLYXZCAEQV', '0', '108.49.68.97', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('286', '0', 'Cxpauling@gmail.com', '', '2019-01-14 18:02:00', '2018-02-15 06:16:34', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', 'Standard Shipping', '', '', 'Catherine ', 'Pauling', '201 pine street', '', 'Duxbury', 'MA', 'US', '02332', '6172330238', 'Catherine ', 'Pauling', '201 pine street', '', 'Duxbury', 'MA', 'US', '02332', '6172330238', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WYTRTURQJIMKMAZCRLJTAZLDEVUONJ', '0', '71.248.175.81', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('287', '0', 'dmarshall421@yahoo.com', '', '2019-01-14 18:02:00', '2018-02-20 19:01:32', '10', '6.000', '50.000', '0.000', '13.650', '0.000', '0.000', '0.000', '63.650', '', '', '0', 'UPS Ground', '', '', 'D', 'Marshall', '174 Cushing Street ', '', 'Cambridge', 'MA', 'US', '02138', '6175190300', 'D', 'Marshall', '174 Cushing Street ', '', 'Cambridge', 'MA', 'US', '02138', '6175190300', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UULFMRYEQRHZXJXOVMBIWZPRJTTYLC', '0', '71.192.180.157', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('288', '0', 'tpm7@buffalo.edu', '', '2019-01-14 18:02:00', '2018-02-26 17:57:46', '10', '2.000', '30.000', '0.000', '15.200', '0.000', '0.000', '0.000', '45.200', '', '', '0', 'UPS Ground', '', '', 'Timothy', 'Moriarty', '250 Hendricks Blvd', '', 'Amherst', 'NY', 'US', '14226', '7164301884', 'Timothy', 'Moriarty', '250 Hendricks Blvd', '', 'Amherst', 'NY', 'US', '14226', '7164301884', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VJVUKEEXXVBUGZTPWPFAGGVXVOALAL', '0', '69.204.38.217', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('289', '0', 'Terrencehjaeger@gmail.com', '', '2019-01-14 18:02:00', '2018-03-02 12:05:24', '10', '0.000', '5.000', '0.000', '9.000', '0.000', '0.000', '0.000', '14.000', '', '', '0', 'Standard Shipping', '', '', 'Terry', 'Jaeger', '54 Olmsted Terrace ', '', 'Plymouth ', 'MA', 'US', '02360', '5084680243', 'Terry', 'Jaeger', '54 Olmsted Terrace ', '', 'Plymouth ', 'MA', 'US', '02360', '5084680243', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RSHOACWWNCTJOZYRQJZZDYWBFGXPDQ', '0', '174.192.50.57', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('290', '104', 'brasinge@comcast.net', 'shopper', '2019-01-14 18:02:00', '2018-03-02 20:39:22', '10', '9.000', '105.000', '0.000', '9.000', '0.000', '0.000', '0.000', '114.000', '', '', '0', 'US Mail', '', '', 'Evan', 'Brasington', '100 Boston Scientific Way', '', 'Marlborough', 'MA', 'US', '01752', '781-248-2323', 'Evan', 'Brasington', '70 S. Quinsigamond Ave. Unit 4', '', 'Shrewsbury', 'MA', 'US', '01545', '781-248-2323', 'paypal', '', '', '', '1', NULL, 'Do you have anymore Fitted Hats that are Black with Black/White chicken size L/XL? If so, add one to the order. Thanks! Evan', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '107.77.106.125', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('291', '0', 'kerryannleddy@gmail.com', '', '2019-01-14 18:02:00', '2018-03-09 10:08:07', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'kerryann', 'leddy', '4 van fleet circle', '', 'nantucket', 'MA', 'US', '02554', '7817189696', 'kyleigh', 'leddy', '2005 commonwealth ave apt #1', '', 'brighton', 'MA', 'US', '02135', '7817189696', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'EVSKHDBTKIIHSFRIEPMDGVATOKNXAB', '0', '76.19.129.93', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('292', '0', 'mgmorris@gmail.com', '', '2019-01-14 18:02:00', '2018-03-09 11:08:38', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'michael', 'Morris', '21 Wormwood Street, 619', '', 'Boston', 'MA', 'US', '02210', '6177218865', 'michael', 'Morris', '21 Wormwood Street, 619', '', 'Boston', 'MA', 'US', '02210', '6177218865', 'paypal', '', '', '', '1', NULL, 'michael Morris', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VMIHHIVTMTDWJPLHEEQXKUDBXETWXN', '0', '50.205.84.114', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('293', '0', 'PhilJL05@gmail.com', '', '2019-01-14 18:02:00', '2018-03-17 07:13:43', '10', '0.000', '5.000', '0.000', '9.000', '0.000', '0.000', '0.000', '14.000', '', '', '0', 'Standard Shipping', '', '', 'Phil', 'Lambrukos', '15 Otis Street', '', 'Medford', 'MA', 'US', '02155', '7817716827', 'Phil', 'Lambrukos', '15 Otis Street', '', 'Medford', 'MA', 'US', '02155', '7817716827', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NLMCWSIUAKKMAASOTZZZVZVRNCGPUR', '0', '70.88.214.193', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('294', '0', 'steve@lynxpromo.com', '', '2019-01-14 18:02:00', '2018-03-17 10:21:32', '8', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'test', 'test', 'test', '', 'test', 'MA', 'US', '02030', '508-785-8321', 'test', 'test', 'test', '', 'test', 'MA', 'US', '02030', '508-785-8321', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AZYHGSFRSLKSUKOAFBZQPMVGYCNYWF', '0', '65.96.217.8', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('295', '0', 'jah4yt@virginia.edu', '', '2019-01-14 18:02:00', '2018-03-22 12:49:04', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'James', 'Holzer', '1215 Wertland Street Apt. A21', '', 'Charlottesville', 'VA', 'US', '22903', '973-896-6448', 'James', 'Holzer', '1215 Wertland Street Apt. A21', '', 'Charlottesville', 'VA', 'US', '22903', '973-896-6448', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'IJJIMTCGTBXIXIJRUJPMXNVHURTAAB', '0', '73.147.148.156', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('296', '0', 'lesley.gaughan72@gmail.com', '', '2019-01-14 18:02:00', '2018-03-26 12:43:07', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Lesley', 'Gaughan', '35 Anderson St., apt 7', '', 'Boston', 'MA', 'US', '02114', '7815266131', 'Lesley', 'Gaughan', '35 Anderson St., apt 7', '', 'Boston', 'MA', 'US', '02114', '7815266131', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PKMYVXRFWONVVISLQSCMAAMBGNJDQU', '0', '140.247.201.57', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('297', '0', 'abigailwest22@gmail.com', '', '2019-01-14 18:02:00', '2018-03-28 07:53:05', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Abigail', 'West', '9 Anderson Street Apt 1R', '', 'Boston', 'MA', 'US', '02114', '9084777870', 'Abigail', 'West', '9 Anderson Street Apt 1R', '', 'Boston', 'MA', 'US', '02114', '9084777870', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FSQZURUIMDUMNDNGCEQYQMLHZLWEHT', '0', '144.121.21.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('298', '0', 'Ttorc@hotmail.com', '', '2019-01-14 18:02:00', '2018-04-03 17:34:39', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Tara', 'Torcoletti ', '210 Lawrence Drive ', '', 'West Townshend ', 'VT', 'US', '05359', '8028744072', 'Tara', 'Torcoletti ', '210 Lawrence Drive ', '', 'West Townshend ', 'VT', 'US', '05359', '8028744072', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WHKRMJAWOJVNYZDACBUFUZQRALOYUR', '0', '70.105.240.199', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('299', '0', 'meries@gmail.com', '', '2019-01-14 18:02:00', '2018-04-05 15:15:06', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Mary Ellen', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107', '8568588766', 'Mary Ellen', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107', '8568588766', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'TIGELFNONIKPJLWFOAFRFRCZBQXASU', '0', '72.73.238.82', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('300', '106', 'nyterps@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-04-09 08:23:11', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Nancy ', 'Friedman', '526 West Saddle River Rd', '', 'Ridgewood', 'NJ', 'US', '07450', '9175848193', 'Nancy ', 'Friedman', '526 West Saddle River Rd', '', 'Ridgewood', 'NJ', 'US', '07450', '9175848193', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '107.77.76.16', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('301', '107', 'walklouie@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-04-10 08:38:55', '10', '6.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'paypal', '', '', '', '1', NULL, 'wesley walker', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '68.188.72.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('302', '107', 'walklouie@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-04-11 07:18:26', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'wesley', 'walker', '316 ladue oaks dr', '', 'creve coeur', 'MO', 'US', '63141', '3143639513', 'annelise', 'walker', '2200 Baker dr. FARR', '', 'boulder', 'CO', 'US', '80310', '3143639513', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '68.188.72.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('303', '0', 'kerrigan_timothy@hotmail.com', '', '2019-01-14 18:02:00', '2018-04-13 16:52:03', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Timothy', 'Kerrigan', '4849 SE 30th Ave #20', '', 'Portland', 'OR', 'US', '97202', '5039229412', 'Timothy', 'Kerrigan', '4849 SE 30th Ave #20', '', 'Portland', 'OR', 'US', '97202', '5039229412', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'OUXJEPZQBFNJKMUTGPZGZAFCCEKEUJ', '0', '75.164.133.203', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('304', '0', 'trj104@gmail.com', '', '2019-01-14 18:02:00', '2018-04-23 10:36:53', '10', '7.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'timothy', 'jones', '30 myers farm road', '', 'hingham', 'MA', 'US', '02043', '6172711010', 'timothy', 'jones', '30 myers farm road', '', 'hingham', 'MA', 'US', '02043', '6172711010', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VEAVUFOMODAQMYADNPSFKAKJGVFDKV', '0', '161.239.232.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('305', '0', 'greg.peterson@snet.net', '', '2019-01-14 18:02:00', '2018-04-25 14:03:22', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'greg', 'peterson', '21 ingham hill rd', '', 'essex', 'CT', 'US', '06426', '8603912308', 'greg', 'peterson', '21 ingham hill rd', '', 'essex', 'CT', 'US', '06426', '8603912308', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'REGKTFPXSSIBRMEGCXIDVHGVUVQVDL', '0', '98.217.105.101', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('306', '0', 'Kevinf.san@gmail.com', '', '2019-01-14 18:02:00', '2018-04-29 17:54:40', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Kevin', 'San', '353 Asylum Road', '', 'Warwick', 'RI', 'US', '02886', '4014184229', 'Kevin', 'San', '353 Asylum Road', '', 'Warwick', 'RI', 'US', '02886', '4014184229', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'AGBUPTSGMFTGRJFGRNDWSPTBHZHARJ', '0', '24.250.6.172', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('307', '0', 'julie.dunewalk@gmail.com', '', '2019-01-14 18:02:00', '2018-04-30 19:10:08', '8', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Julie', 'Cappy', '6290 East State Road 45', '', 'Bloomington ', 'IN', 'US', '47408', '8123277132', 'Julie', 'Cappy', '6290 East State Road 45', '', 'Bloomington ', 'IN', 'US', '47408', '8123277132', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZPYTYFFUJXFAILKXKIHFFSGJZABCGT', '0', '108.71.213.74', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('308', '0', 'goldfeder@mac.com', '', '2019-01-14 18:02:00', '2018-05-06 09:16:31', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Adam', 'Goldfeder', '70 Pickwick Drive', '', 'Rochester', 'NY', 'US', '14618', '5854619373', 'Adam', 'Goldfeder', '70 Pickwick Drive', '', 'Rochester', 'NY', 'US', '14618', '5854619373', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MCSAJJHAYIIDGCWETNEJHKXGJILYBU', '0', '104.229.24.144', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('309', '0', 'csager03@gmail.com', '', '2019-01-14 18:02:00', '2018-05-07 10:53:02', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Craig', 'Sager', '8 Blackthorne Circle', '', 'Hopkinton', 'MA', 'US', '01748', '5084940593', 'Craig', 'Sager', '141 W Sixth St  Unit 2', '', 'South Boston', 'MA', 'US', '02127', '5084940593', 'paypal', '', '', '', '1', NULL, 'Please leave package in garage. Garage code is 8686. ', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KOASFSOWPJRGCNRBAQZBQCQKXSMPKQ', '0', '96.86.79.51', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('310', '0', 'bschneider7@gmail.com', '', '2019-01-14 18:02:00', '2018-05-11 10:01:54', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Benjamin', 'Schneider', '156 NOB HILL RD', '', 'CHESHIRE', 'CT', 'US', '06410', '2038432144', 'benjamin', 'Schneider', '95 Sutherland Rd 4d', '', 'Brighton', 'MA', 'US', '02135', '2038432144', 'paypal', '', '', '', '1', NULL, 'Benjamin Schneider', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KFHIVXRYBEAGEEXYCFQPQEYBHYVAFQ', '0', '71.232.31.192', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('311', '0', 'sphutton22@gmail.com', '', '2019-01-14 18:02:00', '2018-05-16 09:04:23', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Stephen', 'Hutton', '71 Beverly Street', '', 'Rochester', 'NY', 'US', '14610', '5854559178', 'Stephen', 'Hutton', '71 Beverly Street', '', 'Rochester', 'NY', 'US', '14610', '5854559178', 'paypal', '', '', '', '1', NULL, 'Stephen Hutton', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'DFLFIPETBOKFRZUAKUYXCRBECENZWA', '0', '67.97.247.190', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('312', '0', 'ackbeachgirls@gmail.com', '', '2019-01-14 18:02:00', '2018-05-19 12:38:59', '8', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Paula ', 'Leary', '20 R South Water Street', '', 'Nantucket', 'MA', 'US', '02554', '5085664410', 'Paula ', 'Leary', '20 R South Water Street', '', 'Nantucket', 'MA', 'US', '02554', '5085664410', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BXUWKXPXVGQSMJWOGOIDAFBSFBWCDY', '0', '76.24.212.44', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('313', '109', 'Julieanneaubin@hotmail.com', 'shopper', '2019-01-14 18:02:00', '2018-05-19 22:52:17', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Julie', 'Aubin', '7881 Wexford court ', '', 'Bloomington ', 'IN', 'US', '47408', '8123226177', 'Julie', 'Aubin', '7881 Wexford court ', '', 'Bloomington ', 'IN', 'US', '47408', '8123226177', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '86.198.148.111', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('314', '0', 'Tjsfink@gmail.com', '', '2019-01-14 18:02:00', '2018-05-23 07:35:31', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'TJ', 'Fink', '44 s la senda', '', 'Laguna Beach ', 'CA', 'US', '92651', '9493389891', 'TJ', 'Fink', '44 s la senda', '', 'Laguna Beach ', 'CA', 'US', '92651', '9493389891', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'EQGVKYSXBAARYBJZTXZSVDSBELOCHF', '0', '68.111.69.50', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('315', '0', 'Jmcculley3@gmail.com', '', '2019-01-14 18:02:00', '2018-05-23 15:48:05', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jody ', 'Mcculley', '8453 violet lane ', '', 'Batavai ', 'NY', 'US', '14020', '5854093397', 'Jody ', 'Mcculley', '8453 violet lane ', '', 'Batavai ', 'NY', 'US', '14020', '5854093397', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UPQEEMPIXZYULNFAMTOBBPWFKRLTUO', '0', '98.10.176.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('316', '110', 'jfknapp@verizon.net', 'shopper', '2019-01-14 18:02:00', '2018-05-24 10:52:09', '10', '9.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'John', 'Knapp', '16 Fox Meadow Lane', '', 'Wayland', 'MA', 'US', '01778', '9175727006', 'John', 'Knapp', '16 Fox Meadow Lane', '', 'Wayland', 'MA', 'US', '01778', '9175727006', 'paypal', '', '', '', '1', NULL, 'John Knapp', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', '', '0', '38.140.58.154', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('317', '0', 'Chris.trimbach@gmail.com', '', '2019-01-14 18:02:00', '2018-05-26 07:02:47', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Chris', 'Trimbach', '345 N La Salle Dr Unit 1001', '', 'Chicago', 'IL', 'US', '60654', '5136758449', 'Chris', 'Trimbach', '345 N La Salle Dr Unit 1001', '', 'Chicago', 'IL', 'US', '60654', '5136758449', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'UZZALGXBAYWPZHPSFLGSYJFBAKZIBH', '0', '207.237.196.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('318', '0', 'marcin.jimenez@gmail.com', '', '2019-01-14 18:02:00', '2018-05-29 13:11:32', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Marcin', 'Jimenez', '11307 E Evans Ave', '', 'Aurora', 'CO', 'US', '80014', '6312458069', 'Marcin', 'Jimenez', '11307 E Evans Ave', '', 'Aurora', 'CO', 'US', '80014', '6312458069', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RDMJSOSXPXPMBUFZICUCUNBKQLALUW', '0', '24.9.45.193', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('319', '0', 'Jimshubert@charter.net', '', '2019-01-14 18:02:00', '2018-05-29 16:47:26', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jim', 'Shubert', '24 sycamore ridge drive ', '', 'Simpsonville ', 'SC', 'US', '29681', '8644149720', 'Jim', 'Shubert', '24 sycamore ridge drive ', '', 'Simpsonville ', 'SC', 'US', '29681', '8644149720', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WJSRAWHJQIMRDVBMTNMARFZRMPOIPV', '0', '174.195.150.198', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('320', '0', 'palphen@gmail.com', '', '2019-01-14 18:02:00', '2018-05-29 16:48:39', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Paul', 'Alphen', '200 Market St, Unit 3402', '', 'Lowell', 'MA', 'US', '01852', '9787616324', 'Paul', 'Alphen', '200 Market St, Unit 3402', '', 'Lowell', 'MA', 'US', '01852', '9787616324', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'RTIRXEQNFLPCJDPRZLJFFYORZVVMRZ', '0', '24.61.207.254', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('321', '0', 'bplat20@gmail.com', '', '2019-01-14 18:02:00', '2018-05-29 17:47:43', '10', '3.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Bobby', 'Platner', '23 Winterberry Drive', '', 'Franklin', 'MA', 'US', '02038', '6178335617', 'Bobby', 'Platner', '23 Winterberry Drive', '', 'Franklin', 'MA', 'US', '02038', '6178335617', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'NBOFZRRDENTBDDYWSXRGBPRNMVPEID', '0', '108.49.205.237', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('322', '0', 'jheald@legacy.com', '', '2019-01-14 18:02:00', '2018-05-29 19:26:57', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'john', 'heald', '11 morningside drive', '', 'shrewsbury', 'MA', 'US', '01545', '6179136122', 'john', 'heald', '11 morningside drive', '', 'shrewsbury', 'MA', 'US', '01545', '6179136122', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KUNYPKJHQRKQRFRGXRIEXBPETWAPFK', '0', '216.49.151.241', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('323', '0', 'Garysarasota@gmail.com', '', '2019-01-14 18:02:00', '2018-05-29 19:36:45', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Gary', 'Hamill', '6361 Mighty Eagle way', '', 'Sarasota', 'FL', 'US', '34241', '9419203614', 'Gary', 'Hamill', '6361 Mighty Eagle way', '', 'Sarasota', 'FL', 'US', '34241', '9419203614', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'KMZCSKTBQEXBBBFEBWIVHIWZAWURRE', '0', '47.199.69.126', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('324', '0', 'zrk@georgetown.edu', '', '2019-01-14 18:02:00', '2018-05-29 20:06:34', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Zack', 'Kurland', '7 Champney Place', '', 'Boston', 'MA', 'US', '02114', '6175269454', 'Zack', 'Kurland', 'One International Place, 22nd Floor', '', 'Boston', 'MA', 'US', '02114', '6175269454', 'paypal', '', '', '', '1', NULL, 'Please make sure to include the company name and floor on the shipping label ', '', '', '', '', '', '', '0', '0.000', '', '', '', '', 'Proskauer Rose LLP', 'ETHSXEBJNWFMZXBZNUJIWGQSGBZXZA', '0', '76.118.8.79', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('325', '0', 'josephh@aol.com', '', '2019-01-14 18:02:00', '2018-05-30 06:55:58', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Joseph', 'Horan', '85 Phillips Brooks Road', '', 'Westwood', 'MA', 'US', '02090', '5088462136', 'Joseph', 'Horan', '85 Phillips Brooks Road', '', 'Westwood', 'MA', 'US', '02090', '5088462136', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'ZGZUSFRCHSCWTVLQTEZWEPCUFGPJOS', '0', '72.74.28.229', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('326', '0', 'ewcolleran@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 08:17:43', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Evan', 'Colleran', '160 Cottage Street', '', 'NATICK', 'MA', 'US', '01760', '6174605058', 'Evan', 'Colleran', '160 Cottage Street', '', 'NATICK', 'MA', 'US', '01760', '6174605058', 'paypal', '', '', '', '1', NULL, 'Evan W Colleran', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'WAOZATBWOBXFXRVWADMYLEIWHSZYEF', '0', '45.47.143.12', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('327', '0', 'dan.healy@yahoo.com', '', '2019-01-14 18:02:00', '2018-05-30 14:37:42', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'DANIEL', 'HEALY', '37 ALPINE ST, Unit B', '', 'MALDEN', 'MA', 'US', '02148', '6172905277', 'DANIEL', 'HEALY', '37 ALPINE ST, Unit B', '', 'MALDEN', 'MA', 'US', '02148', '6172905277', 'paypal', '', '', '', '1', NULL, 'DANIEL HEALY', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FTTEIMZGXUFBXONYKQBIQUBVOQITJI', '0', '144.121.7.238', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('328', '0', 'canebob@aol.com', '', '2019-01-14 18:02:00', '2018-05-30 15:12:46', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Robert', 'Beraha', '12220 SW 70TH CT', '', 'PINECREST', 'FL', 'US', '33156', '3054561205', 'Robert', 'Beraha', '12220 SW 70TH CT', '', 'PINECREST', 'FL', 'US', '33156', '3054561205', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GAVOEQXUXAUCMLLVWLLNEZTQFSTTZM', '0', '50.244.153.17', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('329', '0', 'DEBROX@AOL.COM', '', '2019-01-14 18:02:00', '2018-05-30 16:07:18', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Deborah', 'Short', '17 Carey Cir', '', 'Canton', 'MA', 'US', '02021', '7818284925', 'Deborah', 'Short', '17 Carey Cir', '', 'Canton', 'MA', 'US', '02021', '7818284925', 'paypal', '', '', '', '1', NULL, 'Deborah Short', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'VOTEQGOVXAKQVDHUDAPXWIVGDQSXEO', '0', '24.60.192.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('330', '0', 'srowland.m@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 16:30:35', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Stephen ', 'Rowland', '1079 Jameson Road', '', 'Easley', 'SC', 'US', '29640', '8645615430', 'Stephen ', 'Rowland', '1079 Jameson Road', '', 'Easley', 'SC', 'US', '29640', '8645615430', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'PYLNPJFWHVKOHUOSHMKIIZCNJZMCVX', '0', '99.5.122.47', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('331', '0', 'Rdtarbox@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 16:36:11', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Ryan', 'Tarbox', '96 Ferry Rd #2', '', 'Saco', 'ME', 'US', '04072-2111', '2076192004', 'Ryan', 'Tarbox', '96 Ferry Rd #2', '', 'Saco', 'ME', 'US', '04072-2111', '2076192004', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'CCVKDBRBMBNJZXHLILJOSCJMUFLVSX', '0', '108.183.162.238', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('332', '0', 'annunziatapm@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 17:40:10', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Pasquale', 'Annunziata', '1 Consualate Drive Apt 2J', '', 'Tuckahoe', 'NY', 'US', '10707', '9144979594', 'Pasquale', 'Annunziata', '1 Consualate Drive Apt 2J', '', 'Tuckahoe', 'NY', 'US', '10707', '9144979594', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YOZTUKKCJUIAPXCDHTOYWWYCNJOWQH', '0', '173.3.96.35', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('333', '0', 'Derek.soule1@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 17:42:37', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Derek', 'Soule', '10 Grove st', '', 'Millis', 'MA', 'US', '02054', '5085071354', 'Derek', 'Soule', '10 Grove st', '', 'Millis', 'MA', 'US', '02054', '5085071354', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'BKKQOSOPDGDADTJZPIGKXBNRWPJMEF', '0', '24.91.58.173', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('334', '0', 'fgallo@me.com', '', '2019-01-14 18:02:00', '2018-05-30 18:30:53', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Francesco ', 'Gallo', '259 Church Street', '', 'San Francisco ', 'CA', 'US', '94114', '4084107504', 'Francesco ', 'Gallo', '221 East 11th Street Apt 4A', '', 'New York', 'NY', 'US', '10003', '4084107504', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'MXWZNVJREGSUSNPOQEYJAKYPZMGFEN', '0', '68.174.118.211', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('335', '0', 'jg500@comcast.net', '', '2019-01-14 18:02:00', '2018-05-30 21:15:38', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jordan', 'Greenberg', '2240 Dwight Lane', '', 'Minnetonka', 'MN', 'US', '54305', '6122421950', 'Jordan', 'Greenberg', '2240 Dwight Lane', '', 'Minnetonka', 'MN', 'US', '54305', '6122421950', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'SGNQOFTIRTCHXAYEGUXDLZSJENORJO', '0', '73.37.213.92', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('336', '0', 'justinutay@gmail.com', '', '2019-01-14 18:02:00', '2018-05-30 21:51:54', '8', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Justin', 'Utay', '5138 Lobello Dr', '', 'Dallas', 'TX', 'US', '75229', '2143943148', 'Justin', 'Utay', '300 N Akard #3107', '', 'Dallas', 'TX', 'US', '75201', '2143943148', 'paypal', '', '', '', '1', NULL, 'If you can’t get in the front door to the apartment complex just knock', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GXZBTVDDMWWOTVJVDCMIXCDCTKBDBR', '0', '166.137.118.110', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('337', '0', 'Thomaseaton3@gmail.com', '', '2019-01-14 18:02:00', '2018-05-31 05:03:33', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Thomas', 'Eaton', '4 Sweetland Farm road', '', 'Norfolk', 'MA', 'US', '02056', '5084636304', 'Thomas', 'Eaton', '4 Sweetland Farm road', '', 'Norfolk', 'MA', 'US', '02056', '5084636304', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'QBFUESXORFNNNYNOIZYLGPJDRDIXCT', '0', '66.30.182.65', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('338', '0', 'robert.ramsey@wtphelan.com', '', '2019-01-14 18:02:00', '2018-05-31 11:49:15', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'robert', 'ramsey', '62 Fairmont Street', '', 'Belmont', 'MA', 'US', '02478', '6178407775', 'robert', 'ramsey', '62 Fairmont Street', '', 'Belmont', 'MA', 'US', '02478', '6178407775', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'LWGSFHPMFBXSJLCECAMZAAHUPPLMLT', '0', '74.92.38.133', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('339', '0', 'afuges@yahoo.com', '', '2019-01-14 18:02:00', '2018-05-31 18:02:10', '8', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Andy', 'Fugleberg', '3927 155th Ave.', '', 'Urbandale', 'IA', 'US', '50323', '4022028770', 'Andy', 'Fugleberg', '3927 155th Ave.', '', 'Urbandale', 'IA', 'US', '50323', '4022028770', 'paypal', '', '', '', '1', NULL, 'Andy Fugleberg', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'GELAOEZZFSNUXWWPMJFVVJGQYAOVPK', '0', '174.217.44.239', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('340', '0', 'michael_clanahan@yahoo.com', '', '2019-01-14 18:02:00', '2018-06-01 08:56:25', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Michael', 'Clanahan', '3500 Elinburg Dr', '', 'Buford', 'GA', 'US', '30519', '4043843887', 'Michael', 'Clanahan', '3500 Elinburg Dr', '', 'Buford', 'GA', 'US', '30519', '4043843887', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'YYXSHIQWEZBXCXCRDYVMUSOCAOYTXJ', '0', '174.218.21.45', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('341', '0', 'benjamin.lucasj@gmail.com', '', '2019-01-14 18:02:00', '2018-06-01 13:18:57', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Ben', 'Lucas', '121 Western Avenue ', '', 'Essex', 'MA', 'US', '01929', '9785004088', 'Ben', 'Lucas', '121 Western Avenue ', '', 'Essex', 'MA', 'US', '01929', '9785004088', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', '', '', '', '', 'FDSMUOGIWFHQCPMDMPWWOYZUULZUUC', '0', '174.199.15.90', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('342', '111', 'back_at_one@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-06-27 03:24:30', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Philip', 'Burke', '3443 Kingsboro Road NE', 'Apt 2210', 'Atlanta', 'GA', 'US', '30326', '941-539-2739', 'Philip', 'Burke', '3443 Kingsboro Road NE', 'Apt 2210', 'Atlanta', 'GA', 'US', '30326', '941-539-2739', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '24.125.255.110', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9D345538TG625471A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('343', '112', 'mgillRN@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-07-01 06:02:42', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Brian', 'Gill', '36 Pearl Street', '', 'Ayer', 'MA', 'US', '01432', '978-772-1368', 'Brian', 'Gill', '36 Pearl Street', '', 'Ayer', 'MA', 'US', '01432', '978-772-1368', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '24.218.240.69', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8GA64014BK991194H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('344', '49', 'ewsoxfan@yahoo.com', 'shopper', '2019-01-14 18:02:00', '2018-07-01 11:38:31', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Erich', 'Wunderlich', '27 Lakeview Dr', '', 'Waldwick', 'NJ', 'US', '07463-1306', '917-328-9418', 'Erich', 'Wunderlich', '27 Lakeview Dr', '', 'Waldwick', 'NJ', 'US', '07463-1306', '917-328-9418', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '96.242.181.190', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '38M98567V5217240K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('345', '0', 'kmcmenamey@gmail.com', '', '2019-01-14 18:02:00', '2018-07-02 10:02:59', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Kelly', 'McMenamey', '41 Calhoun Ave', '', 'Trumbull', 'CT', 'US', '06611', '203-414-3848', 'Kelly', 'McMenamey', '41 Calhoun Ave', '', 'Trumbull', 'CT', 'US', '06611', '203-414-3848', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'NPPOPDUNHZIEKOQIHZIVVWBLRTYKBV', '0', '24.151.40.241', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2Y571251GF658805H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('346', '0', 'kate.chartier@gmail.com', '', '2019-01-14 18:02:00', '2018-07-06 12:10:14', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Kate', 'Chartier', '402 W MAGNOLIA AVE APT 311', '', 'AUBURN', 'AL', 'US', '36832', '404-345-4207', 'Kate', 'Chartier', '402 W MAGNOLIA AVE APT 311', '', 'AUBURN', 'AL', 'US', '36832', '404-345-4207', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KIHTGRLYFASELIBTRXUNUNPGMCDOMH', '0', '65.96.70.209', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '32G29807Y00163906', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('347', '0', 'mattmichals29@gmail.com', '', '2019-01-14 18:02:00', '2018-07-06 21:57:10', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'matthew', 'michals', '27 Stevens road', '', 'needham', 'MA', 'US', '02492', '617-388-5046', 'matthew', 'michals', '27 Stevens road', '', 'needham', 'MA', 'US', '02492', '617-388-5046', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RQLDBSIMHIREIBYCKZGZUFKCBRNWWF', '0', '75.50.114.196', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '59S34931BL025522R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('348', '0', 'juliacgorka@gmail.com', '', '2019-01-14 18:02:00', '2018-07-08 09:16:22', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Julia', 'Gorka', '300 Summit St', '', 'Hartford', 'CT', 'US', '06106', '703-304-3744', 'Julia', 'Gorka', '300 Summit St', '', 'Hartford', 'CT', 'US', '06106', '703-304-3744', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VOPBXCGFIICCPFTZTLQZXNRUOPPNVD', '0', '174.192.22.58', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '06S45226BH7857012', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('349', '0', 'schmidtysc@gmail.com', '', '2019-01-14 18:02:00', '2018-07-08 11:26:14', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Scott', 'Schmidt', '951 Cook St', '', 'Denver', 'CO', 'US', '80206', '206-696-1536', 'Scott', 'Schmidt', '951 Cook St', '', 'Denver', 'CO', 'US', '80206', '206-696-1536', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MVUNUQGJOEFWCDWYWNMTLYLIWUGSXO', '0', '166.137.126.30', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0LF42517A5991421V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('350', '0', 'rtasens@gmail.com', '', '2019-01-14 18:02:00', '2018-07-10 11:22:55', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Robert', 'Asensio', '2390 State St Apt 2Y', '', 'Hamden', 'CT', 'US', '06517-3713', '860-508-2851', 'Robert', 'Asensio', '2390 State St Apt 2Y', '', 'Hamden', 'CT', 'US', '06517-3713', '860-508-2851', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BCDBAETARIYPECAWQMOPASFVWPEZAS', '0', '71.232.200.167', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9Y375253JF442183A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('352', '114', 'lucy328g@comcast.net', 'shopper', '2019-01-14 18:02:00', '2018-07-12 08:04:13', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Linda', 'Grimes', '6359 Loudon Ave', '', 'Elkridge', 'MD', 'US', '21075', '410-949-6676', 'Linda', 'Grimes', '6359 Loudon Ave', '', 'Elkridge', 'MD', 'US', '21075', '410-949-6676', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '162.129.250.38', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0VU28259FT841501E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('353', '0', 'mconners1@nycap.rr.com', '', '2019-01-14 18:02:00', '2018-07-13 08:15:08', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'mary', 'Conners', '288 Riverview Road', '', 'Rexford', 'NY', 'US', '12148', '518-348-2866', 'mary', 'Conners', '288 Riverview Road', '', 'Rexford', 'NY', 'US', '12148', '518-348-2866', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'CDUCXPFXUNFNBNWHTCUQIQJPZBJMIL', '0', '67.246.47.141', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '79X44502TG4954842', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('354', '0', 'cjzafron@gmail.com', '', '2019-01-14 18:02:00', '2018-07-13 09:20:18', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Cory', 'Zafron', '83 greenbrook dr', '', 'stoughton', 'MA', 'US', '02072-4913', '781-760-2407', 'Cory', 'Zafron', '83 greenbrook dr', '', 'stoughton', 'MA', 'US', '02072-4913', '781-760-2407', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QSHUAKZPMFBDDVQTARMLPDWLHDEJCT', '0', '174.192.27.61', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '74L128955X859151V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('355', '0', 'mmorningstar3@me.com', '', '2019-01-14 18:02:00', '2018-07-15 06:44:49', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Marla', 'Morningstar', '1260 Pelican Lane', '', 'Hollywood', 'FL', 'US', '33019', '305-302-6848', 'Marla', 'Morningstar', '1260 Pelican Lane', '', 'Hollywood', 'FL', 'US', '33019', '305-302-6848', 'paypal', '', '', '', '1', NULL, 'Marla Morningstar', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', 'Mrs', 'DLICZSOMYPVHGSFBOGABEBSVBEMSEP', '0', '67.191.36.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9M372193NS7400644', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('356', '0', 'bdsematore@gmail.com', '', '2019-01-14 18:02:00', '2018-07-15 08:38:41', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Brett', 'Sematore', '27 Lady Slipper Drive', '', 'Plymouth', 'MA', 'US', '02360', '781-608-6946', 'Brett', 'Sematore', '27 Lady Slipper Drive', '', 'Plymouth', 'MA', 'US', '02360', '781-608-6946', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AOXCFRYMBVGZIHSPYVVSFZBHZBIRDJ', '0', '108.7.192.172', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7XS28722VX088150F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('358', '0', 'lucky84evuh@icloud.com', '', '2019-01-14 18:02:00', '2018-07-17 20:35:36', '10', '8.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'Nguyen', 'Thanh', '4283 EXPRESS LANE', 'SUITE 2228-240', 'Sarasota', 'FL', 'US', '34249', '+852 55462321', 'Nguyen', 'Thanh', '4283 EXPRESS LANE', 'SUITE 2228-240', 'Sarasota', 'FL', 'US', '34249', '+852 55462321', 'paypal', '', '', '', '1', NULL, 'thanh nguyen', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', ' ', 'suite 2228-240', 'TZWIPYVLTBZAOTANCBAAAHYWEKIFDL', '0', '169.196.68.12', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '69S6617982717915J', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('359', '0', 'cmckeown235@gmail.com', '', '2019-01-14 18:02:00', '2018-07-20 10:31:44', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Clare', 'Mckeown', '235 Nashawtuc road', '', 'Concord', 'MA', 'US', '01742', '617-671-8222', 'Clare', 'Mckeown', '235 Nashawtuc road', '', 'Concord', 'MA', 'US', '01742', '617-671-8222', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'UHPVKBJZMDDMFFCHOECTQPYAJQKSNJ', '0', '165.125.177.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '86J39094CF7628231', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('360', '0', 'waterman.jay@gmail.com', '', '2019-01-14 18:02:00', '2018-07-20 18:17:04', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'James', 'Waterman', '5 Howard Street', '', 'WENHAM', 'MA', 'US', '01984', '617-763-6999', 'James', 'Waterman', '5 Howard Street', '', 'WENHAM', 'MA', 'US', '01984', '617-763-6999', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FPFBXIDBCFAWFWLJMKFFZNLYVLODXJ', '0', '198.0.153.218', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7WH09248RN474324D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('361', '0', 'Eugenedschultz@gmail.com', '', '2019-01-14 18:02:00', '2018-07-24 15:55:58', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Eugene', 'Schultz', '4 Lee Street', '', 'Wakefield', 'MA', 'US', '01880', '508-579-3958', 'Eugene', 'Schultz', '4 Lee Street', '', 'Wakefield', 'MA', 'US', '01880', '508-579-3958', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KRVPGZMCHEYJOPZUYYQLDWJGIFYVUG', '0', '24.147.187.196', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8HY55886G7269782A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('362', '0', 'marshall.thomas@talluswm.com', '', '2019-01-14 18:02:00', '2018-07-24 18:01:37', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Thomas', 'Financial Corp', '2101 4th Ave', 'Ste 710', 'Seattle', 'WA', 'US', '98121-2351', '206-914-1457', 'Thomas', 'Financial Corp', '2101 4th Ave', 'Ste 710', 'Seattle', 'WA', 'US', '98121-2351', '206-914-1457', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JXCFPCTDSPGNVFCSYFTGGXFEZVHSGN', '0', '208.79.146.218', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1C0594730N740504K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('363', '116', 'ericmorningstar3@gmail.com', 'shopper', '2019-01-14 18:02:00', '2018-07-30 19:04:30', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Eric', 'Morningstar', '1260 Pelican Lane', '', 'Hollywood', 'FL', 'US', '33019', '954 558-4395', 'Eric', 'Morningstar', '1260 Pelican Lane', '', 'Hollywood', 'FL', 'US', '33019', '954 558-4395', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '67.191.36.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3T1412532F564335A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('364', '0', 'kingfoxk@gmail.com', '', '2019-01-14 18:02:00', '2018-08-02 15:16:11', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Kingman', 'Keating', '2550 Lake Shore Drive', '', 'Orlando', 'FL', 'US', '32803', '4072766295', 'Kingman', 'Keating', '2518 SW 2nd Ave', '', 'Gainesville', 'FL', 'US', '32607', '4072766295', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RBBCUXZTSBLXEVHMCURROZYRVDSJFY', '0', '70.171.48.200', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0UG26822KA538500P', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('365', '0', 'felicia.demore@hotmail.com', '', '2019-01-14 18:02:00', '2018-08-02 21:10:12', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Felicia', 'Demore', '20 Benham Ave', '', 'Ware', 'MA', 'US', '01082', '4138135964', 'Felicia', 'Demore', '20 Benham Ave', '', 'Ware', 'MA', 'US', '01082', '4138135964', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KDZOFCGSCNAIJZAWDLSFRJMAGWKLUW', '0', '107.77.76.80', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '93847044WR7488231', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('366', '0', 'frogsleap@rcn.com', '', '2019-01-14 18:02:00', '2018-08-04 13:50:55', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'Standard Shipping', '', '', 'Art', 'Gertel', 'Frog\'s Leap Farm', '320 Mountain Road', 'Lebanon', 'NJ', 'US', '08833', '908-534-2150', 'Art', 'Gertel', 'Frog\'s Leap Farm', '320 Mountain Road', 'Lebanon', 'NJ', 'US', '08833', '908-534-2150', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VILTGRDGMRJDNPDSOWRWQOWXPSNONX', '0', '73.195.17.99', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1YA08021N1958872U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('367', '0', 'madisonzapatka@gmail.com', '', '2019-01-14 18:02:00', '2018-08-05 21:18:33', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Madison', 'Zapatka', '76 Stony Corners Road', '', 'Avon', 'CT', 'US', '06001', '860-539-9789', 'Madison', 'Zapatka', '76 Stony Corners Road', '', 'Avon', 'CT', 'US', '06001', '860-539-9789', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'GTXFHITUQYVDSTFRYESBHNWVIAAXGD', '0', '76.24.57.47', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1MC414171W807182D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('368', '0', 'meaganwilliamson08@yahoo.com', '', '2019-01-14 18:02:00', '2018-08-06 10:08:42', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Meagan', 'Williamson', '1732 Innsbrooke Drive ', '', 'Salem', 'VA', 'US', '24153', '4345667708', 'Meagan', 'Williamson', '1732 Innsbrooke Drive ', '', 'Salem', 'VA', 'US', '24153', '4345667708', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SDBICREZSJUIUUZNENGKWCXUAOSLGF', '0', '174.192.35.170', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0ET254292Y607604X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('369', '0', 'robincarter@metrocast.net', '', '2019-01-14 18:02:00', '2018-08-07 07:30:50', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Robin', 'Carter', '4 Wild Turkey Rd', '', 'Deerfield ', 'NH', 'US', '03037', '603-303-8736', 'Robin', 'Carter', '4 Wild Turkey Rd', '', 'Deerfield ', 'NH', 'US', '03037', '603-303-8736', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IPHTZNCGKDVQPCDECOHPWPRWTOIFHJ', '0', '76.119.147.93', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '51S104011V854705N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('370', '0', 'chitch16@gmail.com', '', '2019-01-14 18:02:00', '2018-08-07 12:58:14', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Charlie', 'Hitch', '26 peirce road ', '', 'Wellesley', 'MA', 'US', '02481', '7816975594', 'Charlie', 'Hitch', '26 peirce road ', '', 'Wellesley', 'MA', 'US', '02481', '7816975594', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JEPDSZJYVTIMUKLRMFJPCCPBZONBKZ', '0', '65.96.69.82', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3JW11778TY367860S', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('371', '0', 'Lunbec@bellsouth.net', '', '2019-01-14 18:02:00', '2018-08-11 12:18:49', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Lucian', 'Bryan', '16810 Quayside Dr', '', 'Milton', 'GA', 'US', '30004', '4043884682', 'Lucian', 'Bryan', '16810 Quayside Dr', '', 'Milton', 'GA', 'US', '30004', '4043884682', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RKFEWOKHTPDCNLXBVJWLFRITCCDBMA', '0', '174.218.141.138', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '56D85653L48241247', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('372', '0', 'Garth.wentzel@ipaper.com', '', '2019-01-14 18:02:00', '2018-08-14 08:51:23', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Garth', 'Wentzel', '5 Conway Road', '', 'Newport News', 'VA', 'US', '23606', '757 876 4440', 'Garth', 'Wentzel', '5 Conway Road', '', 'Newport News', 'VA', 'US', '23606', '757 876 4440', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SHBALETZZBLCCGDIGJNTECWZNZXAPJ', '0', '76.24.212.144', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8FS86646850036208', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('373', '0', 'allanhinds13@gmail.com', '', '2019-01-14 18:02:00', '2018-08-17 09:16:47', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Leslie', 'Hinds', '110 Duke rd', '', 'Winterville', 'NC', 'US', '28590', '252-341-3636', 'Leslie', 'Hinds', '110 Duke rd', '', 'Winterville', 'NC', 'US', '28590', '252-341-3636', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'UCSTCOYWWFDHKPDRUFLKPAQNOHLKCU', '0', '75.110.25.175', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7A9906221S102194X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('374', '0', 'nolank3@udayton.edu', '', '2019-01-14 18:02:00', '2018-08-17 10:18:09', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Douglas', 'Nolan', '18190 Stony Point Dr', '', 'Strongsville', 'OH', 'US', '44136', '4408977170', 'Katie', 'Nolan', '1530 Brown Street', '', 'Dayton', 'OH', 'US', '45409', '4408977170', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'YGUKWIQLRXKTMGLSKEPTFSXNTFSTVZ', '0', '50.4.78.233', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '21A10004AA9229219', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('375', '117', 'reajas@supplyne.com', 'shopper', '2019-01-14 18:02:00', '2018-08-17 12:43:27', '10', '12.000', '150.000', '0.000', '8.000', '0.000', '0.000', '0.000', '158.000', '', '', '0', 'US Mail', '', '', 'Jason', 'Reardon', '14 Payson St', '', 'Attleboro', 'MA', 'US', '02703', '5082122936', 'Jason', 'Reardon', '123 East St', '', 'Attleboro', 'MA', 'US', '02703', '5082122936', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'Supply New England', 'Supply New England', '', '0', '50.233.47.198', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '850029533L208364K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('376', '0', 'Rohanley@verizon.net', '', '2019-01-14 18:02:00', '2018-08-17 15:53:28', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Ross', 'O\'Hanley', '30 Accord Pond Drive', '', 'Hingham', 'MA', 'US', '02043', '781-749-6440', 'Ross', 'O\'Hanley', '30 Accord Pond Drive', '', 'Hingham', 'MA', 'US', '02043', '781-749-6440', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZFPDPMGXSGWNSOCVJFYBKCQHKAIHVX', '0', '100.0.2.111', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8W364546M4772270A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('377', '0', 'kevincoppola@me.com', '', '2019-01-14 18:02:00', '2018-08-19 11:38:57', '10', '3.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Kevin', 'Coppola', '100 Oxford Road', '', 'Westwood', 'MA', 'US', '02090', '6178931248', 'Kevin', 'Coppola', '100 Oxford Road', '', 'Westwood', 'MA', 'US', '02090', '6178931248', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TMHWVKNTGGEOMKTKBRCYCNLVCAVWOO', '0', '174.63.52.79', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0W134047GW2074318', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('378', '0', 'ryantuorto36@gmail.com', '', '2019-01-14 18:02:00', '2018-08-20 06:05:53', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Ryan', 'Tuorto', '65 Battin Road', '', 'Fair Haven', 'NJ', 'US', '07704', '7322726133', 'Ryan', 'Tuorto', 'UR 1072, 28 Westhampton Way', '', 'Richmond', 'VA', 'US', '23173', '7322726133', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZECJQEWDYOKHZJLAVZMQTPITWRKRBC', '0', '24.218.10.85', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '75T40476CX031802F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('379', '0', 'johnfrick@live.com', '', '2019-01-14 18:02:00', '2018-08-22 09:13:57', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'john', 'frick', '295 bluff view dr.', '', 'Guilford', 'CT', 'US', '06437', '2034571586', 'john', 'frick', '295 bluff view dr.', '', 'Guilford', 'CT', 'US', '06437', '2034571586', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SHIWKFQPDYEPWJCYSWNGHOXTHOILGW', '0', '32.210.139.156', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '11R034597K7603152', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('380', '118', 'jeri_savoy@me.com', 'shopper', '2019-01-14 18:02:00', '2018-08-24 15:34:57', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Geraldine', 'Savoy', '60 West 66th Street, Apt. 28-F', '', 'New York', 'NY', 'US', '10023', '917-882-9243', 'Geraldine', 'Savoy', '60 West 66th Street, Apt. 28-F', '', 'New York', 'NY', 'US', '10023', '917-882-9243', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '67.250.58.236', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '55M11749SN0449007', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('381', '0', 'jen@socoevents.com', '', '2019-01-14 18:02:00', '2018-08-26 19:48:11', '10', '5.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'Standard Shipping', '', '', 'Jennifer', 'Stiebel', '11141 Cedarwood Drive', '', 'Rockville', 'MD', 'US', '20852', '301-881-0006', 'Jennifer', 'Stiebel', '11141 Cedarwood Drive', '', 'Rockville', 'MD', 'US', '20852', '301-881-0006', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FAPJUYXVNCHNBPZVYFGTALPCBDIWDS', '0', '100.15.103.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0C604537FP4403457', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('382', '0', 'lmaloyc@gmail.com', '', '2019-01-14 18:02:00', '2018-08-29 16:00:17', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'liam', 'maloy', '2 gold street', '3112', 'new york', 'NY', 'US', '10038', '518-577-3901', 'liam', 'maloy', '2 gold street', '3112', 'new york', 'NY', 'US', '10038', '518-577-3901', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DMKZKDAHWADPJHWEVDKCXVCHDGMICT', '0', '98.14.66.244', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0RW149953Y514154X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('383', '0', 'garth.wentzel@ipaper.com', '', '2019-01-14 18:02:00', '2018-08-30 13:59:23', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'garth', 'wentzel', '5 Conway Rd', '', 'Newport News ', 'VA', 'US', '23606', '757-876-4440', 'Barry ', 'Uncles', '64 Nathaniel Way', '', 'Auburn', 'NH', 'US', '03032', '757-876-4440', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ORLWTSYZLLZEIZLLEZSRSJCKDDFQIT', '0', '205.247.1.130', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9U4596981W9917001', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('384', '0', 'Chris@take2games.com', '', '2019-01-14 18:02:00', '2018-08-31 18:10:07', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Chris ', 'Casazza', '35 Burr Farms Rd. ', '', 'Westport', 'CT', 'US', '06880', '6469426300', 'Chris', 'Casazza', '110 West 44th Street', '', 'New York', 'NY', 'US', '10036', '6465363004', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', 'Take-Two Interactive Software, Inc. ', 'LFJJGGJJSQRKGQKLYIIIGITVIIOAGX', '0', '174.203.7.195', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8W560511H06043354', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('385', '0', 'DYLANIGOE@GMAIL.COM', '', '2019-01-14 18:02:00', '2018-08-31 18:49:21', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Dylan', 'Igoe', '102 Ivy Drive Apt #3', '', 'Charlottesville', 'VA', 'US', '22903', '4016994314', 'Dylan', 'Igoe', '102 Ivy Drive Apt #3', '', 'Charlottesville', 'VA', 'US', '22903', '4016994314', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '1993', '1993', 'BOJRKLPJLHKNSNOKRXXHCKWJNVVUUS', '0', '71.62.61.41', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '64344983CG5990406', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('386', '0', 'mapril75@yahoo.com', '', '2019-01-14 18:02:00', '2018-09-01 08:51:47', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Matthew', 'April', '606 1/2 N Spaulding', '', 'Los Angeles', 'CA', 'US', '90036', '248-767-0110', 'Matthew', 'April', '1033 11th St', '', 'Manhattan Beach', 'CA', 'US', '90266', '248-767-0110', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AUPYZYFAJKRZTNFMQVHCWWYTNVTWIN', '0', '216.3.153.240', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '85E59642SH137335M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('387', '0', 'mrgrt_maloney@yahoo.com', '', '2019-01-14 18:02:00', '2018-09-02 12:56:13', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Margaret', 'Hilzim', '1438 Caldwell ave.', '', 'Baton Rouge', 'LA', 'US', '70806', '225-485-1827', 'Margaret', 'Hilzim', '1438 Caldwell ave.', '', 'Baton Rouge', 'LA', 'US', '70806', '225-485-1827', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SUGPFXQFBQBGOBARTJEILWLVOWBBOC', '0', '184.180.108.220', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7AL628535V2177258', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('388', '0', 'A.waring44@gmail.com', '', '2019-01-14 18:02:00', '2018-09-02 20:52:32', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Elizabeth', 'Waring', '206 winter street', '', 'Fall River ', 'MA', 'US', '02720', '7132137050', 'Abigail ', 'Waring', '401 e 34th Street ', '', 'New York ', 'NY', 'US', '10016', '7132137050', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XOXWBXCGWZWPKFWJGEEQNAHQJUKXIO', '0', '107.77.76.46', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '81R11027YH5950528', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('389', '0', 'steve.tipler@gmail.com', '', '2019-01-14 18:02:00', '2018-09-03 22:36:53', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Steve', 'Tipler', '404 Mississippi River Blvd South', '', 'Saint Paul', 'MN', 'US', '55105', '612-598-7756', 'Steve', 'Tipler', '404 Mississippi River Blvd South', '', 'Saint Paul', 'MN', 'US', '55105', '612-598-7756', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LNMYRVZLMEZTUCLDFJCKAYBFJQETJN', '0', '50.225.117.156', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6WX439458S480051X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('390', '0', 'bmoss73@gmail.com', '', '2019-01-14 18:02:00', '2018-09-08 16:07:46', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Brett', 'Moss', '242 Shawmut Ave.', '', 'Boston', 'MA', 'US', '02118', '6178517919', 'Brett', 'Moss', '242 Shawmut Ave.', '', 'Boston', 'MA', 'US', '02118', '6178517919', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MJCCVRPNUYXFHJDLEJRDGJPVBGSZBK', '0', '73.219.242.192', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9D521354GF006873D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('391', '0', 'ivahosnova@gmail.com', '', '2019-01-14 18:02:00', '2018-09-10 11:26:48', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Andrew', 'Stone', '98 Hoppen rd', '', 'New Hartford', 'CT', 'US', '06057', '860-424-7981', 'Andrew', 'Stone', '98 Hoppen rd', '', 'New Hartford', 'CT', 'US', '06057', '860-424-7981', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PKQUTFXMRXPUNNTTDZCGTLRZLTPSHT', '0', '67.245.104.217', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8MD18061DS276340S', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('392', '0', 'D_stiene@yahoo.com', '', '2019-01-14 18:02:00', '2018-09-16 20:26:22', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Denise ', 'Watkins ', '2096 Willow Grove Way ', '', 'The Villages ', 'FL', 'US', '32162', '4415340412', 'Rachael ', 'Gage ', '33 Katie Lane', '', 'Williston', 'VT', 'US', '05495', '4415340413', 'paypal', '', '', '', '1', NULL, 'The shirt is a gift. Please do not include pricing on invoice. Thanks!', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HNFNAMZULLMZAGUEBXIXVVMHCQETXF', '0', '207.228.147.51', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7BV70201EN979163V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('393', '0', 'matthewpeters50@gmail.com', '', '2019-01-14 18:02:00', '2018-09-22 15:42:28', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Matthew', 'Peters', '30 Leicester Road', '', 'State College', 'MA', 'US', '01945', '617-999-8444', 'Matthew', 'Peters', '255 East Beaver Avenue Apt. 907', '', 'State College', 'PA', 'US', '16801', '617-999-8444', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HXMLSWCKTUDMRICTJIYHMQCITBXVDG', '0', '99.203.128.254', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '67U93827GW204252T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('394', '0', 'rdcrescue@gmail.com', '', '2019-01-14 18:02:00', '2018-09-22 21:22:41', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'joy', 'nicholson', '164 County Road 101', '', 'Chimayo', 'NM', 'US', '87522', '505-351-1676', 'joy', 'nicholson', '164 County Road 101', '', 'Chimayo', 'NM', 'US', '87522', '505-351-1676', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ONWKTMQUYYOHKHKGCFQDAAWULCFCAF', '0', '98.16.80.231', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '52K793677E652872B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('395', '0', 'garygee17@gmail.com', '', '2019-01-14 18:02:00', '2018-09-24 16:59:38', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Gary', 'Gaethofs', '45 Preston Dr', '45 Preston Dr', 'Cranston', 'RI', 'US', '02910', '401-688-4917', 'Gary', 'Gaethofs', '45 Preston Dr', '45 Preston Dr', 'Cranston', 'RI', 'US', '02910', '401-688-4917', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'YTJCYGADQLFDNUXYCBJPJJVUXYHWQU', '0', '68.110.196.63', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5AC123939B796050R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('396', '110', 'jfknapp@verizon.net', 'shopper', '2019-01-14 18:02:00', '2018-09-24 17:08:57', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'John', 'Knapp', '16 Fox Meadow Lane', '', 'Wayland', 'MA', 'US', '01778', '9175727006', 'John', 'Knapp', '16 Fox Meadow Lane', '', 'Wayland', 'MA', 'US', '01778', '9175727006', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '72.74.174.15', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3X613074LH8634141', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('397', '0', 'todd.wetzel@morganstanley.com', '', '2019-01-14 18:02:00', '2018-10-07 17:54:11', '10', '9.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Todd', 'Wetzel', '154 West Plain Street', '', 'Wayland', 'MA', 'US', '01778', '508-380-9992', 'Todd', 'Wetzel', '154 West Plain Street', '', 'Wayland', 'MA', 'US', '01778', '508-380-9992', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BPJGGVERCMVEDETJPIZOSZUZVWXDKF', '0', '73.68.13.163', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5YC32413AJ310773X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('398', '0', 'TJones009@yahoo.com', '', '2019-01-14 18:02:00', '2018-10-08 19:33:52', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Trevor', 'Jones', '412 W College Ave Apt. 1102', '', 'State College', 'PA', 'US', '16801', '908-304-8373', 'Trevor', 'Jones', '412 W College Ave Apt. 1102', '', 'State College', 'PA', 'US', '16801', '908-304-8373', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FIZUGXXAWWHYJSYHWKNSFCKRVCOEJS', '0', '174.229.140.233', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8VG44400DN9235040', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('399', '0', 'mccarthy.rd@gmail.com', '', '2019-01-14 18:02:00', '2018-10-10 10:14:13', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Ryan', 'McCarthy', '95 Captain Peirce Road', '', 'Scituate', 'MA', 'US', '02066', '9788527182', 'Ryan', 'McCarthy', '95 Captain Peirce Road', '', 'Scituate', 'MA', 'US', '02066', '9788527182', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MSJRXAISJURUNOOTJOLNYGHSJQVKGK', '0', '96.70.206.77', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '02X23081FF455582T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('400', '0', 'jodi@marvinjperry.com', '', '2019-01-14 18:02:00', '2018-10-18 10:11:53', '10', '15.000', '180.000', '0.000', '9.000', '0.000', '0.000', '0.000', '189.000', '', '', '0', 'US Mail', '', '', 'Jodi ', 'yeager', '5210 worthington drive', '', 'bethesda', 'MD', 'US', '20816-1001', '3015206432', 'Jodi ', 'yeager', '5210 worthington drive', '', 'bethesda', 'MD', 'US', '20816-1001', '3015206432', 'paypal', '', '', '', '1', NULL, 'Thanks for your help Steve. ', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'Mrs.', 'Mrs.', 'DNVTBWQMUDZYOQNMLHVFUHTURYRLLF', '0', '71.191.190.112', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7HN975544R841845C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('401', '0', 'Sasanka@LaunchSource.com', '', '2019-01-14 18:02:00', '2018-10-21 09:58:29', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Sasanka ', 'Atapattu ', '1569 Beacon St. Apt 12 ', '', 'Brookline ', 'MA', 'US', '02446', '8579980474', 'Sasanka ', 'Atapattu ', '1569 Beacon St. Apt 12 ', '', 'Brookline ', 'MA', 'US', '02446', '8579980474', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'LaunchSource', 'LaunchSource', 'UCSXUEPAYSSVVEEUDOKZFGDTWLEIDS', '0', '174.192.15.177', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4CB18043XE5497540', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('402', '0', 'jerryclifford11@gmail.com', '', '2019-01-14 18:02:00', '2018-10-21 16:46:55', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'jeremiah', 'clifford', '901 W Madison St', '517', 'Chicago', 'IL', 'US', '60607', '617-224-7983', 'jeremiah', 'clifford', '901 W Madison St', '517', 'Chicago', 'IL', 'US', '60607', '617-224-7983', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'YGNXXWQNTTPNXFNFPUIEZZJSGORYLH', '0', '107.77.70.32', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '29N70632J2235912T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('403', '0', 'bruceescalante10@yahoo.com', '', '2019-01-14 18:02:00', '2018-10-22 17:35:11', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Bruce', 'Escalante ', '2113 Classen st ', '', 'Bakersfield ', 'CA', 'US', '93312', '6614445747', 'Bruce', 'Escalante ', '2113 Classen st ', '', 'Bakersfield ', 'CA', 'US', '93312', '6614445747', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TXRPMFIKJMJXTCYBDTCRZUFVJZRTKK', '0', '174.134.13.44', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1VX2154260366735T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('404', '0', 'susan@susanpenrod.com', '', '2019-01-14 18:02:00', '2018-10-24 21:14:47', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Susan', 'Penrod', '1524 SE 12th Street #6', '', 'Fort Lauderdale', 'FL', 'US', '33316', '954-553-3800', 'Susan', 'Penrod', '1524 SE 12th Street #6', '', 'Fort Lauderdale', 'FL', 'US', '33316', '954-553-3800', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ACXUXMDQMBNZWSBNPGOALPILZJKMKB', '0', '73.245.20.190', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9Y792718FD9299142', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('405', '88', 'markmikitka@gmail.com', 'shopper', '2019-01-14 18:02:00', '2018-11-09 09:30:34', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Mark', 'Mikitka', '12 Avery Lane', '', 'Andover', 'MA', 'US', '01810', '6179476485', 'Mark', 'Mikitka', '12 Avery Lane', '', 'Andover', 'MA', 'US', '01810', '6179476485', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'Mr.', 'Mr.', '', '0', '73.119.90.52', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9GM89277FH029990C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('406', '0', 'Bman1973@comcast.net', '', '2019-01-14 18:02:00', '2018-11-11 17:35:44', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Brian', 'Lapointe', '145 Haute Drive', '', 'Somerset', 'MA', 'US', '02726', '508-674-6385', 'Brian', 'Lapointe', '145 Haute Drive', '', 'Somerset', 'MA', 'US', '02726', '508-674-6385', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ERXRFNGZAORRNPMIZRMYANXBKYREWW', '0', '65.96.85.235', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '34M2259671273220F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('407', '0', 'Shickel5@verizon.net', '', '2019-01-14 18:02:00', '2018-11-14 06:07:49', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Deanna', 'Shickel', '14 Whitcomb lane', '', 'Hingham ', 'MA', 'US', '02043', '7815565160', 'Deanna', 'Shickel', '14 Whitcomb lane', '', 'Hingham ', 'MA', 'US', '02043', '7815565160', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DYWWQESGHYHPPPVNEUCPRDELAZKGKD', '0', '108.49.62.37', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '69S39347ML224221S', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('408', '120', 'letsgo@placestaffing.com', 'shopper', '2019-01-14 18:02:00', '2018-11-14 09:56:40', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'jason', 'devito', '75 Sugar plum Ln', '', 'Fairfield', 'CT', 'US', '06824', '8578912470', 'jason', 'devito', '75 Sugar plum Ln', '', 'Fairfield', 'CT', 'US', '06824', '8578912470', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'Place', 'Place', '', '0', '65.217.185.138', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5V475124XA1821406', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('409', '0', 'donnacondon@sbcglobal.net', '', '2019-01-14 18:02:00', '2018-11-20 18:25:27', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Donna', 'Condon', '5 putterdrive', '', 'Wallingford', 'CT', 'US', '06492', '2032650630', 'Donna', 'Condon', '5 putterdrive', '', 'Wallingford', 'CT', 'US', '06492', '2032650630', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FPTAQZFTSSESAICFPUCXZBPATHSGQA', '0', '71.232.200.168', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5K066719AV437132S', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('410', '0', 'darragh.michael@doversherborn.org', '', '2019-01-14 18:02:00', '2018-11-29 10:15:59', '10', '0.000', '10.000', '0.000', '1.000', '0.000', '0.000', '0.000', '11.000', '', '', '0', '', '', '', 'mike', 'darragh', '22Junction', '', 'dover mass', 'MA', 'US', '02030', '6174777356', 'mike', 'darragh', '22Junction', '', 'dover mass', 'MA', 'US', '02030', '6174777356', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '1993', '1993', 'IBTTNKYBCBIMGQRYHKNUAIEWGXGMSN', '0', '74.94.160.85', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2W385700FH3409131', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('411', '0', 'ejkjmskc@comcast.net', '', '2019-01-14 18:02:00', '2018-12-01 07:53:02', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jane', 'Gunnery', '57 Autumn Dr', '', 'Centerville', 'MA', 'US', '02632', '5087762539', 'Leeanne', 'Bertrand', '108 Borie St', '', 'Coudersport', 'PA', 'US', '16915-1544', '5087762539', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'GRYTCJILXFXCJJPWZFOFTOKQWFBMRX', '0', '24.91.151.209', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '89894194315985447', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('412', '0', 'briannalutz29@gmail.com', '', '2019-01-14 18:02:00', '2018-12-03 21:07:22', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Brianna', 'Lutz', '85 High Street', '', 'Milford', 'CT', 'US', '06460', '8608829894', 'Brianna', 'Lutz', '85 High Street', '', 'Milford', 'CT', 'US', '06460', '8608829894', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VRYBJPGYQZQJAROTLJNVTKYZFVKAKS', '0', '68.199.101.243', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3T686974WA848674G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('413', '0', 'lblacey@bellsouth.net', '', '2019-01-14 18:02:00', '2018-12-05 19:30:03', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'George', 'Lacey', '3110 Glastonbury Lane', '', 'Suwanee', 'GA', 'US', '30024', '678-990-3800', 'George', 'Lacey', '3110 Glastonbury Lane', '', 'Suwanee', 'GA', 'US', '30024', '678-990-3800', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'CRIVPKONFYBJXDYGYNBLNWIFRKKRZZ', '0', '75.139.146.186', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3B801846JJ114811F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('414', '0', 'srisko@horizonbeverage.com', '', '2019-01-14 18:02:00', '2018-12-07 05:07:01', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Steve', 'Risko', '208 Front St', '', 'Lincoln', 'RI', 'US', '02865', '4014802417', 'Steve', 'Risko', '208 Front St', '', 'Lincoln', 'RI', 'US', '02865', '4014802417', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HXVFPDHFVBWWVKGASCTHYWVWPHYARR', '0', '208.7.185.114', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6BE20741BM295721A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('415', '0', 'aterres14@googlemail.com', '', '2019-01-14 18:02:00', '2018-12-12 07:16:29', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Abigail', 'Terres', '24 Maryknoll Drive', '', 'Hingham', 'MA', 'US', '02043', '7817528190', 'Abigail', 'Terres', '24 Maryknoll Drive', '', 'Hingham', 'MA', 'US', '02043', '7817528190', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'YKXTAVCLOHANPMNXINQIADNFBQMWYO', '0', '167.173.8.19', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6S6828252W817010D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('416', '0', 'markmckee79@hotmail.com', '', '2019-01-14 18:02:00', '2018-12-12 17:17:25', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'mark', 'mckee', '53 elm st', '', 'Westwood', 'MA', 'US', '02090', '781-326-7428', 'mark', 'mckee', '53 elm st', '', 'Westwood', 'MA', 'US', '02090', '781-326-7428', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LPVVJKYGRHHKZUKDNXCOAZRDJQAABC', '0', '108.49.112.13', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9VK17927U20884531', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('417', '0', 'rbaker5586@aol.com', '', '2019-01-14 18:02:00', '2018-12-14 11:54:53', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'robert', 'baker', '3416manning ave', '2505', 'los angeles', 'CA', 'US', '90064', '424-325-8399', 'robert', 'baker', '3416manning ave', '2505', 'los angeles', 'CA', 'US', '90064', '424-325-8399', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XGNHWYNMVBHXZQISTQBXWXXBGGLBJG', '0', '104.173.253.28', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4J391579804047519', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('418', '0', 'shandaley@hotmail.com', '', '2019-01-14 18:02:00', '2018-12-14 12:20:25', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Shannon', 'Martino', '65 Shadowood Rd', '', 'Fairfield', 'CT', 'US', '06824', '2039233747', 'Shannon', 'Martino', '65 Shadowood Rd', '', 'Fairfield', 'CT', 'US', '06824', '2039233747', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VUYRNLYIJNGEXBHGJBXPJEASKTUBKZ', '0', '67.81.240.38', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1BD47465W9159525G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('419', '0', 'kc0118@gmail.com', '', '2019-01-14 18:02:00', '2018-12-15 15:56:35', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'kristine', 'carroll', '1767 jennings road', '', 'fairfield', 'CT', 'US', '06824', '2032552058', 'kristine', 'carroll', '1767 jennings road', '', 'fairfield', 'CT', 'US', '06824', '2032552058', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RRDUOZYSUEFQLVLBHZYSIZVOHMBCCL', '0', '68.192.93.84', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '32A14822U5843035K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('420', '0', 'kpcarroll@mintz.com', '', '2019-01-14 18:02:00', '2018-12-17 06:44:08', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Keith', 'Carroll', '11 Prince Street', '', 'Needham', 'MA', 'US', '02492', '617-348-4425', 'Keith', 'Carroll', '11 Prince Street', '', 'Needham', 'MA', 'US', '02492', '617-348-4425', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZTAEGALZUVZBZEGLMHEPEKZTGQVJNG', '0', '209.6.165.169', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9YY24461G0224322D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('421', '0', 'skybrows@me.com', '', '2019-01-14 18:02:00', '2018-12-20 11:11:58', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Anne Marie', 'Bellavance', '320G Polpis Rd', '', 'Nantucket', 'MA', 'US', '02554', '7745715622', 'Anne Marie', 'Bellavance', '320G Polpis Rd', '', 'Nantucket', 'MA', 'US', '02554', '7745715622', 'paypal', '', '', '', '1', NULL, 'Fast shipping', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FRUPPCQSXDMKUTOOQXBNAYKLYZMWHL', '0', '172.242.226.118', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0YL37743JC716720X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('422', '0', 'ailstock@easternrad.com', '', '2019-01-14 18:02:00', '2018-12-30 17:30:28', '10', '7.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Lysle', 'Ailstock', '309 North Dogwood Trl', '', 'Southern Shores', 'NC', 'US', '27949', '757-412-5777', 'Lysle', 'Ailstock', '309 North Dogwood Trl', '', 'Southern Shores', 'NC', 'US', '27949', '757-412-5777', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ECSCVSKOWLZIXTEPKHJGHRTMUUTDLP', '0', '47.133.84.40', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1DA73049181325539', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('423', '0', 'ailstock@easternrad.com', '', '2019-01-14 18:02:00', '2019-01-08 05:44:11', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Lysle', 'Ailstock', '309 North Dogwood Trl', '', 'Southern Shores', 'NC', 'US', '27949', '757-412-5777', 'Lysle', 'Ailstock', '309 North Dogwood Trl', '', 'Southern Shores', 'NC', 'US', '27949', '757-412-5777', 'paypal', '', '', '', '1', NULL, 'I am returning a an XL shirt for exchange to size L ;please send out size L melon shirt with BOX logo on back as well', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DTHUBPEQPCZWCXQOFCBAEBJXQZZKCZ', '0', '198.232.93.123', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '62L00569YG8424327', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('424', '0', 'ray2t2@gmail.com', '', '2019-01-14 18:02:00', '2019-01-10 10:57:05', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'raymond', 'tracy', '29 Warner lane', '', 'Ronkonkoma', 'NY', 'US', '11779', '516-702-8441', 'raymond', 'tracy', '29 Warner lane', '', 'Ronkonkoma', 'NY', 'US', '11779', '516-702-8441', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'UARJRRWIGVCECJBBPANZBWUOEQEWBY', '0', '67.84.147.171', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '05B92524TD596912D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('425', '0', 'lorna.denham@icloud.com', '', '2019-01-15 18:34:00', '2019-01-15 11:34:00', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Lorna', 'Denham', '357 Kensington Avenue', '', 'Westmount', 'MA', 'US', '02564', '5148231054', 'Jamie', 'Denham', '0256 Frist Center', '', 'Princeton', 'NJ', 'US', '08544-1102', '514-941-4405', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', 'Princeton University', 'TBJLILPMTVNWVBLVPWKDEVAVAUOIIM', '0', '66.131.223.204', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8EW95668Y4384723C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('426', '0', 'hentzmaeve@gmail.com', '', '2019-01-15 19:05:50', '2019-01-15 12:05:50', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Kate', 'Hentz', '84 Elm Street', '', 'Cohasset ', 'MA', 'US', '02025', '774-893-3964', 'Maeve', 'Hentz', '1910 South Josephine street Apt 406', '', 'Denver', 'CO', 'US', '80210', '774-893-3964', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'GYQHMKIPSMBUAPJLUNTHDAXNTSFGXN', '0', '130.253.27.10', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3R125062LW791805Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('427', '0', 'hunter.renick@gmail.com', '', '2019-01-17 03:30:48', '2019-01-16 20:30:48', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'hunter', 'renick', '816 forgotten ln', '', 'burleson', 'TX', 'US', '76028', '903-216-8288', 'hunter', 'renick', '816 forgotten ln', '', 'burleson', 'TX', 'US', '76028', '903-216-8288', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QJIFPRAUSUDWOSGPTMNXUKKGPYPKZX', '0', '47.219.22.156', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6J252746X8892572D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('428', '0', 'linnellk@comcast.net', '', '2019-01-17 20:32:55', '2019-01-17 13:32:55', '10', '6.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'Kathryn', 'Linnell', 'PO Box 581', '', 'South Chatham', 'MA', 'US', '02659', '774-722-3469', 'Kathryn', 'Linnell', 'PO Box 581', '', 'South Chatham', 'MA', 'US', '02659', '774-722-3469', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'EAQVNODGWHZQVSKIASMTNFZVFYFWPD', '0', '50.206.68.247', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '99B4951851555152F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('429', '0', 'craig@cummings.com', '', '2019-01-24 12:21:08', '2019-01-24 05:21:08', '10', '6.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'Standard Shipping', '', '', 'craig', 'ziady', '12 WINSLOW RD', '', 'WINCHESTER', 'MA', 'US', '01890', '781-729-1345', 'craig', 'ziady', '12 WINSLOW RD', '', 'WINCHESTER', 'MA', 'US', '01890', '781-729-1345', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FRIEFVCHEZPMFIAORHBXKIXWSVLOKB', '0', '64.119.130.86', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '24P75856V5223951C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('430', '0', 'vgrod7@gmail.com', '', '2019-01-26 17:29:44', '2019-01-26 10:29:44', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Victoria', 'Rodriguez', '1000 Country Club Drive', '', 'Hannibal', 'MO', 'US', '63401', '573-645-8578', 'Victoria', 'Rodriguez', '1000 Country Club Drive', '', 'Hannibal', 'MO', 'US', '63401', '573-645-8578', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OPTANSPYYRMBQWMCWNPGFEFLZFBZQA', '0', '75.49.196.39', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '51P12225EY879742N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('431', '0', 'Suefontes@gmail.com', '', '2019-01-27 15:23:06', '2019-01-27 08:23:06', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Sue', 'Fontes', '245 Tilden Rd', '', 'Scituate', 'MA', 'US', '02066', '7816082380', 'Sue', 'Fontes', '245 Tilden Rd', '', 'Scituate', 'MA', 'US', '02066', '7816082380', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FKRXQGOUAHNGHGHFBKCETUGIMZJDMD', '0', '73.61.128.244', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8M506487DD3505310', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('432', '122', 'teamfishboy@mac.com', 'shopper', '2019-01-31 11:41:13', '2019-01-31 04:41:13', '10', '3.000', '35.000', '0.000', '9.000', '0.000', '0.000', '0.000', '44.000', '', '', '0', 'US Mail', '', '', 'Christopher', 'Harde', '50 Indian Hill Street', '', 'West Newbury', 'MA', 'US', '01985-2033', '603-515-6559', 'Christopher', 'Harde', '50 Indian Hill Street', '', 'West Newbury', 'MA', 'US', '01985-2033', '603-515-6559', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '72.227.118.58', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9DP32858J4356905E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('433', '0', 'sdlitner@gmail.com', '', '2019-02-01 03:26:01', '2019-01-31 20:26:01', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Scott', 'Litner', '345 South End Ave #7K', '', 'New York', 'NY', 'US', '10280', '415-505-8777', 'Scott', 'Litner', '345 South End Ave #7K', '', 'New York', 'NY', 'US', '10280', '415-505-8777', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LHSUKYDUSRNJAMIXDLBUTGQCEVBTZZ', '0', '108.30.172.180', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4RH52192XV752354C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('434', '0', 'juliawilcox@optimum.net', '', '2019-02-02 17:15:46', '2019-02-02 10:15:46', '10', '8.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Julia', 'Wilcox', '7043 SE Harbor Circle', '', 'Stuart', 'FL', 'US', '34996', '203-979-1581', 'Julia', 'Wilcox', '7043 SE Harbor Circle', '', 'Stuart', 'FL', 'US', '34996', '203-979-1581', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BTYDDWCJZTHXXLHNRZRRUYGPYQZPWT', '0', '73.0.59.112', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4HE344587R1838132', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('435', '0', 'lorihalski@aol.com', '', '2019-02-07 17:15:27', '2019-02-07 10:15:27', '10', '6.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'LORI', 'MC LACHLAN', '2925 ne 190th street apt 305', '', 'AVENTURA', 'FL', 'US', '33180', '6179135593', 'LORI', 'MC LACHLAN', '2925 ne 190th street apt 305', '', 'AVENTURA', 'FL', 'US', '33180', '6179135593', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'There Once was a Girl from Nantucket, LLC', 'There Once was a Girl from Nantucket, LLC', 'FGRYOWLESYOYDZHDHPPMBQGBSAGNGF', '0', '76.108.28.216', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4BV12753WK638530G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('436', '0', 'Nashley1998@yahoo.com', '', '2019-02-09 02:39:02', '2019-02-08 19:39:02', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Nicole ', 'Ashley', '37 pierce street', '', 'Rochester ', 'MA', 'US', '02770', '(508)206-3199', 'Nicole ', 'Ashley', '37 pierce street', '', 'Rochester ', 'MA', 'US', '02770', '(508)206-3199', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OFLGMXIDKRMTKETTYRLJJFVGELKRUJ', '0', '173.76.54.191', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '39482782FJ527201L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('437', '0', 'binettec9@gmail.com', '', '2019-02-11 01:48:17', '2019-02-10 18:48:17', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Colleen', 'Binette', '77 Cardinal Dr', '', 'North Fort Myers', 'FL', 'US', '33917', '239-839-7136', 'Colleen', 'Binette', '77 Cardinal Dr', '', 'North Fort Myers', 'FL', 'US', '33917', '239-839-7136', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LWFANUZZGJKHVOGPHIAVKRVXJMGRUO', '0', '71.215.214.162', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7NG020463L8042342', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('438', '0', 'dbashaw12@verizon.net', '', '2019-02-12 18:51:15', '2019-02-12 11:51:15', '10', '5.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Dan', 'Bashaw', '6 Kirker Dr', '', 'East Greenwich', 'RI', 'US', '02818', '4017431961', 'Dan', 'Bashaw', '6 Kirker Dr', '', 'East Greenwich', 'RI', 'US', '02818', '4017431961', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FSHMAAHQGHPALZNOZOAVEFPMUQZYKC', '0', '71.117.178.148', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '61570285JD8991136', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('439', '0', 'Janpurkevic@gmail.com', '', '2019-02-17 12:51:35', '2019-02-17 05:51:36', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Jan', 'Urkevic', '26 Wolcott rd', '', 'Milton', 'MA', 'US', '02186', '6172911440', 'Jan', 'Urkevic', '26 Wolcott rd', '', 'Milton', 'MA', 'US', '02186', '6172911440', 'paypal', '', '', '', '0', NULL, 'Jan Peter urkevic', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '1958', '1958', 'RUURCSNRFOZZLNKLMADZKWBCPBBIJI', '0', '66.30.137.41', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3J799255S9655794H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('440', '0', 'lhaleyrc@aol.com', '', '2019-02-20 15:52:57', '2019-02-20 08:52:57', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'Standard Shipping', '', '', 'Leslie', 'Haley', '48 white feather ln', '', 'Flagler beach', 'FL', 'US', '32136-4305', '860-333-3168', 'Leslie', 'Haley', '48 white feather ln', '', 'Flagler beach', 'FL', 'US', '32136-4305', '860-333-3168', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ADCITFKXAMBYDSPJAULRFTCJHXMGJX', '0', '97.104.18.119', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6K00015497965142U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('441', '0', 'JPags44@hotmail.com', '', '2019-02-26 04:40:37', '2019-02-25 21:40:37', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'John', 'Paleologos', '4920 Edgemoor Lane', '', 'Bethesda', 'MD', 'US', '20814', '240-793-3318', 'John', 'Paleologos', '4920 Edgemoor Lane', '', 'Bethesda', 'MD', 'US', '20814', '240-793-3318', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZSXYONNYBPLDPEQPZWNIDJSIRROONX', '0', '69.140.173.190', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3ST25663GR606433J', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('442', '0', 'michaelmatteson@mac.com', '', '2019-02-26 06:05:50', '2019-02-25 23:05:50', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'michael', 'matteson', '46-3883 Puaono Rd', '#2060', 'Honokaa', 'HI', 'US', '96727', '818-640-3117', 'michael', 'matteson', '46-3883 Puaono Rd', '#2060', 'Honokaa', 'HI', 'US', '96727', '818-640-3117', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LWSHOKRSUQOBBATSVUYAKEFNDFRTAF', '0', '24.165.6.44', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5R3597421D997825N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('443', '0', 'jillandted112407@gmail.com', '', '2019-02-26 18:25:19', '2019-02-26 11:25:19', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Jill', 'Ostrokolowicz', '83 Peregrine Road', '', 'Newton Center', 'MA', 'US', '02459', '617-782-0787', 'Jill', 'Ostrokolowicz', '83 Peregrine Road', '', 'Newton Center', 'MA', 'US', '02459', '617-782-0787', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PILDLZPOPAHJHFMZWMHYRYJLSNKOXW', '0', '174.192.7.217', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9DD73152N7078911P', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('444', '0', 'freyagracee97@gmail.com', '', '2019-03-07 09:16:39', '2019-03-07 02:16:39', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Barbara', 'Piper', '45 Jamaica St', '', 'Jamaica Plain', 'MA', 'US', '02130-3837', '781-738-1124', 'Barbara', 'Piper', '45 Jamaica St', '', 'Jamaica Plain', 'MA', 'US', '02130-3837', '781-738-1124', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZDSEDZJHYEIOAOWJLTOZCSUTMPQUBA', '0', '24.91.41.99', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2Y476598W5660232E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('445', '123', 'jseelinger@gmail.com', 'shopper', '2019-03-14 00:23:48', '2019-03-13 18:23:48', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'John', 'Seelinger', '13 Greenbrae Ct', '', 'East Brunswick', 'NJ', 'US', '08816', '7327185360', 'John', 'Seelinger', '13 Greenbrae Ct', '', 'East Brunswick', 'NJ', 'US', '08816', '7327185360', 'paypal', '', '', '', '0', NULL, 'My wife and I had recently stumbled on some old photos from days before we were married and found a gem from The Box. \r\n\r\nWe don\\\'t make it back as often as we\\\'d like, but do remember it fondly. Thanks for that.', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '69.116.115.188', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '80D05624HG595004Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('446', '0', 'gary.kleiman@gmail.com', '', '2019-03-18 19:14:24', '2019-03-18 13:14:24', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'Standard Shipping', '', '', 'Gary', 'Kleiman', '244 Chamounix Circle', '', 'St. Davids', 'PA', 'US', '19087', '610-971-0461', 'Gary', 'Kleiman', '244 Chamounix Circle', '', 'St. Davids', 'PA', 'US', '19087', '610-971-0461', 'paypal', '', '', '', '0', NULL, 'Thank you for the replacement of the Peace Chicken (L) in Black.  Gary', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AIXYMZPNLYVBIRGLDAQCQGGUWQMKAG', '0', '50.246.181.186', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4ES33832999938121', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('447', '0', 'mlooney3@comcast.net', '', '2019-03-26 04:18:47', '2019-03-25 22:18:47', '10', '7.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Melissa', 'Looney', '4317 San Joaquin Plz', 'CA', 'Newport Beach', 'CA', 'US', '92660-5976', '508-450-2370', 'Melissa', 'Looney', '4317 San Joaquin Plz', 'CA', 'Newport Beach', 'CA', 'US', '92660-5976', '508-450-2370', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MAZXNDYFTVTSVENZBIHSRPYUZBMRFW', '0', '68.5.205.192', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '24W49357AB1673447', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('448', '0', 'jharrison@searchpath.com', '', '2019-03-28 16:34:14', '2019-03-28 10:34:14', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jeff', 'Harrison', '1588 Royal Crescent Drive', '', 'Holt', 'MI', 'US', '48842', '517-889-1135', 'Jeff', 'Harrison', '1588 Royal Crescent Drive', '', 'Holt', 'MI', 'US', '48842', '517-889-1135', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'EVIOVSGNHXODQKTEGVSCDCINEKXENO', '0', '68.61.236.167', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '51E003632A657605T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('450', '0', 'scott.mysogland@gmail.com', '', '2019-04-13 06:01:00', '2019-04-13 00:01:00', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Scott', 'Mysogland', '40 Country Walk', '', 'Shelton', 'CT', 'US', '06484-5331', '203-767-1019', 'Scott', 'Mysogland', '40 Country Walk', '', 'Shelton', 'CT', 'US', '06484-5331', '203-767-1019', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FBKAXOMQTREJAHDJMRJFILHGANCOSL', '0', '32.210.86.229', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '13668930X9255432B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('451', '0', 'brendan.letarte@gmail.com', '', '2019-04-16 15:27:37', '2019-04-16 09:27:37', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Brendan', 'Letarte', '25 Indian Harbor Drive', 'Apt. 3', 'Greenwich', 'CT', 'US', '06830', '203-273-3481', 'Brendan', 'Letarte', '25 Indian Harbor Drive', 'Apt. 3', 'Greenwich', 'CT', 'US', '06830', '203-273-3481', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SBRSSPWMSLVGDIUEJHRBUQZHEXJCKE', '0', '96.250.238.144', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0RW36572428913427', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('452', '0', 'tom.hallowell@gmail.com', '', '2019-04-20 18:49:12', '2019-04-20 12:49:12', '10', '3.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Thomas', 'Hallowell', '12185 Edenwilde Drive ', '', 'Roswell ', 'GA', 'US', '30075', '7708613904', 'Thomas', 'Hallowell', '12185 Edenwilde Drive ', '', 'Roswell ', 'GA', 'US', '30075', '7708613904', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QKDANYIEJRNQDTNNKZQXGMUABJHENS', '0', '73.43.47.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3EV84461W7437171T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('453', '0', 'keogh.brianj@gmail.com', '', '2019-04-20 20:15:17', '2019-04-20 14:15:17', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Brian', 'Keogh', '4 Mohawk Street', '', 'Rye', 'NY', 'US', '10580', '5166525992', 'Brian', 'Keogh', '4 Mohawk Street', '', 'Rye', 'NY', 'US', '10580', '5166525992', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IFFQQMFEYIWYIKXXSPFFQEYMFUQHFI', '0', '108.54.181.15', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7RY607508C748872W', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('454', '126', 'silveroak93@yahoo.com', 'shopper', '2019-05-07 17:42:23', '2019-05-07 11:42:23', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'James', 'Segerson', '135 High Oaks Drive', '', 'Warren', 'NJ', 'US', '07059', '9085284213', 'James', 'Segerson', '135 High Oaks Drive', '', 'Warren', 'NJ', 'US', '07059', '9085284213', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '165.225.38.191', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6Y514134YF336273H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('455', '0', 'greg.peterson@snet.net', '', '2019-05-08 17:46:46', '2019-05-08 11:46:46', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'greg', 'peterson', '21 INGHAM HILL RD', '', 'ESSEX', 'CT', 'US', '06426', '860-391-2308', 'greg', 'peterson', '21 INGHAM HILL RD', '', 'ESSEX', 'CT', 'US', '06426', '860-391-2308', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XCMMIMOUHGPCFIVXJUAUMPECWSVYDP', '0', '98.217.105.101', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '65T25204XB9770236', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('456', '128', 'OWNESK@GMAIL.COM', 'shopper', '2019-05-17 17:39:58', '2019-05-17 11:39:58', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Kaitlin', 'Ownes', '55 I Street, Apt 2', '', 'Boston', 'MA', 'US', '02127', '2037671764', 'Kaitlin', 'Ownes', '55 I Street, Apt 2', '', 'Boston', 'MA', 'US', '02127', '2037671764', 'paypal', '', '', '', '1', NULL, 'Kaitlin L Ownes', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '174.192.0.47', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7J377790JT303601R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('457', '129', 'jmarra18@gmail.com', 'shopper', '2019-05-23 15:20:41', '2019-05-23 09:20:41', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Joseph', 'Marra', '730 West Couch Place, 1709', '', 'Chicago', 'IL', 'US', '60661', '3129654021', 'Joseph', 'Marra', '730 West Couch Place, 1709', '', 'Chicago', 'IL', 'US', '60661', '3129654021', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '104.244.241.145', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '23V733736L039405F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('459', '0', 'acpetrinec@gmail.com', '', '2019-05-30 02:07:30', '2019-05-29 20:07:30', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Anna', 'Petrinec', '645 2nd Ave #3', '', 'New York', 'NY', 'US', '10016', '805-758-3113', 'Anna', 'Petrinec', '645 2nd Ave #3', '', 'New York', 'NY', 'US', '10016', '805-758-3113', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DXWNWMNRSUMVVVHLWUEVIJWOQWRHDA', '0', '184.152.10.146', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '95J83819UY957440G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('460', '0', 'firewood978@gmail.com', '', '2019-06-01 01:49:32', '2019-05-31 19:49:32', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Scott', 'Prentiss', '221 Granite St', '', 'Rockport', 'MA', 'US', '01966', '978-853-6713', 'Scott', 'Prentiss', '221 Granite St', '', 'Rockport', 'MA', 'US', '01966', '978-853-6713', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WLYQRNJZXAFQAICWVAMWESEDAGDEDM', '0', '99.203.121.19', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '67J9322357127044D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('461', '130', 'Qgoonan@gmail.com', 'shopper', '2019-06-09 03:40:14', '2019-06-08 21:40:14', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Quinn', 'Goonan', '100 Pier 4 Blvd ', '', 'Boston', 'MA', 'US', '02210', '9737384008', 'Quinn', 'Goonan', '100 Pier 4 Blvd ', '', 'Boston', 'MA', 'US', '02210', '9737384008', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '24.61.229.61', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0EL99478TN4288028', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('462', '0', 'jfpage3@gmail.com', '', '2019-06-11 02:59:38', '2019-06-10 20:59:38', '10', '8.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'James', 'Page III', '250 Mercer St, D-402', '', 'New York', 'NY', 'US', '10012-1192', '6467082717', 'James', 'Page', '14 Royal St', '', 'East Hampton ', 'NY', 'US', '11937', '6467082717', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WQGUZGFGDXEKTVSMUDBEAGEXCSNGXI', '0', '69.202.219.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4JR28490X69039944', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('463', '0', 'michael.corbett@slaughterandmay.com', '', '2019-06-12 21:12:14', '2019-06-12 15:12:14', '16', '4.000', '50.000', '0.000', '0.000', '0.000', '0.000', '0.000', '50.000', '', '', '0', 'Standard Shipping', '', '', 'Michael', 'Corbett', 'High Hedges', 'Venus Hill Bovingdon', 'HEMEL HEMPSTEAD', '', 'GB', 'HP3 0PG', '+44 7717505157', 'Michael', 'Corbett', 'High Hedges', 'Venus Hill Bovingdon', 'HEMEL HEMPSTEAD', '', 'GB', 'HP3 0PG', '+44 7717505157', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '50.000', '', 'paypal-express', '', '', '', 'LPNEXBPULCTPRKFYGQXNSHCYLRLOIZ', '0', '86.159.86.52', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9DK94537TS835864L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('464', '0', 'nicklapollo@gmail.com', '', '2019-06-15 16:31:39', '2019-06-15 10:31:39', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Nick', 'Lapollo', '105-20 66th Rd', '6c', 'Forest Hills', 'NY', 'US', '11375', '516-581-9237', 'Nick', 'Lapollo', '105-20 66th Rd', '6c', 'Forest Hills', 'NY', 'US', '11375', '516-581-9237', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QDLSAWXNOBHEQEMLSEASBJSXYSLMIE', '0', '107.72.164.131', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0H516773XB117605F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('465', '0', 'DBASHAW12@VERIZON.NET', '', '2019-06-15 20:36:55', '2019-06-15 14:36:55', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Dan', 'Bashaw', '6 KIRKER DR', '', 'EAST GREENWICH', 'RI', 'US', '02818', '4017431961', 'Dan', 'Bashaw', '6 KIRKER DR', '', 'EAST GREENWICH', 'RI', 'US', '02818', '4017431961', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QIMOKIQDISMURBPEOLECICVPAAGDZT', '0', '71.117.178.148', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1G033227LB6396244', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('466', '0', 'adigiantommaso@gmail.com', '', '2019-06-19 00:50:32', '2019-06-18 18:50:32', '10', '10.000', '125.000', '0.000', '8.000', '0.000', '0.000', '0.000', '133.000', '', '', '0', 'US Mail', '', '', 'Anthony', 'DiGiantommaso', '85 Washington Street, Apartment 2304', '', 'Plainville', 'MA', 'US', '02762', '4012483949', 'Rebecca', 'Klass', '85 Washington Street Apartment 2304', '', 'Plainville', 'MA', 'US', '02762', '5082436425', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JGVAMXHSKMDFIXDLUOQFTBOVYTBPFA', '0', '24.218.156.220', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '51D153269M776441H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('467', '0', 'mamajvm@yahoo.com', '', '2019-06-19 04:05:25', '2019-06-18 22:05:25', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Juliann', 'Murphy', '73 Elm St', '', 'Andover', 'MA', 'US', '01810-3605', '617-642-3797', 'Juliann', 'Murphy', '73 Elm St', '', 'Andover', 'MA', 'US', '01810-3605', '617-642-3797', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'USGVJPZKIFTIHQBRALYQIZBMQKMTWO', '0', '24.218.251.211', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9JL968452T851311U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('468', '0', 'lynn_ruane@timeinc.com', '', '2019-06-28 12:57:08', '2019-06-28 06:57:08', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Lynn', 'Tuttle', '722 Silvermine Road', '', 'New Canaan', 'CT', 'US', '06840', '203-966-1357', 'Lynn', 'Tuttle', '722 Silvermine Road', '', 'New Canaan', 'CT', 'US', '06840', '203-966-1357', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BKDFTLPDZTBBBIGJWTBYIDURZGDMJX', '0', '167.173.8.19', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2J2776195L483915B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('469', '0', 'canebob@aol.com', '', '2019-06-28 19:29:39', '2019-06-28 13:29:39', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Robert', 'Beraha', '12220 SW 70th Court', '', 'Pinecrest', 'FL', 'US', '33156', '3055028999', 'Robert', 'Beraha', '12220 SW 70th Court', '', 'Pinecrest', 'FL', 'US', '33156', '3055028999', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PFILNQLLRUXZWMYVUIQZGQDCTGIJLT', '0', '69.80.69.22', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1GB67330SG415794C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('470', '0', 'goldfeder@mac.com', '', '2019-07-02 20:09:16', '2019-07-02 14:09:16', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Adam', 'Goldfeder', '70 Pickwick Drve', '', 'Rochester', 'NY', 'US', '14618', '585-461-9373', 'Adam', 'Goldfeder', '70 Pickwick Drve', '', 'Rochester', 'NY', 'US', '14618', '585-461-9373', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'NDHQARFDSMPCZZNCBSVFBMNVKTQXLB', '0', '104.153.30.66', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '93316062060406043', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('471', '0', 'tophyross79@yahoo.com', '', '2019-07-04 18:35:26', '2019-07-04 12:35:26', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Christopher', 'Ross', '44 Sampsons House Knob', '', 'Cotuit', 'MA', 'US', '02635', '508-367-8624', 'Christopher', 'Ross', '44 Sampsons House Knob', '', 'Cotuit', 'MA', 'US', '02635', '508-367-8624', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XATVDHWQILMDDAGTPBUOZARLPTYEMA', '0', '66.31.238.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '75U5037827071254R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('472', '0', 'bonsee777@live.missouristate.edu', '', '2019-07-07 17:41:11', '2019-07-07 11:41:11', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Jacqueline', 'Bonsee', '1046 East Rosebrier Street', '', 'Springfield', 'MO', 'US', '65807', '4173791383', 'Jacqueline', 'Bonsee', '1046 East Rosebrier Street', '', 'Springfield', 'MO', 'US', '65807', '4173791383', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RLDRKXRJEXAJHNZPVGSPHYGILPJSZF', '0', '104.5.120.197', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4LM04911HV951602M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('473', '0', 'kaitlyn.alzened@gmail.com', '', '2019-07-08 15:40:51', '2019-07-08 09:40:51', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'US Mail', '', '', 'Kaitlyn', 'Alzened', '1160 Furnace Brook Parkway', '', 'Quincy', 'MA', 'US', '02169', '6177219048', 'Kaitlyn', 'Alzened', '1160 Furnace Brook Parkway', '', 'Quincy', 'MA', 'US', '02169', '6177219048', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OICKHTSWEATWNAHXFMNPCTKAGPUFLX', '0', '50.224.206.189', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2WX32185UT232784A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('474', '0', 'tom_sedoric@hotmail.com', '', '2019-07-08 21:29:31', '2019-07-08 15:29:31', '10', '0.000', '10.000', '0.000', '1.000', '0.000', '0.000', '0.000', '11.000', '', '', '0', '', '', '', 'Thomas', 'Sedoric', '5 Harborview Drive', '', 'Rye', 'NH', 'US', '03870', '603-319-8118', 'Thomas', 'Sedoric', '5 Harborview Drive', '', 'Rye', 'NH', 'US', '03870', '603-319-8118', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WQPUHILQNKYQMMIFCHCYAEILJMRDLF', '0', '174.242.81.195', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8CB24003TD072982R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('475', '0', 'bianucci@comcast.net', '', '2019-07-10 00:41:59', '2019-07-09 18:41:59', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Reed', 'Bianucci', '179 Avon ave', '', 'Northfield', 'IL', 'US', '60093', '8475073086', 'Reed', 'Bianucci', '179 Avon ave', '', 'Northfield', 'IL', 'US', '60093', '8475073086', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FEUKGPLSGYHQUWUKYUJBYEWYEYYVGD', '0', '73.8.134.132', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3LP60145X6366834J', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('476', '0', 'paul@peddlers.net', '', '2019-07-10 18:54:05', '2019-07-10 12:54:05', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Paul', 'Sullivan', '82 Forest ave', '', 'Cohasset', 'MA', 'US', '02025', '860 652-5681', 'Paul', 'Sullivan', '82 Forest ave', '', 'Cohasset', 'MA', 'US', '02025', '860 652-5681', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TLGMLWRRIKRZFEXJEDWHBEUDKPTMXW', '0', '66.31.161.222', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '16545630TX6358715', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('477', '0', 'laroge08@gmail.com', '', '2019-07-15 00:43:03', '2019-07-14 18:43:03', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Liam', 'Rogers', '21 Center Dr', '', 'Old Greenwich', 'CT', 'US', '06870', '201-615-0544', 'Liam', 'Rogers', '21 Center Dr', '', 'Old Greenwich', 'CT', 'US', '06870', '201-615-0544', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IZNBDKHWDWEGJRVBJIGDKSFICFUQHK', '0', '32.212.153.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0X158181YP338724B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('478', '0', 'Minwestfall24@gmail.com', '', '2019-07-15 13:24:25', '2019-07-15 07:24:25', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Melinda', 'Westfall', '2013 marblecliff crossing ct', '', 'Columbus ', 'OH', 'US', '43204', '6145317283', 'Sam', 'Westfall', '512 W Arlington Place #2', '', 'Chicago', 'IL', 'US', '60614', '6142707269', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TKCXTFRHRSKOSLIICQLUBGDFMFCQSA', '0', '24.210.57.178', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '79647454782039324', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('479', '0', 'dtmclain@msn.com', '', '2019-07-15 15:25:25', '2019-07-15 09:25:25', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'David', 'McLain', '9 Isabella Way', '', 'Demarest', 'NJ', 'US', '07627', '201-768-1328', 'David', 'McLain', '9 Isabella Way', '', 'Demarest', 'NJ', 'US', '07627', '201-768-1328', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TLEUSYDEPILZQYXFIPMNRJLOCDOEFA', '0', '96.57.169.218', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8SG57346XR2400043', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('480', '0', 'LNeedham1328@gmail.com', '', '2019-07-17 16:58:49', '2019-07-17 10:58:49', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Lori', 'Needham', '58 Coolspring Drive', '', 'Cranston', 'RI', 'US', '02920', '401-255-8200', 'Lori', 'Needham', '58 Coolspring Drive', '', 'Cranston', 'RI', 'US', '02920', '401-255-8200', 'paypal', '', '', '', '0', NULL, 'I ordered 1 tee shirt.  When checking out it didn\\\'t seem to go through correctly.  I just want one of them.  I re-ordered - and put my payment information in 2x.  Please be sure to only charge me for one order.  AND - could I get this by July 26th?  I also left a voice mail.  Thanks!  401-255-2800.', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IQMHPPDWQYNLSGFNDGOZZWMMGWTVCE', '0', '108.34.184.124', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4NM3583631516442F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('481', '0', 'Molliesimmons20@gmail.com', '', '2019-07-17 19:50:24', '2019-07-17 13:50:24', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Mollie', 'Simmons', '11 Melros RD', '', 'Auburn ', 'NY', 'US', '13021', '3152451131', 'Mollie', 'Simmons', '11 Melros RD', '', 'Auburn ', 'NY', 'US', '13021', '3152451131', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TIIQOTVNFIRUJQKFMEMCUZQNKJLFHZ', '0', '74.79.217.11', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '384596584G302305M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('482', '0', 'danhines526@gmail.com', '', '2019-07-18 15:58:38', '2019-07-18 09:58:38', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Daniel', 'Hines', '17 Chestnut Street', '', 'Cornwall', 'NY', 'US', '12518', '8457029110', 'Daniel', 'Hines', '17 Chestnut Street', '', 'Cornwall', 'NY', 'US', '12518', '8457029110', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IFSTTJGNLTTMSCJFTIVXBGYPMQIQQC', '0', '107.77.70.34', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '53M95526754904635', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('483', '0', 'wendyleebern@gmail.com', '', '2019-07-20 18:40:22', '2019-07-20 12:40:22', '10', '2.000', '35.000', '0.000', '9.000', '0.000', '0.000', '0.000', '44.000', '', '', '0', 'Standard Shipping', '', '', 'Wendy', 'Leebern', '551 Hillside Dr NW', '', 'Atlanta', 'GA', 'US', '30342', '404-357-0076', 'Wendy', 'Leebern', '551 Hillside Dr NW', '', 'Atlanta', 'GA', 'US', '30342', '404-357-0076', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JUYEYSRBJFCWXNIWDVOCGJXAXNOYIS', '0', '76.24.58.43', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0XE16955KC556584K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('484', '0', 'barr@mac.com', '', '2019-07-21 02:39:05', '2019-07-20 20:39:05', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Robert', 'Barsanti', '117 Patricia', '', 'Dalton', 'MA', 'US', '01226', '508-228-8411', 'Robert', 'Barsanti', '117 Patricia', '', 'Dalton', 'MA', 'US', '01226', '508-228-8411', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BIUAKNMKSZYXMJNJXNYDCBVFOMPZGX', '0', '73.227.19.67', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5GU77743MP1334130', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('485', '0', 'JanDenninger@yahoo.com', '', '2019-07-21 18:33:11', '2019-07-21 12:33:11', '10', '6.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Janice', 'Denninger', '64 Cider Mill Rd', '', 'Bedford', 'NH', 'US', '03110', '603-320-2862', 'Janice', 'Denninger', '64 Cider Mill Rd', '', 'Bedford', 'NH', 'US', '03110', '603-320-2862', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IUJGDPOPJTTEWKEZWTFMJNRWSCUNPL', '0', '24.62.215.84', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3V7972376D144854E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('486', '0', 'CARYNZUCKER@MAC.COM', '', '2019-07-22 21:01:32', '2019-07-22 15:01:32', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'CARYN', 'ZUCKER', '15 CENTRAL PARK WEST', '18B', 'NEW YORK', 'NY', 'US', '10023', '917-733-8665', 'CARYN', 'ZUCKER', '15 CENTRAL PARK WEST', '18B', 'NEW YORK', 'NY', 'US', '10023', '917-733-8665', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RJZECXBFEJAVZRFEUKNGDFZEVSVBCV', '0', '108.6.136.130', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '27D62013YC849771W', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('487', '0', 'tulanemiller@aol.com', '', '2019-07-23 15:49:46', '2019-07-23 09:49:46', '10', '16.000', '200.000', '0.000', '8.000', '0.000', '0.000', '0.000', '208.000', '', '', '0', 'US Mail', '', '', 'laura', 'miller', '756 Berkeley Street', '', 'Boca Raton', 'FL', 'US', '33487', '203-988-6866', 'laura', 'miller', '756 Berkeley Street', '', 'Boca Raton', 'FL', 'US', '33487', '203-988-6866', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MBTLBMJAACHSHEMNMWHWPZPOCRIGAE', '0', '73.139.16.5', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3Y513740A10572202', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('488', '0', 'Gabizanengo@gmail.com', '', '2019-07-23 18:50:12', '2019-07-23 12:50:12', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Gabriella', 'Zanengo', '1 Daniel Burnham Court', '', 'San Francisco', 'CA', 'US', '94109', '339-832-7265', 'Gabriella', 'Zanengo', '1 Daniel Burnham Court', '', 'San Francisco', 'CA', 'US', '94109', '339-832-7265', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WFSABAVPQEBILTVUAJZTUGDMLTCWUY', '0', '208.80.68.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4AV56479JC035292N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('489', '0', 'julia.josefina.berg@gmail.com', '', '2019-07-24 15:27:54', '2019-07-24 09:27:54', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'julia', 'berg', '22 church street apt 4', '', 'boston ma', 'MA', 'US', '02116', '6178066505', 'julia', 'berg', '22 church street apt 4', '', 'boston ma', 'MA', 'US', '02116', '6178066505', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TPJTOAAOQACSVCAITPCTEKLJSSCSZK', '0', '143.115.159.54', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8N4483492C160794T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('490', '0', 'tim.elsbrock@gmail.com', '', '2019-07-26 22:37:16', '2019-07-26 16:37:16', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Timothy', 'Elsbrock', '1115 BEVERLY HILL DR', '', 'CINCINNATI', 'OH', 'US', '45208-4323', '513-579-5266', 'Timothy', 'Elsbrock', '1115 BEVERLY HILL DR', '', 'CINCINNATI', 'OH', 'US', '45208-4323', '513-579-5266', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TJZGZTWBIPFDRJUALUXIBBVKIQTQRA', '0', '65.189.86.65', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '45Y713049H921400H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('491', '0', 'Cjscottwv@gmail.com', '', '2019-07-31 23:18:31', '2019-07-31 17:18:31', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Connie', 'Scott', '1108 Rush Run Road', '', 'Weston', 'WV', 'US', '26452', '304-269-7198', 'Connie', 'Scott', '1108 Rush Run Road', '', 'Weston', 'WV', 'US', '26452', '304-269-7198', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ODKLPVRIHXEEEKKJKNKBSGEYNXBKGQ', '0', '166.216.165.63', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '15345553KM627174L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('494', '0', 'jasbadera@gmail.com', '', '2019-08-01 03:43:59', '2019-07-31 21:43:59', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'james', 'badera', 'PO Box 1571', '', 'East Dennis', 'MA', 'US', '02641', '5087766804', 'james', 'badera', '265 Old River Road', '', 'Okatie', 'SC', 'US', '29909', '5086852179', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WGQDHNUDFXASDJQAKFHLOWSMLXCHBU', '0', '207.5.34.69', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '41W96662LV944724A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('495', '0', 'shanechapman68@gmail.com', '', '2019-08-03 20:04:14', '2019-08-03 14:04:14', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'MShane', 'Chapman', '36 Occom Ridge', '', 'Hanover', 'NH', 'US', '03755', '603-359-4787', 'MShane', 'Chapman', '36 Occom Ridge', '', 'Hanover', 'NH', 'US', '03755', '603-359-4787', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MGIBKMPNTKDJADNXISJLTJOIRMNMMH', '0', '76.24.229.164', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8YB8996795215730T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('496', '0', 'kee37@cornell.edu', '', '2019-08-04 04:28:45', '2019-08-03 22:28:45', '10', '10.000', '125.000', '0.000', '8.000', '0.000', '0.000', '0.000', '133.000', '', '', '0', 'US Mail', '', '', 'Kelsey', 'Evans', '205 Oak Street', '', 'Foxboro', 'MA', 'US', '02035', '5087340152', 'Kelsey', 'Evans', '108 Myrtle St, Apt 19', '', 'Boston', 'MA', 'US', '02114', '5087340152', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FLLWZGNULRKDCNEANKLLENZKFZZZBS', '0', '76.24.59.248', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2BH28577PA213221U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('497', '0', 'camillad.star@gmail.com', '', '2019-08-06 01:17:38', '2019-08-05 19:17:38', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Brad', 'Durham', '941 Concord Street', '', 'Carlisle', 'MA', 'US', '01741', '9785058544', 'Brad', 'Durham', '941 Concord Street', '', 'Carlisle', 'MA', 'US', '01741', '9785058544', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FZOGAMYLBRLEHNNCRJFBULYVNKANPJ', '0', '24.62.226.111', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '84N29675CK3381034', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('498', '0', 'bradbrockhaug@msn.com', '', '2019-08-07 12:26:20', '2019-08-07 06:26:20', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Brad', 'Brockhaug', '137 Forest St', '', 'New Canaan', 'CT', 'US', '06840', '203-724-7232', 'Brad', 'Brockhaug', '137 Forest St', '', 'New Canaan', 'CT', 'US', '06840', '203-724-7232', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'GPVXDOVBYIDVYEYBBLDWJSTXBESPFW', '0', '144.121.82.202', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4XG95617JE5171601', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('499', '0', 'MOLLYDMORRIS@YAHOO.COM', '', '2019-08-07 20:35:06', '2019-08-07 14:35:06', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Molly', 'Morris', '4307 Bradley Lane', '', 'Chevy Chase', 'MD', 'US', '20815', '202-262-8300', 'Molly', 'Morris', '4307 Bradley Lane', '', 'Chevy Chase', 'MD', 'US', '20815', '202-262-8300', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MKOMIHTUKDURDQGZYUWGFGNICNMHCS', '0', '71.178.33.130', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '02Y038987G913874B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('500', '0', 'rdcav@optonline.net', '', '2019-08-11 15:06:51', '2019-08-11 09:06:51', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Dayna', 'Cavanaugh', '221 Rowland Rd', '', 'Fairfield', 'CT', 'US', '06824', '2033943473', 'Dayna', 'Cavanaugh', '221 Rowland Rd', '', 'Fairfield', 'CT', 'US', '06824', '2033943473', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MWQYNNPQXODISOKVMLCRMXVDXUEYRD', '0', '24.191.40.2', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5GK74924HJ673244Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('501', '0', 'chasepraeger@gmail.com', '', '2019-08-12 18:15:38', '2019-08-12 12:15:38', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Chase', 'Praeger', '22821 Torrence Chapel Road ', '', 'Cornelius', 'NC', 'US', '28031', '7045722884', 'Chase', 'Praeger', '22821 Torrence Chapel Road ', '', 'Cornelius', 'NC', 'US', '28031', '7045722884', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'USNLQGJNGHLORFSQEDCHSMTSAGGHWJ', '0', '174.193.47.78', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1BD760734F785934J', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('502', '0', 'robertmiller33@hotmail.com', '', '2019-08-14 12:20:03', '2019-08-14 06:20:03', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Robert', 'L Miller', '5106 Oxford Crescent Ct', '', 'Charlotte', 'NC', 'US', '28226', '704-650-2662', 'Robert', 'L Miller', '5106 Oxford Crescent Ct', '', 'Charlotte', 'NC', 'US', '28226', '704-650-2662', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OTDOLRTKLREVWWXAMAGPUQMBMCHESN', '0', '98.101.95.122', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7CM236356W972800B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('503', '0', 'mcskid@yahoo.com', '', '2019-08-14 22:35:54', '2019-08-14 16:35:54', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'Standard Shipping', '', '', 'Brian', 'Murphy', '81 Mathewson Road', '', 'Barrington', 'RI', 'US', '02806', '401-247-3007', 'Brian', 'Murphy', '81 Mathewson Road', '', 'Barrington', 'RI', 'US', '02806', '401-247-3007', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'CJYHKTAMEHRUQNPBTNWWSIHYIENQYC', '0', '192.138.178.107', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '36L98952HE184930X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('504', '0', 'Jburke7@hotmail.com', '', '2019-08-15 19:25:35', '2019-08-15 13:25:35', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jennifer ', 'Pablo ', '6004 Marquette Terrace ', '', 'Bethesda ', 'MD', 'US', '20817', '2404476909', 'Jennifer ', 'Pablo ', '6004 Marquette Terrace ', '', 'Bethesda ', 'MD', 'US', '20817', '2404476909', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HOLLVLIGOLYTOEYVOPSKTAPFNAFZKP', '0', '74.96.151.144', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1YV68242B3662142V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('505', '0', 'jrollie@yahoo.com', '', '2019-08-15 20:11:17', '2019-08-15 14:11:17', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Chris', 'Rohrer', '160 Golden View Drive', '', 'Long Lake', 'MN', 'US', '55356', '612-804-8256', 'Chris', 'Rohrer', '160 Golden View Drive', '', 'Long Lake', 'MN', 'US', '55356', '612-804-8256', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FUAVSTTRTFKFUQLYQYGJIAMMKXEVWE', '0', '207.225.131.142', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5FE670491V087121W', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('506', '0', 'samarrix@gmail.com', '', '2019-08-15 23:38:35', '2019-08-15 17:38:35', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Sam', 'Arrix', '138 goodwives river rd', '', 'Darien', 'CT', 'US', '06820', '2038228219', 'Sam', 'Arrix', '138 goodwives river rd', '', 'Darien', 'CT', 'US', '06820', '2038228219', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'MGKVQXROVACMESBCZFBBRLSBEVHBLR', '0', '107.77.223.168', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '21J031469R839772K', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('507', '0', 'Edie.johnson@comcast.net', '', '2019-08-16 02:05:35', '2019-08-15 20:05:35', '10', '8.000', '105.000', '0.000', '9.000', '0.000', '0.000', '0.000', '114.000', '', '', '0', 'US Mail', '', '', 'Edie', 'Johnson', '4407 iroquois ave', '', 'Nashville', 'TN', 'US', '37205', '6153852885', 'Edie', 'Johnson', '4407 iroquois ave', '', 'Nashville', 'TN', 'US', '37205', '6153852885', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JOUNEAKSBIAYFYVFYHBSTZKTKAMVJS', '0', '107.3.110.55', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '89N2877445655284X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('508', '0', 'tfmahar@gmail.com', '', '2019-08-16 17:08:55', '2019-08-16 11:08:55', '10', '7.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'Thomas ', 'Mahar', '123 N St Apt 2', '', 'Boston', 'MA', 'US', '02127', '3154304422', 'Thomas ', 'Mahar', '123 N St Apt 2', '', 'Boston', 'MA', 'US', '02127', '3154304422', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BGKLFIMKYAJPKEFNEELQNQGIPCYCZR', '0', '107.77.106.66', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4RE945425G4863215', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('509', '0', 'chiam454@ruraldisturbance.com', '', '2019-08-16 22:35:27', '2019-08-16 16:35:27', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Christopher', 'Hiam', 'Hiam', '', '20 Craigie St.', 'MA', 'US', '02138', '617-947-3623', 'Christopher', 'Hiam', 'PO BOX 967', '', 'Big Sky', 'MT', 'US', '59716', '617-947-3623', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BAFEXIXLKFNRUAJHOVMKRUDMFWVNEL', '0', '65.19.226.187', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5C36972744982590E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('510', '0', 'brendan.m.mcgurk@gmail.com', '', '2019-08-17 22:33:48', '2019-08-17 16:33:48', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Brendan', 'McGurk', '2 Glen Drive', '', 'New Canaan', 'CT', 'US', '06840', '203-554-1918', 'Brendan', 'McGurk', '2 Glen Drive', '', 'New Canaan', 'CT', 'US', '06840', '203-554-1918', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KRLRGHGKCVGAZWWPCRWBCMWKHNKBWX', '0', '69.121.165.27', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '70419279Y2269400H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('511', '0', 'jpetrea@gmail.com', '', '2019-08-19 01:07:15', '2019-08-18 19:07:15', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jonathan', 'Petrea', '1217 Auburn Ave ', '', 'Cleveland', 'OH', 'US', '44113', '216-269-4721', 'Jonathan', 'Petrea', '1217 Auburn Ave ', '', 'Cleveland', 'OH', 'US', '44113', '216-269-4721', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'NA', 'NA', 'DOYQKEQBUVFHIHNZWNGWGWZDINRONY', '0', '75.187.94.42', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '93Y3787003027604C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('512', '0', 'pharold@haroldbros.com', '', '2019-08-21 19:06:06', '2019-08-21 13:06:06', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'patrick', 'harold', '76 clubhouse drive', '', 'hingham', 'MA', 'US', '02043', '781-871-2111', 'patrick', 'harold', '76 clubhouse drive', '', 'hingham', 'MA', 'US', '02043', '781-871-2111', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'NVKKNKNQDWHARWGSGAYEEANFVJLEYC', '0', '50.195.31.100', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '74V75140FX981445A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('513', '0', 'mlhom@comcast.net', '', '2019-08-21 22:16:22', '2019-08-21 16:16:22', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Maisie', 'Hom', '25 Brookside Road', '', 'Orinda', 'CA', 'US', '94563', '925-708-8246', 'Maisie', 'Hom', '25 Brookside Road', '', 'Orinda', 'CA', 'US', '94563', '925-708-8246', 'paypal', '', '', '', '0', NULL, 'Thanks so much Steve for accommodating my request to have it reach here by Sept 5/6 at the latest!  I so appreciate it.  All the best, Maisie', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ACAQDHGTCQGIVIZUQGXGEBERYFMTMI', '0', '73.202.38.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '00418463LU3086916', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('514', '0', 'Mikedirrane1@gmail.com', '', '2019-08-23 22:45:50', '2019-08-23 16:45:50', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Mike', 'Dirrane', '30 Battle Flagg Road', '', 'Bedford', 'MA', 'US', '01730', '7818798861', 'Mike', 'Dirrane', '30 Battle Flagg Road', '', 'Bedford', 'MA', 'US', '01730', '7818798861', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'NELAVNPTRGMDAOKUWFAQNIQAJMVQYI', '0', '24.62.227.48', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '49M636192M733550C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('515', '0', 'dbowman@pbkc.com', '', '2019-08-24 15:43:17', '2019-08-24 09:43:17', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'David', 'Bowman', '12196 Barrett Farm Rd', '', 'Worton', 'MD', 'US', '21678', '410-778-1194', 'David', 'Bowman', '12196 Barrett Farm Rd', '', 'Worton', 'MD', 'US', '21678', '410-778-1194', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XIWDMXOYMNGBXIAHTSQWFPRGGYWVBM', '0', '137.103.94.20', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7H1011726M752183V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('516', '0', 'jessebbrown@yahoo.com', '', '2019-08-25 02:51:23', '2019-08-24 20:51:23', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Jesse', 'Brown', '7 Arlington Road', '', 'Wellesley ', 'MA', 'US', '02481', '7814895068', 'Jesse', 'Brown', '7 Arlington Road', '', 'Wellesley ', 'MA', 'US', '02481', '7814895068', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DURZNHMHHZCVTBSRZEELOCAHFLLOZE', '0', '65.96.70.155', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7VF27133PE580711R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('517', '0', 'rpatricia78@gmail.com', '', '2019-08-25 13:22:13', '2019-08-25 07:22:13', '10', '7.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Raina', 'Patricia', '20930 BAROLA DR', '', 'NORTHVILLE', 'MI', 'US', '48167-9380', '508-455-7136', 'Raina', 'Patricia', '20930 BAROLA DR', '', 'NORTHVILLE', 'MI', 'US', '48167-9380', '508-455-7136', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HMJTXJLRVNAAIYYPZEYJABFTCBTFIU', '0', '97.70.185.49', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5C803350S3337130V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('520', '0', 'michaelmastellone@gmail.com', '', '2019-08-26 18:32:08', '2019-08-26 12:32:08', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Mike', 'Mastellone', '20 Beach Drive', '', 'Darien', 'CT', 'US', '06820', '9144344422', 'Mike', 'Mastellone', '20 Beach Drive', '', 'Darien', 'CT', 'US', '06820', '9144344422', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IIGBFYAXVSRSZEZFTRIOSCBQDIYAGK', '0', '24.97.206.134', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6L278606MW201390R', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('521', '0', 'cgiacchetti@smu.edu', '', '2019-08-27 21:29:57', '2019-08-27 15:29:57', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Carly', 'Giacchetti', '26 Goldfinch Drive', '', 'Nantucket', 'MA', 'US', '02554', '5089011607', 'Carly', 'Giacchetti', '3407 Haynie Avenue', '', 'Dallas', 'TX', 'US', '75205', '5089011607', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FVAJJQPQTBCQWMNMAEIBBNSKKJMFMS', '0', '66.169.197.90', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '35D21104E09105636', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('522', '0', 'lyndsayabennett@gmail.com', '', '2019-08-29 16:12:02', '2019-08-29 10:12:02', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Lyndsay', 'Bennett', '45 Province Street ', '907', 'Boston', 'MA', 'US', '02108', '617-735-7243', 'Lyndsay', 'Bennett', '45 Province Street ', '907', 'Boston', 'MA', 'US', '02108', '617-735-7243', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'EIZOTCZPCLQNNKAISOXZZCJHFRUJFV', '0', '108.7.218.25', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '03B739903G169333V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('523', '0', 'Chrisacamerota@gmail.com', '', '2019-09-01 22:02:42', '2019-09-01 16:02:42', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Christopher ', 'Camerota', '78 Bank Street, Apt 2', '', 'New York', 'NY', 'US', '10014', '2159909923', 'Christopher ', 'Camerota', '78 Bank Street, Apt 2', '', 'New York', 'NY', 'US', '10014', '2159909923', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HTWUGQHXQZHTFWFLXOOKFJBIMRZVII', '0', '174.242.82.250', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9MX402401J897260Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('524', '0', 'meries@gmail.com', '', '2019-09-02 06:05:01', '2019-09-02 00:05:01', '10', '6.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'Standard Shipping', '', '', 'Mary Ellen', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107-1936', '856-858-8766', 'Mary Ellen', 'Ries', '401 Virginia Avenue', '', 'Collingswood', 'NJ', 'US', '08107-1936', '856-858-8766', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WDNYDSPLGUVUIMWJSMRMXSUSIIHASQ', '0', '72.88.171.51', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8HH0593262079344Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('525', '0', 'jjmanville@gmail.com', '', '2019-09-02 22:35:56', '2019-09-02 16:35:56', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Jared', 'Manville', '1282 Boylston St Unit 807', '', 'Boston', 'MA', 'US', '02215-4459', '617-510-5288', 'Jared', 'Manville', '1282 Boylston St Unit 807', '', 'Boston', 'MA', 'US', '02215-4459', '617-510-5288', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'CXMULCGJGBXIMAEDBTAYNXCLJKQFHV', '0', '73.219.192.180', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6EE04378DT027783T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('526', '0', 'hrferoce@gmail.com', '', '2019-09-06 00:58:30', '2019-09-05 18:58:30', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Hadley', 'Feroce', '512 Turnberry Road', '', 'Cantonment', 'FL', 'US', '32533', '8502880345', 'Hadley', 'Feroce', '9 Nobadeer Way', '', 'Nantucket', 'MA', 'US', '02554', '8502880345', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WFDNXNBSJWABGGLLYIWKSPORYVSVVH', '0', '76.119.144.138', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6TV81074PJ188171D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('527', '0', 'meaneyfamily@verizon.net', '', '2019-09-07 00:39:42', '2019-09-06 18:39:42', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Eileen', 'Meaney', '35 Eagle Drive', '', 'Walpole', 'MA', 'US', '02081', '508-668-5680', 'Eileen', 'Meaney', '35 Eagle Drive', '', 'Walpole', 'MA', 'US', '02081', '508-668-5680', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VCJLSUIVENMNJENDRVHRWTICATCDOP', '0', '96.230.28.227', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7Y978910BV7752726', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('528', '0', 'ocepekmargaret@gmail.com', '', '2019-09-07 13:45:30', '2019-09-07 07:45:30', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Margaret', 'Ocepek', '6910 Sturgeon Street', '', 'Pittsburgh', 'PA', 'US', '15202', '412-734-3888', 'Margaret', 'Ocepek', '6910 Sturgeon Street', '', 'Pittsburgh', 'PA', 'US', '15202', '412-734-3888', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VNHAPCMHIMRXSESZGNWBZAULAFBSWY', '0', '71.112.187.207', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '86S02308SW1020944', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('529', '0', 'Soapesg@gmail.com', '', '2019-09-11 22:26:38', '2019-09-11 16:26:38', '10', '8.000', '100.000', '0.000', '8.000', '0.000', '0.000', '0.000', '108.000', '', '', '0', 'US Mail', '', '', 'Gray', 'Soapes', '32 41st Ave', '', 'Isle of Palms', 'SC', 'US', '29451', '8436856790', 'Gray', 'Soapes', '32 41st Ave', '', 'Isle of Palms', 'SC', 'US', '29451', '8436856790', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XHFQOXNZJVZMTPXGCHDSMXKNODYOXF', '0', '172.9.118.46', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '9YT57869C7433935U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('530', '0', 'sabbate@hotmail.com', '', '2019-09-12 19:17:53', '2019-09-12 13:17:53', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Shaun', 'Abbate', '26 Orchard Lane', '', 'Duxbury', 'MA', 'US', '02332', '617-686-3629', 'Shaun', 'Abbate', '26 Orchard Lane', '', 'Duxbury', 'MA', 'US', '02332', '617-686-3629', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PJVTUWMPAQIILUESQXLKKMITODEHFI', '0', '174.242.88.132', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '29N8639763083303N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('531', '0', 'samfb44@gmail.com', '', '2019-09-12 19:54:53', '2019-09-12 13:54:53', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'samuel', 'martin', '3023 WHISPERING CREEK DRIVE', '', 'Allison Park', 'PA', 'US', '15101', '4125856900', 'brandon', 'sechan', '1247 oenoke ridge rd', '', 'new canaan', 'CT', 'US', '06840', '4125856900', 'paypal', '', '', '', '0', NULL, 'please ship asap.....its for a birthday gift!!  thanks!!', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SJUZOLOQURXOVTVFROWQXVLPAOETOJ', '0', '173.75.5.56', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1E5154147D7647911', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('532', '0', 'bmpross52@gmail.com', '', '2019-09-13 18:58:45', '2019-09-13 12:58:45', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Beth', 'Pross', '52 Newgate Road', '', 'Pittsburgh', 'PA', 'US', '15202', '412-415-1492', 'Beth', 'Pross', '52 Newgate Road', '', 'Pittsburgh', 'PA', 'US', '15202', '412-415-1492', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TAZTDTSGCXKMPYLIBBRWGSRIUXJRYR', '0', '160.254.108.24', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '07M13059S3289831M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('533', '0', 'smwallis89@gmail.com', '', '2019-09-14 20:52:29', '2019-09-14 14:52:29', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Sarah ', 'Wildenradt ', '112 Heritage Lane ', '', 'Delavan ', 'IL', 'US', '61734', '3092022337', 'Sarah ', 'Wildenradt ', '112 Heritage Lane ', '', 'Delavan ', 'IL', 'US', '61734', '3092022337', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JLATAZJSKHNYWYLCUPLVRYVFKPMEGW', '0', '209.117.102.182', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6YK34386JK9365912', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('534', '0', 'pinkcottage@yahoo.com', '', '2019-09-19 18:07:18', '2019-09-19 12:07:18', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Hilary', 'Adams', '91 Pine Valley Road', '', 'Doylestown', 'PA', 'US', '18901', '2154390758', 'Hilary', 'Adams', '91 Pine Valley Road', '', 'Doylestown', 'PA', 'US', '18901', '2154390758', 'paypal', '', '', '', '0', NULL, 'Hilary', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TUSYFEHWMXYFBJLHTVWDHYNGTONJRL', '0', '199.231.176.2', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7A031446875598354', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('535', '0', 'John.koeble@gmail.com', '', '2019-09-21 16:54:36', '2019-09-21 10:54:36', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'John', 'Koeble', '1348 N Milwaukee Ave', '', 'Chicago', 'IL', 'US', '60622', '2625068212', 'John', 'Koeble', '1348 N Milwaukee Ave', '', 'Chicago', 'IL', 'US', '60622', '2625068212', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'INZLUTFTLJXIHXDUHQGWTDMWFTMIPM', '0', '67.186.110.165', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '80262706ML3612546', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('536', '0', 'kathrynfalk@hotmail.com', '', '2019-09-26 00:50:54', '2019-09-25 18:50:54', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'kathryn', 'falk', '11614 Old Brookville Court', '', 'Reston', 'VA', 'US', '20194', '571-241-9113', 'kathryn', 'falk', '11614 Old Brookville Court', '', 'Reston', 'VA', 'US', '20194', '571-241-9113', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SXKQNRQYPFTJWHLXHSRKTUINZKFHPY', '0', '69.255.20.154', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2ER40858UD774061E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('537', '0', 'jeffbcraig@yahoo.com', '', '2019-09-28 01:54:27', '2019-09-27 19:54:27', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jeffrey', 'Craig', '171 West 57th, 3C', '', 'New York', 'NY', 'US', '10019', '917-710-1856', 'Colin', 'Craig', '1400 Lowell Road', '', 'Concord', 'MA', 'US', '01742', '917-710-1856', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PQPQZEXMMREDQBOPWKXAPDAHTXXVPH', '0', '24.215.160.20', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '89K3262460887833E', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('538', '0', 'scott@srnash.com', '', '2019-10-02 04:41:44', '2019-10-01 22:41:44', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Scott', 'Nash', '3520 Sugarloaf Pkwy', '#F0374', 'Frederick', 'MD', 'US', '21704', '202-255-9270', 'Scott', 'Nash', '3520 Sugarloaf Pkwy', '#F0374', 'Frederick', 'MD', 'US', '21704', '202-255-9270', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ENHZCPPWRGWXKGECPDKTIIXGQLWHWI', '0', '166.137.240.110', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5A273037R76927456', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('539', '0', 'gwallmeyer@gmail.com', '', '2019-10-04 00:43:18', '2019-10-03 18:43:18', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Grace', 'Wallmeyer', '2549 Walton Way', '', 'Augusta ', 'GA', 'US', '30904', '904-885-8180', 'Grace', 'Wallmeyer', '2549 Walton Way', '', 'Augusta ', 'GA', 'US', '30904', '904-885-8180', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AQSSNECACPVYDXKPBTBUFRBXKDYQMM', '0', '24.218.248.52', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '41Y03309GB8165014', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('540', '0', 'lburbage20@gmail.com', '', '2019-10-08 04:11:17', '2019-10-07 22:11:17', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Liam', 'Burbage', '23 Romoda Dr, SMC# 138', '', 'Canton', 'NY', 'US', '13617', '5087336061', 'Liam', 'Burbage', '23 Romoda Dr, SMC# 138', '', 'Canton', 'NY', 'US', '13617', '5087336061', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AJOXILHWHBHHHHPKZXMQOCNJBWMWSA', '0', '69.6.111.115', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0G130309TY940863L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('541', '0', 'savannahsheehy@comcast.net', '', '2019-10-19 04:02:23', '2019-10-18 22:02:23', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Savannah', 'Sheehy', '2009 Spanish Trail', '', 'Delray Beach', 'FL', 'US', '33483', '5619015511', 'Savannah', 'Sheehy', '625 S. Barrington Ave Apt 302', '', 'Los Angeles', 'CA', 'US', '90049', '5619015511', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RLYHUAWJRVCZUOMJEOZGHWATCTFHSU', '0', '166.170.5.64', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '50460638S4253910M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('542', '134', 'anyak6@yahoo.com', '', '2019-10-22 03:43:40', '2019-10-21 21:43:40', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'anne', 'kayes', '629 birch street', '', 'scranton', 'PA', 'US', '18505', '570-347-6998', 'anne', 'kayes', '629 birch street', '', 'scranton', 'PA', 'US', '18505', '570-347-6998', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OHUDINYTNOOCWEHHDRTKITWGMQFOJL', '0', '73.64.6.102', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7VM34647D18467141', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('543', '0', 'wtdonahue@comcast.net', '', '2019-10-23 14:00:41', '2019-10-23 08:00:41', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'Standard Shipping', '', '', 'william', 'donahue', '76 west mountain road', '', 'canton', 'CT', 'US', '06019', '860-693-0336', 'william', 'donahue', '76 west mountain road', '', 'canton', 'CT', 'US', '06019', '860-693-0336', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HVGXXKLWJPXTUOIALOZXGUWCWANPXO', '0', '24.60.227.47', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4UY25409D3015404H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('544', '0', 'Janeannehershock@gmail.com', '', '2019-10-31 19:24:30', '2019-10-31 13:24:30', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Jane', 'Hershock', '434 s royal poinciana dr', '', 'Tampa', 'FL', 'US', '33609', '8136901051', 'Jane', 'Hershock', '434 s royal poinciana dr', '', 'Tampa', 'FL', 'US', '33609', '8136901051', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'AZVEHTKOVRKGLBXUELBTVPHEUZDHHA', '0', '72.184.136.50', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3XR149955P6527528', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('545', '0', 'rcowell123@aol.com', '', '2019-11-02 01:00:22', '2019-11-01 19:00:22', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Rachel', 'L Cowell', '109 Breakheart hill rd', '', 'West Greenwich', 'RI', 'US', '02817', '401-826-4681', 'Rachel', 'L Cowell', '109 Breakheart hill rd', '', 'West Greenwich', 'RI', 'US', '02817', '401-826-4681', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SZVHAEPLMJFUBGVKXSICTVMOSHUIJJ', '0', '71.117.191.117', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3X653735F2125183L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('546', '124', 'gary.kleiman@gmail.com', 'shopper', '2019-11-03 14:31:14', '2019-11-03 07:31:14', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Gary', 'Kleiman', '244 Chamounix Circle', '', 'Saint Davids', 'PA', 'US', '19087', '6109710461', 'Gary', 'Kleiman', '244 Chamounix Circle', '', 'Saint Davids', 'PA', 'US', '19087', '6109710461', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '68.81.107.244', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4L843496AS782535V', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('547', '0', 'Charlottedrinkwater5@gmail.com', '', '2019-11-05 18:29:15', '2019-11-05 11:29:15', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'carrie', 'drinkwater', '8 Myers Farm Rd', '', 'Hingham', 'MA', 'US', '02043', '7819853448', 'Charlotte', 'Drinkwater', 'Baker Hall', '', 'Boulder', 'CO', 'US', '80310', '7817423348', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LFWGKBAPPZSLFNTXUFQBUAVLAFFUCO', '0', '128.138.65.225', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5A3628760S344061L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('548', '0', 'eburger@usc.edu', '', '2019-11-15 07:09:29', '2019-11-15 00:09:29', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Patricia', 'Burger', '15 Main St', '', 'Dover', 'MA', 'US', '02030', '6177357737', 'Ellie', 'B', '643 w 28th st', '', 'Los angeles', 'CA', 'US', '90007', '6177357737', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VQBZLZADNOYSPDPHMRIMCHQQYRNVVZ', '0', '128.125.148.18', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3AA270477R884383F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('549', '0', 'lrand@randinsurance.com', '', '2019-11-20 17:02:01', '2019-11-20 10:02:01', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'lindsay', 'mcguckin', '18 edgerton street', '', 'darien', 'CT', 'US', '06820', '2036561538', 'lindsay', 'mcguckin', '18 edgerton street', '', 'darien', 'CT', 'US', '06820', '2036561538', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XIQKOLBCQNFWASJUXJYLGFDUYKFXUS', '0', '34.232.211.133', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2XJ35762FE664904T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('550', '0', 'pkojalo@gmail.com', '', '2019-11-26 17:10:37', '2019-11-26 10:10:37', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'PETER', 'KOJALO', '345 Mile Rd', 'P.O. Box 133', 'Wells', 'ME', 'US', '04090', '617-304-4081', 'PETER', 'KOJALO', '345 Mile Rd', 'P.O. Box 133', 'Wells', 'ME', 'US', '04090', '617-304-4081', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'TXBBIIHIQVMFIOEYOVZJWIQOHEBGRM', '0', '98.11.107.19', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '41E80092L3261403P', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('551', '0', 'anyak16@yahoo.com', '', '2019-12-01 16:57:07', '2019-12-01 09:57:07', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'anne', 'kayes', '629 BIRCH ST', '', 'SCRANTON', 'PA', 'US', '18505', '570-347-6998', 'anne', 'kayes', '629 BIRCH ST', '', 'SCRANTON', 'PA', 'US', '18505', '570-347-6998', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'SFDOODLCQVKYDFXWRXAANABYOSHTIL', '0', '73.64.6.102', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '7CD21718SD651802F', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('552', '0', 'aalissi7@yahoo.com', '', '2019-12-02 01:49:07', '2019-12-01 18:49:07', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Alyson', 'Alissi', '12 mayflower st', '', 'west hartford', 'CT', 'US', '06110', '8607121050', 'Alyson', 'Alissi', '108 westmont', '', 'west hartford', 'CT', 'US', '06117', '8607121050', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WYJULOKZJKXCINAIULUTFDSRTDWPHP', '0', '65.96.191.47', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '57418457WB4421509', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('553', '0', 'Cmcginty119@hotmail.com', '', '2019-12-19 19:58:13', '2019-12-19 12:58:13', '10', '4.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Christine ', 'McGinty', '56 Pleasant St', '', 'Cohasset', 'MA', 'US', '02025', '6173313862', 'Christine ', 'McGinty', '56 Pleasant St', '', 'Cohasset', 'MA', 'US', '02025', '6173313862', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'GFUEKAFLOTBJKJFPEUSTWEBQLXQZII', '0', '166.137.14.115', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8UF54609E8034450A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('554', '0', 'k_ho22@hotmail.com', '', '2019-12-23 15:40:51', '2019-12-23 08:40:51', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Karlee', 'Horan', '339 W 20th St', '', 'New York', 'NY', 'US', '10011', '603-289-4107', 'Karlee', 'Horan', '339 W 20th St', '', 'New York', 'NY', 'US', '10011', '603-289-4107', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'QHAHTQLXUNANOIUQHCWOAXUGVYBOHL', '0', '24.34.71.87', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4DL05686L0386833X', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('555', '0', 'Spokemeister2056@yahoo.com', '', '2019-12-27 17:49:10', '2019-12-27 10:49:10', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Dave', 'Smith', '3527 Lehigh Cir', '', 'Corona', 'CA', 'US', '92881', '951-642-3410', 'Dave', 'Smith', '3527 Lehigh Cir', '', 'Corona', 'CA', 'US', '92881', '951-642-3410', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'HJXXTQHWEQLLEENIQYULQRQXNKEWLW', '0', '172.58.30.146', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4VA40115C55843110', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('556', '0', 'martinc4@union.edu', '', '2019-12-30 02:48:44', '2019-12-29 19:48:44', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Connor', 'Martin', '1014 Union St', '', 'Schenectady', 'NY', 'US', '12308', '203-770-9852', 'Connor', 'Martin', '1014 Union St', '', 'Schenectady', 'NY', 'US', '12308', '203-770-9852', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'VOWLBATWUEYXCGKHBALHPQMLFDBRLX', '0', '72.64.1.4', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4MT47234JE4630501', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('557', '0', 'mgmorris@gmail.com', '', '2020-01-06 03:23:51', '2020-01-05 20:23:51', '10', '6.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'michael', 'morris', '6243 Monticello ave', '', 'DALLAS', 'TX', 'US', '75214', '617-721-8865', 'michael', 'morris', '6243 Monticello ave', '', 'DALLAS', 'TX', 'US', '75214', '617-721-8865', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ARWRFGVKRWSRKLBDYIIGYYRPKHIKIL', '0', '174.206.2.240', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '53N83390E7522935C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('558', '0', 'bbq4youme@yahoo.com', '', '2020-01-10 03:38:47', '2020-01-09 20:38:47', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Kacee', 'Beess', '215 Donelson Pk Box #140364', '', 'Nashville', 'TN', 'US', '37214', '234-567-8899', 'Kacee', 'Beess', '215 Donelson Pk Box #140364', '', 'Nashville', 'TN', 'US', '37214', '234-567-8899', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KJLKRTJYMJZHZIMDMOLXASZKRZNMUN', '0', '108.248.209.217', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6126313375759863M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('559', '0', 'thomasmpfaff@gmail.com', '', '2020-01-14 02:12:13', '2020-01-13 19:12:13', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Thomas', 'pfaff', '417 Filbert Street', '', 'San Francisco', 'CA', 'US', '94133', '415-988-3148', 'Thomas', 'pfaff', '417 Filbert Street', '', 'San Francisco', 'CA', 'US', '94133', '415-988-3148', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'WUSVROSTJWXJZIJHSPIGAFYRRZAQQB', '0', '172.9.104.148', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0V478895FV932102L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('560', '0', 'lyoung@bbbsmb.org', '', '2020-01-14 18:58:04', '2020-01-14 11:58:04', '10', '40.000', '500.000', '0.000', '8.000', '0.000', '0.000', '0.000', '508.000', '', '', '0', 'Standard Shipping', '', '', 'Noah', 'Stockman', '184 High Street, 3rd Floor', '', 'Boston', 'MA', 'US', '02110', '508-930-4860', 'Noah', 'Stockman', '184 High Street, 3rd Floor', '', 'Boston', 'MA', 'US', '02110', '508-930-4860', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'EIIFMMGXZTZMPJLTOSUVZJFZDRUJPW', '0', '50.212.15.73', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0KH329863X7975228', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('561', '0', 'skrabis@gmail.com', '', '2020-01-16 16:06:39', '2020-01-16 09:06:39', '10', '0.000', '10.000', '0.000', '9.000', '0.000', '0.000', '0.000', '19.000', '', '', '0', 'US Mail', '', '', 'Phillip', 'Skrabis', '26 N Prospect Ave', '', 'Catonsville', 'MD', 'US', '21228', '7742750594', 'Phillip', 'Skrabis', '26 N Prospect Ave', '', 'Catonsville', 'MD', 'US', '21228', '7742750594', 'paypal', '', '', '', '0', NULL, 'Phillip Skrabis', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', 'Sibarks', 'Sibarks', 'FHWKENVNCTMHIAZOFHXZKPCPYQUSES', '0', '23.82.14.22', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '34697709860687821', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('562', '0', 'dianerdeboer@gmail.com', '', '2020-01-27 16:38:31', '2020-01-27 09:38:31', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Diane', 'DeBoer', '3706 Havens Way Court', '', 'Middleville ', 'MI', 'US', '49333', '616-970-6611', 'Diane', 'DeBoer', '3706 Havens Way Court', '', 'Middleville ', 'MI', 'US', '49333', '616-970-6611', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'KANYVQOLENEUXXQESVEPEXQSPJZJMN', '0', '75.128.106.20', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8CU59766HH0890934', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('563', '0', 'dsds007@comcast.net', '', '2020-01-30 01:18:12', '2020-01-29 18:18:12', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Danielle', 'Swift', '25 Pond Street', '#27', 'Waltham', 'MA', 'US', '02451', '781-405-6665', 'Danielle', 'Swift', '25 Pond Street', '#27', 'Waltham', 'MA', 'US', '02451', '781-405-6665', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'CCVXXNHFVDYQDNOYTSZSAJLCIXNBBX', '0', '24.218.140.173', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8MX04164SW7188113', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('564', '0', 'david.potier@wellsfargo.com', '', '2020-01-30 03:25:15', '2020-01-29 20:25:15', '10', '0.000', '5.000', '0.000', '9.000', '0.000', '0.000', '0.000', '14.000', '', '', '0', 'US Mail', '', '', 'David', 'Potier', '9622 Baileywick Rd', '', 'CHARLOTTE', 'NC', 'US', '28277', '980-275-2716', 'David', 'Potier', '9622 Baileywick Rd', '', 'CHARLOTTE', 'NC', 'US', '28277', '980-275-2716', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'XIRXXVOZRJLGIHCZGCOOYIJSPTTGTO', '0', '75.10.160.152', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1SS42466KH760924M', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('565', '0', 'JD_steele@hotmail.com', '', '2020-02-04 12:58:33', '2020-02-04 05:58:33', '10', '9.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'Jonathan ', 'Steele ', '10 Martins Cove road ', '', 'Hingham ', 'MA', 'US', '02043', '781-875-1555', 'Jonathan ', 'Steele ', '10 Martins Cove road ', '', 'Hingham ', 'MA', 'US', '02043', '781-875-1555', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OAXJINTRBZVSNMVVXMEMCYXFIBFLBI', '0', '174.196.203.51', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '1U688093K2687943T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('566', '0', 'dast@tusco.net', '', '2020-02-07 23:33:01', '2020-02-07 16:33:01', '10', '2.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'Standard Shipping', '', '', 'David', 'Chenzoff', '1121 Schell Ave NW', '', 'New Philadelphia', 'OH', 'US', '44663', '330-364-8997', 'David', 'Chenzoff', '1121 Schell Ave NW', '', 'New Philadelphia', 'OH', 'US', '44663', '330-364-8997', 'paypal', '', '', '', '0', NULL, 'Thank you', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZDSRGDUVIITDNKXEGXHLQAISJRCAOW', '0', '75.179.38.238', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8V619955B6930001A', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('567', '0', 'dray80@hotmail.com', '', '2020-02-14 06:11:03', '2020-02-13 23:11:03', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Dray', 'Zanetich', '4 n cherry lane', '', 'Rumson', 'NJ', 'US', '07760', '7322325241', 'Dray', 'Zanetich', '4 n cherry lane', '', 'Rumson', 'NJ', 'US', '07760', '7322325241', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FCWBVGCQCFKQMGEIRJZSERIQQNUWBF', '0', '174.225.130.248', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '281010949S981092L', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('568', '0', 'joelt1980@aol.com', '', '2020-02-16 05:01:52', '2020-02-15 22:01:52', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Joel', 'Teets', '18 sugar maple lane', '', 'horsham', 'PA', 'US', '19044', '215-470-4030', 'Joel', 'Teets', '18 sugar maple lane', '', 'horsham', 'PA', 'US', '19044', '215-470-4030', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'JHGQJGLQAVZCYVDLSPRRCUIBKYDCFZ', '0', '73.13.186.9', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2CM090258L8705509', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('569', '0', 'dannyverna@me.com', '', '2020-02-17 21:20:30', '2020-02-17 14:20:30', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Daniel', 'Verna', '22 Connelly Hill Rd', '', 'Hopkinton', 'MA', 'US', '01748-2581', '508-544-2847', 'Daniel', 'Verna', '22 Connelly Hill Rd', '', 'Hopkinton', 'MA', 'US', '01748-2581', '508-544-2847', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZERWYLIAAMOVHGUEWZQGIKRTMQWMOW', '0', '107.77.80.56', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '87E804203E064314H', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('571', '0', 'mark.c.tedeschi@gmail.com', '', '2020-02-20 18:54:59', '2020-02-20 11:54:59', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'US Mail', '', '', 'Mark ', 'Tedeschi ', '315 A Street Unit 1405 ', '', 'Boston', 'MA', 'US', '02210', '781-264-5678', 'Mark ', 'Tedeschi ', '315 A Street Unit 1405 ', '', 'Boston', 'MA', 'US', '02210', '781-264-5678', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'LUTAFFBFDAOBMHVFHAIGNRBXUGKFRA', '0', '24.2.205.210', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '36N15488HP157370T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('572', '0', 's11hkaiser@gmail.com', '', '2020-03-06 02:06:43', '2020-03-05 19:06:43', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Heinz', 'Kaiser', '1831 Lindamoor Drive', '', 'Annapolis', 'MD', 'US', '21401', '443-481-7837', 'Heinz', 'Kaiser', '1831 Lindamoor Drive', '', 'Annapolis', 'MD', 'US', '21401', '443-481-7837', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'OEEDFXAMTQJFDMHWBSSDPLKZQGESLG', '0', '73.213.173.224', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '29M05955TC279353D', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('573', '135', 'Caity@authsocial.com', 'shopper', '2020-03-06 04:32:23', '2020-03-05 21:32:23', '10', '4.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Caitlin', 'Begg', '67 Wall St 24G', '', 'New York', 'NY', 'US', '10005', '2016759330', 'Caitlin', 'Begg', '67 Wall St 24G', '', 'New York', 'NY', 'US', '10005', '2016759330', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '98.15.134.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '85S841590T390692Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('574', '136', 'dusty_ramos@comcast.net', 'shopper', '2020-03-12 15:13:59', '2020-03-12 09:13:59', '10', '8.000', '75.000', '0.000', '8.000', '0.000', '0.000', '0.000', '83.000', '', '', '0', 'US Mail', '', '', 'Dusty', 'Ramos', '10 Milestone Crossing', '', 'Nantucket', 'MA', 'US', '02554', '5082280655', 'Dusty', 'Ramos', '10 Milestone Crossing', '', 'Nantucket', 'MA', 'US', '02554', '5082280655', 'paypal', '', '', '', '0', NULL, 'Dusty Ramos', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '76.24.212.170', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4CL992679J282963N', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('575', '0', 'dougcoupe@gmail.com', '', '2020-03-16 01:54:41', '2020-03-15 19:54:41', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Doug', 'Coupe', '295 Seven Farms Dr.', 'Suite C-133', 'Daniel Island ', 'SC', 'US', '29492', '843-568-2455', 'Doug', 'Coupe', '295 Seven Farms Dr.', 'Suite C-133', 'Daniel Island ', 'SC', 'US', '29492', '843-568-2455', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IPZICBXFKZGWNSUUGUAIVIPXZOXVIA', '0', '99.74.136.100', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '00P2154874956952U', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('576', '0', 'callahanoneill@gmail.com', '', '2020-03-24 17:48:17', '2020-03-24 11:48:17', '10', '0.000', '5.000', '0.000', '1.000', '0.000', '0.000', '0.000', '6.000', '', '', '0', '', '', '', 'Callahan', 'O\'Neill', '22 gammons Road', '', 'Cohasset', 'MA', 'US', '02025', '781-733-4357', 'Callahan', 'O\'Neill', '22 gammons Road', '', 'Cohasset', 'MA', 'US', '02025', '781-733-4357', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ITWJHJAUSCPSZESAIVRAMNWGHCHHPB', '0', '66.31.173.58', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '4LX21877RY088305G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('577', '0', 'mjgrier93@gmail.com', '', '2020-04-02 20:14:15', '2020-04-02 14:14:15', '10', '5.000', '55.000', '0.000', '9.000', '0.000', '0.000', '0.000', '64.000', '', '', '0', 'US Mail', '', '', 'Michael', 'Grier', '124 Ridge Street, 5R', '', 'New York', 'NY', 'US', '10002', '5198031899', 'Michael', 'Grier', '124 Ridge Street, 5R', '', 'New York', 'NY', 'US', '10002', '5198031899', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'FHNLIHXXLHUFLGSXKRKDPAYOOPEJYS', '0', '67.243.252.213', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '3H39086479657031C', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('578', '0', 'clanahan.michael@gmail.com', '', '2020-04-06 22:50:15', '2020-04-06 16:50:15', '10', '5.000', '50.000', '0.000', '8.000', '0.000', '0.000', '0.000', '58.000', '', '', '0', 'Standard Shipping', '', '', 'Michael', 'Clanahan', '1016 Edgewater lane', '', 'Hoschton', 'GA', 'US', '30548', '404-384-3887', 'Michael', 'Clanahan', '1016 Edgewater lane', '', 'Hoschton', 'GA', 'US', '30548', '404-384-3887', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'DDVSRWZXLHHRQAACWKXTQSKGIWHRDI', '0', '174.218.13.164', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '29W84243E6356831G', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('579', '0', 'johnscaplen@gmail.com', '', '2020-04-09 15:27:59', '2020-04-09 09:27:59', '10', '3.000', '30.000', '0.000', '9.000', '0.000', '0.000', '0.000', '39.000', '', '', '0', 'Standard Shipping', '', '', 'john', 'scaplen', '163 mill road', '', 'chelmsford', 'MA', 'US', '01824', '617-839-4281', 'john', 'scaplen', '163 mill road', '', 'chelmsford', 'MA', 'US', '01824', '617-839-4281', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'BJTMWXNITZUGXIESGTQDFVJWLTPRLF', '0', '24.62.248.177', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '2HM055386S6032832', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('580', '0', 'stephenjabaut@gmail.com', '', '2020-04-11 21:07:24', '2020-04-11 15:07:24', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Stephen', 'Jabaut', '2720 Neilson Way', '5705', 'Santa Monica', 'CA', 'US', '90405', '518-290-0789', 'Stephen', 'Jabaut', '2720 Neilson Way', '5705', 'Santa Monica', 'CA', 'US', '90405', '518-290-0789', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'RFPWWHRZZLUIQFJIBDJTFITUNLHMAT', '0', '172.91.98.83', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '8AM57725NM251670Y', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('581', '0', 'Sasanka@launchsource.com', '', '2020-04-13 02:39:17', '2020-04-12 20:39:17', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Sasanka', 'Atapattu', '1569 Beacon St ', '12', 'Brookline', 'MA', 'US', '02446', '857-998-0474', 'Sasanka', 'Atapattu', '1569 Beacon St ', '12', 'Brookline', 'MA', 'US', '02446', '857-998-0474', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IBAQBEVXRAHJHKGWOQSCUOSDGJNXCC', '0', '24.91.136.162', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6KP83002LX462232J', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('582', '0', 'Agellison@optonline.net', '', '2020-04-16 11:58:31', '2020-04-16 05:58:31', '10', '3.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Amy', 'Ellison', '12 Hyatt lane', '', 'Somers', 'NY', 'US', '10589', '9176963927', 'Amy', 'Ellison', '12 Hyatt lane', '', 'Somers', 'NY', 'US', '10589', '9176963927', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'IOHICRKDZGPFQYZODVXFFRJWAPEFJN', '0', '24.44.134.248', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5GJ80793925533409', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('583', '137', 'GLOVER1828@GMAIL.COM', 'shopper', '2020-04-24 22:47:12', '2020-04-24 16:47:12', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'Taylor', 'Brainard', '2770 ne 14th st #205', '', 'Fort Lauderdale', 'FL', 'US', '33304', '4042717537', 'Taylor', 'Brainard', '2770 ne 14th st #205', '', 'Fort Lauderdale', 'FL', 'US', '33304', '4042717537', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', '', '0', '73.47.63.163', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '0PU39441C4256401T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('584', '0', 'alexishross@me.com', '', '2020-04-26 00:56:27', '2020-04-25 18:56:27', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'US Mail', '', '', 'alexis', 'ross', '625 hill road', '', 'winnetka', 'IL', 'US', '60093', '312-543-8661', 'alexis', 'ross', '625 hill road', '', 'winnetka', 'IL', 'US', '60093', '312-543-8661', 'paypal', '', '', '', '1', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZGYXPOCSQQPEXXRAVZRZNDLKHAFFNA', '0', '24.15.71.118', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '6RG51318LJ338690T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('585', '0', 'pjmvtfl@yahoo.com', '', '2020-05-03 18:30:35', '2020-05-03 12:30:35', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Peter', 'Moore', '1595 West Woodstock Rd', '', 'Woodstock', 'VT', 'US', '05091', '727-391-7861', 'Peter', 'Moore', '1595 West Woodstock Rd', '', 'Woodstock', 'VT', 'US', '05091', '727-391-7861', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'ZJGGATHXKGQCWBJFQRUPABVIMGHTMB', '0', '75.68.146.125', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '54E91670UA417911B', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
INSERT INTO `ec_order` VALUES('586', '0', 'enogas@gmail.com', '', '2020-05-04 14:50:38', '2020-05-04 08:50:38', '10', '2.000', '25.000', '0.000', '8.000', '0.000', '0.000', '0.000', '33.000', '', '', '0', 'Standard Shipping', '', '', 'Edward', 'Nogas', '6527 Jay Miller Dr', '', 'Falls Church', 'VA', 'US', '22041', '703-585-8270', 'Edward', 'Nogas', '6527 Jay Miller Dr', '', 'Falls Church', 'VA', 'US', '22041', '703-585-8270', 'paypal', '', '', '', '0', NULL, '', '', '', '', '', '', '', '0', '0.000', '', 'paypal-express', '', '', '', 'PJMJMAOFBXMASYHMCUMOPKVJCQBTXU', '0', '72.21.196.65', '0.000', '0.000', '0.000', '0.000', '0.000', '0.000', '5DK43011SM568122T', '', '', '20', '', '0.000', '', '', 'Not Queued', '0', '');
/*!40000 ALTER TABLE `ec_order` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
