CREATE TABLE `ec_orderdetail` (  `orderdetail_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for ec_orderdetail.',  `order_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the ec_orderdetail table to the ec_order table.',  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the ec_orderdetail table to the ec_product table.',  `title` varchar(255) DEFAULT NULL COMMENT 'The title of a product as specified at time of the order capture.',  `model_number` varchar(255) NOT NULL COMMENT 'The model number of a product as specified and captured at time of order.',  `order_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date the order was placed.',  `unit_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Price of the product at the time of purchase.',  `total_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Final price of this line item.',  `quantity` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of product purchased.',  `image1` varchar(255) NOT NULL COMMENT 'The image 1 of the product at time of order capture.',  `optionitem_name_1` varchar(128) NOT NULL DEFAULT '' COMMENT 'The optionitem name selected at time of purchase.',  `optionitem_name_2` varchar(128) NOT NULL DEFAULT '' COMMENT 'The optionitem name selected at time of purchase.',  `optionitem_name_3` varchar(128) NOT NULL DEFAULT '' COMMENT 'The optionitem name selected at time of purchase.',  `optionitem_name_4` varchar(128) NOT NULL DEFAULT '' COMMENT 'The optionitem name selected at time of purchase.',  `optionitem_name_5` varchar(128) NOT NULL DEFAULT '' COMMENT 'The optionitem name selected at time of purchase.',  `optionitem_label_1` varchar(255) NOT NULL DEFAULT '' COMMENT 'Option Item 1 Label',  `optionitem_label_2` varchar(255) NOT NULL DEFAULT '' COMMENT 'Option Item 2 Label',  `optionitem_label_3` varchar(255) NOT NULL DEFAULT '' COMMENT 'Option Item 3 Label',  `optionitem_label_4` varchar(255) NOT NULL DEFAULT '' COMMENT 'Option Item 4 Label',  `optionitem_label_5` varchar(255) NOT NULL DEFAULT '' COMMENT 'Option Item 5 Label',  `optionitem_price_1` float(15,3) NOT NULL DEFAULT '0.000',  `optionitem_price_2` float(15,3) NOT NULL DEFAULT '0.000',  `optionitem_price_3` float(15,3) NOT NULL DEFAULT '0.000',  `optionitem_price_4` float(15,3) NOT NULL DEFAULT '0.000',  `optionitem_price_5` float(15,3) NOT NULL DEFAULT '0.000',  `giftcard_id` varchar(20) NOT NULL DEFAULT '' COMMENT 'Relates the ec_orderdetail item to a ec_giftcard item if a gift card was ordered.',  `shipper_id` int(11) DEFAULT '0',  `shipper_first_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'First name of the shipper.',  `shipper_last_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Last name of the shipper.',  `gift_card_message` text COMMENT 'User entered gift card message.',  `gift_card_from_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'User entered name that a gift card is from.',  `gift_card_to_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'User entered name that a gift card is to.',  `is_download` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Quick reference to if this sale was a downloadable good.',  `is_giftcard` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Quick reference to if this sale was a gift card.',  `is_taxable` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Quick reference to if this product is taxable.',  `download_file_name` text NOT NULL,  `download_key` text,  `maximum_downloads_allowed` int(11) NOT NULL DEFAULT '0',  `download_timelimit_seconds` int(11) DEFAULT '0',  `use_advanced_optionset` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Used for display purposes to notify if this item uses advanced option sets.',  `is_amazon_download` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Turns the download location to Amazon S3 servers.',  `amazon_key` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The file name used on the Amazon S3 Server.',  `is_deconetwork` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'This tells the system that it is a DecoNetwork product and changes the display type accordingly.',  `deconetwork_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'The unique id for this item provided by the DecoNetwork',  `deconetwork_name` varchar(255) NOT NULL DEFAULT '',  `deconetwork_product_code` varchar(64) NOT NULL DEFAULT '' COMMENT 'The product code provided by the DecoNetwork.',  `deconetwork_options` varchar(255) NOT NULL DEFAULT '',  `deconetwork_color_code` varchar(64) NOT NULL DEFAULT '' COMMENT 'The color code of the selected shirt provided by the DecoNetwork.',  `deconetwork_product_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'The product id on the DecoNetwork.',  `deconetwork_image_link` varchar(255) NOT NULL DEFAULT '',  `gift_card_email` varchar(255) NOT NULL DEFAULT '',  `is_shippable` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Quick reference to if this product is shippable',  `include_code` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Should this product include a code on checkout.',  `subscription_signup_fee` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Paid during signup with a subscription fee.',  `optionitem_id_1` int(11) NOT NULL DEFAULT '0',  `optionitem_id_2` int(11) NOT NULL DEFAULT '0',  `optionitem_id_3` int(11) NOT NULL DEFAULT '0',  `optionitem_id_4` int(11) NOT NULL DEFAULT '0',  `optionitem_id_5` int(11) NOT NULL DEFAULT '0',  `stock_adjusted` tinyint(1) NOT NULL DEFAULT '0',  `exclude_shippable_calculation` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`orderdetail_id`),  UNIQUE KEY `orderdetail_id` (`orderdetail_id`),  KEY `ec_orderdetail_idx2` (`orderdetail_id`) USING BTREE,  KEY `ec_orderdetail_idx3` (`order_id`) USING BTREE,  KEY `ec_orderdetail_idx4` (`product_id`) USING BTREE,  KEY `ec_orderdetail_idx5` (`giftcard_id`) USING BTREE,  KEY `orderdetail_order_id` (`order_id`),  KEY `orderdetail_product_id` (`product_id`),  KEY `orderdetail_giftcard_id` (`giftcard_id`)) ENGINE=MyISAM AUTO_INCREMENT=871 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=130;
/*!40000 ALTER TABLE `ec_orderdetail` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_orderdetail` VALUES('1', '1', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'stone-blue-back_1d0231242954722777f694ac6c7e0f2b.jpg', 'Stone Blue', 'Large', '', '', '', 'Peace Chicken Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('2', '1', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'navy sox box shirt 2_fd498e446051c5e17921ecd04850d4cc.jpg', 'Navy', 'Large', '', '', '', 'Sox Box Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('3', '2', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'stone-blue-back_1d0231242954722777f694ac6c7e0f2b.jpg', 'Stone Blue', 'Large', '', '', '', 'Peace Chicken Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('4', '2', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'navy sox box shirt 2_fd498e446051c5e17921ecd04850d4cc.jpg', 'Navy', 'Large', '', '', '', 'Sox Box Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('5', '3', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('6', '3', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'navy sox box shirt 2_fd498e446051c5e17921ecd04850d4cc.jpg', 'Navy', 'Extra Large', '', '', '', 'Sox Box Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('7', '4', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'ash-back_0aae551aa2307a50048540d1247dcee8.jpg', 'Ash', 'Medium', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('8', '5', '4', 'Box Thong', 'Box391', '0000-00-00 00:00:00', '20.000', '20.000', '1', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', 'Small', '', '', '', '', 'Thong Sizes', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('9', '6', '4', 'Box Thong', 'Box391', '0000-00-00 00:00:00', '20.000', '40.000', '2', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', 'Medium', '', '', '', '', 'Thong Sizes', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('10', '7', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'ash-back_0aae551aa2307a50048540d1247dcee8.jpg', 'Ash', 'Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('11', '7', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'navy sox box shirt 2_fd498e446051c5e17921ecd04850d4cc.jpg', 'Navy', 'Large', '', '', '', 'Sox Box Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('12', '8', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'navy sox box shirt 2_fd498e446051c5e17921ecd04850d4cc.jpg', 'Navy', 'Large', '', '', '', 'Sox Box Colors', 'Shirt Sizes', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('13', '9', '4', 'Box Thong', 'Box391', '0000-00-00 00:00:00', '20.000', '20.000', '1', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', 'Small', '', '', '', '', 'Thong Sizes', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('14', '10', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - brick_9780bfccc056cc0d4d76ea0bc11f0e16.jpg', 'Brick', 'Extra Large', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('15', '11', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_e8966209740ee9d334b18ce17a9a056b.jpg', 'Black', 'Extra Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('16', '12', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - brick_9780bfccc056cc0d4d76ea0bc11f0e16.jpg', 'Brick', 'Extra Large', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('17', '13', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'ash-back_0aae551aa2307a50048540d1247dcee8.jpg', 'Ash', 'Extra Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('18', '13', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'violet-back_86dc094eb9ed3aa34b2f54e92cc8fd1d.jpg', 'Violet', 'Small', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('19', '14', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-black-front_6b92bacc65b13ce6e1a422f287b72b87.jpg', 'Black', '', '', '', '', 'Box Puff Hat', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('20', '14', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_74b6266cfdbc90edf4d3d9afcdb91196.jpg', 'Navy', '', '', '', '', 'Box Puff Hat', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('21', '15', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_e5006954e4b5d6a05a0793cba0247f2c.jpg', 'Melon', 'Medium', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('22', '16', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - periwinkle_0b81b89892201b88ba6331adeef00424.jpg', 'Periwinkle', 'Medium', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('23', '17', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'black-back_e8966209740ee9d334b18ce17a9a056b.jpg', 'Black', 'Double Extra Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('24', '18', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - celery_6024d172a07f83b4834dccbdc45acbe0.jpg', 'Celery', 'Large', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('25', '18', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_e8966209740ee9d334b18ce17a9a056b.jpg', 'Black', 'Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('26', '18', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'violet-back_86dc094eb9ed3aa34b2f54e92cc8fd1d.jpg', 'Violet', 'Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('27', '18', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-stone_f375fdb3fa47db266141f046fbba5a45.jpg', 'Stone', '', '', '', '', 'Sox Box Hats', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('28', '18', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_460f356bc5f28b383797580c0ce5b8db.jpg', 'Olive', '', '', '', '', 'Box Puff Hat', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('29', '19', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - brick_9780bfccc056cc0d4d76ea0bc11f0e16.jpg', 'Brick', 'Medium', '', '', '', 'Pigment Dyed Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('30', '19', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_e8966209740ee9d334b18ce17a9a056b.jpg', 'Black', 'Extra Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('31', '20', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_e8966209740ee9d334b18ce17a9a056b.jpg', 'Black', 'Double Extra Large', '', '', '', 'Peace Chicken Colors', 'Size', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('32', '21', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('33', '22', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('34', '23', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('35', '23', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('36', '24', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('37', '25', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('38', '26', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('39', '27', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('40', '27', '4', 'Box Thong', 'Box391', '0000-00-00 00:00:00', '20.000', '20.000', '1', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', 'Small', '', '', '', '', 'Thong Sizes', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('41', '27', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '15.000', '2', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('42', '28', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('43', '28', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('44', '29', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('45', '29', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('46', '30', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('47', '31', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('48', '32', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('49', '33', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('50', '34', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('51', '35', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('52', '35', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('53', '36', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('54', '36', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('55', '37', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('56', '38', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '30.000', '4', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('57', '39', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('58', '39', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('59', '39', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('60', '39', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('61', '40', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('62', '41', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '60.000', '2', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('63', '41', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('64', '41', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '60.000', '2', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('65', '41', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('66', '42', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('67', '42', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('68', '43', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('69', '44', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('70', '45', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('71', '46', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('72', '47', '4', 'Box Thong', 'Box391', '0000-00-00 00:00:00', '20.000', '20.000', '1', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', 'Small', '', '', '', '', 'Thong Sizes', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('73', '49', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('74', '49', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('75', '49', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('76', '50', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('77', '50', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '60.000', '8', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('78', '51', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '15.000', '3', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('79', '52', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('80', '53', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('81', '54', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('82', '54', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('83', '54', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('84', '54', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '15.000', '2', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('85', '54', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('86', '57', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('87', '57', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('88', '57', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('89', '57', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '15.000', '2', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('90', '57', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('91', '58', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('92', '58', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('93', '59', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('94', '61', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('95', '61', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('96', '61', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('97', '61', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('98', '62', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('99', '62', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('100', '63', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('101', '64', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('102', '65', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('103', '65', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('104', '65', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('105', '65', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('106', '66', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '30.000', '4', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('107', '67', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('108', '67', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('109', '68', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('110', '69', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('111', '70', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('112', '71', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('113', '72', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('114', '72', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('115', '73', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('116', '74', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '60.000', '2', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('117', '75', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('118', '76', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('119', '77', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('120', '77', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('121', '78', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('122', '79', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('123', '80', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('124', '81', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('125', '81', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('126', '82', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('127', '82', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('128', '83', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('129', '83', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('130', '84', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('131', '84', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('132', '85', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('133', '85', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('134', '86', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('135', '87', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('136', '87', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('137', '88', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('138', '89', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('139', '90', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('140', '90', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('141', '90', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('142', '91', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('143', '92', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('144', '92', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('145', '93', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('146', '93', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('147', '94', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('148', '95', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('149', '96', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('150', '96', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('151', '97', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('152', '97', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('153', '97', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('154', '98', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('155', '98', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('156', '99', '6', 'Pint Glass', 'Box510', '0000-00-00 00:00:00', '7.500', '15.000', '2', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('157', '100', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('158', '101', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('159', '102', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('160', '103', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('161', '103', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('162', '104', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('163', '104', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('164', '105', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '60.000', '2', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('165', '105', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '60.000', '2', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('166', '106', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('167', '106', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('168', '107', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('169', '108', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('170', '109', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('171', '110', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('172', '111', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('173', '112', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('174', '113', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('175', '114', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('176', '115', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('177', '116', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('178', '116', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('179', '117', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('180', '118', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('181', '119', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('182', '119', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('183', '119', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('184', '119', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('185', '120', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('186', '121', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('187', '121', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('188', '121', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('189', '121', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('190', '122', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('191', '122', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('192', '123', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('193', '123', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('194', '124', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('195', '125', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('196', '126', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('197', '126', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('198', '127', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '40.000', '40.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('199', '127', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('200', '128', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '40.000', '40.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('201', '129', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('202', '129', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('203', '130', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('204', '131', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('205', '132', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('206', '133', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('207', '133', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('208', '134', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('209', '135', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('210', '136', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('211', '137', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('212', '138', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('213', '138', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('214', '138', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('215', '138', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('216', '139', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('217', '139', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('218', '139', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('219', '140', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('220', '140', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('221', '141', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('222', '142', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('223', '143', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('224', '144', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('225', '145', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('226', '146', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('227', '146', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '30.000', '30.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('228', '147', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('229', '147', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '20.000', '20.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('230', '148', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('231', '148', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('232', '149', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '75.000', '3', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('233', '150', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('234', '151', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('235', '151', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('236', '152', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('237', '153', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('238', '154', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('239', '154', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('240', '154', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('241', '155', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('242', '156', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('243', '157', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('244', '158', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('245', '159', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('246', '160', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('247', '160', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('248', '161', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('249', '161', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('250', '162', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('251', '163', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('252', '164', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('253', '165', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('254', '166', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('255', '167', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('256', '167', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('257', '167', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('258', '167', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('259', '168', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('260', '169', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('261', '170', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('262', '171', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('263', '171', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('264', '171', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('265', '171', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('266', '172', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('267', '173', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('268', '174', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('269', '174', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('270', '174', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('271', '175', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('272', '175', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('273', '176', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('274', '177', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('275', '178', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('276', '179', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('277', '180', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('278', '181', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('279', '182', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('280', '182', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('281', '183', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('282', '183', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('283', '183', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('284', '184', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('285', '185', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('286', '186', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('287', '186', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('288', '187', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('289', '188', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('290', '188', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('291', '189', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('292', '190', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('293', '190', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('294', '190', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('295', '191', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('296', '192', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('297', '193', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-olive-front_ee82007fdb33b337034b45c1688d34d9.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('298', '194', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('299', '195', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('300', '196', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('301', '196', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('302', '197', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '75.000', '3', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('303', '198', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('304', '199', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('305', '199', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('306', '200', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('307', '200', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('308', '201', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('309', '202', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('310', '202', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('311', '202', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('312', '203', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('313', '204', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('314', '205', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('315', '206', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('316', '206', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('317', '207', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('318', '207', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('319', '208', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('320', '209', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('321', '210', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('322', '211', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('323', '212', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('324', '212', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('325', '212', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('326', '213', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('327', '214', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('328', '214', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('329', '215', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('330', '216', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('331', '217', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('332', '218', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('333', '219', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('334', '219', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('335', '220', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('336', '220', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('337', '221', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('338', '221', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('339', '222', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('340', '222', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('341', '223', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('342', '224', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('343', '224', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('344', '224', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('345', '225', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('346', '226', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('347', '227', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('348', '228', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('349', '229', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('350', '230', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('351', '230', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('352', '231', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('353', '232', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('354', '233', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('355', '233', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('356', '234', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('357', '235', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('358', '235', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('359', '236', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('360', '236', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('361', '237', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('362', '238', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('363', '239', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('364', '239', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('365', '240', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('366', '241', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('367', '241', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('368', '241', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('369', '242', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('370', '243', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('371', '244', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('372', '245', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('373', '246', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('374', '247', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('375', '248', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('376', '249', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('377', '250', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('378', '251', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('379', '251', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('380', '252', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('381', '252', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('382', '253', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('383', '254', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('384', '254', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('385', '254', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('386', '255', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('387', '256', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('388', '257', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('389', '258', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('390', '258', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('391', '259', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('392', '259', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('393', '259', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('394', '260', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('395', '261', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('396', '262', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('397', '263', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('398', '264', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('399', '264', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('400', '265', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('401', '265', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('402', '266', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('403', '267', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '15.000', '3', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('404', '268', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('405', '269', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('406', '269', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('407', '269', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('408', '269', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('409', '270', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('410', '271', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('411', '272', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('412', '272', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('413', '272', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('414', '273', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('415', '274', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('416', '275', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('417', '276', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('418', '277', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('419', '278', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('420', '278', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('421', '279', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('422', '280', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('423', '281', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('424', '281', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('425', '282', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('426', '283', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('427', '283', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('428', '284', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('429', '285', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'tee1_8dab597f6f578012bb77ade6462a759a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('430', '286', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('431', '287', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('432', '287', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('433', '288', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('434', '288', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('435', '289', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('436', '290', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('437', '290', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('438', '290', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('439', '290', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('440', '291', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('441', '291', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('442', '292', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('443', '292', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('444', '293', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('445', '294', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('446', '295', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('447', '296', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('448', '297', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('449', '297', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('450', '298', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('451', '299', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('452', '300', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('453', '300', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('454', '301', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('455', '301', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('456', '301', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('457', '302', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('458', '303', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('459', '304', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('460', '304', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('461', '304', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('462', '305', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('463', '306', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('464', '307', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('465', '308', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('466', '309', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('467', '310', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('468', '311', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('469', '312', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('470', '313', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('471', '314', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('472', '315', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('473', '316', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('474', '316', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('475', '317', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('476', '318', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('477', '319', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('478', '320', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('479', '321', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('480', '321', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('481', '322', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('482', '323', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('483', '324', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('484', '325', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('485', '326', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('486', '327', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('487', '327', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('488', '328', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('489', '329', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('490', '330', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('491', '331', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('492', '332', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('493', '333', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('494', '334', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('495', '335', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('496', '336', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('497', '337', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('498', '338', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('499', '339', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('500', '340', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('501', '341', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('502', '342', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('503', '342', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('504', '343', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('505', '343', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('506', '344', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('507', '344', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('508', '345', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('509', '346', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('510', '347', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('511', '348', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('512', '349', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('513', '349', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('514', '350', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('515', '351', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('516', '351', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('517', '351', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('518', '352', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('519', '352', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('520', '353', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('521', '354', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('522', '355', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('523', '355', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('524', '356', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('525', '357', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('526', '357', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('527', '357', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('528', '358', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('529', '358', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('530', '358', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('531', '359', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('532', '360', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('533', '361', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('534', '362', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('535', '363', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('536', '364', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('537', '365', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('538', '366', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('539', '366', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('540', '366', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('541', '367', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('542', '368', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('543', '369', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('544', '370', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('545', '371', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('546', '371', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('547', '372', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('548', '373', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('549', '374', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('550', '374', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('551', '374', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('552', '375', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('553', '375', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('554', '375', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('555', '375', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('556', '375', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('557', '375', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('558', '376', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('559', '377', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('560', '377', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('561', '378', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('562', '379', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('563', '379', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('564', '380', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('565', '380', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('566', '380', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('567', '381', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('568', '381', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('569', '381', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('570', '382', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('571', '383', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('572', '384', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('573', '385', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('574', '386', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('575', '387', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('576', '387', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('577', '388', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('578', '389', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('579', '389', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('580', '390', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('581', '391', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('582', '391', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('583', '392', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('584', '393', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('585', '394', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('586', '395', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('587', '396', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('588', '396', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('589', '397', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('590', '397', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('591', '398', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('592', '399', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('593', '400', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('594', '400', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('595', '400', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('596', '400', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('597', '400', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '100.000', '4', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('598', '401', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('599', '402', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('600', '403', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('601', '404', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('602', '405', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('603', '406', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('604', '407', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('605', '408', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('606', '409', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('607', '409', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('608', '410', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('609', '411', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('610', '412', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('611', '413', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('612', '414', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('613', '414', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('614', '415', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('615', '416', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('616', '417', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('617', '418', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('618', '419', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('619', '420', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('620', '421', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('621', '422', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('622', '422', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('623', '422', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('624', '423', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('625', '424', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('626', '425', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('627', '426', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('628', '427', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('629', '428', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '75.000', '3', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('630', '429', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('631', '429', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('632', '429', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('633', '430', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('634', '431', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('635', '432', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('636', '432', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('637', '433', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('638', '433', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('639', '434', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('640', '434', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('641', '435', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('642', '435', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('643', '435', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('644', '436', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('645', '436', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('646', '437', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('647', '438', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('648', '438', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('649', '438', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('650', '439', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('651', '439', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('652', '439', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('653', '440', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('654', '440', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('655', '441', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('656', '442', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('657', '443', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('658', '444', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('659', '444', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('660', '445', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('661', '445', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('662', '446', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('663', '446', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('664', '446', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('665', '447', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('666', '447', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('667', '447', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('668', '448', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('669', '449', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('670', '450', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('671', '451', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('672', '452', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('673', '452', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('674', '453', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('675', '454', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('676', '454', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('677', '455', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('678', '456', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('679', '456', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('680', '457', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('681', '458', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('682', '459', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('683', '460', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('684', '461', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('685', '462', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('686', '462', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('687', '462', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('688', '463', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('689', '463', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('690', '464', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('691', '465', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('692', '465', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('693', '466', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('694', '466', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('695', '466', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('696', '466', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('697', '467', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('698', '468', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('699', '468', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('700', '469', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('701', '470', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('702', '470', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('703', '471', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('704', '472', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('705', '473', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('706', '473', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('707', '474', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('708', '475', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('709', '475', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('710', '476', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('711', '476', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('712', '477', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('713', '478', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('714', '478', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('715', '479', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('716', '480', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('717', '481', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('718', '482', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('719', '483', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('720', '483', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('721', '484', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('722', '485', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '75.000', '3', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('723', '486', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('724', '487', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('725', '487', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('726', '487', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('727', '487', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('728', '487', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('729', '487', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('730', '488', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('731', '489', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('732', '490', '12', 'Fitted Hat - Blue Chicken', 'Box250', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('733', '490', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('734', '491', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('735', '492', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('736', '492', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('737', '493', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('738', '493', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('739', '494', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('740', '494', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('741', '495', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('742', '496', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('743', '496', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('744', '496', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('745', '496', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('746', '497', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('747', '498', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('748', '498', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('749', '498', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('750', '499', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('751', '499', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('752', '500', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('753', '501', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('754', '502', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('755', '503', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('756', '503', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('757', '504', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('758', '505', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('759', '505', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('760', '506', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('761', '507', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('762', '507', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('763', '507', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('764', '507', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('765', '507', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('766', '508', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('767', '508', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('768', '508', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('769', '509', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('770', '510', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('771', '511', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('772', '512', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('773', '513', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('774', '514', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('775', '515', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('776', '516', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('777', '516', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('778', '517', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('779', '517', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('780', '517', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('781', '518', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('782', '519', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('783', '520', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('784', '521', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('785', '521', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('786', '522', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('787', '523', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('788', '524', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('789', '524', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('790', '525', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('791', '526', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('792', '527', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('793', '528', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('794', '529', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '75.000', '3', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('795', '529', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('796', '530', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('797', '530', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('798', '531', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('799', '532', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('800', '533', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('801', '534', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('802', '535', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('803', '536', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('804', '537', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('805', '538', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('806', '539', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('807', '540', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('808', '541', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('809', '542', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('810', '543', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('811', '543', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('812', '544', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('813', '545', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('814', '546', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('815', '546', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('816', '547', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('817', '548', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('818', '548', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('819', '549', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('820', '550', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('821', '551', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('822', '552', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('823', '553', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('824', '553', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('825', '554', '11', 'Bottle Armour', 'Box3', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('826', '555', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('827', '556', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('828', '557', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('829', '557', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('830', '558', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('831', '559', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('832', '560', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '250.000', '10', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('833', '560', '9', 'Sox Box Hat', 'Box800', '0000-00-00 00:00:00', '25.000', '250.000', '10', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('834', '561', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '10.000', '2', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('835', '562', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'puff-navy-front_7a88d04c9b8eb8f943a191901e0c44f1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('836', '563', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('837', '564', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('838', '565', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('839', '565', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '50.000', '2', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('840', '566', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('841', '566', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('842', '567', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('843', '568', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('844', '569', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('845', '570', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('846', '571', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('847', '571', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('848', '572', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('849', '573', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('850', '573', '2', 'Box Oval Tee', 'Box-21', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('851', '573', '10', 'The Box Oval Hat', 'Box900', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/Burgundy-Hat.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('852', '574', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('853', '574', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('854', '574', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('855', '575', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('856', '576', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('857', '577', '3', 'Box Decals Set of 4', 'Box911', '0000-00-00 00:00:00', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('858', '577', '5', 'Peace Chicken', 'Box111', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('859', '577', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('860', '578', '14', 'Red/White/Blue Chicken Tee', 'Box350', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('861', '578', '1', 'Sox Box Tee Shirt', 'Box-20', '0000-00-00 00:00:00', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('862', '579', '3', 'Box Decals Set of 4', 'Box911', '2020-04-09 15:27:59', '5.000', '5.000', '1', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '0', '', '', '', '', '', '', '', '', '0', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('863', '579', '12', 'Fitted Hat - Blue Chicken', 'Box250', '2020-04-09 15:27:59', '25.000', '25.000', '1', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('864', '580', '5', 'Peace Chicken', 'Box111', '2020-04-11 21:07:24', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('865', '581', '13', 'Fitted Hat - Red/White/Blue Chicken', '8245561', '2020-04-13 02:39:17', '25.000', '25.000', '1', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('866', '582', '14', 'Red/White/Blue Chicken Tee', 'Box350', '2020-04-16 11:58:31', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/site.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('867', '583', '1', 'Sox Box Tee Shirt', 'Box-20', '2020-04-24 22:47:12', '25.000', '25.000', '1', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('868', '584', '10', 'The Box Oval Hat', 'Box900', '2020-04-26 00:56:27', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/uploads/Burgundy-Hat.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '1', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('869', '585', '5', 'Peace Chicken', 'Box111', '2020-05-03 18:30:35', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `ec_orderdetail` VALUES('870', '586', '2', 'Box Oval Tee', 'Box-21', '2020-05-04 14:50:38', '25.000', '25.000', '1', 'http://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', '', '', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '0.000', '0.000', '0', '0', '', '', '', '', '', '0', '0', '0', '', '0', '0', '0', '1', '0', '', '0', '', '', '', '', '', '', '', '', '1', '0', '0.000', '0', '0', '0', '0', '0', '0', '0');
/*!40000 ALTER TABLE `ec_orderdetail` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
