CREATE TABLE `ec_product` (  `product_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for the ec_product table.',  `model_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'Model number used for SEO and display purposes to identify a product by a meaningful term.',  `post_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Post ID to connect the product to the WordPress custom post type structure.',  `activate_in_store` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Activate this product for display in the store. Used to allow admin to create a product and perfect before displaying.',  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Title of the product.',  `description` text COMMENT 'Long description for the product.',  `specifications` text COMMENT 'Specifications for the product.',  `price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Price of the product.',  `list_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Previous price, used to display a simple guaranteed discount (e.g. used to be 30.00, now 20.00).',  `vat_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'VAT rate for this product, used in store calculations.',  `handling_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'This price represents an extra handling charge  added to the shipping.',  `stock_quantity` int(7) NOT NULL DEFAULT '0' COMMENT 'Simple stock quantity control, used to check overall stock total.',  `weight` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Weight for the product.',  `seo_description` text COMMENT 'SEO description for the product. Should be short and used in the META-DATA.',  `seo_keywords` varchar(255) NOT NULL DEFAULT '' COMMENT 'SEO keywords for the product. Used in the META-DATA.',  `use_specifications` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this product should display the specifications section.',  `use_customer_reviews` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this product should display and allow for customer reviews.',  `manufacturer_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Used to connect the product to the cooresponding manufacturer.',  `download_file_name` text NOT NULL,  `image1` varchar(255) NOT NULL DEFAULT '' COMMENT 'Image 1 used for a basic product.',  `image2` varchar(255) NOT NULL DEFAULT '' COMMENT 'Image 2 used for a basic product.',  `image3` varchar(255) NOT NULL DEFAULT '' COMMENT 'Image 3 used for a basic product.',  `image4` varchar(255) NOT NULL DEFAULT '' COMMENT 'Image 4 used for a basic product.',  `image5` varchar(255) NOT NULL DEFAULT '' COMMENT 'Image 5 used for a basic product.',  `option_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option choice to ec_option.',  `option_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option choice to ec_option.',  `option_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option choice to ec_option.',  `option_id_4` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option choice to ec_option.',  `option_id_5` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option choice to ec_option.',  `menulevel1_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel1_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel1_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel2_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel2_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel2_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel3_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel3_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `menulevel3_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the product to a menu set.',  `featured_product_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates a featured product to a product using the product_id.',  `featured_product_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates a featured product to a product using the product_id.',  `featured_product_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates a featured product to a product using the product_id.',  `featured_product_id_4` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates a featured product to a product using the product_id.',  `is_giftcard` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, treat this product as a gift card item.',  `is_download` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, treat this product as a downloadable good.',  `is_donation` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, treat as a donation product.',  `is_special` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this product will be displayed in the specials widget.',  `is_taxable` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Turn tax on/off for this product.',  `added_to_db_date` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Gives the product a date that it was added to the DB.',  `show_on_startup` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Show this product on the main store page.',  `use_optionitem_images` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, images 1-5 of the product will be ignored and the relating optionitem images will be displayed.',  `use_optionitem_quantity_tracking` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, product will require a quantity entered for each optionitem combination.',  `views` int(11) NOT NULL DEFAULT '0' COMMENT 'The number of times the product has been viewed.',  `last_viewed` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The last time this product has been viewed.',  `show_stock_quantity` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'If selected, quantity tracking for overall product is available and stock quantity visible on product details page.',  `maximum_downloads_allowed` int(11) NOT NULL DEFAULT '0',  `download_timelimit_seconds` int(11) NOT NULL DEFAULT '0',  `list_id` varchar(50) NOT NULL DEFAULT '' COMMENT 'Quickbooks Specific List ID.',  `edit_sequence` varchar(55) NOT NULL DEFAULT '' COMMENT 'Quickbooks Specific Edit Sequence.',  `use_advanced_optionset` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If true, uses the advanced, unlimited option set type.',  `is_subscription_item` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Makes this product a subscription product which is purchased individually.',  `subscription_bill_length` int(11) NOT NULL DEFAULT '1' COMMENT 'Number of the period times to charge the customer, e.g. 3 paired with month is charge once every 3 months.',  `subscription_bill_period` varchar(20) NOT NULL DEFAULT 'M' COMMENT 'The period of the subscription, valid values are: D, W, M, Y.',  `width` double(15,3) NOT NULL DEFAULT '1.000',  `height` double(15,3) NOT NULL DEFAULT '1.000',  `length` double(15,3) NOT NULL DEFAULT '1.000',  `trial_period_days` int(11) NOT NULL DEFAULT '0' COMMENT 'Length of subscription trial period in days.',  `stripe_plan_added` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Has this subscription product been added to Stripe.',  `subscription_plan_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Used to group the subscriptions in a membership plan used for upgrade.',  `allow_multiple_subscription_purchases` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Should this item be able to be purchased multiple times.',  `is_preorder` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Makes this product a preorder product, allowing for an authorization of a card without capturing at this time',  `membership_page` varchar(255) NOT NULL DEFAULT '',  `min_purchase_quantity` int(11) NOT NULL DEFAULT '0' COMMENT 'Optional minimum amount required for during purchase.',  `is_amazon_download` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Turns the download location to Amazon S3 servers.',  `amazon_key` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The file name used on the Amazon S3 Server.',  `catalog_mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Turns catalog mode on for individual product',  `catalog_mode_phrase` varchar(1024) DEFAULT NULL COMMENT 'Sets a phrase to appear instead of add to cart button',  `inquiry_mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'turns inquiry mode on and replaces add to cart with link button',  `inquiry_url` varchar(1024) DEFAULT NULL COMMENT 'inquiry url where button will take customer instead of add to cart',  `is_deconetwork` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Makes this a DecoNetwork product, allowing for custom designed goods.',  `deconetwork_mode` varchar(64) NOT NULL DEFAULT 'designer' COMMENT 'If using deconetwork, enter designer, blank, designer_predec, predec, design, or view_design as a value.',  `deconetwork_product_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'If using deconetwork, this is the product id to send the customer to.',  `deconetwork_size_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'If using deconetwork, this is the size id to force the product into by default, optional.',  `deconetwork_color_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'If using deconetwork, this is the color id to force the product into by default, optional.',  `deconetwork_design_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'If using deconetwork, this is the design id to force the product into by default, optional.',  `short_description` text,  `display_type` int(11) NOT NULL DEFAULT '1' COMMENT 'The display type selected for a given product.',  `image_hover_type` int(11) NOT NULL DEFAULT '3' COMMENT 'The hover effect of a product image.',  `tag_type` int(11) NOT NULL DEFAULT '0' COMMENT 'The type of optional tag applied to the product.',  `tag_bg_color` varchar(20) NOT NULL DEFAULT '' COMMENT 'The optional bg color of a tag applied to the product.',  `tag_text_color` varchar(20) NOT NULL DEFAULT '' COMMENT 'The optional text color of a tag applied to a product.',  `tag_text` varchar(255) NOT NULL DEFAULT '',  `image_effect_type` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'An optional border or shadow can be applied to a product.',  `is_shippable` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Turn shipping on/off for this product.',  `include_code` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Should this product include a code on checkout.',  `TIC` varchar(128) NOT NULL DEFAULT '00000' COMMENT 'TIC value used with Tax Cloud.',  `subscription_signup_fee` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Charge a signup fee with a subscription item.',  `subscription_unique_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Fixes duplicate ID problem when inserting subscriptions to stripe.',  `max_purchase_quantity` int(11) NOT NULL DEFAULT '0' COMMENT 'Optional maximum amount a user can purchase.',  `handling_price_each` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'This price represents an extra handling charge added for each item to the shipping price.',  `subscription_bill_duration` int(11) NOT NULL DEFAULT '0' COMMENT 'The duration of the subscription, 0 for infinate.',  `subscription_prorate` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Allows the user to turn prorate on/off with Stripe.',  `allow_backorders` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Allows a user to purchase a product out of stock that will be shipped when the product is back in stock.',  `backorder_fill_date` varchar(255) NOT NULL DEFAULT '',  `income_account_ref` varchar(255) NOT NULL DEFAULT 'Online Sales' COMMENT 'Quickbooks Specific account reference.',  `cogs_account_ref` varchar(255) NOT NULL DEFAULT 'Cost of Goods Sold' COMMENT 'Quickbooks Specific account reference.',  `asset_account_ref` varchar(255) NOT NULL DEFAULT 'Inventory Asset' COMMENT 'Quickbooks Specific account reference.',  `quickbooks_parent_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Quickbooks specific reference to a product parent if necessary.',  `quickbooks_parent_list_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'Quickbooks specific reference to a product parent list id if necessary.',  `product_cost` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Price of the product for merchant.',  `quickbooks_status` varchar(255) NOT NULL DEFAULT 'Not Queued',  `shipping_class_id` int(11) NOT NULL DEFAULT '0',  `is_demo_item` tinyint(1) NOT NULL DEFAULT '0',  `role_id` tinyint(1) NOT NULL DEFAULT '0',  `order_completed_note` text,  `order_completed_email_note` text,  `order_completed_details_note` text,  `show_custom_price_range` tinyint(1) NOT NULL DEFAULT '0',  `price_range_low` float(15,3) NOT NULL DEFAULT '0.000',  `price_range_high` float(15,3) NOT NULL DEFAULT '0.000',  `square_id` varchar(255) NOT NULL DEFAULT '',  `login_for_pricing` tinyint(1) NOT NULL DEFAULT '0',  `login_for_pricing_user_level` varchar(255) NOT NULL DEFAULT '',  `login_for_pricing_label` varchar(255) NOT NULL DEFAULT '',  `exclude_shippable_calculation` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`product_id`),  UNIQUE KEY `ProductID` (`product_id`),  UNIQUE KEY `ModelNumber_2` (`model_number`),  UNIQUE KEY `model_number` (`model_number`),  UNIQUE KEY `model_number_2` (`model_number`),  UNIQUE KEY `model_number_3` (`model_number`),  UNIQUE KEY `model_number_4` (`model_number`),  UNIQUE KEY `model_number_5` (`model_number`),  UNIQUE KEY `model_number_6` (`model_number`),  UNIQUE KEY `model_number_7` (`model_number`),  UNIQUE KEY `model_number_8` (`model_number`),  UNIQUE KEY `model_number_9` (`model_number`),  UNIQUE KEY `model_number_10` (`model_number`),  UNIQUE KEY `model_number_11` (`model_number`),  UNIQUE KEY `model_number_12` (`model_number`),  UNIQUE KEY `model_number_13` (`model_number`),  UNIQUE KEY `model_number_14` (`model_number`),  UNIQUE KEY `model_number_15` (`model_number`),  UNIQUE KEY `model_number_16` (`model_number`),  UNIQUE KEY `model_number_17` (`model_number`),  UNIQUE KEY `model_number_18` (`model_number`),  UNIQUE KEY `model_number_19` (`model_number`),  UNIQUE KEY `model_number_20` (`model_number`),  UNIQUE KEY `model_number_21` (`model_number`),  UNIQUE KEY `product_product_id` (`product_id`),  UNIQUE KEY `product_model_number` (`model_number`(191)),  KEY `ec_product_idx20` (`menulevel1_id_1`,`menulevel2_id_1`,`menulevel3_id_1`) USING BTREE,  KEY `ec_product_idx1` (`menulevel1_id_2`,`menulevel2_id_2`,`menulevel3_id_2`) USING BTREE,  KEY `ec_product_idx2` (`menulevel1_id_3`,`menulevel2_id_3`,`menulevel3_id_3`) USING BTREE,  KEY `ec_product_idx10` (`manufacturer_id`) USING BTREE,  KEY `ec_product_idx11` (`option_id_1`) USING BTREE,  KEY `ec_product_idx12` (`option_id_2`) USING BTREE,  KEY `ec_product_idx13` (`option_id_3`) USING BTREE,  KEY `ec_product_idx14` (`option_id_4`) USING BTREE,  KEY `ec_product_idx15` (`option_id_5`) USING BTREE,  KEY `product_menulevel1_id_1` (`menulevel1_id_1`,`menulevel2_id_1`,`menulevel3_id_1`),  KEY `product_menulevel1_id_2` (`menulevel1_id_2`,`menulevel2_id_2`,`menulevel3_id_2`),  KEY `product_menulevel1_id_3` (`menulevel1_id_3`,`menulevel2_id_3`,`menulevel3_id_3`),  KEY `product_manufacturer_id` (`manufacturer_id`),  KEY `product_option_id_1` (`option_id_1`),  KEY `product_option_id_2` (`option_id_2`),  KEY `product_option_id_3` (`option_id_3`),  KEY `product_option_id_4` (`option_id_4`),  KEY `product_option_id_5` (`option_id_5`),  FULLTEXT KEY `Title` (`title`),  FULLTEXT KEY `Description` (`description`),  FULLTEXT KEY `ModelNumber` (`model_number`)) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=1960;
/*!40000 ALTER TABLE `ec_product` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_product` VALUES('1', 'Box-20', '85', '1', 'Sox Box Tee Shirt', 'If you watch the Sox at the Box or from your Box at the Sox this is the perfect shirt.  100% Heavyweight cotton.\r', '', '25.000', '0.000', '0.000', '0.000', '40', '2.000', '', '', '0', '0', '1', '', 'red sox box shirt_22121c7f5af6391ae5ceb13459c2d605.jpg', 'white sox box shirt_5dae806e3ae06b219d74eef52fdbfee5.jpg', 'navy sox box shirt_0219da2d9fcdf1370284364b9f311ef8.jpg', '', '', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-07 13:08:00', '1', '0', '0', '5500', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('2', 'Box-21', '86', '1', 'Box Oval Tee', 'The Classic Box Icon on a super soft pigment dyed tee.  ', '', '25.000', '0.000', '0.000', '0.000', '161', '2.000', '', '', '0', '0', '1', '', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/back - melon_19396f0635ffa34b83a8f9ada855249a.jpg', 'https://thechickenbox.org/wp-content/uploads/Island-Reef.jpg', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics3/front - periwinkle_e66248c5176e89eede19c32581f5b52f.jpg', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics4/back - brick_48d851e4afea2388d49e75e572776d63.jpg', '', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-09 20:46:08', '1', '0', '0', '5710', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('3', 'Box911', '87', '1', 'Box Decals Set of 4', 'The ubiquitous Box Decal.  Set of 2 large (4\" x 6\") and 2 small (3\" x 2\").   Stick it and send us a photo, we\'ll post it on the site.  customerservice@thechickenbox.org   \r\rThis item ships with a $1.00 handling fee and no additional freight charge.', '', '5.000', '0.000', '0.000', '1.000', '9991', '0.000', '', '', '0', '0', '1', '', 'decal-2013_4ecf4607fecfc96a5ea4a94277512d87.jpg', 'decal2_ded5e46932ddf68103c73e2b9044cc30.jpg', 'decal1_137e469c71e74887178395765d09dcb2.jpg', 'decal5_4fa2ed43b96e68815398c02e503b824c.jpg', 'decal3_7dd167fa735681087f831a1b3b3ff8a3.jpg', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 07:11:36', '1', '0', '0', '6659', '0000-00-00 00:00:00', '0', '0', '0', '', '', '0', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '1', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '0', '0', '00000', '0.000', '0', '100', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('4', 'Box391', '88', '0', 'Box Thong', '100% Cotton', '', '20.000', '0.000', '0.000', '0.000', '98', '1.000', '', '', '0', '0', '1', '', '1 thong_1c8a74cb41bd138b84922921bd9351da.jpg', '', '', '', '', '2', '0', '0', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 07:39:05', '1', '0', '1', '779', '0000-00-00 00:00:00', '1', '0', '0', '', '', '0', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', NULL, '0', NULL, '0', 'designer', '', '', '', '', '', '1', '3', '0', '', '', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '1', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('5', 'Box111', '89', '1', 'Peace Chicken', '100% Heavyweight Cotton.  Front - An asylum for pleasure seekers 30 miles at sea.  Back is the Peace Chicken.', '', '25.000', '0.000', '0.000', '0.000', '-51', '2.000', '', '', '0', '0', '1', '', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics1/black-back_c44d20cc6f79a3f70bfeb60507e93b6f.jpg', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics2/white-back_1caa91b4b4dce08b4b970ad9c5f82b6e.jpg', '', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics4/ash-back_3fe05129785d84c259f1783480751e7f.jpg', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics5/black-front_f28062dbd7ce74b7ce554d9486e1e9c9.jpg', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 08:35:40', '1', '0', '0', '8296', '0000-00-00 00:00:00', '0', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('6', 'Box510', '90', '0', 'Pint Glass', '\"As seen on the bar at The Box\"   Actually these pint glasses have never been seen at the bar.  If we did they would be found everywhere except The Box.', '', '7.500', '0.000', '0.000', '0.000', '20', '2.000', '', '', '0', '0', '1', '', 'pint_f9eacb2bbb0b86214eda8ea9acdca89b.jpg', '', '', '', '', '0', '0', '0', '0', '0', '4', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 09:15:03', '1', '0', '0', '1088', '0000-00-00 00:00:00', '1', '0', '0', '', '', '0', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('8', 'Box711', '91', '0', 'Zip Front Hoodie', 'Heavyweight Super Soft Zip Front Hoodie.  The Box logo is appliqué - double layer fabric sewn onto the front of the hoodie.  This item is being discontinued and we have very limited quantities.   Your satisfaction is guaranteed for this and every product at The Chicken Box Online.  You may return your order for a full refund for any reason.', '', '60.000', '75.000', '0.000', '0.000', '12', '3.000', '', '', '0', '0', '1', '', 'gray-hoodie_d261180b08776708989653bbe040eacc.jpg', 'navy-hoodie_c9d7a0a521465049189de040b26d59a4.jpg', '', '', '', '0', '0', '0', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 09:41:04', '1', '0', '0', '1300', '0000-00-00 00:00:00', '0', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', NULL, '0', NULL, '0', 'designer', '', '', '', '', '', '1', '3', '0', '', '', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '1', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('9', 'Box800', '92', '1', 'Sox Box Hat', 'Cotton Chino Cap with the Sox Box logo embroidered on the front and Nantucket on the back.\r', '', '25.000', '0.000', '0.000', '0.000', '53', '2.000', '', '', '0', '0', '1', '', 'sox-hat-red_ed0b708ade63de61b3d04821468b11b0.jpg', 'sox-hat-stone_4f75c277737b72f8040014530f601d9e.jpg', 'sox-hat-blue_a424642c6348f7c96468a37608fc9ffd.jpg', '', '', '0', '0', '0', '0', '0', '3', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '2013-12-12 10:45:51', '1', '0', '0', '4382', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', NULL, '0', NULL, '0', 'designer', '', '', '', '', '', '1', '3', '0', '', '', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '1', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('10', 'Box900', '93', '1', 'The Box Oval Hat', '<p>Classic Chino Hat with the Box Oval embroidered (puff embroidery) on the front and Nantucket on the back.</p>', '', '25.000', '0.000', '0.000', '0.000', '1', '2.000', '', '', '0', '0', '1', '', 'https://thechickenbox.org/wp-content/uploads/Burgundy-Hat.jpg', '', '', '', '', '0', '0', '0', '0', '0', '3', '0', '0', '1', '0', '0', '2', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '2013-12-12 10:50:54', '1', '0', '0', '4602', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '1.000', '1.000', '1.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', '', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('11', 'Box3', '94', '1', 'Bottle Armour', 'Looks like an aluminum water bottle, but holds a bar bottle.  It keeps the bottle cold while keeping it out of sight.\r', '10\" tall.  \rHolds most brands\' bar bottle.\rScrew on cap seals the bottle.\rRemove the bottom to insert / remove the bottle.\r', '25.000', '0.000', '0.000', '0.000', '80', '3.000', '', '', '1', '1', '1', '', 'bottle armour 4_59d53fadc8caa547ffe0d4ff4d790854.jpg', '', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '2016-01-25 11:07:57', '1', '0', '0', '4359', '0000-00-00 00:00:00', '1', '0', '0', '', '', '0', '0', '1', 'M', '3.000', '2.000', '5.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', 'Keep your bottle cold while keeping it out of sight.', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '6815895', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('12', 'Box250', '95', '1', 'Fitted Hat - Blue Chicken', 'Features: \r\r- 63% polyester, 34% cotton, 3% spandex combed twill\r- 6-panel, structured, mid-profile\r- wool-like texture\r- 3½\" crown \r- hard buckram backed front panels\r- sewn eyelets; eight-row stitching on bill\r- spandex sweatband retains shape; Silver underbill\r\rSizes: S/M-L/XL ', '\rFeatures: \r\r- 63% polyester, 34% cotton, 3% spandex combed twill\r- 6-panel, structured, mid-profile\r- wool-like texture\r- 3½\" crown \r- hard buckram backed front panels\r- sewn eyelets; eight-row stitching on bill\r- spandex sweatband retains shape; Silver underbill\r\rSizes: S/M-L/XL ', '25.000', '0.000', '0.000', '0.000', '69', '3.000', '', '', '1', '1', '1', '', 'Blue Hat_216189043f51763eb28d8fe70adafca1.jpg', 'Blue Hat 2_bcea8a8f095c9e52376ccbaaf0229ae8.jpg', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '2016-07-14 18:36:18', '1', '0', '0', '2793', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '3.000', '2.000', '5.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', 'Flex Fit Hat.  Black with the new Blue and White Nantucket Chicken Embroidery.  \"The Box\" on the back.\r\rKourtney Kardashian\'s favorite hat - photos from July 13, 2016\r\r\r', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '3576183', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('13', '8245561', '96', '1', 'Fitted Hat - Red/White/Blue Chicken', 'Features: \r\r- 63% polyester, 34% cotton, 3% spandex combed twill\r- 6-panel, structured, mid-profile\r- wool-like texture\r- 3½\" crown \r- hard buckram backed front panels\r- sewn eyelets; eight-row stitching on bill\r- spandex sweatband retains shape; Silver underbill\r\rSizes: S/M-L/XL ', '\rFeatures: \r\r- 63% polyester, 34% cotton, 3% spandex combed twill\r- 6-panel, structured, mid-profile\r- wool-like texture\r- 3½\" crown \r- hard buckram backed front panels\r- sewn eyelets; eight-row stitching on bill\r- spandex sweatband retains shape; Silver underbill\r\rSizes: S/M-L/XL ', '25.000', '0.000', '0.000', '0.000', '58', '3.000', '', '', '1', '1', '1', '', 'RWB Hat_316eec5a8073a704d5c80fd02127172b.jpg', 'packy2_1a053a2893b287628815473a067fc6e2.jpg', '', '', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '1', '1', '2016-07-14 18:48:33', '1', '0', '0', '2958', '0000-00-00 00:00:00', '1', '0', '0', '', '', '1', '0', '1', 'M', '3.000', '2.000', '5.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', 'Flex Fit Hat.  Black with the new Red/White/Blue Nantucket Chicken Embroidery.  \"The Box\" on the back.\r\rKen Oringer loves his hat. - photo from May 2016\r\r\r', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '0', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
INSERT INTO `ec_product` VALUES('14', 'Box350', '97', '1', 'Red/White/Blue Chicken Tee', 'Fabric: \r\r- 50% polyester/25% combed ringspun cotton/25% rayon jersey\r- 4.3 oz.\r- 32 singles\r- fabric laundered for reduced shrinkage\r\r', 'Fabric: \r\r- 50% polyester/25% combed ringspun cotton/25% rayon jersey\r- 4.3 oz.\r- 32 singles\r- fabric laundered for reduced shrinkage', '25.000', '0.000', '0.000', '0.000', '-30', '3.000', '', '', '1', '1', '1', '', 'https://thechickenbox.org/wp-content/uploads/site.jpg', 'https://thechickenbox.org/wp-content/plugins/wp-easycart-data/products/pics2/tee 2_76e3837ed79da91b71ae487d4694d7d7.jpg', '', 'https://thechickenbox.org/wp-content/uploads/2016tee.jpg', '', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '13', '12', '14', '0', '0', '0', '0', '1', '1', '2016-07-14 18:59:07', '1', '0', '0', '5654', '0000-00-00 00:00:00', '0', '0', '0', '', '', '1', '0', '1', 'M', '3.000', '2.000', '5.000', '0', '0', '0', '0', '0', '', '0', '0', '', '0', '', '0', '', '0', 'designer', '', '', '', '', 'Packy\'s favorite tee.  Super soft lightweight tee.  Featuring the Nantucket Chicken.\n', '1', '3', '0', '#333333', '#ffffff', '', 'none', '1', '0', '00000', '0.000', '8493883', '0', '0.000', '0', '0', '0', '', 'Online Sales', 'Cost of Goods Sold', 'Inventory Asset', '', '', '0.000', 'Not Queued', '0', '0', '0', NULL, NULL, NULL, '0', '0.000', '0.000', '', '0', '', '', '0');
/*!40000 ALTER TABLE `ec_product` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
