CREATE TABLE `ec_promocode` (  `promocode_id` varchar(191) NOT NULL DEFAULT '',  `is_dollar_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this is a dollar based promotion.',  `is_percentage_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this is a percentage based promotion.',  `is_shipping_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this is a shipping based promotion.',  `is_free_item_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this is a free item based promotion.',  `is_for_me_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this is a for me based promotion.',  `by_manufacturer_id` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this promotion applies only to products with a cooresponding manufacturer id.',  `by_product_id` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this promotion applies only to products with the cooresponding id.',  `by_all_products` int(11) NOT NULL DEFAULT '0' COMMENT 'If selected, this promotion applies to all products and orders.',  `promo_dollar` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Discount used when dollar based selected.',  `promo_percentage` float(15,3) NOT NULL DEFAULT '0.000',  `promo_shipping` float(15,3) NOT NULL DEFAULT '0.000',  `promo_free_item` float(15,3) NOT NULL DEFAULT '0.000',  `promo_for_me` float(15,3) NOT NULL DEFAULT '0.000',  `manufacturer_id` int(11) NOT NULL DEFAULT '0' COMMENT 'The manufacturer_id used if this promotion is a by_manufacturer_id type.',  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT 'The product_id used if the promotion is a by_product_id type promotion.',  `message` blob NOT NULL COMMENT 'The message displayed when the promotion is used.',  `max_redemptions` int(11) NOT NULL DEFAULT '999' COMMENT 'The maximum number of times you can use this promotion code.',  `times_redeemed` int(11) NOT NULL DEFAULT '0' COMMENT 'This is the number of times this coupon has been redeemed.',  `expiration_date` datetime DEFAULT NULL COMMENT 'Gives the merchant the ability to set an expiration date.',  `by_category_id` tinyint(1) NOT NULL DEFAULT '0',  `category_id` int(11) NOT NULL DEFAULT '0',  `duration` varchar(20) NOT NULL DEFAULT 'forever',  `duration_in_months` int(11) NOT NULL DEFAULT '1',  `minimum_required` int(11) NOT NULL DEFAULT '0',  `is_bogo_based` tinyint(1) NOT NULL DEFAULT '0',  `promo_bogo_dollar` float(15,3) NOT NULL DEFAULT '0.000',  `promo_bogo_percentage` float(15,3) NOT NULL DEFAULT '0.000',  PRIMARY KEY (`promocode_id`),  UNIQUE KEY `promoID` (`promocode_id`),  KEY `ec_promocode_idx1` (`manufacturer_id`) USING BTREE,  KEY `ec_promocode_idx2` (`product_id`) USING BTREE,  KEY `promo_manufacturer_id` (`manufacturer_id`),  KEY `promo_product_id` (`product_id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=147;
/*!40000 ALTER TABLE `ec_promocode` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
/*!40000 ALTER TABLE `ec_promocode` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
