CREATE TABLE `ec_promotion` (  `promotion_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for ec_promotion.',  `name` varchar(255) NOT NULL DEFAULT '',  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'The type of promotion this represents.',  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The start date for this promotion.',  `end_date` datetime DEFAULT '0000-00-00 00:00:00' COMMENT 'The end date for this promotion',  `product_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected product to a ec_product.',  `product_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected product to a ec_product.',  `product_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected product to a ec_product.',  `manufacturer_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected manufacturer to a ec_manufacturer.',  `manufacturer_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected manufacturer to a ec_manufacturer.',  `manufacturer_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected manufacturer to a ec_manufacturer.',  `category_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected category to a ec_category.',  `category_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected category to a ec_category.',  `category_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected category to a ec_category.',  `price1` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Promotion price 1.',  `price2` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Promotion price 2.',  `price3` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Promotion price 3.',  `percentage1` float(15,3) NOT NULL DEFAULT '0.000',  `percentage2` float(15,3) NOT NULL DEFAULT '0.000',  `percentage3` float(15,3) NOT NULL DEFAULT '0.000',  `number1` int(11) NOT NULL DEFAULT '0' COMMENT 'Promotion number 1.',  `number2` int(11) NOT NULL DEFAULT '0' COMMENT 'Promotion number 2.',  `number3` int(11) NOT NULL DEFAULT '0' COMMENT 'Promotion number 3.',  `promo_limit` int(11) DEFAULT '3',  PRIMARY KEY (`promotion_id`),  UNIQUE KEY `PromotionID` (`promotion_id`),  UNIQUE KEY `promotion_promotion_id` (`promotion_id`),  KEY `ec_promotion_idx1` (`product_id_1`) USING BTREE,  KEY `ec_promotion_idx2` (`product_id_2`) USING BTREE,  KEY `ec_promotion_idx3` (`product_id_3`) USING BTREE,  KEY `ec_promotion_idx4` (`manufacturer_id_1`) USING BTREE,  KEY `ec_promotion_idx5` (`manufacturer_id_2`) USING BTREE,  KEY `ec_promotion_idx6` (`manufacturer_id_3`) USING BTREE,  KEY `ec_promotion_idx7` (`category_id_1`) USING BTREE,  KEY `ec_promotion_idx8` (`category_id_2`) USING BTREE,  KEY `ec_promotion_idx9` (`category_id_3`) USING BTREE,  KEY `promotion_product_id_1` (`product_id_1`),  KEY `promotion_product_id_2` (`product_id_2`),  KEY `promotion_product_id_3` (`product_id_3`),  KEY `promotion_manufacturer_id_1` (`manufacturer_id_1`),  KEY `promotion_manufacturer_id_2` (`manufacturer_id_2`),  KEY `promotion_manufacturer_id_3` (`manufacturer_id_3`),  KEY `promotion_category_id_1` (`category_id_1`),  KEY `promotion_category_id_2` (`category_id_2`),  KEY `promotion_category_id_3` (`category_id_3`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=76;
/*!40000 ALTER TABLE `ec_promotion` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
/*!40000 ALTER TABLE `ec_promotion` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
