CREATE TABLE `ec_setting` (  `setting_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'This is the primary key for ec_setting.',  `site_url` varchar(255) NOT NULL DEFAULT '' COMMENT 'This is the site url.',  `reg_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'This is the registration code entered by the user.',  `storeversion` varchar(20) NOT NULL DEFAULT '',  `storetype` varchar(20) NOT NULL DEFAULT 'wordpress',  `storepage` varchar(255) NOT NULL DEFAULT 'store',  `cartpage` varchar(255) NOT NULL DEFAULT 'cart',  `accountpage` varchar(255) NOT NULL DEFAULT 'account',  `timezone` varchar(255) NOT NULL DEFAULT 'Europe/London',  `shipping_method` varchar(255) NOT NULL DEFAULT 'method' COMMENT 'price, weight, method, live',  `shipping_expedite_rate` float(11,2) NOT NULL DEFAULT '0.00' COMMENT 'This is a static value that can be used or not used by the customer for pricing and weight based methods.',  `shipping_handling_rate` float(11,2) NOT NULL DEFAULT '0.00' COMMENT 'This is a global 1 time handling charge added to all shipping methods if present.',  `ups_access_license_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your UPS access license number for UPS based shipping.',  `ups_user_id` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your UPS user ID for UPS based shipping.',  `ups_password` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your UPS password for UPS based shipping.',  `ups_ship_from_zip` varchar(20) NOT NULL DEFAULT '' COMMENT 'Your zip code for UPS based shipping.',  `ups_shipper_number` varchar(20) NOT NULL DEFAULT '' COMMENT 'Your UPS account shipper number for UPS based shipping.',  `ups_country_code` varchar(9) NOT NULL DEFAULT 'US' COMMENT 'Your country code for UPS based shipping.',  `ups_weight_type` varchar(19) NOT NULL DEFAULT 'LBS' COMMENT 'Your preferred weight label for UPS based shipping (lbs, kgs).',  `usps_user_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your USPS user name for USPS shipping.',  `usps_ship_from_zip` varchar(20) NOT NULL DEFAULT '' COMMENT 'Your zip code for USPS shipping.',  `fedex_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your FedEx account key for FedEx shipping.',  `fedex_account_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your FedEx account number for FedEx shipping.',  `fedex_meter_number` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your FedEx account meter number for FedEx shipping.',  `fedex_password` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your FedEx account password for FedEx shipping.',  `fedex_ship_from_zip` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your FedEx ship from zip for FedEx shipping.',  `fedex_weight_units` varchar(20) NOT NULL DEFAULT 'LB' COMMENT 'The weight unit for FedEx shipping (LB or KG).',  `fedex_country_code` varchar(20) NOT NULL DEFAULT 'US' COMMENT 'The country code for FedEx shipping.',  `auspost_api_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Your Australian Post API Key',  `auspost_ship_from_zip` varchar(55) NOT NULL DEFAULT '' COMMENT 'Your Australian Post Ship From Postal Code',  `dhl_site_id` varchar(155) NOT NULL DEFAULT '' COMMENT 'Your DHL Site ID.',  `dhl_password` varchar(155) NOT NULL DEFAULT '' COMMENT 'Your DHL Password.',  `dhl_ship_from_country` varchar(25) NOT NULL DEFAULT 'US' COMMENT 'Your DHL Ship From Country.',  `dhl_ship_from_zip` varchar(64) NOT NULL DEFAULT '' COMMENT 'Your DHL Ship From Zip.',  `dhl_weight_unit` varchar(20) NOT NULL DEFAULT 'LB' COMMENT 'Your DHL Weight Unit.',  `dhl_test_mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Use DHL Test Mode.',  `ups_conversion_rate` float(9,3) NOT NULL DEFAULT '1.000' COMMENT 'Converts the returned pricing.',  `fedex_conversion_rate` float(9,3) NOT NULL DEFAULT '1.000' COMMENT 'Converts the returned pricing.',  `fedex_test_account` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If true, FedEx account is a test account.',  `fraktjakt_customer_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'Fraktjakt Customer ID.',  `fraktjakt_login_key` varchar(64) NOT NULL DEFAULT '' COMMENT 'Fraktjakt Login Key.',  `fraktjakt_conversion_rate` double(15,3) NOT NULL DEFAULT '1.000',  `fraktjakt_test_mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Use test mode for Fraktjakt.',  `fraktjakt_address` varchar(120) NOT NULL DEFAULT '' COMMENT 'Fraktjakt used for shipping estimate.',  `fraktjakt_city` varchar(55) NOT NULL DEFAULT '' COMMENT 'Fraktjakt used for shipping estimate.',  `fraktjakt_state` varchar(2) NOT NULL DEFAULT '' COMMENT 'Fraktjakt used for shipping estimate.',  `fraktjakt_zip` varchar(20) NOT NULL DEFAULT '' COMMENT 'Fraktjakt used for shipping estimate.',  `fraktjakt_country` varchar(2) NOT NULL DEFAULT '' COMMENT 'Fraktjakt used for shipping estimate.',  `ups_ship_from_state` varchar(2) NOT NULL DEFAULT '' COMMENT 'This sets the ship from state when using UPS.',  `ups_negotiated_rates` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'This sets the ship from state when using UPS.',  `canadapost_username` varchar(255) NOT NULL DEFAULT '',  `canadapost_password` varchar(255) NOT NULL DEFAULT '',  `canadapost_customer_number` varchar(255) NOT NULL DEFAULT '',  `canadapost_contract_id` varchar(255) NOT NULL DEFAULT '',  `canadapost_test_mode` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'This points to the test or live API URL for Canada Post.',  `canadapost_ship_from_zip` varchar(100) NOT NULL DEFAULT '' COMMENT 'This is your Canada Post ship from zip.',  PRIMARY KEY (`setting_id`)) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=268;
/*!40000 ALTER TABLE `ec_setting` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_setting` VALUES('1', 'thechickenbox.org', 'CBC9D-E0DV5-9FC92-69LB1-FCC09', '1.0.0', 'wordpress', '6', '7', '8', 'America/New_York', 'method', '2.00', '0.00', 'ECC5DB41E1509E25', 'lynxpromotions', 'Stephen276', '02030', '5Y1661', 'US', 'LBS', '', '02030', '', '', '', '', '', 'LB', 'US', '', '', '', '', 'US', '', 'LB', '0', '1.000', '1.000', '0', '', '', '1.000', '0', '', '', '', '', '', '', '0', '', '', '', '', '0', '');
/*!40000 ALTER TABLE `ec_setting` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
