CREATE TABLE `ec_shippingrate` (  `shippingrate_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for ec_shippingrate.',  `is_price_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this rate is for price based trigger rate shipping.',  `is_weight_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this rate is for a weight based trigger rate shipping.',  `is_method_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this rate is for method based shipping.',  `is_ups_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the live rate system for UPS.',  `is_usps_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the live rate system for USPS.',  `is_fedex_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the live rate system for FedEx.',  `is_auspost_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the live rate system for Australian Post is used.',  `is_dhl_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, the live rate system for DHL.',  `trigger_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The price or weight that triggers a different shipping rate.',  `shipping_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The price for shipping at this trigger_rate.',  `shipping_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'This is the label used for shipping methods requiring a label.',  `shipping_order` int(11) NOT NULL DEFAULT '0' COMMENT 'This is the order used to display shipping methods.',  `shipping_code` varchar(255) NOT NULL DEFAULT '' COMMENT 'This is the code used for methods like UPS to determine the cost for this method.',  `shipping_override_rate` float(11,3) DEFAULT NULL COMMENT 'This is the override price for live shipping rates.',  `zone_id` int(11) NOT NULL DEFAULT '0' COMMENT 'References the ec_zone table for zoned shipping rates.',  `is_quantity_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this rate is for quantity based shipping.',  `is_percentage_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, this rate is for percentage based shipping.',  `is_canadapost_based` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'This sets the rate type to Canada Post.',  `free_shipping_at` float(15,3) NOT NULL DEFAULT '-1.000' COMMENT 'This is a subtotal price at which a live or method based rate gives the customer free shipping.',  `is_demo_item` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`shippingrate_id`),  UNIQUE KEY `shippingrate_id` (`shippingrate_id`),  KEY `ec_shippingrate_idx1` (`zone_id`) USING BTREE,  KEY `zone_id` (`zone_id`)) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=30;
/*!40000 ALTER TABLE `ec_shippingrate` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_shippingrate` VALUES('1', '0', '0', '0', '1', '0', '0', '0', '0', '0.000', '0.000', 'UPS Ground', '0', '03', NULL, '0', '0', '0', '0', '-1.000', '0');
INSERT INTO `ec_shippingrate` VALUES('2', '0', '0', '1', '0', '0', '0', '0', '0', '0.000', '8.000', 'US Mail', '0', '', NULL, '8', '0', '0', '0', '-1.000', '0');
/*!40000 ALTER TABLE `ec_shippingrate` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
