CREATE TABLE `ec_subscription` (  `subscription_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique ID for this table',  `subscription_type` varchar(255) NOT NULL DEFAULT 'paypal',  `subscription_status` varchar(255) NOT NULL DEFAULT 'Active',  `title` text NOT NULL,  `model_number` varchar(510) NOT NULL DEFAULT '' COMMENT 'Model number of the product purchased.',  `price` double(21,3) NOT NULL DEFAULT '0.000' COMMENT 'Price of the product per period',  `payment_length` int(11) NOT NULL DEFAULT '1' COMMENT 'Length of time between payments, e.g. 3 months, represented by 3 in this field.',  `payment_period` varchar(255) NOT NULL DEFAULT '',  `start_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Date that this payment was submitted to start the subscription.',  `last_payment_date` varchar(255) NOT NULL DEFAULT '',  `next_payment_date` varchar(255) NOT NULL DEFAULT '',  `email` text NOT NULL,  `first_name` varchar(255) NOT NULL DEFAULT '',  `last_name` varchar(255) NOT NULL DEFAULT '',  `user_country` varchar(255) NOT NULL DEFAULT 'US',  `number_payments_completed` int(11) NOT NULL DEFAULT '1' COMMENT 'The number of times this subscription has been paid for.',  `paypal_txn_id` varchar(255) NOT NULL DEFAULT '',  `paypal_txn_type` varchar(255) NOT NULL DEFAULT '',  `paypal_subscr_id` varchar(255) NOT NULL DEFAULT '',  `paypal_username` varchar(255) NOT NULL DEFAULT '',  `paypal_password` varchar(255) NOT NULL DEFAULT '',  `stripe_subscription_id` varchar(255) NOT NULL DEFAULT '',  `user_id` int(11) NOT NULL DEFAULT '0' COMMENT 'User ID of the subscription owner.',  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Product ID of the subscription to connect to.',  `payment_duration` int(11) NOT NULL DEFAULT '0' COMMENT 'The duration of the subscription, 0 means infinite.',  `quantity` int(11) NOT NULL DEFAULT '1' COMMENT 'Quantity for the subscription ordered.',  `num_failed_payment` int(11) NOT NULL DEFAULT '0' COMMENT 'Tracking variable for number of failed payments in a row.',  PRIMARY KEY (`subscription_id`),  UNIQUE KEY `ec_subscription_idx1` (`subscription_id`),  UNIQUE KEY `subscription_id` (`subscription_id`),  KEY `ec_subscription_idx2` (`user_id`) USING BTREE,  KEY `ec_subscription_idx3` (`product_id`) USING BTREE,  KEY `user_id` (`user_id`),  KEY `product_id` (`product_id`)) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40000 ALTER TABLE `ec_subscription` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
/*!40000 ALTER TABLE `ec_subscription` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
