CREATE TABLE `ec_taxrate` (  `taxrate_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for ec_taxrate.',  `tax_by_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, tax users in this state_code only.',  `tax_by_country` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, tax users in country_code only.',  `tax_by_duty` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, tax users will be exempt from tax if this country_code exists.',  `tax_by_vat` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, show the VAT calculation to the users on checkout.',  `tax_by_all` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'If selected, tax all users.',  `state_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The rate to tax the user.',  `country_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'If the country_code matches, rate to tax the user.',  `duty_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'This rate to tax for duty charges',  `vat_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The VAT rate at which the user is calculating VAT additions to the products.',  `all_rate` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'if tax_all_enabled, The rate to tax all users.',  `state_code` varchar(50) NOT NULL DEFAULT '' COMMENT 'The state code needed to trigger this tax rate.',  `country_code` varchar(50) NOT NULL DEFAULT '' COMMENT 'The country code needed to trigger this tax rate.',  `vat_country_code` varchar(50) NOT NULL DEFAULT '' COMMENT 'The country code for VAT taxes.',  `duty_exempt_country_code` varchar(50) NOT NULL DEFAULT '' COMMENT 'The country that will be exempt from a customs export duty tax.',  `tax_by_single_vat` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Vat tax all users the same if selected.',  `vat_added` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Vat is added to the total at the end, not included in the products.',  `vat_included` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Vat is included in the price of the product.',  `stripe_taxrate_id` varchar(100) NOT NULL DEFAULT '',  PRIMARY KEY (`taxrate_id`),  UNIQUE KEY `taxrate_id` (`taxrate_id`),  KEY `ec_taxrate_idx1` (`state_code`) USING BTREE,  KEY `ec_taxrate_idx2` (`country_code`) USING BTREE,  KEY `ec_taxrate_idx3` (`vat_country_code`) USING BTREE,  KEY `ec_taxrate_idx4` (`duty_exempt_country_code`) USING BTREE,  KEY `state_code` (`state_code`),  KEY `country_code` (`country_code`),  KEY `vat_country_code` (`vat_country_code`),  KEY `duty_exempt_country_code` (`duty_exempt_country_code`)) ENGINE=MyISAM DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=44;
/*!40000 ALTER TABLE `ec_taxrate` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
/*!40000 ALTER TABLE `ec_taxrate` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
