CREATE TABLE `ec_tempcart` (  `tempcart_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Temporary Cart Row ID',  `session_id` varchar(100) DEFAULT NULL COMMENT 'User''s Session ID From PHP',  `product_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates ec_tempcart row to ec_product row',  `quantity` int(11) DEFAULT '0' COMMENT 'Amount in the cart',  `gift_card_message` blob COMMENT 'Message entered by user for the customer receiving this gift card.',  `gift_card_from_name` varchar(255) DEFAULT NULL COMMENT 'Name of the user sending the gift card, entered by the user.',  `gift_card_to_name` varchar(255) DEFAULT NULL COMMENT 'Name of the customer receiving the gift card, entered by the user.',  `optionitem_id_1` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option item ID to the information in the ec_optionitem table.',  `optionitem_id_2` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option item ID to the information in the ec_optionitem table.',  `optionitem_id_3` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option item ID to the information in the ec_optionitem table.',  `optionitem_id_4` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option item ID to the information in the ec_optionitem table.',  `optionitem_id_5` int(11) NOT NULL DEFAULT '0' COMMENT 'Relates the selected option item ID to the information in the ec_optionitem table.',  `donation_price` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Optional field for a donation product.',  `last_changed_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date the last time this record was accessed.',  `grid_quantity` int(11) NOT NULL DEFAULT '0' COMMENT 'Amount in the cart for grid option set products only',  `is_deconetwork` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Sets this item as a DecoNetwork item and changes the display to work with this product type.',  `deconetwork_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'The unique id sent back from the DecoNetwork when adding to cart.',  `deconetwork_name` varchar(255) NOT NULL DEFAULT '',  `deconetwork_product_code` varchar(64) NOT NULL DEFAULT '' COMMENT 'The product code from the DecoNetwork',  `deconetwork_options` varchar(255) NOT NULL DEFAULT '',  `deconetwork_edit_link` varchar(255) NOT NULL DEFAULT '',  `deconetwork_color_code` varchar(64) NOT NULL DEFAULT '' COMMENT 'The color code of the shirt by the DecoNetwork',  `deconetwork_product_id` varchar(64) NOT NULL DEFAULT '' COMMENT 'The product id of this product on the DecoNetwork',  `deconetwork_image_link` varchar(255) NOT NULL DEFAULT '',  `deconetwork_discount` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'Any discount provided by the DecoNetwork',  `deconetwork_tax` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The tax amount by the DecoNetwork',  `deconetwork_total` float(15,3) NOT NULL DEFAULT '0.000' COMMENT 'The total line item cost by the DecoNetwork',  `deconetwork_version` int(11) NOT NULL DEFAULT '1' COMMENT 'A value updated each time the customer returns from the Deconetwork for this product, which is used to update the image to the user.',  `gift_card_email` varchar(255) NOT NULL DEFAULT '' COMMENT 'The value of the gift card email if needed.',  `abandoned_cart_email_sent` int(11) NOT NULL DEFAULT '0',  `hide_from_admin` tinyint(1) NOT NULL DEFAULT '0',  PRIMARY KEY (`tempcart_id`),  UNIQUE KEY `tempcart_id` (`tempcart_id`),  UNIQUE KEY `tempcart_tempcart_id` (`tempcart_id`),  KEY `ec_tempcart_idx2` (`session_id`) USING BTREE,  KEY `ec_tempcart_idx3` (`product_id`) USING BTREE,  KEY `ec_tempcart_idx4` (`optionitem_id_1`) USING BTREE,  KEY `ec_tempcart_idx5` (`optionitem_id_2`) USING BTREE,  KEY `ec_tempcart_idx6` (`optionitem_id_3`) USING BTREE,  KEY `ec_tempcart_idx7` (`optionitem_id_4`) USING BTREE,  KEY `ec_tempcart_idx8` (`optionitem_id_5`) USING BTREE,  KEY `tempcart_session_id` (`session_id`),  KEY `tempcart_product_id` (`product_id`),  KEY `tempcart_optionitem_id_1` (`optionitem_id_1`),  KEY `tempcart_optionitem_id_2` (`optionitem_id_2`),  KEY `tempcart_optionitem_id_3` (`optionitem_id_3`),  KEY `tempcart_optionitem_id_4` (`optionitem_id_4`),  KEY `tempcart_optionitem_id_5` (`optionitem_id_5`)) ENGINE=MyISAM AUTO_INCREMENT=4904 DEFAULT CHARSET=utf8 AVG_ROW_LENGTH=68;
/*!40000 ALTER TABLE `ec_tempcart` DISABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 0;
SET UNIQUE_CHECKS = 0;
INSERT INTO `ec_tempcart` VALUES('1', '8i618fk5ujdlgi5lqievmbl0j4', '2', '1', '', '', '', '14', '3', '0', '0', '0', '0.000', '2013-12-12 06:55:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2', '6ijnb73gv3bkp41flv21r8jea4', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2013-12-12 08:41:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3', '6el5on9sgo4j8fd8c73glfme83', '2', '1', '', '', '', '14', '3', '0', '0', '0', '0.000', '2013-12-14 08:32:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4', 'jcm2n2lkk439rhq4sv5k4qae37', '5', '1', '', '', '', '19', '3', '0', '0', '0', '0.000', '2013-12-16 13:36:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('5', 'jcm2n2lkk439rhq4sv5k4qae37', '1', '1', '', '', '', '11', '3', '0', '0', '0', '0.000', '2013-12-16 13:40:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('7', 'iuq3bluvt1ft7liu9rrgldata7', '2', '1', '', '', '', '15', '33', '0', '0', '0', '0.000', '2014-01-26 13:00:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('8', 'iuq3bluvt1ft7liu9rrgldata7', '5', '1', '', '', '', '20', '33', '0', '0', '0', '0.000', '2014-01-26 13:01:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('9', 'prrqc9cc81ci2icqojmmge6i26', '1', '1', '', '', '', '9', '4', '0', '0', '0', '0.000', '2014-01-28 12:43:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('10', '9bdvqa7558gpnighdlllvn6ce6', '5', '1', '', '', '', '21', '17', '0', '0', '0', '0.000', '2014-01-31 13:17:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('11', 'qb7le9kl3trhif3i8sa9skl3p5', '2', '2', '', '', '', '14', '33', '0', '0', '0', '0.000', '2014-02-08 06:16:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('13', 'rs5ndbvf1nua8t1ok4piv94q92', '5', '2', '', '', '', '18', '35', '0', '0', '0', '0.000', '2014-02-14 12:33:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('14', 'fb704va5n1q2aao6gmorieh5s4', '5', '1', '', '', '', '21', '33', '0', '0', '0', '0.000', '2014-02-21 15:20:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('15', 't817r75k034avdrhd56e6geps2', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2014-03-05 08:35:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('16', '4e0vkedrdspem7kob361e8vls4', '5', '1', '', '', '', '19', '17', '0', '0', '0', '0.000', '2014-03-21 11:20:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('19', '10i7und708adt5q01hfo06qo87', '2', '1', '', '', '', '13', '33', '0', '0', '0', '0.000', '2014-04-03 21:48:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('21', '62sntse579rli1j6np6g55jbg6', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-04-09 06:10:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('22', '3rkruhn9np5i580qhaacipbde4', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2014-04-15 13:38:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('23', 'rgip6nm5qlh4jfap2molc6vsd7', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-04-22 14:05:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('24', 'g0cvcchk5p76gslauqpn2t5ue2', '10', '2', '', '', '', '26', '0', '0', '0', '0', '0.000', '2014-05-09 11:41:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('25', '38aiatu7nie9mmaftnn0vllb44', '6', '6', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-21 08:47:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('30', 'r6rkbntklraksp9gq2nopes7i1', '5', '1', '', '', '', '20', '34', '0', '0', '0', '0.000', '2014-05-27 06:00:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('28', '3ho8d3t2f5re5a286h5rvenuu6', '5', '1', '', '', '', '19', '33', '0', '0', '0', '0.000', '2014-05-25 15:38:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('31', 'k1obc0s89bl6oocguv786p9v77', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-28 06:15:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('32', 'sf64s6kvb87d6gniu2gj4d4kf1', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-28 06:18:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('33', 's13iqsv72j5a9hf9beoe6rcr41', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-28 06:25:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('34', 'lg4cc11pnahd1o8lhdire68qc1', '5', '1', '', '', '', '17', '35', '0', '0', '0', '0.000', '2014-05-28 11:17:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('35', 'kjtspde3v4d11fjq31b2trjrf6', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-28 20:38:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('36', 'o39jcrc8um08959rldahiqvlj1', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-05-30 06:59:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('41', '90el9emoushg8l6di9j06ugts0', '5', '1', '', '', '', '19', '35', '0', '0', '0', '0.000', '2014-06-04 19:28:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('44', '1d3eo4ue0ejbmerh6e6u6nose1', '2', '1', '', '', '', '12', '31', '0', '0', '0', '0.000', '2014-06-10 18:49:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('45', '1d3eo4ue0ejbmerh6e6u6nose1', '5', '2', '', '', '', '20', '20', '0', '0', '0', '0.000', '2014-06-10 18:51:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('46', 'a8qmj5cjel68htgbvcqp4v5mv1', '2', '1', '', '', '', '12', '33', '0', '0', '0', '0.000', '2014-06-12 15:15:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('47', 'dj0r7raing6v0h0lqapavbp711', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-06-13 08:14:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('48', '9tuuu9fq9dv278fcvsi8g6qom0', '10', '1', '', '', '', '24', '0', '0', '0', '0', '0.000', '2014-06-13 11:37:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('49', '5le3nnbjc0tcvmrlk60f76kal1', '5', '1', '', '', '', '21', '31', '0', '0', '0', '0.000', '2014-06-17 10:27:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('50', 't1c7fiq31ekec76fma5tgqs5e3', '2', '1', '', '', '', '12', '34', '0', '0', '0', '0.000', '2014-06-18 14:45:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('51', 'lq2ve7er1c5shslg8r07ggb5u3', '5', '1', '', '', '', '17', '34', '0', '0', '0', '0.000', '2014-06-18 19:22:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('52', '3uf2i2p5adqhqt8h22mc5dcr82', '5', '1', '', '', '', '20', '34', '0', '0', '0', '0.000', '2014-06-18 23:04:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('54', '4vs6eo3o5n332g12a8m85sa323', '2', '1', '', '', '', '13', '31', '0', '0', '0', '0.000', '2014-06-22 20:40:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('55', 'moui3sm21nu1qvn2bt4n6o5el7', '5', '1', '', '', '', '19', '34', '0', '0', '0', '0.000', '2014-06-29 18:41:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('56', '33tsjvtqldasnl7qmm2625k490', '5', '1', '', '', '', '18', '35', '0', '0', '0', '0.000', '2014-07-02 15:19:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('57', '33tsjvtqldasnl7qmm2625k490', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-07-02 15:19:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('59', '6gs1gfrsu7v17pnf5elgrojca3', '5', '1', '', '', '', '21', '17', '0', '0', '0', '0.000', '2014-07-06 14:02:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('60', '6gs1gfrsu7v17pnf5elgrojca3', '5', '2', '', '', '', '21', '32', '0', '0', '0', '0.000', '2014-07-06 14:02:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('61', 'j5cl7ibqh78kgu5ptjtkfr3da6', '2', '1', '', '', '', '14', '34', '0', '0', '0', '0.000', '2014-07-07 09:51:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('62', 'hi8qhjsg349kjt63tcd0ebue56', '5', '1', '', '', '', '20', '35', '0', '0', '0', '0.000', '2014-07-09 19:08:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('63', 'jtnjom7kpg94ei60u6f1h55hh6', '9', '1', '', '', '', '30', '0', '0', '0', '0', '0.000', '2014-07-15 11:19:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('64', 'hh7s7b3lkaboj4nj7ptfc60114', '5', '1', '', '', '', '19', '32', '0', '0', '0', '0.000', '2014-07-15 21:16:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('65', '974vg98l0fss68mpnlkqb3foj6', '5', '1', '', '', '', '21', '34', '0', '0', '0', '0.000', '2014-07-16 05:40:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('68', 'k3rkntq0fdabmmq6ase59jrka3', '10', '1', '', '', '', '27', '0', '0', '0', '0', '0.000', '2014-07-25 12:10:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('69', '1ga6jp9mr4j43hauncbh22hp76', '10', '2', '', '', '', '24', '0', '0', '0', '0', '0.000', '2014-07-27 19:22:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('70', '1ga6jp9mr4j43hauncbh22hp76', '10', '2', '', '', '', '26', '0', '0', '0', '0', '0.000', '2014-07-27 19:23:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('71', '1ga6jp9mr4j43hauncbh22hp76', '10', '2', '', '', '', '25', '0', '0', '0', '0', '0.000', '2014-07-27 19:24:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('72', 'esvlk54uqga4294gumnkk09s00', '2', '1', '', '', '', '15', '32', '0', '0', '0', '0.000', '2014-07-28 07:20:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('73', 'rhh03bmaltqk6eflaf7a6ghac2', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-07-29 11:08:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('74', 't6p1163cop3b0ria4ltf5jbij5', '5', '1', '', '', '', '19', '35', '0', '0', '0', '0.000', '2014-08-02 19:56:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('75', 'd2n743rab4hrhqv9108ep6cne0', '5', '1', '', '', '', '17', '32', '0', '0', '0', '0.000', '2014-08-03 18:47:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('76', 'd2n743rab4hrhqv9108ep6cne0', '5', '1', '', '', '', '17', '31', '0', '0', '0', '0.000', '2014-08-03 18:47:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('79', 'j6a7fs1h0hmspl83ittvv6ar75', '5', '1', '', '', '', '20', '34', '0', '0', '0', '0.000', '2014-08-07 15:56:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('81', 'rpbdgohi1n1ski5gch73l0fuo5', '8', '2', '', '', '', '22', '33', '0', '0', '0', '0.000', '2014-08-12 07:36:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('82', '03r7r6a0kiaudk1dkhd44jfir0', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-16 10:09:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('83', '03r7r6a0kiaudk1dkhd44jfir0', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-16 10:15:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('85', 'j9tdcdhba1la6bt0efujhh5424', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-19 21:00:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('88', 'icgtu6qffh7tjmk0mfjs9sjkp6', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-22 13:28:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('102', 't00p2r0a2kevo4c75p7t6bp9g4', '5', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-28 20:04:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('91', '8uc2nmfk6q5mf2ougvgiv1d3o1', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-24 06:57:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('98', 'cqgpaq753bjdo7kurdc4spe4r1', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-27 10:28:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('99', 'cqgpaq753bjdo7kurdc4spe4r1', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-08-27 10:30:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('103', 'efehpnluutnrlm05dhksr76eb6', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2014-09-02 18:50:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('105', 'kc2es5g2u0krpq091cjtbfoom5', '5', '17', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-09-11 19:42:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('106', 'kc2es5g2u0krpq091cjtbfoom5', '5', '17', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-09-11 19:42:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('107', 'thu0em4rbfm4fe5gm1p24b3pe7', '8', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-03 10:15:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('111', 'kc14vicclft808r34lr94tcd52', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-08 19:58:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('112', 'eagkhbrltcftvuf5j0shn66t91', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-19 14:10:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('113', '186dccolggf9sos46mr7318t21', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-19 16:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('114', '186dccolggf9sos46mr7318t21', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-19 17:01:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('118', 'jng3imlu3l816u773pollcp735', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-27 19:09:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('121', '8kvomueksh2k3urn47a694ecs4', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-31 07:50:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('120', 'jng3imlu3l816u773pollcp735', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-27 19:12:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('122', 'c81tjn2md180b63vbfo363b101', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-10-31 16:42:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('123', 'TBEUXTTPAZZMBCHPICEPLCJFHHLXML', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2014-11-05 17:04:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('124', 'INNWFRTXEOQNUZNZASVOFWDSLOVMNR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-11-06 15:13:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('125', 'XKEUJHSMDXJREUOSHZVETWOWXTIQKR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-11-15 12:17:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('137', 'RNDXORDKHVTJURHIWYBARKQOKZRXBB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-05 15:17:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('139', 'HUYZANSHVSAUPJYSBVPINGNODZZDSA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-07 05:03:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('140', 'NMHXQQRDKPJQGVCTWBOBCCYLWISBEK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-14 13:33:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('141', 'HRKOTNEEIQVTEBEYCYWAKQTTBDJGJF', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2014-12-15 18:53:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('142', 'ILDLUHQUVRHCNSZBOGYIIEEPADNSCQ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-15 19:05:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('143', 'XHIODGVEMXTNYXMVXFQYZYQJCEWYLZ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-16 18:54:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('144', 'HQFLOMRJFTEMWITHSQEHUQEBCZHMCK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-19 12:09:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('145', 'ZIIDPCTABSILTXVSTLMFZGWJXTXQJD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-24 16:40:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('146', 'SEJJVDCEVSCYQACVBGNYQCWKYLQJJE', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2014-12-27 15:44:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('148', 'NRXKIBVGGJCPCDDPVKMOFHLDNYLTJL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-01-16 09:20:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('149', 'IKNUYEHGFZIVHPWPTODFUVQWXVRPQI', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-01-24 13:54:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('150', 'QIBIMDWPQLVVQMZBCFAYGVNFQOZGZG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-02-05 21:23:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('151', 'KKNAOVXMFPLMIZHJEKSKVQDKQHGRPD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-02-16 10:03:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('152', 'HIUCAFGJGRJZGIIEMBSCBSZMHMAGHC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-02-27 12:24:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('153', 'HIUCAFGJGRJZGIIEMBSCBSZMHMAGHC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-02-27 12:28:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('154', 'ATGZZFNJUTPCELFHHGLNSVYTYGSHJZ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-03-21 07:36:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('155', 'PKOQNDEBZPWDPNQONMZXIJZMSWIMWD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-03-29 07:22:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('156', 'ZNMOCTRBIVHXHSDOJXPEWLMRKUBPTQ', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-04-01 16:41:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('169', 'ZIUXJVHQJVTQNGWQTQZDAGBTTHEFPO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-04-10 17:47:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('172', 'AKGZHTIIVLVHSUHGZNGQUKVRYZIWQM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-04-14 16:02:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('173', 'VATAMIXGIZSRZVFBISLEKDQHAUGQVL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-04-18 12:10:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('175', 'DQIYXQALTIDWKRWQDIZFFNGUNZKMIO', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-12 20:29:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('176', 'DQIYXQALTIDWKRWQDIZFFNGUNZKMIO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-12 20:28:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('177', 'PMJSINKLWGFXFBGCNKBMTRPFVSPAMQ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-14 10:09:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('178', 'BMVICFCMTIPEYZZCAWCTVDNSHVKHJT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-17 19:23:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('179', 'MCNGEMZDNQGCLXZPFQEVKPTNDMZPIO', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-20 07:46:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('180', 'UDFHSNOUIZJABYJMWKSZXZFUTFUBMR', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-20 12:23:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('181', 'XESOQQQDTDLBGOOLDKCIZMETMZXKRU', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-22 06:20:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('182', 'XESOQQQDTDLBGOOLDKCIZMETMZXKRU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-22 06:23:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('183', 'AZIWERIJDAOTYKFBKGLVMARPBQBUJE', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-24 09:17:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('184', 'AZIWERIJDAOTYKFBKGLVMARPBQBUJE', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-24 09:18:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('185', 'HZDKKHMLWLWVKNMNCYZZINPKBJCQVE', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-26 19:57:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('191', 'VUDHPWPEYIGUSZPUYSTQSXDQMDYMFU', '1', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-30 00:42:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('192', 'VUDHPWPEYIGUSZPUYSTQSXDQMDYMFU', '5', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-30 00:43:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('190', 'CVDYGEHHUBOKUALWEWQFSBKHAUQGTN', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-05-27 17:52:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('195', 'ESVCKWLTOFOJICVEHUZEDPLJMYQJQS', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-05 20:01:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('194', 'GBYVTHWQILPVYSRZOWRILQRGZZMWFW', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-02 09:18:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('196', 'ESVCKWLTOFOJICVEHUZEDPLJMYQJQS', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-05 20:01:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('198', 'DCWQYNBGZGNOBTOLFKDNVXJUFWGGVS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-06 07:37:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('199', 'TQZZCDSLAQQJBQMIOPJMNATFWFOBKR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-07 15:44:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('200', 'VCDUPIWOTCQZTRTAYLXTLUOZPMJSBE', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-10 23:01:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('201', 'ZCHLTLXSJTXZDUWOLRULDXNTRUFOUS', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-11 07:27:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('208', 'WHMLKCIMJEQPXABQTZJNOHWYTCSQMA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-24 13:21:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('203', 'MKBGOZEFEDCSJDIELLRUHMHGYHCDDO', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-21 21:46:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('207', 'WWLORVZDSOFTIRKNIFOALHSYGNQBET', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-22 16:25:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('206', 'UZLWSYTOBSFVQHBIYXVFZXPJYOYWKB', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-21 22:36:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('213', 'MNXUHDMRPXWNIKJCFIODLTGRDYBFBW', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-26 07:58:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('215', 'IHUFHABPVBITIKUNAWLTULGODBKGEH', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-06-30 11:16:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('216', 'JRGISRCNJUZOQLWIRFCQRNFCLIYDPY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-07-10 14:09:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('218', 'MNWHVORUFDSZKFCVBKJPHWWGZVXXZN', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-07-14 11:04:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('219', 'OSOJRUMEXEIQSILARGKIFIEMZYPUUG', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-07-22 03:11:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('222', 'OZOOQPKVANKIVMKGRTAOIFKCYMOMEV', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-05 23:13:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('221', 'OMOEKPCBQIUTPRONAIYIMTHGLOWLKJ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-07-23 22:42:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('223', 'MNWHVORUFDSZKFCVBKJPHWWGZVXXZN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-07-26 19:31:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('229', 'CLIKROBKVWJAZWDCRWLXFJKIARCPIO', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-11 16:52:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('228', 'CLIKROBKVWJAZWDCRWLXFJKIARCPIO', '4', '1', '', '', '', '6', '0', '0', '0', '0', '0.000', '2015-08-11 16:51:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('230', 'MKIXMFJWHSZKPFGEFZITFJLNWLVJAE', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-12 08:00:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('234', 'OHFCZSQPYIHGKHJHOSYRMKKOUDGTBC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-12 16:12:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('235', 'UWKIDMXWLBCDGFLTGVSXHLEXOYLWDJ', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 09:05:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('236', 'UWKIDMXWLBCDGFLTGVSXHLEXOYLWDJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 09:05:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('237', 'UWKIDMXWLBCDGFLTGVSXHLEXOYLWDJ', '1', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 09:05:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('238', 'GNWHHIETUKNEMTGMJHECLSTBVGQQEJ', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 09:32:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('239', 'GNWHHIETUKNEMTGMJHECLSTBVGQQEJ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 09:36:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('240', 'UMDXRJFYDXZEESETYHRBQTQRMLBGKS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-16 18:41:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('241', 'PKXUUFOJTAVZZXTGVVJUWKGRVHHEAE', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-17 21:13:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('242', 'HSJSDOXYREJIIQMVREQNCFIKKGSCED', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-18 07:36:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('243', 'HSJSDOXYREJIIQMVREQNCFIKKGSCED', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-18 07:36:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('246', 'BUUEIAUWQEIRLYGNMPIKDCPFGRRIIT', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-23 11:46:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('247', 'FUOVCOSGTIXMFDCRUCFAJCUVPPMCSR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-08-31 11:26:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('248', 'LOAWGNLTGTUNCVCQMAXDZPIDLBHSFU', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-06 09:45:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('249', 'LOAWGNLTGTUNCVCQMAXDZPIDLBHSFU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-06 09:46:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('250', 'LOAWGNLTGTUNCVCQMAXDZPIDLBHSFU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-06 09:46:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('251', 'LOAWGNLTGTUNCVCQMAXDZPIDLBHSFU', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-06 09:47:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('252', 'LOAWGNLTGTUNCVCQMAXDZPIDLBHSFU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-06 09:48:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('253', 'JROKZAOVYIWXHYIXWLCCDLHBJJGQMS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-07 12:23:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('255', 'BQFKIVKAJZJUDKVPHVSKTTFJOQWQAK', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-09 13:34:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('257', 'OWHKEXQKULXRTKJDXTZUTVSJVJGTUK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-14 10:56:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('264', 'HIUWMDEHJMBSSBRSLVWLLOABFAQKHC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-16 15:10:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('263', 'HIUWMDEHJMBSSBRSLVWLLOABFAQKHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-16 15:09:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('262', 'HIUWMDEHJMBSSBRSLVWLLOABFAQKHC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-09-16 15:09:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('265', 'SVGCRAFRULXADDWSWPOKPBMZOABRQU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-10-13 13:16:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('266', 'UWTIGCBJNEIGNWSPTENIYXSNQKQIGB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-10-21 20:54:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('267', 'OARLUDCBDRPRMESUCOELIZTRKNGSLD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-03 09:07:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('268', 'ETFMSJJTQVBKEHZQZVTSWITYMULSZR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-05 08:58:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('269', 'CTLHYXCIFACPVRZCPQOPNISZZANVMC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-05 16:12:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('273', 'UAXCOCZYXUTXPRISKQFOWQBXRSJHVK', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-11 18:39:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('280', 'GNHKAZOOEXIPMAHYGIPLZIXJRBIPWG', '6', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-12 19:30:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('281', 'JGECELNYHKCMATVDWURTDBPWEEUJPY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-15 13:34:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('284', 'JGVZEHAQEATRFXFQDECILLCYKRHFXU', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-11-23 08:34:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('285', 'WVTAHYXXBIDFQRCXVBFANBKODZPCFA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-12-02 17:27:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('286', 'SZBWJIMPJFUVHVBHTOHCMRSFBRUBJG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-12-30 13:27:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('287', 'SZBWJIMPJFUVHVBHTOHCMRSFBRUBJG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2015-12-30 13:29:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('288', 'JGLQHHMPHUEDQAEBILFHJHLHDZJRZW', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-01-18 21:53:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('289', 'VDYXYPUSNGRSSKQTBBHYRJXRWUWXRE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-01-26 06:32:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('290', 'KDLHWMCZKDKQBEMYMBFGDZOMISJTXB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-03-07 18:47:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('291', 'AHTVPJBOQZOLWRIZGQLGQLRYEMXLAY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-03-14 20:53:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('292', 'QZAABNJMCRYQRKMUGJHJIDPXIUBNQQ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-03-16 11:33:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('293', 'YOLWOTPQWZZTOSFIQQQIEWCOLAJARL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-03-23 10:13:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('294', 'IGHKBHIOAMGQUNWOGJBWNKASDWNIBN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-02 19:03:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('296', 'DCNDUDAUCQGCZASPIIHRXZUTTBJNQN', '11', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-06 03:25:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('297', 'NBVISLXYWVVKDKJUENARHEVMHQFDAQ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-08 06:17:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('299', 'IRMCQCGLJWHSBEKDIXCSRUMDXQWKIJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-10 23:18:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('300', 'GGNSTIIRWXNIVWVXENWHTRPJPCGSRQ', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-12 16:49:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('301', 'GMLELNKOVARRKAWAUWUYOHLVGRBQZQ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-20 14:40:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('302', 'XFMCZRHVOFFYOIWQBXTEBZRIRDYFVJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-26 20:42:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('303', 'XFMCZRHVOFFYOIWQBXTEBZRIRDYFVJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-26 20:43:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('305', 'XFMCZRHVOFFYOIWQBXTEBZRIRDYFVJ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-04-26 20:47:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('306', 'WQNKRZPOGWYOIRUGWUYTJUZQXMCMEM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-04 16:21:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('307', 'WQNKRZPOGWYOIRUGWUYTJUZQXMCMEM', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-04 16:23:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('308', 'KZRCMXFVHUDLBPMJRODRQGOJZWGOWO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-07 17:41:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('309', 'VOMTQSPJVVKKTSLYPEPZBJUKVCVATI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-12 23:27:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('310', 'IXUWKOKDVBIKAFYXVMQHFFYRPAWZQN', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-24 13:16:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('311', 'IXUWKOKDVBIKAFYXVMQHFFYRPAWZQN', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-24 13:18:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('313', 'QOTUIVFDPIZTMYTCGGCKPYFMPKGRTH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-25 18:23:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('314', 'AXGHXVCLRAILVPBVGWANOCVVKMPNTZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-05-29 19:47:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('315', 'IJHAJHXFLGMQUVNZOAIUWCZWOISODB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-02 00:28:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('316', 'HMLEMRMAXVIIZQPLQGLREGRIDAMFSX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-02 16:13:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('317', 'RZBDDLIQPKRWPITXFONVZMWSVMCIQA', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-05 17:36:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('318', 'MURSEZLKYJNQJCNMNNDJKPPYITTZGU', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-07 04:01:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('319', 'MURSEZLKYJNQJCNMNNDJKPPYITTZGU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-07 04:01:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('320', 'MURSEZLKYJNQJCNMNNDJKPPYITTZGU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-07 04:01:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('321', 'MXFYQEXMUDUZFNUHLFHSRPBTREAYQG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-07 05:39:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('322', 'JMUUARTFTIKBBJCWKRXEMNBCIXOZOJ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-07 05:39:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('323', 'CPNMGZNOQBNBKTGGSKEBUIUYWTSCQD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-09 12:26:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('324', 'PEQFCSROTHMFQSIREDELBOPXPOJGCG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-09 21:41:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('325', 'FIGDKTHSNUQFBRVKFXLNWGOIOWSPWF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-09 21:41:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('326', 'JIRIMZUOEHYBULDXFFZHWJBCOGLZQJ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-09 21:41:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('327', 'GWXSHYDFJCWVPNMPKNROGVPLTHMJZR', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-10 11:10:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('328', 'VTMEMXEBWMLWTMAWAXPDUHUXGIBOKC', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-10 19:58:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('329', 'PFYJAPHEXARSXULYBQNNPVEDTATEAP', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-11 04:21:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('330', 'CMOYCNYCIWEZWEHCHSUVCCYHSMWSQT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-11 14:22:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('334', 'JUBWCIMTLJBRCNZLFUOBSHRACBFTJW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-12 14:19:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('333', 'QBYOCSUGRMERKBHGYSQRRMMBJTHOPR', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-12 12:38:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('335', 'JXLSKEJSPHTZOCACCLWGIVEDYSIVWA', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-12 20:31:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('336', 'SDJYBHIDIGJPUTHFVISOBLKTWMVGJT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-13 07:15:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('337', 'EEGGXGNPWICNGICZIYWRJXPCCZRMVG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-13 13:28:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('338', 'KIZPEQUFRJOLTMYOQGPIXLHWUOXVUA', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-13 19:21:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('339', 'KIZPEQUFRJOLTMYOQGPIXLHWUOXVUA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-13 19:21:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('340', 'KIZPEQUFRJOLTMYOQGPIXLHWUOXVUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-13 19:21:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('341', 'NQRPUQYKZMSBKOWVCCQYAGAVZNUYGB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-14 11:58:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('342', 'AYLXEMUICQKSOKOVLXXNMBLBKCVCDD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-14 15:08:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('343', 'AGAHTUBYFDUQLOAUIYWHNLPAPQPGGI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-16 12:00:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('344', 'YWKCWQAEKEYHWDKICMWXKVGCDDAULV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-16 21:26:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('345', 'LSONCHBIVVNONXQRYJYFEUQMTSLXCM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-17 12:49:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('346', 'GLRGTXUPKLUNFBICHDFRGXYRSYTMOO', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-17 18:42:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('347', 'DNFXYWYPPNEJKULIECEWRVQWCZXUXE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-17 23:32:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('348', 'DNFXYWYPPNEJKULIECEWRVQWCZXUXE', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-17 23:32:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('349', 'DNFXYWYPPNEJKULIECEWRVQWCZXUXE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-17 23:32:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('350', 'DPCGGQMCLEEBRSGTWOZNINKICVRPFB', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-18 11:39:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('351', 'XRSRMQHDNKCOZMRCQLPKSJBPDEREVG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-18 11:39:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('352', 'XFHZKWEGAGYAEHUQPXBDXOUMEUBNFQ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-18 12:08:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('353', 'JACEVQMOSYAKFPCYYDIBETNUMSTKMJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-18 21:30:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('354', 'SGYESIIAJNNMVFEAEVACQGVOOJUEBH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-18 22:15:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('355', 'RJMNHPNVKUTOWFXKSFRNYFIETYGHVZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-19 10:33:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('356', 'VACCURVEGDRQTLYAHZNRPGUWUILPUD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-19 19:56:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('357', 'QSJRSSFCLGNXIIPXPXKEBCIHJTVXEU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-20 07:28:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('358', 'TLGOXNKHVUWHDSBRCLZDJLRJTGVTSG', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-20 07:29:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('359', 'HZEJGZIFGKIZMBTLANTILTYZFNEDNN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-20 07:29:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('360', 'HCGSQYZMMSYXHYUPGOIZPZVIHFMCUO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-20 10:26:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('361', 'YVPRWBTVLCXGFXILLCFQCUHCSOURRD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-21 07:26:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('362', 'IFVLHZUNSIMZHNMPTIZZOIJYYCLPFP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-21 10:24:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('363', 'RGFXROYPCUYMKWLMDHQVUUFLXXGBFO', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-21 10:24:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('364', 'PJSZUGTCIGCQFNKQNEVEDOVGDBMDLK', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-21 13:31:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('365', 'DBUBGRYRRDELHJUYPQBQMHOJFSHWCR', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-22 07:30:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('366', 'DBUBGRYRRDELHJUYPQBQMHOJFSHWCR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-22 07:30:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('367', 'DXLDQWBNSKFSCWEAMOZBWYLUZCZBEP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-22 10:21:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('368', 'VYXHNRKDJUGKRSMWNQMHOERHPKPEKJ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-23 20:01:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('369', 'QBFGFNMUAQYNORHBGYBDXCBIAIKJNG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-23 20:37:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('370', 'MGIEBYPIOCSLPZRCVDRXIUKFQNDBYG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-24 11:35:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('371', 'DYLSYCMFOPZTCMMKNGLQQFDHAFZCUN', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-24 11:35:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('372', 'ZEIBYJLYTZBSOGRZEVEHDYSPIQQLOJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-24 11:35:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('374', 'NMGWGUGBHOMUDMKWZJVQGNCSUHNHKG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-25 03:22:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('375', 'IJKZBETJBJFUBSOBCDCOKGYQSKOCMG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-25 06:46:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('376', 'UPEFZOMIVYVESCGDXUEDYGJGPXXVJA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-25 08:41:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('377', 'CPECTYBZHYKRPFAKXTUTJBLNBDVMXV', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-26 01:05:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('378', 'TSPQORASKXVIGFQHFXFTFIMKBHGLFC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-26 01:38:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('379', 'IUOLLBQGRWMZCQGTIUZBVJDSLBCMHO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-26 08:28:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('380', 'IQPHWGQMNPQOCXVLQFLZFQEAIFCSXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-26 10:20:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('384', 'WJJMHMHKBZWKOWGMENNEDVZQQJLZZC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 11:34:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('383', 'NIYACUAAWJBIAWTNYIEMQJCWRVEMVC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 10:07:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('385', 'WJJMHMHKBZWKOWGMENNEDVZQQJLZZC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 11:34:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('386', 'WJJMHMHKBZWKOWGMENNEDVZQQJLZZC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 11:34:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('387', 'YRQBNECFHOQYHMRFGMWCXHYZZLYFEM', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 22:02:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('388', 'QZRSKFZFEWJOBJGJWSUZOZOQJWBOJB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-28 23:07:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('389', 'PJFKYDHLBCGHEBAFRQNGTVWHCEMWFZ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-29 03:50:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('390', 'PJFKYDHLBCGHEBAFRQNGTVWHCEMWFZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-29 03:50:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('391', 'PJFKYDHLBCGHEBAFRQNGTVWHCEMWFZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-29 03:50:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('392', 'YZXNPJYSNDGECDXLMZOVRYWEJZUQTI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 01:27:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('393', 'KDFNKSIRPMTXYYSVJGXWMRWZDYBRCI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 10:28:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('394', 'KXIOAIXNINFQPWTCHXLRIYFAEMJBNT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 15:39:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('395', 'YYMGGZKTTJXBNWMQNTGHXHXPIWPXRJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 15:40:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('396', 'PALHMJYJNLCPUCPEDEQOCOTANFKQMD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 15:40:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('397', 'ZWBIBRJZBITAVOSWMZFPQBNASRMTRW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-06-30 22:49:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('398', 'TJDBRJWBYXLCNTSVZUYJTUESVJOKZX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-01 03:42:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('399', 'JFPJYBJIFDUSNVBFUUQJOYRFMDGMVU', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-01 03:42:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('400', 'FNQOLRQPZKMPQVJECZUJFXLVGFWEBJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-01 03:42:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('401', 'INDIJUKMFBMGZWXYKZEFWFJYOVOQQL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-01 04:24:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('402', 'CZFRSVOPRZWQHWPHUYUTGKUOTZVOWM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-01 05:29:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('403', 'QAQFEIZGGYWPXXDCCYLRPLVTYFUEWL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-02 21:39:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('404', 'HFGMGEOPSKRCVSLYWJVKTLXTBZZSQK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-03 11:16:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('406', 'EMPQJQXSSWRGYFUEEUBYBOUGLBYERD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-03 20:49:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('407', 'DJOSETHXCONOSXXHNUNQOTGDXVAOTF', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-03 21:11:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('408', 'SWLEZNZEKIMTGZXMNADEKQEOVTPTUC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-04 12:33:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('409', 'YACXSCQUPWTWYBMHBPUMBBDEDODWYC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-04 20:16:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('410', 'YKOVIVBIWYVQOITIKOSIMYSZJUNXOI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-05 10:22:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('411', 'OSKUENQCUENGSGXJLRMEYIYWLAHICD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-05 19:30:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('412', 'RVDUBLOACUWKWTZLRTWUGJHHJBRMJK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-05 20:47:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('413', 'XUJNHGVUCGTUONCBKLNBXZNWESXRRZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-05 22:17:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('414', 'LPCCTFEGIMYQIDAOXJKAYOTKKRCSHP', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 02:59:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('415', 'OWRAWFKGQIKVZVSHAQZXPOMTMJLXMN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 03:20:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('416', 'LCGWQICOMINQBEUNHYXGYKTSBRUILX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 11:19:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('417', 'ALTVTQVROMBYMDACSIRNYRZEYUWRHZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 13:53:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('418', 'IWFRITTJJTUHPFJKZETNNVWCCXPZEF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 14:12:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('419', 'TYERQWUEICYWBPMISFENWYOLHIJPQM', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 16:40:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('420', 'DOLTRYZNSAXVJLWDNPIBMAGTHQUESJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-06 23:46:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('421', 'NQKCUGTQFDVBFQBEQLJAUMXFGWNQLV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-07 10:19:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('422', 'QLQQDVDWCZTOVRZLEJTMILCFCSULMG', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-07 19:56:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('423', 'XIZFOSYWERNVRYLXWVHVTGJJWNVXTZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-07 21:17:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('424', 'OSEVMHLMPDBUNXLRSOENCTXXDDNQFD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-08 06:52:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('425', 'XJDQKEICSBNHHAZMYBZOIQJGLNMDAT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-08 09:14:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('426', 'ITNSUZKGNSQOJXDHDSQKQUJQZRIGOC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-08 09:30:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('427', 'MYBVQDROODKWZEJDZJACARVCGHKOVM', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-08 20:11:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('428', 'ISILLLCOYQQKQPZCQYTUZKIEMITTPR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-08 21:31:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('429', 'NLKGLXJSAAHYYHKQKINJNFLSVTDKJE', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-09 08:49:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('430', 'SHWNPPBGFKDTTAJZROUEUJRIZKUYOQ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-09 09:47:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('431', 'KIJBJGQASMGRMQYMGVVKWXGLBSPHAC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-09 10:23:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('432', 'SFYJJBHUXOXBSMZGJWMUMBQZASCUBI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-09 11:09:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('433', 'PUZWOISAJVURBYNACPACLQPIJWNOSL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-09 16:20:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('434', 'EJDELOQFZZYNFTDNEKQRHZJJDJAOYV', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-10 02:35:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('435', 'OZDWZSKTYZYPMTODSHYNOAOHSYKHZW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-10 10:19:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('436', 'RIABBJQMLXEGDRNRFPNEMBTRVZIWUR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-10 23:24:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('437', 'WXBRTBDUOEHPOVCCQQQFGNOAWSRNOE', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-10 23:24:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('438', 'WOFVGWRUOVJKTMIQEHJOAMGFMUGGBD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-10 23:24:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('439', 'LBFUVRBZYEYFXQOIDKSBIYIVQCIDQZ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-11 10:25:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('440', 'GGYDJEGHACKANPJXTEPFLNCZIWZLSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-11 12:15:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('442', 'RBWXGJIFWHYYMSUGOVNZJZVLABIFLN', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-13 00:36:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('443', 'DMENHHYAVIDQBCCRZZWAIOPMUNHOFM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-13 10:16:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('444', 'EBEILEWTMOIOCDDTJIWWJHTWFPRASH', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-13 23:49:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('445', 'TMYFBZRPCRWXYVGDEWCNXJBUBXQJVN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 10:36:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('446', 'MFCGAPPJLTXEHGHXAWZJGPEEPIUPZZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 10:44:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('447', 'PGYSPXGSDSOVKGKTCZKYIFRYMFAPMT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 13:39:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('448', 'PGYSPXGSDSOVKGKTCZKYIFRYMFAPMT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 13:40:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('449', 'PZYQKGBBLRZQNBHLYSOBGUMTUDNMNX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 14:08:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('450', 'MBJRRMLFLVQJGWVTTNGEKITVJKSRJT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 15:13:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('451', 'IPBYAXLKCKWOUNHKWFDPAWXOJKRNSE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 17:39:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('455', 'OABWQTSCJJFPMMMZCTPTRKZULLJYRZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 19:51:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('454', 'PMNGCSFMKXPTHWBFYACFGWVHTGCHOV', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-14 19:51:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('459', 'RJEJCTSWFABWFELSHEQCKXXFBJLHRQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 02:06:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('458', 'RJEJCTSWFABWFELSHEQCKXXFBJLHRQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 02:06:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('460', 'RJEJCTSWFABWFELSHEQCKXXFBJLHRQ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 02:06:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('461', 'HRSRBKIJPHULZTYNEAHCSKKKFMIITM', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 05:41:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('462', 'SVFKODQQJHTAQODCWCEJNSDRGZZOLZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 06:16:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('464', 'NNTEXWVVSYBOHJINTQERLARGSQLBET', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 10:21:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('465', 'PTZFDYEIWMWNKFQNYQAGEARFKMGYON', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-15 22:31:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('466', 'VYBLTWATOBUDEBTAOUOZMEEWZIWMON', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 10:45:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('467', 'ZLCDXNYUIMHZFJQXNOJYJJGFLYPEJY', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 14:44:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('468', 'GUAXSWMDESSXENGHCRETAFIBVRSPYD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 17:51:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('469', 'JLCQCAIZGRVMVEWXZDWCEQWQMRHVOO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 20:28:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('470', 'GRIAGCFALXQFSORSTVONHOYMWOASHN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 20:28:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('471', 'MOPWLXJCCRIEUEWLEJILPYAXPVHHQT', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-16 20:29:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('472', 'FRUPFFWTJVXLOZMYGKRZWYGAQVZFEC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 04:37:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('473', 'JSJXZYLQXXWBDYMIRIZCSIUSBVTAJV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 06:10:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('474', 'JSJXZYLQXXWBDYMIRIZCSIUSBVTAJV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 06:10:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('475', 'JSJXZYLQXXWBDYMIRIZCSIUSBVTAJV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 06:10:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('476', 'LCJWLOFOEYXYSGQJRCBIBOIRGYDMYC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 07:09:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('477', 'GAJRDDSHFOWBRXNXIRNZAPVXHOVBDT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 10:26:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('478', 'KXBNXMUYBOMJUFYQGYKKVYKTCJLSAZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 11:18:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('479', 'FSBHEBRHQVWUXWDSKOGOWUUXMNGJIV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-17 17:19:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('480', 'ZUZJMQZRJQYCHRLYNIJTLBZBWSOQHH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-18 10:27:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('481', 'FGVZHDYEBNFPZQBXEAKYDQUQXGSJFE', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-18 17:37:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('482', 'AXWCKYPUHASDKIVIEVOTPVGPXLYXUI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-18 22:39:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('483', 'AXWCKYPUHASDKIVIEVOTPVGPXLYXUI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-18 22:39:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('484', 'AXWCKYPUHASDKIVIEVOTPVGPXLYXUI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-18 22:39:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('485', 'OJKRFNTPKBAAKKJRYVAMYMNMOJZVOV', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-19 09:50:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('486', 'SGKLJFIABOZJUGPWVYLWPDPEWCTNMH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-19 10:23:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('487', 'FTIHVXHJKUGAOOEDJIASOIQGQYFRZR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-19 10:23:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('488', 'EULZKJSLJVJIZLRHPUYMIVZLMRMAIS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-19 15:01:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('489', 'AEHIFIIUKUQKKBRZUZPKPQTZENDHVS', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-21 01:35:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('490', 'VIDLWBLTCIALVTILCSWITUGNIAKKSZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-21 03:23:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('491', 'CJMTKJPGCFSDUWLIGEGAACZNFRGSQA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-21 10:43:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('492', 'EQNNHXBBEWAVICURMKRQTAJMGPQFCC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-21 10:43:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('493', 'EWMUPTBMEIJVSVMWTVEFSBUBFWOGEN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-21 10:43:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('494', 'FUAMUFEFKCKEDTHITPGIYUSKNIFVUR', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 04:02:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('495', 'FUAMUFEFKCKEDTHITPGIYUSKNIFVUR', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 04:04:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('496', 'CSBNXZCLXQUIRZKSNWZILWGPNABWJQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 05:44:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('497', 'JUWIKCXUMNLIIRHFQQHPGFEDTOTFNJ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 10:18:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('498', 'FBRKMXAFFCOUTQIDUKBAIGIPEMYKZU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 12:36:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('499', 'ZUFRTRCOAIULGPSWTPXMCFDCAHEBJK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-22 20:48:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('500', 'RFNXVTDASWBPKUZDMXWFUBWRRGMWVN', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 00:17:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('501', 'FGBCRORZAKRUFYDSRLGEFEJQDZRFYL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 02:16:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('502', 'TZAHHJWLOBURDJXIQNYHPKNYOGMHFD', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 02:51:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('504', 'QGOFLKATQTOPSCFGKATXBOWBJWXVUC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 21:03:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('505', 'QGOFLKATQTOPSCFGKATXBOWBJWXVUC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 21:03:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('506', 'QGOFLKATQTOPSCFGKATXBOWBJWXVUC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-23 21:03:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('507', 'KWWNVZYQVSRMSDDSGYXRVTJDREMHYY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-24 11:05:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('508', 'KWWNVZYQVSRMSDDSGYXRVTJDREMHYY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-24 11:05:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('509', 'KWWNVZYQVSRMSDDSGYXRVTJDREMHYY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-24 11:05:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('511', 'LPJXTWOMZBTGUDIWQVAXRZTJXSJXUW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-25 04:03:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('512', 'LPJXTWOMZBTGUDIWQVAXRZTJXSJXUW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-25 04:03:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('513', 'LPJXTWOMZBTGUDIWQVAXRZTJXSJXUW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-25 04:03:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('514', 'YKCGYEQIVZNKHHHCAQUXRYSDILJBWH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-25 04:16:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('519', 'PKKZTWJAEKZYPMWYJHCZSCQORBPYFK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-26 10:26:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('518', 'PGMVZIMUGRZLIDIKTBLWHGJZXWTZLP', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-26 02:51:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('521', 'JRWPWNXCDUWNBYZIDBZSSKSVTWUTVI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-26 22:28:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('522', 'GHDGPCLSAOGOHNWJETWQCVMMVPAWBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-27 14:34:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('523', 'TILKOWTPZSKNQBXJLLEXRTVLHIXFOD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-27 22:16:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('524', 'JAZQJBWRGQZISOCADWSHLHJJUCZWWF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 06:32:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('527', 'AQAMPRQWIEICPGSWVRPKQLTOLLYIBU', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 10:10:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('528', 'OJXUXNPXJNGCSVRBLECJOXOASQCIXW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 10:27:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('529', 'UHLKILAFNGLTULDQCNNKHDWPDRTFJL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 13:35:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('530', 'UHLKILAFNGLTULDQCNNKHDWPDRTFJL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 13:37:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('531', 'GLVBTKQNKPKZUFWIGEBANOYXBBFPDR', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-28 19:34:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('532', 'NGMLEKNRVBUGXAUSKVCBIDPUYHVVQQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-29 05:46:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('533', 'UEDXYROKEQVYSRNBICDDVZCTIAXDZC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-29 10:23:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('534', 'JFENYSPAKYJIJHLWYVGIUHTYTLAQJK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-29 16:33:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('535', 'QPMBPFTAYKUFUXNVKYCHVTXWPUACHD', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 02:29:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('536', 'QPMBPFTAYKUFUXNVKYCHVTXWPUACHD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 02:29:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('537', 'QPMBPFTAYKUFUXNVKYCHVTXWPUACHD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 02:29:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('538', 'UMHKFQINGMSCOGCPSHTRUJWIYTDPWZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 05:01:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('539', 'YAEYHSLEKAGJWGSZIUAZSXEKCKNSUT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 05:02:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('540', 'YAEYHSLEKAGJWGSZIUAZSXEKCKNSUT', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 05:02:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('541', 'BJMSQHASILMUTFHRUMBATDNTBFBNNT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 05:32:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('542', 'CUSDSSGFGQYAETTSOWENLMNZDJYABH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 06:29:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('543', 'QZPJCAIJYMOYMLBAUXVVXMVQKBZFSH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 16:40:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('544', 'QZPJCAIJYMOYMLBAUXVVXMVQKBZFSH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 16:40:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('545', 'QZPJCAIJYMOYMLBAUXVVXMVQKBZFSH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-30 16:40:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('546', 'MMABHFQJVCIYDOYBGJJCTVHNHQAQOP', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 06:19:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('551', 'FIKFWDJDVMBRAJLAGHJSVKMTWEMXHZ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 12:38:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('552', 'LWAUYJTEFEOUXWVXYCVHKQZIBFYFMN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 14:44:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('550', 'TCSVTBQVZAMREUCQBMACWJHIQFKTGR', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 10:26:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('553', 'THCBKLDVMGWAXXIAHKKMGBFCQNZGPI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 14:44:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('554', 'RCIVDQSWMGCOEBIWGKWPHWLQYTRJMG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-07-31 14:45:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('555', 'BETPTVPDQBXAMBLBQGFLVOVPZYFYHA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-01 12:43:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('557', 'BRUFTBERBSCWOCCZPRLYSHOIZRCQJG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 10:20:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('558', 'EVSTEJWAFMYJNGASGSEJINBHYOXGZY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 10:20:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('559', 'TYXZGNCUTICPKJVWKGSWPAQBOYXVXX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:25:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('560', 'XENSDRWDOMSZITLDORJAMUJFFDEEJM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:25:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('561', 'CYDKHDYLLYJKMRNKEMPDQHYBKAVGAM', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:25:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('562', 'ZNEQHHLLSDJRBLRTDIJIYZDIHBJCHT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:26:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('563', 'IKOUYILQOGLPCOGGIVXWQPQTTGNKYV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:26:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('564', 'BMYGRBWDQPYUUGFYPKCKBZXBXAMWJI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-02 19:26:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('565', 'TKZEYXMENTCPUXQNMAHEQMDJCKTOKM', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-03 05:51:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('568', 'EUDBNCABZLYTQLVZGOMUDGNJGSKAUS', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-03 10:06:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('569', 'IDTORTRQGAIJFJINWCVPCHCVWNBSLI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-03 10:25:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('570', 'BPUFWCYZDCQNIKRWHZBLCPHVKYVVLW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-03 17:24:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('571', 'YKNKYGMOQWPGCEVCJABXBXILJGTTTW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-04 11:38:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('572', 'ZIADNUZNBMMJMTPJAFCGXHRKGBLPQQ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-04 19:33:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('573', 'YWPTBECEMUHMDTNDAGCKUFERNZCZPK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-04 21:50:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('574', 'UGEHAFCYZXIQUXTWPEIMCFKPABILUI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-05 01:14:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('575', 'FQODWJUVOWGAZJCKPBXPGILKWNGIQL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-05 05:52:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('576', 'VMTGTFXRCEWHYUVHQCVQVPWDLNWGAL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-05 22:15:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('578', 'DOCSCZBRXIKXCJEDBWXDIZWRPZQIYW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-07 00:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('579', 'PFHMQAYEGNXHAZRERAIIJNKEEHLICT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-07 00:58:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('581', 'XAYLTEBRDXKDMLCYYEJGXJFNDSDMQW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-07 20:11:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('582', 'QZPNMPAMKXCIZKNOGWQZBKBPCBTIVV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-08 00:31:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('583', 'QQBFLLJPGPWBQFBTFTVLHSHJSBMZXB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-08 05:04:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('596', 'CDTTXFIOITFQAHPSSRUQSSXWIWSBYB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-10 16:24:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('590', 'KVVACJXYCCAXEMRJMMJXBXDQLWJSER', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-09 10:29:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('589', 'JFDGFAMBQNAZEUSOKCIFEQUOBMIZTB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-08 23:31:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('588', 'YFRZHYYMONSYLZPHPAOEHOKOJHRLSG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-08 10:19:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('595', 'FRQSMJXWGOIIZFDWCAPDALDVCSWKDP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-10 16:24:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('594', 'JUWEKXKUGXRTLQQFXQNALTFKHGLSJO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-10 16:24:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('597', 'VBVHKMCDVLVIKATGHZMPQHOADMIXLU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-11 10:24:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('598', 'DICZRSVQEGZUDPTVEHAEWVAEMAQRFY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-11 12:54:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('599', 'TURXNKUVPPAJUPURZMLFSMSBKDGFPU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-11 16:21:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('600', 'FEZSBVHJEMXIYAPISDCMMTEJPMRJMU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-12 06:38:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('601', 'YPAZYKHHRBGXNYNIQPSSZFBZEAFWJI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-12 10:24:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('602', 'TISRIPMWFUGWUOJBGFLAKVHSWBATLD', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-12 11:31:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('603', 'ALHDUWVOBDUIVIPSTKNUUWBYGQRGBK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-12 16:27:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('604', 'ALHDUWVOBDUIVIPSTKNUUWBYGQRGBK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-12 16:27:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('605', 'RBNTSDLFEIBQQPFTQURHUXSYBWOEXU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-13 02:51:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('606', 'RBNTSDLFEIBQQPFTQURHUXSYBWOEXU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-13 02:51:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('607', 'RBNTSDLFEIBQQPFTQURHUXSYBWOEXU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-13 02:51:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('608', 'CHYMYRRTQYXIZORLXSCOOPAOWHTHAO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-13 10:36:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('609', 'LWLTKOBNPXUKCLIGULIZESGNQHVEBA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-13 14:29:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('614', 'RPOPFYXUVALSESFNRJDZLFHGQYDBBB', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-15 16:25:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('613', 'RPOPFYXUVALSESFNRJDZLFHGQYDBBB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-15 16:24:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('615', 'NDGKAXZIYEPGLDEQYMAWQYAECLLMAW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-16 02:22:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('616', 'MOHZKSQKDADLFQXZSEPQBKVPQFLAFF', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-16 08:51:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('618', 'YMIZGJWJEWWBPYCPPYBKLYJJRQXOOE', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-16 20:51:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('619', 'LBNHHERLBXRMWEIAPAFXIKUIWPCUBL', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-17 01:32:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('627', 'XSTNMIEDARIXRZQGTVAWYVATFZZSSH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 00:50:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('626', 'XSTNMIEDARIXRZQGTVAWYVATFZZSSH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 00:50:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('628', 'XSTNMIEDARIXRZQGTVAWYVATFZZSSH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 00:50:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('632', 'EZTHAIZAJMTPJYGGZVZIHWOTLYPNCM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 10:17:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('631', 'UIPPNQRUODKOJAQBLFYNGNYGVQCJBC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 10:17:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('633', 'DLVYFRERMEDIOIRMBGTYVQRNYYJRVM', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-18 14:39:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('634', 'DJLDSMCGMZDHPVAVYZZQMDVIQRHJQD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-19 06:41:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('641', 'ZNLYIFPISNSXTCCZUDUANJMGGVZPPH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-19 11:29:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('638', 'AMMXTBFVEXSEPMRXQQVVCZKCMQYMTX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-19 10:27:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('645', 'CRXRVDEIOXYFOZOCQYJDOTCIEBJDWY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 15:31:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('643', 'WZSUVQILTSRNUDHJNQGXJXFUVNVDNO', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 10:16:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('646', 'YGXWNEOLBAZLRTDELSAJLSXKOPIFHH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 17:18:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('647', 'QRBMJRBBWMZGSPUBKCXRWWQKZAIUIN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 17:19:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('648', 'NVYTQGURWUPYWYYQYZYJSWKIQGHUUS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 17:19:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('649', 'VVDPQOZTXPTISRSGKWLEBMQKDJTJVO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-20 18:14:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('650', 'NGGWHAPCRLQYJUEYDRYWWWIGBHHSRU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-21 01:37:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('651', 'SXIAXQBXPWHNUIVUPMCMKZZICCCIRZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-21 07:19:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('652', 'UFZAJJQJFIBVNBUALPWZJHZBSZHXRC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-21 10:18:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('653', 'CPRWPBHEUEFFBKNMHHFWLEXKWORQIV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-21 10:18:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('654', 'QDSCVDDUFMBDRHZQRCPBIMWKRVSAYY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-21 14:26:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('655', 'KYZMGYTRDNPNBFYZUNKASVIPZZUFZP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-22 10:31:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('661', 'VGCXMKTMCTDRGQTVURSTAHTAZLRRMH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 10:21:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('660', 'AKWOLEUOOHNBCJKWAEDCSEKDVXBHDE', '2', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-22 19:36:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('662', 'VGCXMKTMCTDRGQTVURSTAHTAZLRRMH', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 10:21:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('663', 'VGCXMKTMCTDRGQTVURSTAHTAZLRRMH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 10:24:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('665', 'WKWGDAAYPXVEYSNKAGJLQLGLVZPQKN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 19:39:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('666', 'QOIOYIRBMPNLVZJZBCXHOUQCUODVMS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 23:26:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('667', 'GHWAULMMAUMSGGVFGIDVLWATXJLCLW', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-23 23:37:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('668', 'DHOXBSWAYRQXCGALFEWJNHFNZVSBYJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 10:46:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('669', 'UCHKXFJNWIRHAMUGWTZVVSEHDHAJZS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 10:46:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('670', 'KFEEKVXBYNYYPSJFSCDGSNDDSMZWZA', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 10:46:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('673', 'EXXXGKHKUPSONGXWDJFYNWIPLUUVMC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 10:59:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('672', 'EXXXGKHKUPSONGXWDJFYNWIPLUUVMC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 10:58:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('674', 'HHNMXRPUYWMFDDPEOZXNKCGEGTWKGF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 15:51:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('682', 'PYBHMIMEPQHEQOVGJSVBENQUDBLXME', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 18:38:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('681', 'AYSCIGQJFVNTVGOVVLMAPTLHAYRJVM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 18:31:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('680', 'YRLZRLMZBPENAKJWELKVWZIBQIMGFG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-24 17:32:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('684', 'CVUNPOFYFBAYYDGHWDYIMOGXLQAYBB', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-25 01:47:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('685', 'ARSMQBVTKEPXSECNWRJIVWWMBJUYWX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-25 04:27:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('686', 'CXODJGIIEKCTWSQPLYDURYFTTSTWGX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-25 10:16:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('687', 'PKSIIGETBZBGWPPKHCWIQFMQEEBTJH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 10:25:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('688', 'HZTELMQFMJPSNNZSYZSCLDJZAUMVLQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:39:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('689', 'QBNKTXMSZBMNYUGQRRYKJVVCHMLOUX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:39:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('690', 'HYUMOQTYTBVJHHDAPDCCPLAUIJVEYX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:52:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('691', 'QJQUEPIMCVMRYDTFXCMTQTWXQBJAPY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:52:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('692', 'CBETIRXFUNDUGQYMIBWNLOMGEIUYDV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:54:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('693', 'LXEAQTPICYRWWPCZONRTWIZDXNASLF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-26 13:54:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('694', 'IKETZJSUWHFEVLATJXKOTUEEIXOSKT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-27 10:18:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('695', 'MYLQBVBMRQMCQSNVSOKCLXFBHUCKMU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-27 10:54:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('697', 'AYYTPKPOIRVPZDPTKEGNRQBVCINQPD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-27 16:07:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('699', 'FIDDYYQSZUXPXNUMXYZPACASQEFULV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-28 17:26:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('700', 'AAYVLLRILVILARHPKRKYIKVHWDHVMC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-28 17:26:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('701', 'FJYJEPZRENJPAYJKFZDNASFBCEDCKH', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-28 17:27:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('702', 'APQPVLBRFJEACVLPVRBSPOIYHRENMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-28 22:05:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('703', 'APQPVLBRFJEACVLPVRBSPOIYHRENMV', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-28 22:13:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('704', 'WRZOCLTQRLTMZVKTHTGWTTOIFQWHFA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-30 17:43:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('705', 'HNMUJVHHFLIXUXGGJRQXXRFEDZFERK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-30 17:44:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('706', 'DBYYEBIBCETVUDQHFHGSMXMCOTSVTE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-30 18:59:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('707', 'DWBINGOMUMEKZSTVFRENOIYMIFHOMA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-08-30 18:59:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('709', 'MXPMAGKHTTHQMCLOZBFWFIYOUMJOLS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-01 10:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('710', 'GRRHFCZOKUFPBCSUEQHGQAZKMCUCTB', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-01 10:52:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('712', 'NPLMKYJVKNJHERFRKWFHITLPQBPOMN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-01 22:51:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('713', 'DRTFZNTSCKETJQTDCBQYGQRPVXAQRK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-02 06:49:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('714', 'LVLKWHZXWZUNGAWQZVVFYTROCVVRGX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-02 10:39:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('715', 'TOYMHEFNEAHOFZJZEUMUAOVWLZXZJW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-04 09:50:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('717', 'ZCWUBIBEXBYRACQIUJYWIXZLJLGYQT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-04 23:10:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('718', 'YJCYZQHZWEIJWABSZREJZOMAJAKUZD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-05 04:50:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('719', 'YJNVKMAQHXAEKBYYJGVWKZAUVWBYQE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-05 05:40:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('720', 'XSXLRNRBPXDUNHLKBSSWGNHSTNKGNN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-05 06:34:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('724', 'VTRTZEJBFYOFSLPQQQQJJSMRDIOXLK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-06 03:49:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('723', 'QKTXRXQURNBLOOWBLWHQMZSLATGCWW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-05 18:50:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('725', 'WUALCLRBKJUUIFFOMKZDMSCTIGTYQJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-06 03:50:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('726', 'CXKSSBSBSJMHLFEMKTBSDSXJFGJJEU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-06 21:07:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('727', 'BJTBGNOVIVXFPMTEKDFVUUJPHNUEWI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-07 18:41:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('728', 'MMOKZECZMCLEMYASCGNALXADWZACNG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-08 07:20:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('729', 'GPUJAGDVWJWTSCWBCDELUHFTWRVYTT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-08 09:30:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('730', 'CBFPQCSFXYJCBFLWSWROTVPDHYGUBS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-08 10:47:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('731', 'ODSKAXLLOPEBKVIMIDHWYUCGRZYWXT', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-08 10:47:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('732', 'JTMPKLCAVGLHHJCTBRQHZQFQJVKKTX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-08 12:15:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('738', 'TOWXPRVFRZPJHRQWOGQPRXVBRRBMHD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-09 10:19:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('741', 'UVVWQEFXUEWLQHBVSGTRFTIBUUXSLP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-09 21:45:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('742', 'LEFLSLZZACFOCXILDOSSKUNKEMNDEA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-09 21:46:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('743', 'ZLZBDHZLONDPDCQYCNAQGGKAIAQUSE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-10 03:28:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('744', 'WRHOIFDQQVZCPBCPVQXCFXIPPZKOML', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-10 03:28:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('745', 'XILRKUYCSKXVGVOVZOPNHBBQPLCVLS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-11 01:12:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('746', 'XBWDUMUDYOMCWRCTOYHACCYCGKDFZR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-11 15:02:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('747', 'RESOHKBAWDIBWNTFWQJDLCYOSXRJWS', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-12 06:41:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('749', 'WXYXWCHAQVZHXBKDGFROIJYCDEAMGH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-12 08:12:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('750', 'BASDEKMZHRHIRLWVWPXEDELKVIAZEN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-12 08:12:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('751', 'MCAHOKYIQUGWKMJDATWKVORTVLPXHQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-12 10:38:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('752', 'DAXYDYVNWOVGCERUYAXXZQILAFJVWE', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-12 16:40:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('761', 'LTPXONYMLSKMPAMGDQUGOHZJNENDXE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-14 01:22:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('760', 'ZVZDOZANDAVRSIBOIUIYQLGIMPWCCS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-13 15:31:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('759', 'PFEGEXBVCNMYQCXLSHRZYOSFWQFBMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-13 15:31:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('757', 'OSDIOZNUWXTLLLUSRWRZNCVZGFOBRI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-13 00:58:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('762', 'LTPXONYMLSKMPAMGDQUGOHZJNENDXE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-14 01:22:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('763', 'DSMTLZTHOXYEKEUUUDOQFBUQSIZXEV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-14 12:58:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('764', 'AXOZSPVOWIEXPGLTJFDNFKPHGKDMBO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-14 13:01:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('765', 'SJGYFTQHSMYWBIYYOFDEOOPDWWPTMD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-15 07:45:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('766', 'GZTJVNELTLIZZFSDTLHQWGCTKJIIOH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-15 08:23:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('767', 'IPTXOEVFANFODRZJGOFGCPAHCEJNVY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-15 19:47:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('768', 'CJFHTEIAQRNNXYFDWXSTTHAYORWWRZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-16 10:41:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('769', 'REFAHWUHTTUOWZQIEDRJIEKZPYDTWS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-17 10:16:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('770', 'QJGVTFQZZSOJDVVNZKRTAIDGYVVQYO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-18 02:20:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('771', 'QJGVTFQZZSOJDVVNZKRTAIDGYVVQYO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-18 02:20:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('772', 'VKXURVQZVIUBPGFWSQLWAZKQXCKSKY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-18 02:23:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('773', 'NVFHQQERTPEZZSFFUBJIHBQWKAZFYC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-18 16:39:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('774', 'NVFHQQERTPEZZSFFUBJIHBQWKAZFYC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-18 16:39:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('775', 'EQRXSPJFIQPSROLVFINBNYLBJPLEVR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-19 13:22:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('776', 'QQYJAHTQDSHLTSRKQSHYPWENQPBCFV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-19 17:04:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('777', 'LPEUVGDGJFXRYYUZBBKOMQXTTZUVWW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-20 01:30:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('778', 'WBAYCRHMBCOTIFOZYDHXOFKTTWIZSW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-20 02:27:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('779', 'TQBZHWMIXGFTXWMGHNYJPCUEPNVTEV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-20 02:27:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('780', 'NRZNJXUAZNUQVCECEOPHPUPRDHBVMO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-20 08:18:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('781', 'KXRLWHRZGSAXCNASZXGKPOFSERENVO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-21 10:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('782', 'FXEUXNZQXGSAFRZSPJWHFGCYYIFMBF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-22 09:20:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('783', 'SLOTRTRLMXJUBGKDEOHROIIQIBSAKT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-22 09:24:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('784', 'RZRGHLJZZNWMSYKEGPCWEBZODVGPLX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-22 09:54:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('785', 'ILLTGDBXISGQHYASFUGXEQFFLGKFLB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-22 10:21:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('786', 'KICHIZKLDFAORBUUSKVVYRIXCKRRLC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-23 23:38:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('787', 'NFWCSVJLFXGQBEEGCLVDGYOJELPVRE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-23 23:39:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('788', 'EQVTDKUNPPSGFDXAXPBWLZLMZEWYZO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-25 11:19:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('789', 'LGWRUUGAOWLCQCJZOGORUYHGNXJLOH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-25 16:55:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('790', 'PZVLMAZPBRLVEEKFPBKKNQHGQPMXZH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-26 02:17:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('791', 'XDWDBNRURICSCLZMWWFPSBHKVZIBTI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-26 02:17:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('793', 'ZKJTJQANQAHOSBBVNOSYXBRMESUNGN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-27 19:23:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('794', 'ZKJTJQANQAHOSBBVNOSYXBRMESUNGN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-27 19:30:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('795', 'TMBYDFTGAMLDAEWADGTJVLLFDISFTY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-29 01:09:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('796', 'OUUAEVIYHVQMJTOECGYFBYGTDYYUTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 03:08:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('797', 'NNSTHJAELYGHLAEWEDHOIKHTTTZUAA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 03:08:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('798', 'DPQXMTFMARRDUEIGLPQFWVLVTFYCKF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 10:22:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('799', 'PTTNFQUESWRPUJYBTXKGFKZNDTAESQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 10:52:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('800', 'WOMOIMETWRDWDNSYMMISBHZHVOLDMG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 13:04:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('801', 'GBMFBVPLPBQQOYBQHSJELWXTXTENVB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-09-30 13:04:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('802', 'WWFOJWOSPFSLSJJDQLVCQOSKIBNYDV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-01 18:12:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('803', 'HVRHTYIEQDDGFEMDOAVHPEBLLRPUIG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-01 18:24:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('804', 'KASZYTHVIFUMPPGLSVJEAHMXQOQIAF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-01 19:41:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('805', 'YALFNDIZDVGZFMNNPIXKSFBBKFELGE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-02 00:35:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('806', 'FJBTRLBJFHHUJFRXPTBYGVOMLWNGGL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-02 00:35:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('807', 'VYYORCMPUMEWCDWOTAMNQQNDHJQMRU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-02 10:23:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('816', 'UNORLTGGSMEKPIFMUPMTKLNFDZTXKC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-05 09:48:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('815', 'VRRFILAYTWTTPEQHPKAIUGJZTINFER', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-04 05:27:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('814', 'OZVADYLVGJOJHGAXMJXQLUROHTRDEK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-04 03:11:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('813', 'NFAZPRLRPJBWJWCXNPMYKZNGEHKKLO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-03 10:23:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('817', 'DVLPEWMBFLRRJQLJREKHEJKARQLRDU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-05 09:48:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('820', 'MPCXHIKUKYTZVUTNWZZHTLNEDEJUIE', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-06 10:34:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('821', 'QVWOPUGHFLTQBPTXUZVKPYLWUTYNAS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-07 10:52:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('822', 'YFJBMMLJSCQYEIOTNHDSUQYIKFLQGK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-07 10:53:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('823', 'FHYOFJNUSPFTQLBHKPAHMYKGBOKJVX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-08 07:49:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('824', 'DINZNNAPGUESUWQEIKVOPSJXVWNXZC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-08 09:35:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('825', 'ZYYYDPKUTRGQPYENWHYVGENPDIFBSH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-08 10:18:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('826', 'JJEKHGBRXUXZVMDOOGITFMCFHHGJKQ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-08 11:59:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('827', 'VVJCNKIBWHYZSBBBZQRVZNONYEONMO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-09 10:26:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('831', 'IJDRGSCSYNRRYIDEEHOKTQJOVYCAWI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-10 13:17:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('832', 'PLNBNNCNMVMGYYINUGFPRUAMMKNTMR', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-11 02:14:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('837', 'CAKXWEZFDYMAASBTDECREJZCKEHLFQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-14 10:58:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('836', 'KUPYYRSPQZGSTGNWCDFNNMNTUQKQDA', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-12 11:56:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('838', 'SHYCIUWQRZJIFVQSLBLXHBKMBPNZSK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-15 10:18:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('839', 'MIIRISGDMEPMJWZQDKXYWNUWFEMOEX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-16 00:09:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('840', 'HAWDAVSOEJJRZXIIAYFWXZURHYWJLZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-16 22:54:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('841', 'LRDUGRJYOKDKFNKCFHIHBHHFXEBWYT', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-18 01:30:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('842', 'XDJVSCTZQYSBXQHVEZODQXBOPPDUQC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-18 02:05:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('843', 'YEENZYLGOGVQBGIIBLYRRSFWARCLXQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-18 02:05:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('844', 'NIZOFDAUUIXUJCVGWFAILPBYIENDGD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-18 13:34:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('845', 'NIZOFDAUUIXUJCVGWFAILPBYIENDGD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-18 13:34:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('846', 'NDMCTPURPPJFZUSSUTZDSVMBZRDFGA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-19 07:13:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('847', 'OBTJBFMFKRKXSCTMWZEAJQVBSUPSPZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-19 19:37:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('848', 'DLOCOROITBFBZZNFUXNTWWJGVFKGKE', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-20 07:19:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('849', 'ETWPBQEPOUTSWGFWXIUUSTFKVBDLVN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-20 07:19:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('850', 'CGSYAHKNPAABKPRXNPYGRNVOXLRDRX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-20 07:20:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('851', 'AWVPHVRJAEOKJIQQDSQHKVHEOHFXTF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-20 17:57:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('852', 'XXLFJNDNOIMUJDTEVAQYGKKYYUBLZX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-23 10:18:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('853', 'MALFVEIBPNWNYTXARDEYOVQHODFQQS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-23 22:46:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('854', 'MSJJSJFDEGJFWTSTBPLLDKHUIHMWIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-23 22:46:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('855', 'SPQCQMZOGRRVNQESCUDRVTQCHRQXIJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-24 10:19:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('856', 'PZRORURRMZUOCLOSANCWFPFAIQOCBA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-24 17:00:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('857', 'PZRORURRMZUOCLOSANCWFPFAIQOCBA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-24 17:01:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('858', 'LCRULKRCSQWHNSBBEWDOBDYQZCQCWD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-24 17:51:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('859', 'FWAHBYLIMVOYIBMRHRMWBSOLNQAJJB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-24 20:37:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('860', 'CWPCMLFQUYXYTTBPUPWZAUOGPXOHQM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-25 09:24:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('861', 'CWPCMLFQUYXYTTBPUPWZAUOGPXOHQM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-25 09:24:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('863', 'UUVOFREITUCBQKEDIUSMDKQJRYMJYB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-25 23:48:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('864', 'ABUCXAIVPQPBEFWBLFUHXWZVJCYEMC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-25 23:48:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('865', 'OQMCIEQNYJHZQTXQXPXTOOOFOPEBAO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-26 22:14:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('866', 'XDCXKKPDEPDAKLKHEFJYOHJXRULPEJ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-27 02:01:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('867', 'OFFQCWMVLXPLQSVACNIUAYSUGPEXGM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-28 11:24:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('868', 'GCSVDFTGJZFTDUELDPKYZFXKCCEGSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-30 10:04:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('869', 'BDTCTRBGYCODPPELFLEGXFLDCQWZBY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 03:06:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('870', 'AHUAKNSWDCQBNJYDHJQCYBJXMODVVU', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 03:06:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('871', 'LYBJLYHYEFZITFEXNZJDIOBNDJNDRY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 03:06:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('872', 'WIMIZAKJZHQHCHOCVXMYKFIZVAQJAN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 10:24:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('873', 'ZQNWUIGBJPRUOSYDZMOUZHCQBDIPOX', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 10:54:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('874', 'OYZWGHRWOYEYKBETFUJLYYFLFMBLMZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-10-31 18:44:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('875', 'JCVIKMJYBDBGYHIYSVPDSHZWRLEPIK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 03:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('876', 'EROJUBVXURJSTWRUXPAWBLCLGLZIAQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 06:38:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('877', 'GQFDLKDAJGPEULQZRWRGVXGDCOZJYW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 06:39:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('878', 'UIXDVWNAYWTOIDQDOUPXWBHYBZQRCA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 07:52:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('879', 'WBPGOXJFYAMMPEAMBPROOTGCKRBRAD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 08:11:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('880', 'DDEJZWOSXAJVZYQEPBQACDLFFUGAKD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 08:11:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('881', 'BOTXECNTPHFHBYXGBIGGDGBPLQTDEU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-02 08:11:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('882', 'JEJQHFSBENQVEGCYXPKOKIHEURQTPX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-05 16:46:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('883', 'WYYLJJGLERNEMZIEVHNHKKTQVERLII', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-05 16:47:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('884', 'BPJAUFWTJIYEDCDQBWIZWYUKKBQGUY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 00:41:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('885', 'NEUJIEDDIKZFMNJAJIVHMEDLPSOOQV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 00:42:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('886', 'ZSZWFLKFQJQMPMCIJHUXSOORPQPEJV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 02:06:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('887', 'PHUJMXSWPVJPBASCCCSONXHGFXNHXW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 02:06:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('888', 'HIIIUYJIIOHSXJLXLORCZFYHKZDNWJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 02:06:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('889', 'GZSPDDYCTKOLEXUEMVNTSXOTVDBKQZ', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 02:06:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('890', 'HJVIKLIGUYLNYDPKFXYYBHJVCYIKOK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 17:56:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('891', 'UZTJCYDVUTDIHRLTALTJXUOTLUVMGN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-06 19:00:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('892', 'BCESDLLTVTAPJDLTPGTDCAQCUBOZVU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-07 10:25:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('893', 'DSYEENIJTNRAFLLOQOCXLLOQNVIYJD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 02:43:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('894', 'UBWXIOIHQVTHCYQRMDWDZESQSZUEYX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 04:31:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('895', 'UBWXIOIHQVTHCYQRMDWDZESQSZUEYX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 04:31:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('896', 'NQRDRBNOTRGHWHKMSYCUCBGZNRFRNY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 07:33:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('897', 'COXUTNWEQSZEOETGLOSQDMVPETFHOU', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 07:33:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('898', 'TGFWEZXEHBCYFIHHHAUVAXSZIHFITX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 07:33:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('899', 'QNBERLWQKOTBWSJPRJRATJHBIBRMTX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-08 07:33:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('900', 'HZFQFDRTHRGYFBVCESVCPEUKUKTDSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-09 00:47:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('901', 'QHPZTXIUWCNIWDYBLAZAGCDKBCFGUE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-09 00:47:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('902', 'OSSNJKRHBRCYEUOCGFKJZZNTNLGXME', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-09 03:09:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('904', 'JKIAXJQIQTAMJWOVBEDNPCXHHOURGM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-10 01:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('905', 'HGDCTZCSMOCZAEDXLXDZGCUSLLXHTI', '5', '18010', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-11 07:14:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('906', 'QAEROOUBWKSTZENZKOFBEAWPWZUBDY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-11 10:22:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('911', 'FOWJZNEQEWYQVPBEXUGRMUHNUYKMBW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-12 00:22:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('910', 'IKZMIZOCXDERZJBBIAVWBOOJQISTWL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-11 22:55:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('912', 'ODFJYADECPLTIDTUEUONGMWVJEMXPE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-12 00:23:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('913', 'GIZAMIFCZZJJWQTJELMWYSYBYFDKKB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-12 00:38:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('914', 'QUZMHIOXTHLKLMIQOQACILEVQXEJPZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-12 00:38:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('920', 'UCBXTHKWGGSWHYZHCOPVIIOXEZEZPL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-15 07:47:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('919', 'PHGOHWQOBPVBEFBIMLDGAGGMCPGWTL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-15 05:24:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('918', 'HFDAEPXKHDOLQIFEBZCHZGKDGAYEHZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-14 10:26:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('921', 'KCVCFXGLJQONRVYOAPMLTKAVDAVSSA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-15 07:47:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('922', 'GZGFBPKPLQGUVIMFORZUNIRDFXURET', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-16 08:03:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('923', 'BCWHWORHYCLVTIXSJHVZVWFQNDMXAM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-16 08:03:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('924', 'WEHTTMQJKCIZNBSBHDIVVTUTVSDTOT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-16 15:01:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('925', 'WEHTTMQJKCIZNBSBHDIVVTUTVSDTOT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-16 15:01:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('926', 'JXNNSULKRPXJBAOGCZNLMEUWYKNKSJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-16 20:30:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('927', 'MMOOHXJXNHZOUBXCYNUCCXGTEQAGME', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-17 18:11:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('928', 'EAMDXYRRPDBFVIPIETKPAUYMGXEMSC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-17 19:13:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('929', 'UPVCNOWJFXMSRPINKSHISVLXSUSXON', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-17 19:13:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('930', 'CBUFHZAFTKQRISYARHSMXJUJPGOMNN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-18 05:48:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('931', 'PXWYNUGCWKKAMLNQZTTAKSAROOEXFP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-18 22:35:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('932', 'ITJJZTUWGUKNUHGIKZOYCVFXLAZYAC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-19 00:56:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('933', 'BEMQWKWDBLRHITBYZIJNLXVPASOIPM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-19 01:47:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('934', 'PQMQHMIQNGKIPLOXQWZUKXQYRVXIDG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-19 01:48:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('935', 'QIYVTAANUHYGTUSTBNGEOEXGEELVIC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-20 01:25:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('936', 'DAJNNPDRFIBVHNKHVNLJBIMGXESFCL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-21 23:38:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('937', 'MOFFHJHQNYFSZSCJUQQFFIZMEWEBEF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-22 14:42:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('938', 'LDZONQZXPCUWUQFLGTGECJKSQFCMWS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-22 14:42:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('939', 'CUCBHPSUIKTKBGWTDGHXBSVFNGRKLA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-23 05:50:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('940', 'RIUVVUUERCXLDKYGHKJYBZFJVDTKXT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-23 13:09:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('941', 'GAFUBDNKYAFRPNURZZWOUQFDTNBQCA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-23 13:09:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('942', 'HDUKMFVWKKPATGHUTVHVRMHDZYGMTM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-24 10:22:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('943', 'QEVDNBMTMGWEDEXHYKUVTPLAKISWEF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-24 13:46:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('944', 'CWKTAZAVSXQANIPHOFNDXYOPDYXERW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-25 19:44:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('945', 'MPMXRRIHQQWCFHWOQYCPXBTCUCBKBD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-25 19:45:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('946', 'RKCUWOAKUXGSQMWUUZWPZCDQPUUYGI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-25 22:24:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('947', 'UEEASOQYHNDTKTSLXJEXBBZZAKPLFG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-26 10:19:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('948', 'MKJHWMOJOBHGPDEVSDPAGGODXBBVLN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-27 02:10:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('949', 'KDGESIMKEOQNWIOAXJORZZHUHLFQWO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-27 02:10:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('950', 'IEAEURJKPJTTXHCJWSXEZRGUMZSDXT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-28 10:26:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('952', 'MFOWCVZQGBDJEBSZJLCPYPEYAYXQXZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-30 07:52:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('953', 'GENRLPMLVRDVFVSZARRBBADYJRJBQO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-11-30 18:05:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('954', 'AJHZIWYEHIIIMDSZEZLUAEOCTFPEUI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-01 00:01:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('955', 'BNSEKYKYEDFVWGDZJGQIBFQXXVFMXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-01 10:19:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('956', 'YNLKUNHCGWPQYYLHCLDALKYMGZHWGL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-01 13:58:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('957', 'DUZKLUHHEBALXOPFTKOAPJJVBKJSSW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-01 23:49:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('958', 'DUZKLUHHEBALXOPFTKOAPJJVBKJSSW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-01 23:49:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('959', 'DUUPCTSITTAQXBDIGCEIVZSVSZYAJI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 03:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('960', 'BSJCVHJEJEIXZAPVBKYKMBXJINESCP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 03:17:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('961', 'FSERRGUZFLNGDRHITQPIOCFVKFDKZZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 10:02:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('962', 'VHTQUDHCEBLMILNQAMTYFFYDSAJYFX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 10:24:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('963', 'OVTMOCJKGBDADGNELJAFSECUXXMAME', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 13:36:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('964', 'WUVUGYUIGEVAWFEZDOEBJRLYYFRURB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 17:23:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('965', 'WUVUGYUIGEVAWFEZDOEBJRLYYFRURB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 17:23:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('966', 'BWFPHLSNZTLNWNEMGNOUYCBKVDKIVK', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-02 20:44:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('967', 'XXHNBHDHYHYLYYJGDQHOENBVEDRYGZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-03 02:10:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('969', 'GDZTIKFKYSPROGEETDQAAYMFQAZYUD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 04:53:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('970', 'UYBBWFLYPIGSLQHSDXGYIFQIZYYHME', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 11:47:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('971', 'ZGICTJMZAWZCLTLJXGMVBAMUQTQULJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 11:49:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('972', 'EISXSPWCIPBLCJNLHNYBQLKTPUNHEG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 17:54:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('973', 'SARQWMWSTSZPFEZJFZGQRDHYEKKZMJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 17:54:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('977', 'XYTLRYCVGDAVNTHJUSFHFJRSTOJUTG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 21:37:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('976', 'XYTLRYCVGDAVNTHJUSFHFJRSTOJUTG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-04 21:37:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('978', 'AYROBCAMVEGNVRRTQOKLVCAFCWNNBT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 06:18:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('979', 'DDGZQMWEBMLABPXBKWXJKEYFYUDRSM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 10:19:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('980', 'SJFOACCZMOOHJACILJWIMMXYXHEZML', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 10:58:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('981', 'SJFOACCZMOOHJACILJWIMMXYXHEZML', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 10:59:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('984', 'AHUDQCEQQKGLGQUTZXPXPRUNXDYEFO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 12:38:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('985', 'BEABEWDDNTSQXBIQMFRVEJVZFZKGXX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 12:39:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('986', 'HMXZRWEGHFENKSGXXBEZMQQGZANUCT', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 12:39:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('987', 'PRXBNDSUQWIYSGTPECLTMNEDCILYGJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 13:13:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('988', 'UCLWYCODKZGMOZFCEBFZFLJRLRRJDU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 19:09:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('989', 'UCLWYCODKZGMOZFCEBFZFLJRLRRJDU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-06 19:09:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('990', 'GUARRDNNXBRJYOMWDXIDWQHDENQWTV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 08:47:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('991', 'BVFDRCLIGORAULYWPOBJPBORBXWEOK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 10:24:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('997', 'ONCGGSGWFOFKZOZZDMIYLBTHWKUNHB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 17:25:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('996', 'ONCGGSGWFOFKZOZZDMIYLBTHWKUNHB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 17:24:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('998', 'SLNDEGYUNKNNEMNFQWONXMKLKJPTNM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 21:49:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('999', 'TWSCBGRDZNNBGEMMJCHQCVXAOSKEDM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 21:49:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1000', 'AQBPUSXFEWMZOAFCNIIVVBONNPXFAR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 23:38:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1001', 'AQBPUSXFEWMZOAFCNIIVVBONNPXFAR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-07 23:38:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1002', 'ZPHGNUHOELMDBUHIIIPTOVYUZPOHHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-08 01:42:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1003', 'ZPHGNUHOELMDBUHIIIPTOVYUZPOHHC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-08 01:42:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1004', 'MNVLUATVVXKCJMKEUKTBYZSVVQWPLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-08 12:14:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1005', 'XMHNMUXNWQQAHUCMEEDVZFSVWWNDQT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-09 10:25:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1006', 'NTTGHFLYVFEOMJVXPTPDNWPNLHCPEP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-09 15:06:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1007', 'QQTJZRJUNMUESAODOANDWKASPOOLWK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-09 19:08:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1008', 'QQTJZRJUNMUESAODOANDWKASPOOLWK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-09 19:08:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1009', 'SDLDQDSIVUXCJGJOVMTLVCHYWDYYZZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-10 02:31:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1010', 'IGHHBXAIAUQZXOXTSEEPOFXYZYEDLT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-10 03:22:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1011', 'UVCDAYPAJAXRHUJYXDQHDXZUUVFENH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-10 17:36:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1012', 'UZPRCHDBBYIVKLMCWPCOOVHJGRACQB', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 09:36:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1013', 'ZKQFGRHMFJFEDIDZQJECVZGCWVUDBK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 09:59:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1014', 'ZKQFGRHMFJFEDIDZQJECVZGCWVUDBK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 09:59:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1015', 'REDYRVJVFEVHDTZEIZHIXGALYMRKMK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 10:10:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1016', 'ZELWMWQWUSKYGPCUUZEOEPTCDROSMF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 10:10:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1017', 'XRLBAMHCVIABZJTDTWSWVTEGALBPOG', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 10:10:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1018', 'RPQFGHWHYETSHKKJRNVSWMMVIFSPWA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-11 17:42:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1019', 'TJULSVHTQKFBYQADKFUHMNYFHOEEWL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-12 10:23:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1033', 'LMFAQHYGJNWGSQFLHZKWDEUHSLOFKK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-14 07:34:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1032', 'AUREWNMJYGYLYUMFPXBUUQIJDYUIWR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 19:25:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1031', 'AUREWNMJYGYLYUMFPXBUUQIJDYUIWR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 19:25:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1024', 'CLCFADCVVQODWYNAAQMJRAUOAYQZOP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-12 20:05:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1025', 'CLCFADCVVQODWYNAAQMJRAUOAYQZOP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-12 20:05:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1026', 'PBWEEJQVZHFKCRTVKALCUEGHARYHSR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 10:26:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1027', 'XBGABDFRGMQKKTLKJQKOMXCQPAQUCP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 10:27:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1028', 'TZFPTNGETKZGENTXCBNZACKSBRYAEK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 13:17:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1029', 'RKXGLPNMYNAQNWBKYUDUZFPZLMKLXQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 13:17:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1030', 'SHMMMUJVRYBDXUNUONCQZIVUXIRZUC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-13 13:17:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1034', 'LMFAQHYGJNWGSQFLHZKWDEUHSLOFKK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-14 07:34:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1036', 'ZRCTIUWEAJCVMGQBCAAPJHEECKQQRN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-14 17:05:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1037', 'ZRCTIUWEAJCVMGQBCAAPJHEECKQQRN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-14 17:05:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1038', 'BRPMVGFLEAYKBHNMFLJIXDUOLBMREI', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-15 05:05:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1039', 'WXVVWBKLZOJJOUWMNDIPBWSSPQABHX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-15 10:16:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1041', 'OYNXOMHGRMMPOCCKIENZVEBDBPRRHT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-16 06:22:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1042', 'KFKKAKKYIAUXZLHIIGUWXKENPOZULQ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-16 06:22:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1043', 'ZQZLOWXHQHMMFJQPMNAJDHRWDYBLLE', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-16 06:22:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1044', 'MQRYXTSAMEWSNCOMRAKDSDKNQRUQKP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-16 10:25:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1045', 'ESUGSQEFTHGNEEQUZTMJYCTZETTJXX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-17 02:26:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1046', 'QNCKZPXTLZYPRFMIFRLXMZGKNQSWDW', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-17 20:37:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1047', 'YIBQQUOJBNGZPWQGRBTZBSUOGOWUFT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-18 15:53:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1048', 'FFZQHLBVBIYQUDYPFENRHCEANNWALD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-18 22:00:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1049', 'COVDVTTHDWAQGCFGVSINUVPNCILOMM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-18 22:00:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1051', 'RDPESWZPYXWQLHUJMYIVTKMSGAZHPL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-20 10:21:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1052', 'BPXPPSGKCNFYUGEOOJEUXEJMSMKXXB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-20 23:41:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1053', 'JSHPQZIBTXJVYYQEPVRIOGEJRHXSSC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-20 23:41:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1054', 'FSUMDAAKEPVHQEIYCJNGQZFSMDYYNO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-20 23:41:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1055', 'DLUKYBDIBLMDBRSVVRGUGVIMREJFTG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-21 10:21:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1056', 'JWYUQPDRNCGMBINFEXFRGAMEVRJNEX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-21 10:21:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1060', 'QOYDQOTPLXUQONWLAISKZEEUGXJDSY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-22 10:17:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1058', 'FFOOTGJXSSPXTJLJPXSRYZRRDJHGAH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-21 10:43:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1061', 'UYBEZQIESJTZNASMDRKMYYNSTUHDKC', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-23 14:21:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1062', 'OMVCQRJLOUIYKFHIYZAJBWBDKHSCEO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-23 14:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1063', 'FXZREEDVLDQHXCVCZOIOUNUKUMEBHX', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-23 14:21:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1064', 'XYPPCLFLVAHFSPDBAXBKKIUYAHXEMJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-24 02:41:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1065', 'FPSCAIOVEFQLHBQATRZQPWOEOCDTVI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-24 08:01:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1066', 'PXAJURFVGCZHILVSELGWIQGPVHLYIU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-25 00:22:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1067', 'YARHINTVMTRDGDAZGWDOYSGIGBJCBG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-25 00:22:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1068', 'RBROULXLTSPBOYTICWGUETGJGUOHHD', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-25 00:22:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1069', 'TRJQYKQBDTBRSADGKUHDWYVTGPOWDB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-26 11:28:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1070', 'TRJQYKQBDTBRSADGKUHDWYVTGPOWDB', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-26 11:28:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1071', 'DTSJQPZNZCXDTKFAGISLYDUEJNVCHZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-27 13:40:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1072', 'RZASUOXRBIJXAMFMFQKTATHGKXHLPV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-27 15:29:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1073', 'HZTSDAXHYXVCITKQBRHKLMSZVCVSVH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-28 02:59:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1074', 'HHDIFSDQENPVCBQXZBZSRJRFULGGFE', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-28 02:59:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1075', 'NTHRJHRZIMPLQOUXLPRRKWXFNRWSUI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-28 02:59:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1076', 'LYXBULMWLFNHFBEQHIZUIGMNFBLDDK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-28 13:28:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1077', 'JXAANWQHYATAUSYVEJPFSORFCMBQHD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-28 14:50:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1078', 'OPINFEGLJPZWFSIYQWMNSNNCUHOVUN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-29 10:20:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1079', 'BBRSDXKIGTQQLUZJVJMGLKMATTPZAJ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-29 11:24:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1080', 'ZIHQKURZDLSIXQQRBCTPVVZLJQFLNR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-30 17:49:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1081', 'MKEEDUSOQOQCVTKWISJJRSPSRQHAEB', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-30 17:49:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1082', 'AAMYLSKEBQSZZOSSQECJVOGJNTYBYY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-30 17:49:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1083', 'ATWHHSYVYXVKYMEXDBZVGTKYWGZIEN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-31 02:49:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1084', 'CHIRXIIKZLYDKWLXUHNXINCAWCZJKI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-31 10:20:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1085', 'JABNEREKOZBAATGSFGGNGAPOLGMXBN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2016-12-31 15:57:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1086', 'BTNEACAPLODRIJHTKJTKXZJFINXSGP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-01 12:59:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1087', 'BTNEACAPLODRIJHTKJTKXZJFINXSGP', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-01 12:59:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1088', 'RFDRCXFEZLXKCDLRRHWNGDCYBAEMVE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-02 10:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1091', 'FUEIXJLXHXJAUPTJDTYSNEMVWTJDBE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-03 06:22:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1092', 'IWKSCJYJTTAPMFYVRPEYXTWDLAMWJG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-03 10:25:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1093', 'KLLQJXAJZCPQYTOBZARDWCAHMCCOYY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-03 21:18:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1094', 'AEMEOSPJRJOWSYSQQDGBMUYHJRQFNE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-03 21:18:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1095', 'HLNHWQCGTHICIKABBJKJNTUEJEPEOF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 03:57:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1096', 'HLNHWQCGTHICIKABBJKJNTUEJEPEOF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 03:57:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1097', 'FJRWARNQUISGLXQPTLGASXIDQCTXSV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 07:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1098', 'GICZSXRSYRVWFZHQWTJRQOTYXXVFVK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 17:16:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1099', 'GICZSXRSYRVWFZHQWTJRQOTYXXVFVK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 17:17:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1103', 'ECVOTHVXCUAXXWEJXMHQFKYZWIUJLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-06 10:18:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1102', 'TVQYJBAFOMPPKPZNFIWYGVRCMSXHAS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-05 20:45:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1104', 'WLHDVBKSHVYQVUGCOPGAOBFSWQGZUN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 01:01:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1105', 'FXRDHHINZKVTSDFGVMDUIRZVRTZRYA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 02:44:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1106', 'SQEVBIUBXKSFZRVTWJTLGDFJRYXRMP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 05:09:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1107', 'QHWPKBCFICJWKBCFBSWSQNJTXYBEDP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 07:36:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1108', 'BLRXUDNMAIEXJFAJFSXOKJRPQDBYPS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 11:52:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1109', 'KXRJHHZEOLMQMOBTAXFKRIAJTGZFNF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-07 17:55:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1110', 'KVQXNSTEYJVYMLJTXUVATBMRBZYQQA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-08 04:06:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1111', 'OJYIELOWWPUFGSBACHDVTLYCQDQSRB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-08 13:14:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1112', 'QWZYZUGHGRZCSPVHKPMGRDYCEKREEV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-08 13:14:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1113', 'RHASHHKWHSVFDEGGPRDACMEQAKHFYG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-08 13:28:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1114', 'RHASHHKWHSVFDEGGPRDACMEQAKHFYG', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-08 13:33:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1115', 'RLOLQQBHFQKVWKRJHVAKMPFHYPDDJB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-09 22:14:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1116', 'ZMXPABXKDZAOUYDEPOXRRGULWRCYLB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-09 22:15:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1117', 'YHPZRFJJIVQYOHYOJQPGMCXOWHCXVY', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-09 22:15:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1118', 'LBGEQTAAGPHLADKENFCADRJOGYSWGE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-09 23:20:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1119', 'NZHLSKZXXSRLPQSFDARWDALEHKSDNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-11 05:35:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1120', 'KKXIPXVHYHXRSHNYSRSTOTNRMSBIZZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-11 16:54:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1121', 'FBLQOOQOIOEMSSIJVHHWUDEAYWYKUN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-13 15:07:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1122', 'HKTBFBBTJREQOBBPZKRJKOHYDVJOGY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-13 18:44:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1123', 'ZATUHWJSULZFEQZXIYMMVIZHQMGAXA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-14 02:51:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1124', 'JVLCPLBQYNJKEWEMBAAEHOWHINLCNX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-14 10:17:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1125', 'GVXJDUCGBQGZJUVOETDBQDEYBCNWAH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-14 13:04:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1126', 'LHPDFNTRUUXWHZDLOSESPTWIBYJWNA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-16 05:29:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1127', 'XWUEQIMDYFMIULXQHFTUXXLWFDBAQD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-16 10:28:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1128', 'ATCRNXCULRFGBNDDTIMCWONRTXVVEW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-16 10:39:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1129', 'TRIHWZNKROTJPWOCHTXUCGRGZBVPNX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-16 17:33:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1130', 'TRIHWZNKROTJPWOCHTXUCGRGZBVPNX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-16 17:33:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1131', 'RWZTRIDOSGKNFUPDENWUHOBUERSUTK', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-17 00:07:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1132', 'FWLNCLEVWAHEFXDUQMRUZLTAMUGCPO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-17 10:18:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1133', 'CZIGPIOFHJQYRDJDVKQMJVRRAHNHVU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-18 08:28:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1134', 'CZDDEBUGNUHEKNIKWGEIRBZLDJVFRA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-18 08:28:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1135', 'HJPZRUHJTFJPDSAJNFJSDEGOVUPGRD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-19 10:21:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1136', 'JCXXYSSAOUZCZUYSEBZNFKJYUSJKOQ', '13', '5', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-19 11:51:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1137', 'JCXXYSSAOUZCZUYSEBZNFKJYUSJKOQ', '11', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-19 11:52:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1138', 'JCXXYSSAOUZCZUYSEBZNFKJYUSJKOQ', '3', '5', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-19 11:52:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1139', 'KVBVZYEHHPOZGVOKMCCZJDHHKKSPXP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-21 09:14:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1140', 'VMEWRHJSWMOMUBTHLCTJQNEEWIMJVC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-21 10:18:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1141', 'FAORUNRZSJRZZRRZMPVUZDOJCPIKTD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-22 10:19:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1142', 'IOTQHSXXWTTKUWKTCZPJQPEDDCHTNJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-22 10:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1143', 'DAYSZEVBPJECNLAWKPKXXPQSOHAKBF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-23 15:00:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1144', 'IWHJAEPGZYQEWSVTPOPLUTXJACTLKE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-25 12:51:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1145', 'SRREYQUPXCCTQFRRVVWZTVREPKLQQS', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-25 12:51:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1146', 'DROFASHPKEMVXHARMBJRQEUUADQHOH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-25 12:51:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1147', 'PCIWJCVQHPHSSQQOPWUZHHBTDRQIFO', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-27 00:01:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1148', 'DYPUOZOOOFSGZIPMYLVZOKIVJVVBSR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-27 10:24:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1149', 'SHGIOFBBJZPPTXYDYVPGSJEJBQTAOI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-28 08:27:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1150', 'NTFPZTFGLPUWKQZCPVIIQFJPZSWQIX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-28 10:25:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1151', 'GNQHFRHYZPNINEISOYHQTFCDRLRMHB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-29 04:36:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1152', 'EKOGCAKZLIVNPFETVZCBEKJPZTZOOO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-29 04:39:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1153', 'CHQVHJXVCIDAABKQJQONBTOTRPTXFL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-29 06:14:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1154', 'TKIGEWRNORMHSSYRDYPASXEETKWQBR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-30 10:25:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1155', 'UALUJPLUHZUUPXWAGNAQNXRGESFBTA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-30 20:08:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1156', 'TJJHBTCLLPONOKXVTVUMSNICJLFBQR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-01-30 20:24:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1157', 'FVECDPJMHUGMZYUPPZRXBDSIUKWBFP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-01 06:52:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1158', 'FVECDPJMHUGMZYUPPZRXBDSIUKWBFP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-01 06:52:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1159', 'DSEBYNIBDCVIPOBHSZZQGUQSFTNDXS', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-01 16:47:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1160', 'DMBKEYRKOQNFERBWCUUVIWEWBAUORW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-01 16:47:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1161', 'DKJMGFSELQLHCSDNAZKMWZJEBOHAXL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-03 04:54:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1162', 'DVZDKTWUHLHTOJSHFVXZHCYKMQMGIE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-03 12:08:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1163', 'EITIUAAGVUCSCXWQZDXNWVXUMHAEOV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-03 13:22:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1164', 'QXZCSZCRECOKUKNDMNCBKHOFFIBBHK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-03 13:23:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1165', 'MFNKMCYTEXTJWXYHNUYBLQKGUZSQMF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-04 08:43:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1166', 'ITJJFBPPTGQJOXDGUYJNUENBFYURER', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-04 17:22:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1167', 'ITJJFBPPTGQJOXDGUYJNUENBFYURER', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-04 17:22:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1168', 'FEVGHDIFFGCPDWUEIHAKLHEIYKKSIU', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-05 16:20:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1169', 'RNTFPQAWXKKITHNJSATAGVMMUALYXN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-05 23:31:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1170', 'TLKTDEXYQBPXJWBKOSKHOTMJVAYWTA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-05 23:31:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1171', 'ZVBAFGBWUHURJZNPHBLYXCSUMORHHQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-06 10:26:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1172', 'XDITAHWECDFFCCPYFWJJYBWXTUSBVZ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-06 20:56:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1173', 'XDITAHWECDFFCCPYFWJJYBWXTUSBVZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-06 20:57:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1174', 'CEDUFOSFUMPOMLXJEZMMJKGBHWIZQB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-07 06:11:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1175', 'IAPJQVLVNUERYJQJDIEMTSXIVQVGJA', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-07 11:12:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1177', 'AXCYTSOFYMVGGNHSBCUBVEQCZHKLZQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-08 19:15:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1178', 'AXCYTSOFYMVGGNHSBCUBVEQCZHKLZQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-08 19:15:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1179', 'ZPTGAXJCMCJDQGDDMDUWYJBQIJDPOF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-09 09:04:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1180', 'APUBRYMCMURZQILCKQGDPPNFJLZSEV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-09 10:18:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1181', 'KOEJGCGBOGYUGNCUANSYQCDNJPIAVH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-10 01:33:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1182', 'QFMQEGFYDFCSVPWRBAZDGGVLMZLOPX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-11 08:45:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1183', 'XFBCSHZARKIVWFDJOOOTMKRUMHHSNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-13 01:09:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1184', 'HICLENIOUWUYZGNOALCRTZTLRQAKMZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-13 01:09:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1185', 'NQNLEITHTYVYATZEJLBXMJATOPVXFD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-14 10:22:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1186', 'PPUIJYRWTKUBGDFCYJCBVJHNQKRVIJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-15 09:30:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1187', 'SOUDGPIQVCTRYVCHDEMUMQEVGXTIBC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-15 17:01:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1188', 'SOUDGPIQVCTRYVCHDEMUMQEVGXTIBC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-15 17:01:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1189', 'ZDXIHNJEDXQKSCLAKWMNPIRQTNCYYT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-16 05:13:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1190', 'ZDXIHNJEDXQKSCLAKWMNPIRQTNCYYT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-16 05:13:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1191', 'BHYCGIVHZKJVJPZXZTSKAFGCHFCNHK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-16 10:20:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1192', 'YHDLROZPANZOFESKIUFYCCYDKRQEJA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-17 09:21:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1193', 'EIZJSAKGVIBILGTADATGQGAENYVOVY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-17 09:21:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1194', 'EIZJSAKGVIBILGTADATGQGAENYVOVY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-17 09:21:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1195', 'JWWHZXKKEYXPJVRWQMTXBOCKJXJRPF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-18 09:20:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1196', 'XLHUMUMOVASUJBUOVGHSNTRUINJWSN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-19 20:13:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1197', 'RVKUBPOAHQKFVBEPQEWIPGRQEZSMYY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-19 20:14:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1198', 'YKVTSWESXGFMOLNLJUGOLMXQMXTYGE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-21 08:47:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1199', 'NVAJHKSVTRILDBANTZRBKZIMCQDFZK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-22 13:26:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1200', 'CXWFKUDLTXWZMCVRVSYYVLHFNRLYRM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-22 13:26:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1201', 'KMLGVQNCPRZRRLYGQLNVLHPZGPRCHX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-22 19:40:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1202', 'KMLGVQNCPRZRRLYGQLNVLHPZGPRCHX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-22 19:40:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1203', 'PNCSXTKFNFTUMCACUPSVIOJBMMIOAQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-23 10:19:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1204', 'CEWFTCAYERHRHLEINSCYGUMKSWUNZI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-24 12:25:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1205', 'NGCOXQJUFSHOYJLYYYOSODXFXQWNAY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-24 12:27:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1206', 'ICLCFCPHYOLYRGOEALMDKCKOEGWTFG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-24 20:32:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1209', 'SPVEHQCSOYZZCFBQFFNPDPQIXJATMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-25 09:18:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1208', 'RQTVICTFVHZNYVOXVAAJXZCFZLFIQY', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-02-25 06:27:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1210', 'QYOTNSSQZCGLRCMVSGTEDLUCEDXFEH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-03 19:09:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1211', 'VCOHJJEXJQJWOUHWJNVVZWORXLCODM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-03 19:09:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1212', 'STMYIVKLQZVPMPATXPUSRBQOJKJLVJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-04 14:58:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1219', 'YHOMUVLAJPMYZDRNONFJAMTUBQOTXV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-06 22:31:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1220', 'TDGGDPBOUGHDSOOHICAUANAGGJTRGG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-07 00:38:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1218', 'YHOMUVLAJPMYZDRNONFJAMTUBQOTXV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-06 22:31:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1221', 'VMIWLZRLSSWQVSBWJAOBFQZKELQYAF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-07 10:18:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1223', 'JBEVAULCOCFNYSWWWLLRSJAPVOTIKQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-08 06:50:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1224', 'TGBJYRCJGNLGUAPAILIAWLEVWSENIA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-11 09:34:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1225', 'RXHFWCCPSVVCXPRICOMAASRLYHUOZF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-11 10:22:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1226', 'SUNILMGQKOJMHIEHTQPGMENUPZGYKL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-11 10:39:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1227', 'BXAMOFAXJFFRSUXAOEWWRXQISQBBNR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-12 10:26:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1228', 'YVKFJSSXIHPOTQRKZDNEOJFWUNQTHX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-12 14:11:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1229', 'ZRWNWYQCZLPTPDJPHHBWKMQIFTKFDT', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-12 17:25:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1230', 'UEVRHVFLMJCQGHSGTNVEBEMNQSVNAA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-13 03:20:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1231', 'WJCGWGVZNVRBSRXFIVRCOPOGKTSWWH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-13 03:21:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1232', 'AXTCFVYBHDVJWXTVDUWLXYVIYCQPIT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-13 10:22:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1233', 'IYZGXPZFZYPZXRDMFTQSBPOEEPTTIQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-15 06:45:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1234', 'YHRWQEJJBROEFTFVBBIWCJBOKOEWMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-16 05:40:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1235', 'YHRWQEJJBROEFTFVBBIWCJBOKOEWMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-16 05:40:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1236', 'TZQGDBQGNATUUPLPLHZEOTJVEDJEKC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-17 10:19:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1237', 'BXVNDHPCSCCPWMVDPXJCDIFZLQDQIX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-18 10:26:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1238', 'RFOXYGXIKTDJHAVMVVXFSHMZVLHXKY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-18 10:43:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1239', 'XGUYEJMCKRXLVCTFLUJNQLQOIYQYNU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-18 12:29:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1240', 'NZVZOICHKEZOPDYTXZISBKUSENRQCO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-18 22:36:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1241', 'FUMWLLZHEKCYQBUSBXLHNYPEZKBGUR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-19 06:59:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1242', 'LTYWISVGCJZOOAHXZILOUWKVYJASYX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-19 12:22:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1243', 'JFNFXFJWBIHVDNHBVNAMKPGNRKFXUM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-20 10:15:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1244', 'KEHSYMDDYRMHJMWGRYBWJBGUIONAAN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-21 21:51:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1245', 'NYIHMRHRRWXFSAAFQJZIFFYMHIJBLV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-21 21:51:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1246', 'VSKHROTFOLZZTOXOKIKCDCNEUSFQJD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-22 12:12:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1247', 'ZBJZWULQMOAAHUSAWLZDPYSPKVZOVC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-22 12:13:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1248', 'KKYWJVOTFQQPXWJRIJDYFNIYHFJYVJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 08:30:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1249', 'GIEWKKTYTJFRYLCAWKHNZZLOPSFGYM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 10:16:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1250', 'NZEYTHSQDCAFYLUVMBOQDHURPQPZSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 14:10:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1251', 'ORJMGGMXPINFEGENCWVMPTYVSPTLFJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 17:17:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1252', 'PYBDDWVMKQVBZSAUFTBDTMSATEOWDB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 21:21:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1253', 'PYBDDWVMKQVBZSAUFTBDTMSATEOWDB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-23 21:21:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1254', 'ETGEWTMWQUBVKWYSUUKBDRRWPCETCH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 03:06:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1255', 'ETGEWTMWQUBVKWYSUUKBDRRWPCETCH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 03:06:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1256', 'OHOAEBRHYCWMGKHVYBGMUQFRRKGBVX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 10:24:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1257', 'QFEYCQFZTVUHTVWUBQRLGXWQZTVTCH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 10:24:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1258', 'EJOQEIAOJCKJWGPSXDSRRNKGXRBGVP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 19:06:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1259', 'ARNKWICOREWINEOEQFNEDMBMIFAGTZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-24 19:20:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1260', 'ZMEXSFHXBWZEAHQPGAKHFQQMJCCTTX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-25 10:20:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1261', 'URNPISECDLBIAGWNQOQWJELRCPAGAC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-25 10:54:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1262', 'EFDLFGEFZVWZRXNFMFJMGBYHSWODJL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-25 11:49:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1263', 'VBNUZKVYIZIXVQVVIDFGNJSQDPFWKT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-25 14:28:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1264', 'FTAWQSRNYTHUZUIUVCPLRXUWDTBKPA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-25 14:29:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1265', 'IINYVQHMZTNXEDZFIAPNTFOQZJHYHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-26 19:41:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1266', 'QPNVUEHNCDBBKPEBGONLDGZFSYXOEU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-26 20:43:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1267', 'QPNVUEHNCDBBKPEBGONLDGZFSYXOEU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-26 20:43:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1268', 'FZJEZIFLCSYGLZONWIYHNNSSKQABLK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-27 18:15:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1269', 'FZJEZIFLCSYGLZONWIYHNNSSKQABLK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-27 18:15:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1270', 'TZUHYFNCFDWAMMULHIAUHGRYBYOTBW', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-28 12:50:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1271', 'CNSDOPUHHOTEHSKLGGCRBOWRPTQRRK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-30 15:40:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1272', 'CNSDOPUHHOTEHSKLGGCRBOWRPTQRRK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-30 15:40:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1273', 'PPAJYIMXLIHLIVYMDUHZYHXMQNBAUS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-31 10:18:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1274', 'UCRLYKUYLMAKZXOKVBIHORPINRHLTS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-31 21:18:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1275', 'JWXLZNHLBZFBAWYLLZNBOBLRSRTVEJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-03-31 21:18:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1276', 'MLVISISPCYGUZZQOUXMAXKABGSIBPM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-01 07:57:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1283', 'HSLLMLNRGZOQQFQIZLIUMXDMYCWIFE', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-02 17:02:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1282', 'QYCDQHLJGKPLCUGUHOZGUHABOHAVIC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-01 19:30:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1281', 'MPYBGWKZVJPIJAEACIGSFSWJIBRSHA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-01 14:58:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1284', 'TXCKCUASPLMPJGPSLOMCQJIIXUWIZW', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-02 18:55:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1285', 'YHYPCZGKBRIQUIDHYCVYQMUYBQDMCJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-03 03:06:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1286', 'ZGWZUKBULHUOWRJTIKFTTFFPDBWEXZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-03 17:50:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1287', 'RQKSITZTOUGDDCJMIJKXNBFGTARTGT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-04 12:30:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1288', 'BDJLLPCJMMBEMMSCMQVBPVEYUZLVWW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-04 12:30:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1289', 'PYAQPFVVAJSQOACFGVUSFURFIKLMQR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-05 10:22:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1290', 'UGJBIYKYRZHNPHBXHSUCQVCYTWMQOK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-05 18:08:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1291', 'DKAGRCPIVKDJEGUGTKEXXJSDWHXRSD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-05 22:17:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1292', 'PNEUZFFMWOLQPPFPVJLYDKLGXSYYUO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-05 23:11:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1293', 'PNEUZFFMWOLQPPFPVJLYDKLGXSYYUO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-05 23:12:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1294', 'WIAPWBJIMDSEFPINNSPQPGWDRRIAEF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-06 10:19:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1295', 'ACQTEDJCRBGFJKZXWIYOCKPIGPXRIX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-06 10:19:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1296', 'BDJQTJVLOCHLYWWBZZQDIMUVJQHEYA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-06 14:04:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1297', 'BDJQTJVLOCHLYWWBZZQDIMUVJQHEYA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-06 14:05:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1298', 'YWYVQFPXQFPARWCNXRGEHFIITQLHVE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-07 07:29:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1300', 'DGZSYMXXGQXWJUOOXTFETSZPDGYPUN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-07 16:42:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1301', 'DGZSYMXXGQXWJUOOXTFETSZPDGYPUN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-07 16:42:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1302', 'AZUAKPQHBKPAEQGHWULYXOSWVULBCS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-10 07:24:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1303', 'ZTTJEKIOZWCZRSJBIAWQAJOKZBQMNS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-12 10:23:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1304', 'QHJXOMUNENAQJSYYXLBUFNGXDUYUCY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-13 16:45:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1305', 'FGCMRCOEUDHRNWQBZOXNWDNFZHUHUO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-13 19:21:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1306', 'ATKLLQIQXHJCAUNPDPDEFIFZHGZQZG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-13 19:21:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1307', 'GUUMCRUUHBUIZAPSHIULTBRMKFNOEL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-14 10:26:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1308', 'WWULYUVXCFDHBWERTQBKUIZZDKIIGO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-14 20:58:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1309', 'FTTZVHBKGDYUUANTBQNEFUSYERBKTF', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-15 09:44:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1310', 'IQOTXRRVUFBTUGAAVHPJVDPOEZLFSG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-15 14:00:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1311', 'BKTEYLGFZTDZCNGPBYYXXXTBZSLYWJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-15 22:28:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1312', 'EBJLGZRSXJVREGBIWBDPRKIXSPBTYN', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-16 18:26:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1313', 'UZUYACSJNAACKXGHKZPVTWOMZHKEDF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-18 10:15:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1314', 'JSTDFSPDMBFOFKIDAJDQMTEBRZHXPU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-19 03:24:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1315', 'GDAKWHJVIIKSVWZJVUZCISAOKJUHUB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-19 10:24:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1316', 'QYVXZMAISLQHUXHFCMSKCQNDKYVRGW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-19 19:41:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1317', 'VMWFTCLUZMWFHHTTWUOAYNZIHUXVCO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-19 19:41:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1318', 'BFBJMPAGTAPQJRFTRPUEGGPGEBISEJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-20 10:18:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1319', 'BRTZXYXIKXVAMMZPWXLXRGHDOQOHGJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-20 17:19:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1320', 'MRTQJVQYXAMEEVAVPWQHQXMWFJFZIM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-20 17:19:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1324', 'DUMZQYCKDDXYSDFOXHCSPPTSCNELLV', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-21 12:49:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1323', 'DUMZQYCKDDXYSDFOXHCSPPTSCNELLV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-21 12:46:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1333', 'VFCKSAFUNCLKJTRPBXXTUAYZCUZFME', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-23 16:18:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1334', 'RCTGQJFHYECTVKRVGFGBXYDJQEWLEE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-24 15:40:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1335', 'IYNZUMAUEGHQAGPZTCHREKFEGKUADG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-26 10:26:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1330', 'TKWHDFEZJUHONCBUZTUMQZOKVDHJCL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-22 10:24:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1332', 'VFCKSAFUNCLKJTRPBXXTUAYZCUZFME', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-23 16:17:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1339', 'EOKOXLXCRWVALDIJXEHPFAKUOBBQZG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-28 10:24:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1338', 'MPJQALIQGFVYTLZMJRMYMCPBWUWZGD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-28 10:24:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1340', 'DGRDCQIJEMIDBOSFWWIFZJHVJXXZQR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-28 16:05:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1341', 'ZQDAHTKHFDFWAJGNWBGNCFKOFMPQVI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-28 16:05:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1342', 'BAOAAIFWXCTHXTALPIUYHLXTTEGJNL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-29 10:18:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1343', 'UOBPDTLSOQUEHDSXUCNNDNCSHHWAHJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-29 10:19:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1344', 'TEDEYFTCGALMOHKWMJVOKRRSZPIEGS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-29 13:01:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1345', 'DXNOUNMPHTXNWMVNUATLOAWUHDZEVS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-29 14:04:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1346', 'YAZQTZDMSIMSOIPZDWQFSUAJOWMGVO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-29 14:04:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1347', 'RJAYBFVFAOBOVUJWJIKYXDHFTODIPO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-30 07:49:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1348', 'FPAKLUOFCWACFESOKAKIARPYTOXUBE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-04-30 16:59:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1349', 'WWVZOCNOJWUFUVYABRFRQZBXHXNFXE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-01 08:42:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1350', 'CNFWILNRFOVDPHFJLUFRTAGPHYNFMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-01 08:42:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1351', 'WTYHOSVWDLAVVWRUWKWNVJJFCNWPXZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-02 01:15:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1352', 'TUMSBFNHMHXZOKHLGCBFTACGKQCQIF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-02 01:16:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1353', 'BBQGTGZZHDIWUUMYMYFZYDFUMQVMPY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-02 10:24:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1354', 'TNTRMJBLYDAPNZUCIPASFBNWPFWLJJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-03 08:28:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1355', 'LDIEGPGPRACPKFFDZMKLDGBCKARUUI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-03 10:21:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1356', 'FWUGXBVHESWLPPMIQNADXNEUAVVMWD', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-04 17:03:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1358', 'CPBBHHZMRWTFXKJZKUIVEQMEXBQFAP', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-04 21:32:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1359', 'CPBBHHZMRWTFXKJZKUIVEQMEXBQFAP', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-04 21:33:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1360', 'PTWPFUHPKWMKIFNBDSESPCMUCAIYHF', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-05 09:44:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1361', 'AJEDODPFMHIAVCZYMROFTNBNFLDRYX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-05 10:22:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1362', 'ZASSPAHIURAOHBXHRUTFUEHYDWKCCB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-05 16:54:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1363', 'ZASSPAHIURAOHBXHRUTFUEHYDWKCCB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-05 16:54:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1364', 'HQJBOOMHDWTQHQZJGLBIIOYECTSCRS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-07 10:26:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1365', 'IWIWNAQJINAIZCCHDKQCKMIUJMGVEQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-07 14:53:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1366', 'NRWEXPJYMSNAWDYVCEKWPJBKTJGYMI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-07 18:26:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1367', 'NRWEXPJYMSNAWDYVCEKWPJBKTJGYMI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-07 18:28:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1368', 'LNYLJXACJRMCTYHRCCOFLDXNIESFCY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-08 03:05:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1369', 'PBIIDRBVOVZBMZGAMHJMZCQXJAXEUI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-08 10:53:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1370', 'FZIYTJXYYZLLCUEMSMZMWXHHOGKUTJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-08 17:15:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1371', 'DUKDZGJVMZWJGNHWVWUTVGZYCTOWFW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-09 09:12:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1372', 'KXAEARXFLSCHBNLNMTFSGDYMTAQUPC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-09 09:12:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1373', 'DIOVLRMPRIJDVLNMJXNRUJOROBVGKL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-09 09:13:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1374', 'CLRSGVXZJUIVJJSADEMBINMKQSCPMD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-09 18:22:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1375', 'CLRSGVXZJUIVJJSADEMBINMKQSCPMD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-09 18:23:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1376', 'SRELIQVMDVBUMBPKRGJMPPNRWDPZHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-10 02:26:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1377', 'SRELIQVMDVBUMBPKRGJMPPNRWDPZHN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-10 02:26:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1378', 'XGTJEOYXNAUUARCZORNGIFTOSDUOPR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-10 17:59:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1379', 'XGTJEOYXNAUUARCZORNGIFTOSDUOPR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-10 18:00:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1380', 'RUUFXDBGIXJMCGFEGHVUSVPCJXKVQQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-11 14:02:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1381', 'RUUFXDBGIXJMCGFEGHVUSVPCJXKVQQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-11 14:02:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1382', 'RHOQJBWPLMZSZZBODGNMRCKKTAXPKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-11 20:14:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1383', 'WBVZZGXJVKGZBOQPLJEVVKNEXWZKOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-12 01:59:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1384', 'WBVZZGXJVKGZBOQPLJEVVKNEXWZKOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-12 01:59:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1385', 'UBRNRNSNVNACVUMFHETAXCGOZEVALI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-12 03:47:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1386', 'UBRNRNSNVNACVUMFHETAXCGOZEVALI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-12 03:47:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1387', 'LWQRCKSJZISVWXPMQLKHTGJYCDCLHS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-13 10:21:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1388', 'RKNFVIWSTHLJSEPYOWPLNISPPIYZKV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-14 10:20:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1389', 'RXRRTFLBXCTLCKLWNSTOSZHFKKUACE', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-16 10:14:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1390', 'EVLLKHKUQHCUKLMHYHRKMXSHWEPBDA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-16 15:35:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1391', 'EVLLKHKUQHCUKLMHYHRKMXSHWEPBDA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-16 15:36:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1392', 'LNCMEGCFQTTTDUXCVGAXALHOVCIYQR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-17 09:41:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1395', 'GLKWXWXNJQXYHMTIJPUMEVANZNSSBM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-18 06:32:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1396', 'MLDNEWRTUJJRKYXHSATLVLKPUQVOYG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-19 05:06:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1397', 'LJQFNWLILHWTATRKRYTZLGKUULXCVE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-19 05:06:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1398', 'ZPHHMIPJDVJQMQDYGQITSSWVOUZWAL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-19 22:18:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1399', 'SPCWHJSITXTXGHLOJSBTVTRKBRYLSG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-20 14:13:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1400', 'GSNULZSWTGCGEZIPWSAEKJHEANEFBP', '11', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-20 19:51:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1401', 'FYXJFJRUOSNGAHMFRVXQWTUJKWSCBF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-20 23:53:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1402', 'ENKMEIJFXEAAGNOOKMCMQMRZDKLXBI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-21 05:29:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1403', 'LYTXNORCSCVQKVBVQAKDMLYLWKHUYD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-21 10:16:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1404', 'FYNLOOYBIJUHQHHVSFZSEXTHTNWNTW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-21 10:16:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1405', 'WBEQVSVPGQTOHNZHRIXZWFHWBWWZXS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-21 13:24:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1406', 'FAALMFBTEDGFAETJUWGEZHFYHQIJWA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-22 15:42:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1407', 'KAQOCJIPNMQQCCWAJURIRUDOVGKMPY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-23 11:00:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1408', 'OHDKZYJJLDTODFMWLCMHHOCQEXTPZS', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-24 09:33:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1409', 'EBYFXIBRORJBELXHFAOVRYFRNGHHAP', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-25 08:39:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1410', 'FBCRLVMDXZXLQIAMRPXQNQGEHGKQTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-26 21:08:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1412', 'KYFXDEWGROHRSJFGQXARKNRDFDOLAX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-27 04:33:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1413', 'KHUDTUWMERUMNZXMSIRYOYQTGOOTYM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-27 04:34:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1414', 'MBYUCCTBGGBWWCUVGPSFTGXIDGHSJH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-27 05:36:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1415', 'AXTMHLFGESZOPEXKMTXPPBHMKSMIND', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-27 10:18:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1416', 'GUZEVAEXFWEYHBRETTVIKZHQVODNGM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-27 10:46:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1417', 'CBKGQXVIGGZZZNSIOXLMQELVRFRXJP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-28 12:31:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1419', 'ZKAMCBZGDFTLFZPSAXPWBVRGJKCYFR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-29 02:46:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1420', 'OGGXZPMSAWZJROOFCWRJJTMMDMYQMF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-29 02:46:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1422', 'VSJLXPZHCGCXDDYKONNBCOVQKOYTJK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-29 15:14:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1428', 'KRQHAAGGNDDFWMLCEPLAPCPOLUOIMI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-30 22:01:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1427', 'GPZNQYGSJYBGZDWVGETOUBVCBHDIBY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-30 15:25:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1426', 'JDAAETBSPIMLBXFSWVGWJSZMXNBZJT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-30 10:22:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1429', 'OJCTGHPTFVTUTZZBYBDPBYAAPMWASL', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-05-31 06:53:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1437', 'APMMOIJRRJUUPRCVCHHRTDWRMVTPZR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-02 21:42:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1433', 'GUSSGKUZDPELSHSNORDAGVXEXEMITF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-01 20:02:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1436', 'DEHXNACFDEITTHZRFJXGXPNIRIDSTR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-02 21:41:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1438', 'LHSTTBCHXPZZVMYMGLBLMMXHBRXCNP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-03 10:25:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1439', 'GWCMUKCQBHGYEOFXLUTBNSCUANKMQX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-04 03:01:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1440', 'RHHMQALHQTOMCDTGPUXDDBXZMUIOUM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-04 03:01:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1441', 'JEENGWSUEBWMLGOEUIIQDOCPJQXCDY', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-04 11:19:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1442', 'QCFEBTKOGKJTHMVHQFWZQBUWMXKWXD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-05 10:19:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1443', 'DZECXSGWSWVDMDFQSEQFDUSOHQXMXN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-06 07:28:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1444', 'MUKMYHRRAOVXGQMWZOEVZZGBHBJZBW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-06 13:04:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1445', 'TSCRGRLBZUNDWPUSLRAMKUUGXFOZDE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-07 12:32:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1446', 'VLBDNRODTWAWGDFVTFRVIKCPPWLWPF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-07 20:18:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1447', 'XUUZIAUAFSGJPIICSCJGMXVUGQKJKY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-07 20:18:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1448', 'VDUOJGMTVCCDTNLBDIKRTYAMUDFVFE', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-07 21:18:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1449', 'HUQSLNMKHNCHSDAJTVBBHHXJFXZMTG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 06:25:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1450', 'TUDALIKCLPJVFBSTQKQBOUBOPAVIYT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 07:04:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1451', 'XILULUYHVQDVUQQNPYXZNOEAGIHDTM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 07:05:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1452', 'OJOYWYKZFZSZCLXDYGMDLGKZVICVVR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 07:05:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1453', 'FDVKVYCVKSETDRDSGAVQQDPXYSZZUL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 07:05:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1454', 'KPZVFKUKLSTAMJCOIFFHHGCZBOWPKL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-08 09:56:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1455', 'VSRCMEZRMCDENPXMPYHKBUWRNLJAGX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 00:05:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1456', 'NZIBOZZNNNYYTAVRNXPJWQCOHEZJMD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 00:05:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1457', 'EYJNGQQGWRXXWSDWMMERSURXURYCOU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 06:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1458', 'OTJFTIOXIYICTLVEDYVYBPYJVBZOBD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 08:11:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1459', 'PJBRZARALPKNRLYLNANSUVWKBUFUGS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 10:29:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1460', 'MDXNGIHFDNIYTTEGKAGISNPITNMNQU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 15:29:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1461', 'IVKVEVAKGLENWVVYNYYZLNDXWROFLT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-09 21:44:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1462', 'JRKMVMCQWUTBFQYEFKYOPGBSKQTJOU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-10 06:49:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1463', 'QMRFBEUZDHERVWVYZXWSQIFPNDUMOL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-10 10:25:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1464', 'ISOCGKOKOZPPDZIXLQBMFRQWURFTWK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 07:35:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1465', 'CRHMJTZKOBUIVVGDWVYLQBQJQTZJGR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 09:09:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1466', 'UPILOQGURFNCHRMDSVORSXKCKUCNRG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 09:09:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1467', 'TLRODKGELYTUMSIPWAHECVKLAXNCUO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 09:58:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1468', 'TLRODKGELYTUMSIPWAHECVKLAXNCUO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 09:58:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1469', 'STHTKOFZSVREMSRZKFJPWTVHFHZNCR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 10:21:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1470', 'TFQVLWVTPXOXDOGFKCCJLYJARSDIPD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 14:28:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1471', 'KUCBVVUQNADQZPTNWRXHVPPYMHUOZX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 15:56:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1472', 'QGJQRMOJWDZROQVJVMHBXVTKLYOUYM', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 16:47:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1473', 'YKRSSRUDJIGZJPVAIBMJRCRLOFGXWV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 23:09:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1474', 'YKRSSRUDJIGZJPVAIBMJRCRLOFGXWV', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-11 23:11:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1475', 'KEGOBFVTLKHFQQPAKRPUGTXGYQCRBD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-13 06:10:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1476', 'CKQTUAWDBBBWIFXIAPQCLVPKNLLUAH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-13 06:33:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1477', 'MZWZLPFYOVYKKIRNOMHZCEXHVXOBCU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-13 06:33:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1480', 'PXODIFNDCWVFKHYYNKMLZCWAQFLVDZ', '2', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-14 12:22:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1481', 'DZIOTROYVPUJMGPLMRWVGFFPJGFUGC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-14 14:20:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1482', 'IQPFDTHISVLWQJFRJRFHVBSXXSSUSY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-15 14:55:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1483', 'TIKNSDOLGWMWXVDNENXTWCLKXEWNVC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-15 14:59:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1485', 'LVVHABGFQWDARXZPCXZWIZYLEXZQCR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-16 05:26:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1486', 'HKQOLSLXKZVKMKOPEUFRMHPKBTDXAZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-16 05:26:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1487', 'EQETJGNHFODVHDYNTASLBWLFGZGRRV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-17 05:50:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1488', 'IQGPVZBSEZWAZIGYIASOAXMKLQUEHI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-17 10:18:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1489', 'YPIOIOEKYJTOSRVRHQJHGJSJZWKBPC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-17 17:19:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1490', 'IKQINORBBMVQGMJQNPPWTKUCAVFVZJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-17 17:19:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1491', 'GBRGQBWPFWNLPOQOWVCDOMXUNOCUPV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-18 12:32:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1492', 'NOMWRJXCDQBCXEPUKRMGHODQUTSIWQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-18 12:32:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1493', 'DZDEJCBYSDOTGFWATTDOXXGMMVLDBA', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-19 04:58:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1494', 'MOTTGICUKPBYVEAJTDCRWEPTKMHETB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-19 12:24:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1495', 'MOTTGICUKPBYVEAJTDCRWEPTKMHETB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-19 12:25:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1496', 'WKQYCWGHMHRAJFVWWHVGMECEWSLYIF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-19 18:58:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1497', 'HOWLGKTZGOVYDGHSHMWRROIQFOYKCN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-20 18:41:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1500', 'WKSKPGTLVDGYRXKRWGMCPSBEHYPTMM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 09:06:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1501', 'MGIIRDVQHAPSSAPMNLSNKHFDFSYXGT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 09:56:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1506', 'CJQYITCLLZTBNOOKFGBXNTMXOYSQFK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 21:55:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1505', 'CJQYITCLLZTBNOOKFGBXNTMXOYSQFK', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 21:54:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1507', 'MJWJFHCKDRLPSMGRMAQPZNWSPZUJDV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 23:46:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1508', 'MJWJFHCKDRLPSMGRMAQPZNWSPZUJDV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-23 23:46:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1509', 'NDCEEFXBLMKZNRYCRVATTYKFHGKHRS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-24 06:28:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1510', 'WAXVPKCDGHZJCFJILTMAVYUVTVQGDP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-24 06:58:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1511', 'GXWOFAKKYJOPGUYKWXKYFDNQYUSVYQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-24 22:30:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1512', 'GXWOFAKKYJOPGUYKWXKYFDNQYUSVYQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-24 22:30:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1513', 'FYKZMEEGVCNFBADBEGBPGPWSKVZJYL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-25 07:22:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1514', 'KNBTQIVHOFEKJIDJDULTVWLNNYKDZC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-25 07:22:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1515', 'XSABGREEAGKFBOUHAVTFPQZWMILFML', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-25 07:46:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1516', 'KOMVHOERXAZDFUZKMUWTICQDBVVWOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-25 07:46:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1517', 'REBSKCVVWMCBIDXOANTNSPOWECPZXG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-26 04:48:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1518', 'UKMCHWZJUGSQTXNWRIKSVUDJLLQEZJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-26 22:50:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1519', 'UJCLCYQQTHSTEWHWCKVEDVFOESGRYU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-27 04:07:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1520', 'JOINCXBQWSQNRFHSYFBTLMNCDNZEDP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-27 04:07:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1521', 'TXBIQNTPVQGNTKXRTGDBXDXFTFFBXO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-27 15:22:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1522', 'MNIZLSRHNEFXKSDQZOASGBAJSTUKAH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-27 15:22:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1523', 'MZZIDUDLLEVCQYFOZZRLMAVBSGPNCV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-27 15:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1524', 'DBOFPUGPSQROTDFYMKXVVXTZEBGTNH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-28 00:10:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1525', 'DBOFPUGPSQROTDFYMKXVVXTZEBGTNH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-28 00:11:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1526', 'UHINOMIAAUIOYCBYWXSLATANWTEYGN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-28 09:12:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1527', 'VJPIEBORFPUKNUJHKOESCRSZUFHWBU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-28 10:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1528', 'QCISSXBOLRHOGGVRBXCLDTFJRUHINX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-28 10:35:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1529', 'TKSGPGPPPFYECKKLARSDUZUSNMIDKW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-29 11:31:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1530', 'TKSGPGPPPFYECKKLARSDUZUSNMIDKW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-29 11:31:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1531', 'UOWAVFRBKXOKGXSQWVWKGHQOFKWEZV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-29 23:46:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1532', 'FSSWGVHWHLHMZDUZAYLZZARWDLIIFO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-29 23:46:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1533', 'EFCNZWDPZSVSVTFPSVIVARGDHGPFIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-30 07:14:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1534', 'CGUYQIQJORNOOUAYKVXUMBKDXZBYVR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-30 07:14:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1535', 'VTYBLVKXJGYVYYTLYFSHUZHWCFDRUV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-30 10:31:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1536', 'VTYBLVKXJGYVYYTLYFSHUZHWCFDRUV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-30 10:31:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1537', 'ECRUCPRQENCUKTROOOUQLJZRCCIIUT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-06-30 13:56:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1538', 'XFTCYNWISSJPUJOTKUBIIGBIMYEZUW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-01 10:18:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1539', 'RTVEWRKUBAYJTHXUBQAVNITZEMOPUU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-01 13:02:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1540', 'BJXTLTMUNJRJNBADUURSDEVYLAFQNJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-01 13:03:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1541', 'SVFHGOYWEGVNPTYAFOFDACGVCFWLJT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-02 05:34:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1542', 'LVTSRAVAPEVGYJEBSSVIHHLOIXXSDI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-02 05:34:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1548', 'WBLNZUEECQAAXCNJKIUYUGTZYGEOTU', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-02 17:39:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1547', 'DRURIRNIUCIGDSPBMXZQZIEVMBFVPO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-02 10:24:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1549', 'FFPRSCNMELPBVMCPXHCMKMPHSTKGYP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-03 10:16:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1550', 'DBWCRXGRJSOVRVULNFRCWTEREFNPZP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-03 22:30:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1551', 'VFSRWIEDOOVIKUXSQRLYDDOQIGNXUF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-04 11:55:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1552', 'BGALCFCGSXRIWNMDNQFQWDIFUVRMBS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-04 11:55:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1553', 'OSVRVQMSJUULVOUUGNXXKMUBYBMRWI', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-04 18:51:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1554', 'XTMGZMMFFIUKLIUXRYHBHVMPZEKDRM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-04 20:05:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1555', 'XTMGZMMFFIUKLIUXRYHBHVMPZEKDRM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-04 20:05:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1556', 'IUSVAIDHMADQRADOHKAIMFTGEWLDBL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-05 10:26:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1557', 'ZTKICLIPWRDZFZZLNBSERYDADGLBER', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-05 10:26:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1558', 'WKSNZHDMDIXBLAXEYPFDMPDRYZPYIJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 01:45:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1559', 'WKSNZHDMDIXBLAXEYPFDMPDRYZPYIJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 01:45:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1560', 'TIOKEPUJZQGEPCEWWVWDQILMUQIRGZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 09:35:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1561', 'TRKNTPAZHOVVUVVFLDBWKBXRGRAGYQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 15:47:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1562', 'TRKNTPAZHOVVUVVFLDBWKBXRGRAGYQ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 15:49:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1563', 'CJZHCFKLBLLPSGOAMDTWOIEMCZULNG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-06 20:39:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1564', 'KLVIDYSFXEWOXEQCUORQIVZTHIULUC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-07 11:12:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1565', 'DAENJPKYZJPOILGOKOZDCBXKZNCNFT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-07 11:12:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1569', 'SQYOHLWRDSXKCRRJLFJFXQYJYJEPZN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-07 14:54:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1570', 'FDZOHYEFCFUPGFPLGWVFDFRGEWRQXB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-08 13:55:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1571', 'FDZOHYEFCFUPGFPLGWVFDFRGEWRQXB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-08 13:56:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1572', 'PHUPQMJVTHUANYYEMOHBVPWUVYIKGO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-09 09:31:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1573', 'UPDEVETDUOGZSVWWVNPVQOOMAUWHMZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-09 09:31:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1574', 'MCYIAARUDZWCEWIQBAFFTEGNZHSUHI', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-09 16:24:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1575', 'FUZCZDJGPZBDLCILALOPRAMMHARLCR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-09 21:48:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1576', 'PMBUDKHECXXPZHDKSJMHXYXVCBRJRF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-10 06:06:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1577', 'OIZLLEQTBJAUMVYXIERAXYKYAVHJGM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-10 16:59:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1578', 'VXGJFWQDUJOFVEDXJLOSCRLYATPDIW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-11 07:21:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1579', 'JRKDYVOBCWLSZDGAFCXPZTEYTVTIUQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-11 10:23:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1586', 'BLURAGDYXULLEMFQFNSGEZBPLTCMIA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 04:45:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1585', 'UWOPRVMZXYRGLLIWJIDIUVPWBSLCWY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 00:06:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1584', 'OTJMEAVYSOWPGITSGPTYLSXRBRTRVN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 00:06:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1587', 'DRWNSYFXDEJECTMVXXQPZWUFBOYGPQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 10:20:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1588', 'DVAGANPOEFECWHUICVEUXUBSKBSPSU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 13:22:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1589', 'FKAPHBDIXNSFANXYKQDRGLHPWLONRJ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 16:24:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1590', 'HJIRSKILMVQZHBBZGTEIFTNMJQMEOX', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 17:08:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1591', 'HLQAGKJUBNLNHGBFQBQSRFCMMWRHGD', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 17:18:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1592', 'EBJCQSRZFJMNQKRIKDBZQZQOUMWDDP', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 17:45:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1593', 'GYDPKADTNJAXZOIZDHYCKNIPNHJVAP', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 17:51:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1595', 'LKLHYBEGNJEUNAZMVHJKUMDMDPOJLG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 19:41:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1597', 'PUQGNYQITXFPEEUEZTZFHBIZBMZEOS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-12 20:17:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1604', 'EUTPJYBYXUFIUMGPBWAVRMRSDCRLZT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 06:55:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1603', 'ZBSNBNDAKAGOPAXEEMCTHQKOYJCMFN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 05:01:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1602', 'CLZCRMGQLDBPOXXHIASGTZZUWZXEXV', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 04:37:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1606', 'AOVIJKWVTVYVAGYCLTZZMGWDZMRLQK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 08:26:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1607', 'LEDGWQBYPIINDJIQMOEMJRFHSVTNTS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 09:44:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1608', 'SBEDGGNNSJNDKITFTEHJPUZDPSMRCK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 12:52:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1609', 'JUWYIVSOQFHIKVVQTJLSKAGQQMTREN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 13:35:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1610', 'EEOMOTYAWVVKINPZORJOVACCESDCAK', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 20:42:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1611', 'EEOMOTYAWVVKINPZORJOVACCESDCAK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 20:44:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1612', 'EEOMOTYAWVVKINPZORJOVACCESDCAK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 20:47:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1613', 'EEOMOTYAWVVKINPZORJOVACCESDCAK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-13 20:48:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1614', 'GIYAKXNZFDKWXDTTVBXGRZCBRJZFJV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-14 01:30:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1621', 'CHAXEPNPPNWVOIJNJZKJSTEDHLUSKF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-14 19:51:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1620', 'ZSYLNNWTPGRTUEPVXWNZKGIIEPDIHX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-14 16:00:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1619', 'JOJRBDERHQWLMKUUNMJKUGJOUQZOMP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-14 16:00:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1622', 'NCFXOENQQSVPUXMFPRYONRWLBQYOYQ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-15 09:10:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1623', 'NZWEKPIMJAHCXBFRSAZQGRKENQQIYT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-16 07:04:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1624', 'BVCXAIPBSOBAFGJISXDAIJYITIWRFM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-16 07:44:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1625', 'MTLIOQFPDORNDGHMYOBVUMRPDXBSFV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-16 10:45:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1626', 'XZYQWHVWVHZIHNIOSFETEVLPQYJHFC', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-16 12:52:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1627', 'TLTYIFREBCMGRRXKVFZVCKTPEPSYDE', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-16 20:17:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1628', 'YITHVFEAJGQRHUCVBFUQSMGYOSIUKH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 04:42:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1629', 'QKHRVCUBXMWUIGHXZMUGVQNEPDSIHJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 04:42:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1630', 'KSGPHATYLMBCAWSFGQGLFRCZLQBFZA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 06:30:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1631', 'NRBXIELRKVZSBICAZQCPYYYDPBXYFM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 06:30:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1632', 'RLHPELCMHNXPWZTSDEFZPLFRLHLASI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 08:55:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1633', 'MXNDDQURNRBXENLLHYKJXBIVFOLZNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 08:55:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1634', 'HZESSKFCNEMUTGFNRGWOGIDORAAPBI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 09:37:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1636', 'CPALFGXZUNUJWZUXZFVBZLJHVAQIPD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 15:52:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1639', 'ARCHJQFPPCRTBMUXLXAJRFTXNAWZCB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 22:32:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1640', 'ARCHJQFPPCRTBMUXLXAJRFTXNAWZCB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-17 22:32:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1641', 'KJKKLSQBXAHBJJQHXMAYZODIRINSFC', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-18 08:32:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1642', 'VBWRKQPJTYMEBUEZTOCFYHBGKTWWRV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-18 09:53:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1643', 'WOMQPLVDRBXKHQRQEEJEBSMMJSJCRT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-18 11:07:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1644', 'ULVNXTDSBTRUGLROQTHUFXWWXXYOZT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-18 11:07:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1645', 'HNAUWSMUDOTQYFWWALXLUWTKZGHKZT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-18 21:45:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1646', 'HZYKQZRAWKFMIZQVNPHZLXGXQMXOTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-19 12:01:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1647', 'YVFDNKVRRHGHZEABPIGUNTEZEHPCTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 00:04:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1648', 'PAROHNGKTWFXKLFUOVMGZEKFDYUYFM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 10:35:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1649', 'ASNXLGOSDSSWFEDOWVYXAHVZNCOIWY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 19:51:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1650', 'YELWCVEDYRURENPIPZKPAEMLFPCEDY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 19:51:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1651', 'WEXIJUPDPJAZIFKQVCTRXBLWFKGRJX', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 23:40:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1652', 'WEXIJUPDPJAZIFKQVCTRXBLWFKGRJX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-20 23:41:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1653', 'KIXAVNUKXXUZKIXYMKDGEXNCCLIDPC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-22 10:18:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1660', 'CBEKDUFWSPXMPHXOGJDFEQQYHCMKDH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-23 20:06:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1661', 'RCJMDRTTGECPCEQPSZEBBALJERDZAH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-24 06:35:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1659', 'HEGGMSUEXZXAFZWUWZBUHODYJDBMYG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-23 10:16:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1662', 'GPVEFNEAASCYTYBMURJPZPADGOVSLR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-24 06:35:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1663', 'EOMSHOGCRUVVTEIRIDSWTIWFQCWVFY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-24 19:53:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1664', 'MKKHZBODCZOMZWUGOCMFXSPCVSMBRT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-25 06:21:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1665', 'GLOABNMJHFJDYTWRBOIPWDACXNICDW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-25 06:51:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1675', 'KGQDPSNQTARNZFXPAFPYYJKEVEOFTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-27 08:17:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1671', 'RXMDJMOSNEDYJDPMIOXLRLBUYUTVVF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-26 16:43:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1677', 'FSVDYFVZERUELNIYSNJWXZNTZQRHHT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-27 10:17:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1676', 'ASTELZVPDVIKODAUOVFDZCXFAKACEU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-27 08:17:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1678', 'MCUODBHAIAGEHGGFMVMYSHKHLOGUPF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-28 07:27:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1679', 'YXXNXPMXHUILBDOMXQBJOIHDDXXXPN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-29 06:23:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1680', 'IABRCJNFNTWKZWMGYOKYYHNRUWONGD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-29 10:47:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1681', 'GORGLYQFUCVYAPFLKUUVNQLEDSXQUG', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-29 17:06:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1682', 'GORGLYQFUCVYAPFLKUUVNQLEDSXQUG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-29 17:07:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1683', 'VQKESJQQRVXNQBRFPDITMJOVLVQDPL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-29 22:40:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1684', 'TDHKJSGNUZPWVHKYRJDIXRUJNPEYJV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-31 05:52:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1685', 'TDHKJSGNUZPWVHKYRJDIXRUJNPEYJV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-31 05:52:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1686', 'KUVJOGUWVKNHYFXDFILPCAMWDTJMGQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-31 08:44:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1687', 'JOGIRKDXNXCTKTSERHTZAXGJBBWJTO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-07-31 08:44:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1688', 'JIAHUBBNYMSEORRILTULGAICCAXIMO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-01 10:01:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1689', 'UXOTKMDYWUCIMLVMVQXKUFGACSALSI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-01 10:22:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1690', 'JXAODMYGUJNAJSKKDDXDSGUWHJONVD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-01 13:08:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1694', 'TWPVFBYHDZZGSGAAKMVIZUZXHFFCXF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-02 14:55:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1693', 'ZAMDZXVWNKZWBZTWJXMRSOXAAHSECM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-02 10:18:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1695', 'YDOBPLYOKPXIPDTHGMAVCBNAXLPYOS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-02 18:24:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1696', 'YDOBPLYOKPXIPDTHGMAVCBNAXLPYOS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-02 18:26:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1697', 'IPXFLHASVGKMMVXPHAOJJPQTOTKBPJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-03 21:47:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1698', 'WBYPYSIIUQHHXNHENYNGTKSHEDMFBZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-03 21:47:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1699', 'ZEORRXGUZMSIEXMCSZGQFPNDAWNKGQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-04 04:36:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1700', 'VZBLSXJGGXPLOTTYMWNRRIKZEVQIBO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-04 09:37:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1701', 'FJYHUTFPALFCIWXEJJJYCLRILKEQZA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-04 09:37:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1702', 'PGBZVDAAEKCBEVXNTICLRIOITKXTVQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-04 10:23:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1703', 'JMSQYYHFIETQHUIBEUUOOCVNFSSTAZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 00:36:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1704', 'JMSQYYHFIETQHUIBEUUOOCVNFSSTAZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 00:36:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1705', 'AWXLVQMZSSBJPOTOITPGOEQKSRUYUZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 06:43:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1706', 'RZRQJHFWENRICSBEJVZOGGHDIDKDOH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 06:44:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1707', 'QVCMMAPRMUYVWFGOMWYOHOTBECYJMJ', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 07:44:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1708', 'VZONQBNTLJZJYGUQBLLQTUPXWMCFDV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 10:26:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1709', 'IHOGCEIHGCMNHHJHBIYXQAOXRXPTYO', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-06 16:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1710', 'QDCKORINNBVULFJAPIKPZFVBTZLWAM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 03:49:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1711', 'QDCKORINNBVULFJAPIKPZFVBTZLWAM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 03:49:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1712', 'DGTMQXNJXISRIXSCJVMDZCVNWPYCMD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 04:56:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1713', 'UVUDRYNEZKKSNANMOKPUMZAUYBTLYA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 04:56:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1714', 'XTJPLXQICSBWQYZXVHHHRNRNIZUWMW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 07:35:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1715', 'XTJPLXQICSBWQYZXVHHHRNRNIZUWMW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 07:36:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1716', 'VRCWKDVPDBHEWTZBPFAWSPJYOZWMTF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-07 13:55:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1718', 'KPGXJRHMATHAOIQZSPIPJIJRFFDJJT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-08 10:24:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1719', 'VVRNWZOEJQNSQMBZHRTLSPYLCUNJOV', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-08 10:31:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1720', 'VVRNWZOEJQNSQMBZHRTLSPYLCUNJOV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-08 10:32:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1721', 'LDEVGTZONRIRZCLJDNLZSJMNQABSES', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-08 11:22:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1722', 'AOKFMAJUKHBKHEOJNMAHNAAZCIQILQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-08 15:00:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1723', 'UDAHKYHSBAWKYVIEBPBSTJGFLYRDKO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 09:29:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1724', 'KMUCCMAZXUKDFVDIATAMVRVKLMAWAB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 09:29:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1726', 'LUHTSGVXLVLXNVJCMZCRAUZJUTWXJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 11:34:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1727', 'VOXFITJWUDKHBNTOVOIGFYAXPVYIIJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 11:34:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1728', 'YCZXYKUAUMAXYGSJKZDBYOVVYHARMS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 22:34:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1729', 'XHOHDWJAKDCOOFZYWNAVSAQEHOOSSZ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-10 22:49:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1730', 'OLNZHQEQHYMNOFBMGYVDGKSXLFDFHQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-11 18:23:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1731', 'LNJDXRFZWXADEQMBLVZNHCRMOVREJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-11 18:24:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1732', 'GATEZZUPHTPHLTUUTUDPDKHASCZZHM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-12 03:10:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1733', 'KXMPGJWHXGDHRQPDSDQWWDCPKMONJU', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-12 12:16:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1734', 'BMOKULZQZMKYRIEMJYNATZHIVNGNAG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-12 16:06:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1735', 'BYHRHJUCANFPVCPVMEQZROEYHFUEAH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-12 16:07:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1736', 'RXRQJUDFJIRJGVGUTAPEGBEUMFDOFR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-12 16:08:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1737', 'TVSKIHMIUKQCEMKIQTDNDHLUDBAYBE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-14 03:02:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1738', 'ZOVOOCMZNFXLPBWXCYXQMSJSDKNAYQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-14 03:02:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1739', 'FPYKHWPKTIXCGKYASZMUHBYZAQCHTS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-14 20:01:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1740', 'PAZZMSOJJTDWOUDUOPIZWDGSUKQTDA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-14 20:01:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1742', 'CEZRQZXICOGYBWSMZLREKOFWDAJTFR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-15 18:09:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1743', 'BXJHNDAQPALEZQBQVICZUCRAXGIWRE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 00:31:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1744', 'GFOPFGKRKTDTIGZMAZCMPOIFJCQTHN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 00:35:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1745', 'NIOKAHXCBKNKTEYAJCCRGBNWBUWAYQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 07:53:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1746', 'MNXMYXIVKSJKIGGNRWCVNUHQOIWLCU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 07:53:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1747', 'GSARLGVOUSESEAPBJGNQNDAZBIFZXF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:32:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1748', 'TXQMWEVUXZQSLNRBHXMOWGCTRFVUUT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:40:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1749', 'NWYMSRQGKPGGGYUIXOTGBLUGFGMRPU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:41:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1750', 'VUYWKFATITMKTUIJGIECGLQKKXBHOH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:42:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1751', 'SJPLSMYONOIHNIAKUEOLFXAGQGIMHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:43:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1752', 'YHWZKTDJAPDDRJFEWBBXYCQCTIFEAQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:48:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1753', 'YJWOCTFHZCEPNVOVTKEBLPUBINHKZT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-16 20:54:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1754', 'VAUKZVIKGDDPNGNXALBSTWSAEMNCGU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-17 17:36:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1755', 'UXIHGDFUWYQTXQMUKWUHIHXAFYBSZS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-17 19:05:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1756', 'FLKZHEIIMAENCGEASNHBVLKZOLCEDH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-18 01:09:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1757', 'DTVSBIUBZTKKCHSTIFIJXOQPYDTSGX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-18 01:09:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1758', 'EITUUVISFRWIBXKPIJTGLRIPSAJKZX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-20 04:07:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1759', 'EITUUVISFRWIBXKPIJTGLRIPSAJKZX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-20 04:07:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1760', 'EOCRZEOSLAZLJXJNFPDNOVPUTQAHAH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-20 21:19:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1761', 'SDJLFCVTBHQHTMZECVRNMCBQWWFDRB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-21 05:10:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1762', 'RBVRJNMWMAQQUBDVLBTLJDGWTTDJRV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-21 05:10:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1763', 'TEXXTGYZTJSXRSOJAMWQZUVVJSEATU', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-21 08:40:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1764', 'NCRLCWZLTMLAFBBHMYZQILOWITJEKX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-22 10:26:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1765', 'INIFQPZDYFXVHZGFEEAHDWHNBMDZDD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-22 22:38:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1766', 'FBYLGRMZBJORZDTTALQSTLXGDOLKEM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 00:31:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1767', 'IOXEBQKYQOPPLVQOPPXZLEKLLSMISN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 00:37:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1768', 'RAVRKTFCVRBRQABRFCGBVYTENVVGVZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 01:31:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1769', 'PEKTQMSRMZESXTOMZBKTTXDQDXYFIM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 06:55:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1770', 'CZHSVMQNAUYCVWLIIESKXQKKVYCGAH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 11:26:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1771', 'OQVTRMZAXZEUQQBLBFNGVMRAZCUCXA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-23 16:31:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1772', 'VLVXKGFBLBKDYIQILRTGMWYYZZWFMB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-24 10:22:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1773', 'XJODSFJQDKDCSSNHKCOEGYHOPQLBCA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-24 15:59:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1774', 'AGTZOGYKZTVCOQGUNZGQOZTZWWDEIQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-24 15:59:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1775', 'EZHWDORVZAIRNLQRNLFWEVNTMAQWCW', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-24 16:50:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1776', 'AOUBBHVIPFIWTTAOLUSJKBIRQDBXNL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-25 10:22:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1777', 'GHJXGDMCXASOUGTQUFQMVJLPHMBBMG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-26 08:52:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1778', 'GZGSLSNYCTWPEYFXHQGGZJQODJFHWC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-26 08:52:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1781', 'JLDYAIIXDFNEPPUCXZFCKWKXHWPCBR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-27 23:45:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1782', 'UNNATSZSRHLEYCAUHIIKIPILGHHQSR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-27 23:48:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1783', 'UNNATSZSRHLEYCAUHIIKIPILGHHQSR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-27 23:48:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1784', 'KHBGRCDPTJHOZURUHVWPZGDASHJVNU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-28 05:13:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1785', 'SWILWVSZQTJLHXJAJMHELIMUVYZAJB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-28 06:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1786', 'DSEHZAHSMPZFUDOHLBWGMSZWDRXYAN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-28 06:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1789', 'CZRRPUZASALDPYNPJYROFWKDDWSAGO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-29 10:30:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1790', 'RPBCKQNVRGPUPMFGUUZVFHGRHYOHPH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-30 00:29:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1791', 'XVIFFUKWMGJGTJQGZNYPLCMGAYFTLP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-08-30 18:32:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1792', 'KCEVILPIBTKQCMQHWABRXRTEYYBXIK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-02 10:24:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1793', 'CWCIPMRNIPKTOBWJJRHBNCWARWZXTL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-02 10:24:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1794', 'OMAIIWKCWKSBOSMJSQCBSCEAIGBUNL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-02 17:21:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1795', 'EHBNEEMBUQHEGZSUHMYHGXSVXTPIQF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-02 20:31:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1796', 'EHBNEEMBUQHEGZSUHMYHGXSVXTPIQF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-02 20:31:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1797', 'WLBJYWSFMTUFVLUVQITGVPAYTBJJHJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-03 07:23:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1798', 'OCLFQPBLZXWEBJSDYLZBRLRZNNDPVX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-03 10:17:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1801', 'JHBHQMISDZHVJLOPYDYEYINAIAMMQS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-05 10:35:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1802', 'NQUZBJAOJRDLHAHZQZXDRJZGMXTCMM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-05 10:35:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1803', 'BOCKICMQVUSGXFMHMSQFSBOGFNECIQ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-06 10:02:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1804', 'QIGRZXNYMXQQXVIZPQTSHRMHJVZQLE', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-09 05:22:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1805', 'ZSBLNDEQMVYHMEXEGOTGTZAJBUIYTM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-09 15:14:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1806', 'EGSEFZYZTVTJWJYCYWSIEFSWMEUVYB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-09 15:14:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1807', 'JXLOYOXLCZTDVTNLIDPXJWQPWTYXCN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-10 10:22:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1811', 'JQHMMFUZLOZALKXNRQVQRBPANPHJOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-13 16:59:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1810', 'UIHYGNBVWQKJZERQBWFHFQKPIKQEOE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-13 06:12:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1825', 'OYINHZQLJWXOFCXWLJFEKNAFVOZNNS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-15 11:14:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1816', 'HAYIYHCEFUKUQMMSMIFBQMTUBLLSWT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-14 06:29:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1824', 'OIWERDUOEPQORXPOQWNCSSMQIGKPAG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-15 11:14:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1817', 'KPGDNYSEVYCOSSAFEKGFQFIHRVKKQV', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-14 10:07:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1818', 'BRXQELTUUDZGGVCWELGFMFDWYGZNYD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-14 10:26:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1820', 'EDGASLMATHPKBOHEVHJMJQHTOHXRIV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-15 07:09:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1821', 'DWTCIHWBDTUHTQWXWMZNPJNRKEOQHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-15 07:09:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1823', 'BGVHVTYAHAIOPYAMJSBKDONXTOJENZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-15 10:19:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1826', 'EGIIALUWEXMIBILGQZJMAQNHLZSAFC', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-16 07:53:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1827', 'EVBKABZDODXVBDOSCZHEBNRCKJQCBH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-16 12:05:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1829', 'RGXDCYDLWZXNYAQJICAYILQTDPLKBY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-17 10:23:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1830', 'DNENNHZHIIJNTHDNIUOFSPTIJRHLED', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 10:45:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1831', 'DNENNHZHIIJNTHDNIUOFSPTIJRHLED', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 10:45:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1832', 'ZIGXWDQXFQPCTKSOSDXWFVOSDPQRAN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 11:58:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1833', 'GUWABKJPYBBPRYNOAYWYRBJJNQDKAJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 11:58:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1834', 'FTEWYTPHMXKWVGECSHZXVERHEIIQYN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 16:20:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1835', 'TVLHPJUFMUOPLRGUKZYEALQZYZSVVC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 16:20:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1836', 'FCXUIQDHEVYTEEFGPGNPVTZGKDYOGC', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 17:43:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1837', 'OLHBTUXYENRXKUZNLEEUPJYAQJORNP', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-19 20:29:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1838', 'EJYIJBSWYPKAYAZAXAXMWYLWJAPSYL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-20 01:57:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1839', 'GRPFYETBXWTODSPXMQDIWTRRTUMMUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-20 06:14:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1840', 'CVXOALQGSBMUUVKKRJFCUGUZLWTJTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-20 06:14:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1842', 'OYEMHJRAGIRFYOVAHRTUNOAHCIHYJL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-21 10:25:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1843', 'DMOGJVBFFRNILJUDZFYEVLNIHFKUGI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-22 23:30:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1844', 'QSQHJWUJZIEQTTCULJLHYUXEYONGSI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-23 02:37:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1845', 'AETSBTIURMPWSAUSEKOHJCSFRNBVWN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-23 06:53:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1846', 'EJSMWAWTTRLJMAIQJLRAHDBARXCJTJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-23 06:53:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1847', 'YJUQPQNFIFDQPDKIRNAJENUTSMNVVG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-23 10:21:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1848', 'FSVBBJGADOJQOSBIVJLZZBIMHDFNAQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-23 19:48:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1849', 'CNKXTESJFACZZZEXOGPMYLXIPMOOWK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-24 03:53:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1850', 'CNKXTESJFACZZZEXOGPMYLXIPMOOWK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-24 03:55:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1851', 'SDDWGEBJAXUPKXSVGGTEAEDAVMXPVZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 06:02:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1852', 'OFGRSEPWCZVYCYBYAIBRJLXGPHAJWS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 06:02:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1855', 'CGALFICLPKTLDFBEAQXZKXCJCXCKDK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 11:44:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1854', 'WMUDAFXQAHLCQPPCSNAQOQDKRYTMKI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 10:22:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1856', 'GHQKOEWFDSJDMBDJTOERRROZQQLYKT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 12:42:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1857', 'GHQKOEWFDSJDMBDJTOERRROZQQLYKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-25 12:42:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1866', 'UXOFDQZQRLSGHYTHOHGFFSJQBEPROT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-27 03:30:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1865', 'DSAQSVRZOCHTNXBJIXALOYWGHEIJLA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-27 02:11:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1861', 'QWRXFLESPKLFOAPAGOVRWSARPBANOV', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-26 10:20:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1864', 'BQCDREEYRNDFKHNFLHGWHENGTMTNQI', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-27 02:08:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1867', 'TPZLQNQGNZDSDJIUOYHBUTOXIQWRAU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-27 08:54:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1868', 'SYSTJKPRZMDRKNCDGRBNJKOVWPWYWY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-27 10:36:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1870', 'WEKXRRHLZXLUQEKEHLKNEBXFKPLBUD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-28 10:18:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1872', 'QJVMTXNUHSNGJHXBISUEECIIZMFRYF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-29 13:19:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1873', 'XERKQCXLNLYMFFNSANAYBLOLVOYKSD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-29 16:45:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1874', 'ZBMJDJWVIWDUKINKEVBNDAZLMRDYFP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-29 16:45:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1875', 'RVMYKBWZCBKIXUKTXFLEBLWMRYSXOP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 03:02:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1876', 'DWFVWGQFOWNDSIICIVQORTYHESODPM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 07:38:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1877', 'HALIJNGKKGVIIJWWSOPQWEWOSGTKBQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 07:38:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1878', 'DODAQNPMREQNTMSRODGAXBEKMZCEHF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 07:38:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1879', 'WHTBWDMJGNSRRBPYXIGFCRKRPHYMQG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 07:38:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1880', 'CONRXGMWSNBRQKEWUOUDAFQQIITPWX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-09-30 07:39:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1881', 'DSMRHALRICFVPKMZRCLMQRFXAEJPFU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-02 17:20:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1882', 'OEDHVJQDNMZTWPLXQICXWFTIQLBWVT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-02 17:20:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1883', 'MLPKAWBNNLJRMXTAJZQDHHBDKVIKGN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-03 10:18:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1884', 'IOVDILXXDPFYWORECBAQXGODQGZTJC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-03 10:18:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1887', 'PMRJVRSAMBFQJPLISZAXVGBVJJUTVE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-04 02:21:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1888', 'FOYFQYKTPQEUPHBGXBWGLPRVLCJTYS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-05 03:23:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1889', 'BPDYRXXWHCCNHLTYMHWMRIDHXACUQP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-05 03:24:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1890', 'NWHAIQSURURKULLRLMEIHPUIAPYLTK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-05 16:02:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1891', 'YPFUKMIUBFHUZPIHROIZTMFBACZWWK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-05 16:02:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1892', 'TXJOLTQCNQDCBGCXHISFDUTXGPZMQU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 00:34:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1893', 'RPZBUQKPELCIMPFYDYOANXRZZTSDYB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 04:00:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1894', 'CCYXZXUYEJONNNDKQQPLCLHHJJTOOT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 04:00:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1895', 'JGDEAHKUARDPJLSYRYUOIHPTHGXGBA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 05:29:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1896', 'JGDEAHKUARDPJLSYRYUOIHPTHGXGBA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 05:29:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1897', 'JVSJMEFBKISYVYNQEHILFIGYMZHKFA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-06 20:06:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1898', 'MDRVBKZDMHVPUOGQXTGPJQIKQWWUWS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-07 07:49:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1899', 'MDRVBKZDMHVPUOGQXTGPJQIKQWWUWS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-07 07:49:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1900', 'BFHWXABFTBQCYRMSAAFXFJUPTRSWGK', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 00:19:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1901', 'CYCLNTTYHUSHKHJXGTOLVBROJMCMLJ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 08:56:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1902', 'KFXAFOCNJJCKHYQCUVNVAFUQQUHJWR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 10:17:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1903', 'QZKKUVYBYAXMXJMQNXNYPRODATONQD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 12:55:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1904', 'IEHQLFFSMLPFVTGFRBJYEHZBMCQFMX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 12:55:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1905', 'UYWZSOWJKRSHXSKFEJELBDJIZDYFAY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-08 23:42:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1906', 'KDCKWUQVIYNMFKWGNEEPEHJUEDUZKE', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-10 07:14:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1907', 'JHLEEVZWFZLEHZBBLSPEPSPQZTXUMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-10 10:31:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1908', 'PKDZZKJGZFWJVQJZAHRQVYNNDFLZWK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-11 02:16:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1909', 'ZQGCWYLJGQLVMUUREDANRKXLHTVCGF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-11 10:26:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1910', 'PZBOMEROPXZDXVWRLAKKZOTUNICHYH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-11 12:35:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1911', 'SBIFVFIUCNZWSPEIWKADRGTZUBIQRF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-11 12:35:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1912', 'LYVTQKUBLXZDUPWTGUPKPKNBLZFJAR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 00:48:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1913', 'LYVTQKUBLXZDUPWTGUPKPKNBLZFJAR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 00:48:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1914', 'UTPAIRVRTNNDCAJOCCRIIWXDQCLKZH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 02:29:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1915', 'UTPAIRVRTNNDCAJOCCRIIWXDQCLKZH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 02:29:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1916', 'PEONOVRDRNWUUWUKTNGGXWAUAKZIKD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 10:27:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1917', 'EEHPQLUTOXPGJGRANGBXELFIHLNSGV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-13 10:27:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1918', 'PSPTUHNTHUEHNVICYGDBPLMKMKCTFS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 00:22:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1919', 'PSPTUHNTHUEHNVICYGDBPLMKMKCTFS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 00:22:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1920', 'EBASKAIPRPBHEFEPJJXYXTLACDPYAB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 06:14:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1921', 'VWDEQIJFGEPSGMNZUSNPLWFCWONUFI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 08:04:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1922', 'XLJOYIOUVPJMKJZOXUSQAMMBUOGFPV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 14:35:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1923', 'OTESXSAOEAJHBNNCFAFEZZPFBDPMEI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-14 14:35:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1924', 'FDOMJVSFRHVFUWJSKRLLMIYEIMKFQG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-15 07:43:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1925', 'JJDVRIDMHWIAZYIQRZHJSWWMFTZYLM', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-15 13:21:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1928', 'TRXXVMPVCGZYBKOZCIBTWTNZPNAMJF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-17 10:18:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1929', 'IJFRZWJKZRBBXPXUAGVIATKWPOTSRT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-17 20:59:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1930', 'XHUVRUWEJFGGTYONYWOPHTKSJTOKPE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-17 20:59:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1931', 'VKJYAXERJUKGRJLISQUOFVHCQVCJHW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 02:15:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1932', 'LDFKHBPRBCSIBFMBRMRXOOKJEBTJDT', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 12:40:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1933', 'LDFKHBPRBCSIBFMBRMRXOOKJEBTJDT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 12:41:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1934', 'JDRYOLUVBXOILJAVGGVZILINMPNJWU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 13:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1935', 'ABAPCKVYGKOZOAQWJRVBZZALGTLJXI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 16:03:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1936', 'ABAPCKVYGKOZOAQWJRVBZZALGTLJXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-18 16:03:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1937', 'FTOZNTGYTGTJFROCVIYVSIJHKETYPN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-19 08:13:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1938', 'NCWSHTALWEWTMKPAABIWIFBUDTWHHO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-19 10:19:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1941', 'LVMWAAQEKHUXQOTDXMCQHQMPHGIYOM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-20 18:14:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1942', 'JVXPCOGUDKVRTVZVEJYGRQITWJVESD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-21 06:07:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1943', 'FBGNBZQLINRLTYFVHNGANDWKJFYHHZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-21 10:22:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1944', 'FVZIBDDPXZFTUWBUSVGOJVXHBSEEWI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-21 12:00:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1945', 'JGHIWYHHAYDPQDRCIPJUEPISRTTHYW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-21 12:00:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1946', 'BXSGRALSVGBLKQJLVQMUZWPQCIXLKO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-22 10:17:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1947', 'BUPTKRSBVWQBOKAVDDZKTOCCQGZKFD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-23 19:09:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1948', 'LOQRBMSVXVSZMMXICBPDJSRFFPTXAL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-24 16:17:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1949', 'LOQRBMSVXVSZMMXICBPDJSRFFPTXAL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-24 16:18:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1950', 'XRXQILCSSBACBFSQORZBJDBABGWBEV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-25 02:19:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1951', 'GKKQMPXDXRZVXBIRABUNYSKHPPFZTX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-25 10:19:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1952', 'BZJTMKDIQXTEHQJUEREAHFXXENHTXG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-25 11:34:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1953', 'PHSPETXICPTFVEXXHWTLWHPBOMZVMD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-25 11:34:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1954', 'OJATSXEFTFCKVJDRHFKCXSSTFXMEUI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-25 20:06:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1955', 'OWHJXGLLMNNXPJVKJNVLZYYRDBAETP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-26 10:51:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1956', 'BLYCDHNWCMOSFZXUTRUOJNVQXMQHFV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-27 10:17:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1957', 'KKLETYMWFBULNUMYDTQKDBEEYZTCJO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-28 06:18:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1958', 'LWVCPJRRKUHVYNNQIYOOXTKBTTLCMW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-28 09:58:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1959', 'NKTOSJTRXJIHPPNXMIYKLIMODZNKCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-28 15:26:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1960', 'VQCZVJYSVXRCMQZCYBRTCDYFWJAPPB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-28 15:26:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1961', 'HLBZMAYYUPVNTDBGDZKRWHFROLVTGY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-30 16:58:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1962', 'QDNPBBTUADJFSHDOILUTJQFBXCZOIZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-30 16:58:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1963', 'JLYGLAYDYBDJFSHDYFDDEXSPIRYOHT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-31 04:27:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1964', 'JLYGLAYDYBDJFSHDYFDDEXSPIRYOHT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-31 04:28:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1965', 'GBYGCNVMTEQXHNDCYRHJZYQMERWKNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-31 19:15:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1966', 'OLNRJCQFVZJAEPMOZLZKBHMOUUZNFT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-10-31 19:15:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1967', 'ZHSAAERCDHGKTZVIMNNDIBGCOAFGEN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-01 02:22:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1968', 'RKVHEGJVZLTJRWEYAWINPQCJMVNPUL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-01 10:12:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1969', 'IVXPWLLVHXXBBJLAOQXUNEUCJAVCBG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-01 17:16:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1970', 'IVXPWLLVHXXBBJLAOQXUNEUCJAVCBG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-01 17:16:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1971', 'WMHYSUVIGMKMBETVGVVRUHJZRMMXOI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-01 21:03:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1975', 'NPARXZGNOYDWEQMNSXHCXXINXSGROL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-02 09:49:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1974', 'NPARXZGNOYDWEQMNSXHCXXINXSGROL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-02 09:48:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1976', 'WQRFHKYBLTSMFCAJFEDLCFXQEEBRUA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-02 10:18:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1977', 'WQRFHKYBLTSMFCAJFEDLCFXQEEBRUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-02 10:18:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1978', 'GRMZZKETVNLEBTOXTMMWDVEJDTBUCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-04 01:51:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1979', 'WRMMWKTFOCVJNFOPWAZPBOJZKHQAUX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-04 01:51:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1980', 'GHEMPSAUPGSEGPGNBCMMGHIRGIBBRI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-04 21:00:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1981', 'GHEMPSAUPGSEGPGNBCMMGHIRGIBBRI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-04 21:00:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1982', 'ABRSFLJCSGRRGSLUWMSTTZOTPMHLES', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-05 04:08:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1983', 'WSGCCQRSTMGMAKXTCIJABTKXVHBXBJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-06 10:19:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1984', 'KFBXXGCIJCHRGYDPAYHRBISJJLKVHA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-07 05:24:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1985', 'JGIFDTUZXFXRFINTSUCGNHJIEOSJLX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-07 10:23:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1987', 'FNLDSDZHIZITIMGHODKAFFKLSNCJUE', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-07 17:30:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1988', 'TTLKUASBFFFNNYSEJXGVKKBOZPJFJZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-08 02:58:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1989', 'SVYYFAHNSNIDZOYPRGMTEBELEXZNIP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-08 10:17:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1991', 'JPITQMEGMGHUEYOHQIJDDDMTOIEIWY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-09 13:10:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1992', 'WOKKBVBRJYICSUKWAITRDVGFIOBIPA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-09 13:10:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1994', 'ZZIHAOCZKATYRVAICCUUHMLJAKKQIH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-10 19:25:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2002', 'ZAPKSQKAXJMCFCGSCLGGZIKDPALCLE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-13 11:52:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2001', 'HCKCGOCTZPRNDRTUJZRNHSETZLABBH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-13 11:52:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2000', 'CYRSDARPYKXHHKICSDPIJNLPHYLYKF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-11 16:25:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('1999', 'CYRSDARPYKXHHKICSDPIJNLPHYLYKF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-11 16:25:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2003', 'WLWRRDNOLOSUMAMWFZGUCXXHUKZYHO', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-13 17:59:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2004', 'QNBVFOZGAFZZPIKTTCRGTGYMTFDTZZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-14 10:15:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2005', 'QNBVFOZGAFZZPIKTTCRGTGYMTFDTZZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-14 10:15:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2006', 'TOFPQLUHZPPCYKLKKTOTMIPEVDNBKG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 09:21:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2007', 'AIPKQNTQVYWBBJSRTNYXCKRUETNYBH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 09:22:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2008', 'UMZJCLDJYZVILZKJUXQGCOWHNFULTZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 15:40:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2009', 'PMOTRIRAPTNQGNHBZCMBLWMZJJGMXJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 15:40:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2010', 'ADOQIVOVMMYZIAGEOSIWRKESPNPGYH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 15:40:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2011', 'YFUMVUFDYIFAIFCQLKCNGVAGSBILSW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-16 15:40:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2012', 'MCXRPOEBAQCLJUIJPRLYFGVUUFICZU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-17 00:06:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2013', 'FDQYPMMDPECSHHRVDHCDDWVLPXHDPI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-17 13:42:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2014', 'QHEMBNHCJNKODKYOMXJSCFVYHPPAQI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-18 12:49:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2018', 'LBPQYUTMBVLJCGELMUHYLLNLFPFFUP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-21 10:23:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2017', 'GPASXWDQURRFJBIHSQVLVQFAUCYYLA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-20 10:22:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2020', 'UTCFRMMDDOCPKKEHOHTDCQLLWTCUWH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-22 10:25:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2021', 'SABITPNOLPVEFVLJLHIEFGHCXFORBZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-22 11:54:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2022', 'IAHEUJFOAIIBXOKJNNAJOPSUSKNARS', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-22 16:39:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2023', 'WEDCMSDUVOADGRLEXKPOJXJZHATPJN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:34:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2024', 'XKIFCTHZMSQOBHAECYDFYZDYRWEDOK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:34:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2025', 'LWMQGZVMIYWJPZGQOAWSUUBJMYJCYK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:34:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2026', 'JRAIZHLREYXVNJVCLDALVHYROJJZKM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:34:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2027', 'GMVLNTKWBXHVYWPSSMRNTADSMKSHUR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:54:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2028', 'FFFGODNJRVLXQCKCYXMMLJSBQIZFNK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:54:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2029', 'DQZELPVJYRSPGNPKKAINJHWHZOKNMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:54:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2030', 'DQVUGHNGYRYEDUDWICMIQCAWLVFJVF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:54:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2031', 'WDYBXQKKWTREQLMXILGUMMAEWNVQJJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-23 23:55:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2032', 'DFCWNWDGHTSCURNJSZENYBWLTHQCGQ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 08:11:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2033', 'HVZKFMVDKVXTBFYSAHCAMTCQPDQMYI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 12:43:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2034', 'HVZKFMVDKVXTBFYSAHCAMTCQPDQMYI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 12:43:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2035', 'CULBHNRKQUORSXAYGSWYNWKUEQJRRP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 13:31:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2036', 'RTGOUSIZAZIOWXBUIBELDBZLMVQPXW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 13:31:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2037', 'BBLJAYQBCDQURGKRODXIGWZQIEVDEN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 13:31:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2038', 'CDQVRANTPPQVXUZJNGKTUFVXMTYOIS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 13:31:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2039', 'EAMROOORMHXRQDIUQNPDEILQYUFQYH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-24 13:32:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2040', 'EMEHZUIHJHKTRDMNCBKFTLYSZFMDDY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-25 01:07:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2041', 'SBHMHGOLZGRNWCAPWGJEWTXFJGTFQP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-25 18:03:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2042', 'YDQSFIRZURTBYJTFMXOWLFVXUHAYTM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-27 08:44:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2043', 'BIDDOELWHEDSIOEQYSLRVXRKGZUQTA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-27 10:15:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2045', 'TTJFCHZCWAOZDFWNCTXXGXITFPTVRF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-27 19:08:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2046', 'TEZBFXBQJSYZKRMLBKKNPFKPWBFTXF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-27 21:37:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2047', 'VHXNBWDJZAFDAVMZEMJXDHLQXFPGXG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-27 22:01:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2054', 'VTNFHRTRWUZIJXJMENEFLSRQFRGKIL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-29 04:30:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2053', 'ZUKHQGUPYIBRLGZDOFVZDAWNCFBIOB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-28 12:17:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2052', 'UZYOFQUWGLRYJNVYCJPALNMVFLMQOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-28 12:17:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2055', 'ERIETAZSYNITXGGLYJPPNFXKMIIMGS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-29 04:49:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2056', 'FEEZEGZQXEXFUSEALPHOUOZUFKEFWB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-30 11:07:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2057', 'NKQNJUSBJUDBAMBPHPXQCKLEFNYGZD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-11-30 19:02:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2059', 'FHKKJDBLFHHTJDRGPSLUNPZYHWTCJW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-01 21:34:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2060', 'RMVTRWMOJHXMJGKDWPRYXRCDRWKVQW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-02 10:21:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2061', 'CFJGLBXYKTQEPCHIASXWRNRTSBKISB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-02 14:17:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2062', 'EGRGYMNNWGJSMEYCSDVZINVMMNZPOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-02 14:17:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2063', 'PUTOIOOKHUKJMCQYFIKPKZQMXHAKSS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-03 04:23:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2065', 'HSGHSCRDOPZFAUMSGBTFWSNJACPQOC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-04 10:42:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2066', 'HSGHSCRDOPZFAUMSGBTFWSNJACPQOC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-04 10:42:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2067', 'QHPKFDRDPJNSQCYDAUXTWYPHGHLWIR', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-04 17:26:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2069', 'POQIONLLWVYDLMUMRNGLLRLPSJWUQA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-08 04:32:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2070', 'CTBCNUYBZYVSHWGAVHBJLXOCZYYBFX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-08 04:33:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2071', 'UPZADLSZAKVVZNKBITMGRQQAIINXHT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-08 19:14:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2072', 'UPZADLSZAKVVZNKBITMGRQQAIINXHT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-08 19:16:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2073', 'SIFSGLFGBYWNODYQADTBZDHBDZKRPX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-08 21:34:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2075', 'HNMQEMLWHFZAHIJTYKOVHJGIQHWCFV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-10 18:37:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2076', 'JTJXKFRZKMHFLBXWJFJEDMWOBNCDEF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-10 18:37:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2077', 'TEGNTNWSUCTCJDRCQNWWGODMKSRKWR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-10 22:03:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2079', 'NNTCAKIJSDIVYEPFBEBOWXOUXUCIAH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-12 12:20:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2080', 'DIPDIYBMNQVZRZESAYWCNFERIJGLHQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-12 12:22:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2081', 'DIPDIYBMNQVZRZESAYWCNFERIJGLHQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-12 12:23:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2082', 'GHUBWECCCVPNJCISADXCDCNASHOPOS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-12 14:54:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2083', 'NHQLZAFJBCFHXPIXHFTBSIFYTKBVLM', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-12 18:22:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2088', 'GQNZYNLKDBMTHIMFDKCPXQAYVYEHHE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-13 18:37:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2087', 'HCDYMTJHSNVNHQGGIJWANQMHEDUDWM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-13 18:37:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2089', 'DGGMVHEPZTHUOSDRVROEDPKNKLXDGE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-14 10:16:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2090', 'UILAMZLVKFOVZZSIOZWRZVVPRFVFTH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-14 16:36:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2091', 'FPCREAQLWSBEWABDSGVMCZINLYVKPM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-14 18:20:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2092', 'FPCREAQLWSBEWABDSGVMCZINLYVKPM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-14 18:20:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2095', 'IYPUMVGDLOFMKQMMQYQDWZEPRTVJDP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-15 14:54:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2096', 'GLKJWHKBRQZHSXLZTFSCUAOGMHDYGP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-15 21:36:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2097', 'QHPWULVFENTEGXYJKUOCZXBOJTTFYA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-16 14:02:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2098', 'HWQOVBIHFYFUVWHNKFNYNMCVNSBNTO', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-16 15:41:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2099', 'RWAKEYSFXZVFUNVRYJRQFQAQJGTIDB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-16 19:18:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2100', 'EPKDVGLQERDQQDQRCORNMYOJHJRDQF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-16 19:18:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2105', 'VEGPNILHPPNNJBBIYILNTOMIPMMKOU', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-18 18:22:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2104', 'QXZMQFLTRZZVJWPEOLXNFPWHYYFGWI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-18 10:20:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2106', 'PNKJMVCVHIIBNCADIMTNILYGYNHCBZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 08:03:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2107', 'USEWTOKYITMMUPSAJDBORPBVZLDLER', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 10:21:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2108', 'IBQQNLEIJBHTZRXUXFUWSZKOYQPDOQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 14:55:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2109', 'FRTAMCNGXTFBAHHXJERYRYXYMEJTTC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 19:01:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2110', 'MNKXAPBFBQONHAFQCUQYKEJHROWDYP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 19:07:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2111', 'EHRKEHTDQJAXDMPKWILEJADNZLDSSG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 19:08:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2112', 'TGFGHVFIAYUMIYOBUOQSANRANSRVEJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 20:23:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2113', 'ALDTFJQHKTLWGILIRVDWKCRHUALENW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 21:28:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2114', 'QBDFBQKWWFNXTMPKGYIACVUBHAMCNF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-19 23:05:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2115', 'BLLRAHDYUGTHDCWCQVRSPNLODNJTVX', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-20 18:22:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2116', 'GGIHADIIDZOGZHTUZSJGWGSHYWHWWU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-20 21:03:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2117', 'MJMTMULOQMVRRJPJIJMRAOIFOXYJCR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-21 10:22:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2118', 'RQNPMXYJPULVIXLPOOAXKPBXNUNCAB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-21 16:07:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2119', 'KXXGVABAACNNNZFAPQRAHGQDZQLAAO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-21 16:07:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2120', 'WLQKOBSLJJUWKBMOMURVOVWYEAMBRK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-21 16:08:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2121', 'BCZOMJDURDAUMRNHWOCYYFJOSFAIBO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-21 16:08:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2122', 'NNCPVBNYSPCZVJGZLDDWBLXGNQLXHR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-23 11:40:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2123', 'RBZGJTFCDWVSMUNIVPBGIWYMXAADPQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-23 13:02:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2124', 'MDGGDVUNYDZFZEIGEZCDXASXORTQPM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-23 13:02:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2125', 'ALCBHMCOQFISHUQKDKGIWTGMTRWVIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-24 06:55:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2126', 'LWUWMWQRVOIILERULBFCNNNGGNJGLK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-24 06:55:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2127', 'NCQTLYKHGGTZCAGEGACKKFLREWPBPU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-24 10:20:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2128', 'TXIDGJOHRTOHVFOLWRASZYRFXCWBHD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-24 10:20:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2129', 'SYTLIGJBPCWCJWVVWABEKFODUHVCJK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-25 14:11:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2130', 'EODLZUHLWAACNMMYFSABWKXJNQEQKH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-25 14:11:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2131', 'WUJEMBYWDHYRFWAFDNCIUEESXLKYVG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-25 20:16:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2132', 'WUJEMBYWDHYRFWAFDNCIUEESXLKYVG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-25 20:17:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2133', 'RCIZYXHZYVVICMHYDLOLTNCYEGCAUY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-26 14:57:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2134', 'FKMUDZEQYUCERQUNELJFKSEMPXIRSK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-26 15:07:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2135', 'VWZJOSCTWHZTJGNEGXWQKNOOVNHXIH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-26 15:07:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2136', 'OJCEIMAQUILPWAWTCQDBMLFMSHRGFY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-26 21:28:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2137', 'DXKKRNRROAOFGUYEGAMXGMHTGALLMI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-26 21:28:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2138', 'WXMLFYXJVYKGSXWKPNPTFIIPYXHIQT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-27 04:20:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2139', 'WXMLFYXJVYKGSXWKPNPTFIIPYXHIQT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-27 04:20:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2140', 'EUXYTLISKQTMQCTEXKUYXYQCZOQHFT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-28 10:26:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2141', 'UDOVLIBNDVVDACDNFBUYGAQFHDOUFP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-29 05:34:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2142', 'WKFQHUUSJGZWRGCZCKBAMAZPJCBFRH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-29 07:22:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2143', 'NCLQJPYCOOIOLUEXFQZXTQXPNPCLZG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-29 21:40:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2144', 'BFAEJYOYLECLQWBZJGMBTNVSHFCDJH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-30 16:24:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2145', 'KSPAWIXQAOCKEGZXPIAAQHAZRVXNVZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-30 17:07:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2146', 'GJUGPKVCCDENZSSOJJSQORETPITOFQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2017-12-30 17:07:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2147', 'TDEYIZCOOWIXYYESSSXPQCGQDGHQCZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-01 10:18:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2148', 'BIYJWRRQAJFHCGAWCSQJBUHGNWCGNN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-02 10:25:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2149', 'LNAXNBGWFARZSWCQSVSEBKPTATVMRB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-02 10:34:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2150', 'YWANZFFAORZUTAVZQVFZRGLKHJDIUT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-02 10:34:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2151', 'GZQPGSPWJECBHMVXSOOSGCRDJBRDUW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-02 10:35:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2152', 'XJGUMPHMSPVMVPBHKCMVMEIQNNZHPB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-02 10:35:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2153', 'HSYCJXEPZZYEUEWLQXWMRKFYOUXFDU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-03 06:57:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2154', 'HSYCJXEPZZYEUEWLQXWMRKFYOUXFDU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-03 06:57:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2155', 'XMWOYIEVHKNGZMSFWKVBUYJSGYNBOF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-03 10:06:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2156', 'WRPUCRKKWREUDIFQZSLILFFITZVQLD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-04 07:42:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2157', 'REWLJQPAZJEAVZXWLPZBKMENUYWTNR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-04 10:40:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2158', 'USUQQKNQPEPICIIRMLSOXYZSUUNBKI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-05 01:52:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2159', 'USUQQKNQPEPICIIRMLSOXYZSUUNBKI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-05 01:52:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2160', 'GANUOWZNCHKSXOUZTLHLPCSGMQJTKA', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-05 05:20:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2161', 'LNKFSGYBUBZAHAQWDIQCFOMEGHLVYD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-06 01:30:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2162', 'LNKFSGYBUBZAHAQWDIQCFOMEGHLVYD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-06 01:30:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2163', 'OVHCXVYSHLPYXRAHIIHNOVLGARPOXT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-06 02:05:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2165', 'LQGFWLMVFMWERBTPURPFPPPAKYLCZE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-06 22:20:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2166', 'SVQVBZHQRCJCMWORIRRRJWAMFPOHQY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-06 22:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2167', 'OOEKLBWPMHRBNRUICORMLNVZLZDQEL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-07 03:43:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2168', 'GNRTWHFUGYUXYGXMBJKPIJMPXPNFAJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-08 10:18:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2169', 'WGDMTVOJJIQLQMURUXRMCHZCTHNYAU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-09 11:15:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2170', 'GONZJCHVQPLRTOHBXQZSTEMQHGVWJP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-10 01:37:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2171', 'HAPYWUTMGSHRDDVQUSUFRKKMDWBKTZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-10 02:19:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2172', 'CRLWGAURYBUSYVRICGYMJYTNMMRMJD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-10 10:18:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2173', 'WGYRCXSXFFITJRAOARAUCQOIIWGJBT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-12 10:19:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2174', 'UBLHMFNYQYFJPLTVVRWUWDCEQGZWNX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-13 03:36:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2175', 'REJGMKTSMKPPFPHKFRYLZGAXGZJHDF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-16 02:23:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2176', 'AELHRQHVKINWEJQLLYJOWSNIDGRQKB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-16 12:34:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2177', 'HGHDLSSKWMAFLOTOEGPOYOQJOVJTLR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-17 04:12:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2178', 'APYBSGIAMPRVCAOYRGKHXLTWGHNYYP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-17 10:16:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2179', 'CDKMNRHANSEZUZZPZEISPPSWNRGQVP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-18 17:04:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2180', 'EHWAINZPFXFYXSUXXFSCDMZICULCBC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-19 00:24:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2181', 'OBZOMQJPKLQEPQXIZIGQCDRLVIHBIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-19 02:11:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2182', 'DAKHVKBHSQJYRHFTTNMXDKVEACBYJH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-19 02:11:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2183', 'GTSMVPRMHWUNKNIOIHTBTNOIKDHWIO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-19 09:20:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2184', 'OTTNFLQHXVHNZMXQMNEJEXNECCXZTZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-19 09:21:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2185', 'CURVDHZKIXBMAOXHKFXBKNXXOYHJRQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-20 02:27:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2186', 'NUZXEWVPXNMZNLZWKKIAYBCLGDMIDT', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-20 07:38:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2187', 'NUZXEWVPXNMZNLZWKKIAYBCLGDMIDT', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-20 07:39:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2188', 'WPAGNJWHUGBPGTMUEIXPOQCAFRCZTM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-21 06:26:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2189', 'YTFRNRWMVJVPCNOHRLFYKWLVGWWECD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-21 06:26:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2190', 'FRQXBOGCRQRWZIDJMYKKJDMPOHYGWQ', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-22 13:32:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2191', 'NQJDUHYGIAYWJDJWJQWIVHKNCSASZZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-23 15:13:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2192', 'FUYCINTXFOAQLKPPFTCPETWPXYUANW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-23 15:13:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2193', 'MFMJLBJQRJGWVREWVZVOSZVJJTLLXJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-23 18:53:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2194', 'UEIRQSEUCDXAXVUXBNSBXTUOGXKMAT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-23 18:53:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2195', 'XJLWIDPAXIUMVXSOHXDIKOGWGVQDRF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-24 08:05:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2196', 'EMVJVXEOWJRNUMEFWFUJMQOWJUZHPZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-24 10:20:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2198', 'LQUHQJBHBZVGABUCYVALASFZGFFVBG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-24 22:22:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2199', 'LQUHQJBHBZVGABUCYVALASFZGFFVBG', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-24 22:22:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2200', 'ZAJHHEBNDIOXJRBJOTLALXCUQKETTF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-25 14:33:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2201', 'ZAJHHEBNDIOXJRBJOTLALXCUQKETTF', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-25 14:36:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2203', 'KGVCTRCTGOAZRDXVTVDMENWLVJCYUT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-25 22:49:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2204', 'CGXDKREFFUMDSHRQPIAVFHDIMMYSBB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-25 22:49:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2205', 'TKTKXVFONGDQPBYHZDMQYJICDELWBI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-26 10:17:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2206', 'ZHVRYUMREWDRORDZOUQPPIRSIDXZFH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-27 02:32:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2207', 'TZRTKPKJOLUIBBDWJHHRQHWAQCVFEB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-27 02:35:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2208', 'VOWHDWGAGAVZKDDSUBXTVPXVNZIUDT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-27 04:26:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2209', 'ZJANJCZHFWDLKZPHJUNLJHFMUYHEOK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-27 04:26:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2210', 'NWHOFPHAYZGOFNFOCZFSHNIBEBYELY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-27 22:08:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2211', 'BLISSLDJUQROAEIBYWDLPMOKPYIGWE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-28 10:19:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2212', 'BNBFBGNZYJWVSQZYONHWAJETCALDSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-28 13:38:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2213', 'DIYGSOEHIMOESHCPZOFPLSTQOIKJNJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-29 08:19:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2214', 'AXNCRYMZALZTWHUBWGVMANAVTFUAAW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-29 08:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2215', 'JNHFBLQHIKUJEMFXCIIUFKPCJEGFCT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-29 08:56:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2216', 'BJOEUGUIYKDIVZJRRQAEZRLGRDTTVY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-29 10:25:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2217', 'OQKROKLTBWHKAYLMVYDMYYKWXBSZFH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-29 14:51:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2218', 'GZVVECJLYNJIQMAVTVPJTDPHEKAUKY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-30 10:28:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2219', 'PBVWPWIGMKMCRWVNMQSATXAECRHGFX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-01-31 10:19:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2220', 'GNLHJMKVJFQOSRBVLCQCQDLWKONNYB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-01 10:23:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2221', 'HOYATADJZOSTNLTQMHVXLZYCDTIDHI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-02 00:21:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2222', 'CDKRULOOGRPXMWFSRROWYPWKLCHGJS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-02 00:21:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2223', 'EXNSXYBGAHEVRPYRSSQZPNVRYYYVKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-02 10:30:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2224', 'ZVDEZQPTYWWSLYNXPDLLEAFGYKSKXD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-02 10:31:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2225', 'FREBLGVFJIMETIZKXRPAVOHCEBZBJS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-03 03:07:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2226', 'SQXIIFFJBOCWPBFNARXHPWTLUITSFX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-03 03:21:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2227', 'ZGPVINWWSZIPUWXHOZCUHYGOLWQHQG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-03 10:26:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2228', 'BQLIKAWPXOAHHVZESGYVWWSATZOZQP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-04 10:19:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2229', 'PHEVHPSMSQLJMCXXBNHTIVWWNJPKNW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-04 17:10:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2230', 'JPNBBBAENBKUWTESZNOIXGYGAWXDYU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-05 10:16:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2231', 'NTDEDSQYVPOCTQZBGUAOVTFUJWHOMJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-05 11:21:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2232', 'NTDEDSQYVPOCTQZBGUAOVTFUJWHOMJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-05 11:21:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2233', 'JYXCMNFTAHNDJWHMUDZNZFUHNIKTWE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-05 20:45:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2234', 'JYXCMNFTAHNDJWHMUDZNZFUHNIKTWE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-05 20:51:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2235', 'KJOLWBWRJGTRWYFCTHFXWJUHFLTOKP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-07 08:37:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2236', 'VMSXOERYAPAACWMUGWQNIQVECIENTG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 03:00:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2237', 'JIEPRFVUAQIMRHKKSECLXTKCJZVPZW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 04:46:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2238', 'JIEPRFVUAQIMRHKKSECLXTKCJZVPZW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 04:46:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2239', 'PKQGELGQUSCZPVOXAIGJEXWOTKZCFZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 17:58:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2240', 'PKQGELGQUSCZPVOXAIGJEXWOTKZCFZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 18:05:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2241', 'QVBHGPFIZEKXADAQZMZCZBKQCEXQDK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 19:02:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2242', 'WTCOVRUQGMPCDPDDHRWYXPSVTQLSIE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 19:02:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2243', 'GRGSIDWNEHIZSWJRSQLAEKXBYGTKNC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 21:54:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2244', 'GRGSIDWNEHIZSWJRSQLAEKXBYGTKNC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-08 21:55:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2245', 'OZSPGTKEDGPLZBXOUSAIMTAZAUGXRQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-09 15:22:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2246', 'OZSPGTKEDGPLZBXOUSAIMTAZAUGXRQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-09 15:22:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2247', 'PUKHSRLZTHKHQTZUFXDKWQGXVZPKUL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-10 02:39:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2248', 'OMMHIWFZHUAFNXUCJLBJWDSYUDTRQF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-10 13:27:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2249', 'BYPWGOFJNAZVQCDSJNYYJOWXYBVUHI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-10 21:05:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2250', 'IIPVOUPFYPYVMZJEBLKHSWZVOBTQHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-11 14:53:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2251', 'KTXQOZUESQWDELSZADHSTOWUQEZXDB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-12 15:17:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2252', 'KTXQOZUESQWDELSZADHSTOWUQEZXDB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-12 15:17:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2253', 'GFFAHTVQPALGGWNEFIXDRZWOOCMSRZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-13 07:09:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2254', 'CBHMWTHGTHVCMSJGUKCVLEPUHKVIKF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-14 14:39:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2256', 'XNBRCWYHTDJZZSBWIGMOWXSPDHWALQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-15 07:08:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2257', 'FBGBODXNHBJTCVPWXUJNMSOWSHIMJR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-15 07:09:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2258', 'NCUKRYMXUKHMBVGFQNLWOEGTCFZEYJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-15 09:10:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2259', 'WBDMTHLWDZDURHBPHXMJGVCQLGCBUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-15 14:47:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2260', 'WBDMTHLWDZDURHBPHXMJGVCQLGCBUA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-15 14:47:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2261', 'OLXTMQRDFDFYIYLOCWDIFZMSCGAUFO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 02:41:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2262', 'JLVGRQOVURDKKEUEXRLHIDUPCYENLH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 02:41:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2263', 'SKEYLPAAIIIPJIIQRSBHBELJWQKQOC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 03:59:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2264', 'SKEYLPAAIIIPJIIQRSBHBELJWQKQOC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 04:00:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2265', 'QMMEFXLWPLVQMZADMZFKISHBIPCJIZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 12:18:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2266', 'QMMEFXLWPLVQMZADMZFKISHBIPCJIZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 12:20:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2267', 'ZSUVAUSRECECNIAVRZXPDEEYECBGEF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 23:53:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2268', 'ZSUVAUSRECECNIAVRZXPDEEYECBGEF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 23:53:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2269', 'IKBVHAWEXUCSZQGQAIDMHTHZPPBKXN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 23:58:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2270', 'IKBVHAWEXUCSZQGQAIDMHTHZPPBKXN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-17 23:59:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2271', 'CUGSQZJBBQDLIARTDJHPNIAPGIUJXY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-18 10:20:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2272', 'USWIPGRKXZYYSAYPEDRYMYULBQLKRQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:31:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2273', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2274', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2275', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2276', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2277', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2278', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2279', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:48:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2280', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2281', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2282', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2283', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2284', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2285', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2286', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2287', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2288', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:49:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2289', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2290', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2291', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2292', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2293', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2294', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2295', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2296', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2297', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2298', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2299', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2300', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:50:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2301', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2302', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2303', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2304', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2305', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2306', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2307', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2308', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2309', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2310', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2311', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2312', 'PRVXDSZOCPQGXWCFHUVWIFDWRRDAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 07:51:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2313', 'RSAQLCOGDNKLBFBOFMTAOKJBSVMBIH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-19 10:19:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2317', 'ZPQXXZRABSDFRVQDHYVMFBOUIKBKKZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 09:42:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2316', 'ZPQXXZRABSDFRVQDHYVMFBOUIKBKKZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 09:39:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2318', 'DIGSENDMOCDPYJWWYWHXFVUZGGENUH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 12:17:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2319', 'QEBLVPROAMAKXIHUZOKISNBTBUYEGX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 12:19:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2320', 'HBRFXIIZKZIDRVMOYORZXCEFBCZVNH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 21:51:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2321', 'VKJIZDJWWOOAGUCMRICUKPEBIHNBXW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-21 21:51:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2322', 'XAFWNTDESNABGTYWTIIABISJJSHGVZ', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 11:19:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2323', 'POMKXQRMQZWMNFDGLTDUCHHPQDKPZO', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 11:25:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2324', 'POMKXQRMQZWMNFDGLTDUCHHPQDKPZO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 11:25:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2325', 'POMKXQRMQZWMNFDGLTDUCHHPQDKPZO', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 11:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2326', 'XSZPJSJBRUBUZZAQTWZMDYCWYDZOLZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 14:42:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2327', 'YWIBDLLLMSWEVRSFSWKEITDPRZPTGN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 14:43:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2328', 'PCCPUZNKTANHARVLZCPWTNOKXPSGDE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-22 20:25:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2329', 'XKCKPVSXUIALQCLMBGKPOSOKOSZCOG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-23 00:19:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2330', 'XKCKPVSXUIALQCLMBGKPOSOKOSZCOG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-23 00:25:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2336', 'CQXXHVBEHXIMWKITPKBSYOQSNHTNAC', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-27 20:59:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2335', 'OFRGONQDAFZDKTLXPWBDZJUCTGYISI', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-02-27 09:56:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2337', 'DPXYKPDOHAPXVYRCVLLHUIXHUTNFUS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-01 02:50:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2338', 'QPGLFSKXZSYJNWZEJLYNFASKELVEXY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 08:31:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2339', 'QPGLFSKXZSYJNWZEJLYNFASKELVEXY', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 08:32:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2340', 'BNIJUNHLOFTJZZZCATNUUZXZJLWYCK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 10:18:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2341', 'BNIJUNHLOFTJZZZCATNUUZXZJLWYCK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 10:18:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2343', 'VECQFERTNDKMHFOTEKIZLKUVXROBBD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 13:39:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2344', 'VECQFERTNDKMHFOTEKIZLKUVXROBBD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-02 13:40:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2345', 'UKUZFZLPWKSHUKEQDZJOYMUHEWHYBA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-03 10:16:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2346', 'UWSUDZQICNEGSCLSUXDVJOJIQJVPXW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 10:20:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2347', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:09:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2348', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:09:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2349', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2350', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2351', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2352', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2353', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2354', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2355', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2356', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2357', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2358', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2359', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2360', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2361', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2362', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:10:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2363', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2364', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2365', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2366', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2367', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2368', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2369', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2370', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2371', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2372', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2373', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2374', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:11:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2375', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2376', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2377', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2378', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2379', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2380', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2381', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2382', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2383', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2384', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2385', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2386', 'QOUXFEANNABNSCBBSMSXOEYNKKXVNB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-04 17:12:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2387', 'NDETYVVVZDILUBRRWGHVGJVGFOBAJS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 03:30:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2388', 'CEQUNTTKCNQDMFGRMJOQEBQEQZPAJK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 03:30:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2389', 'AXMKXNPKVYDFZROIXOXPMRAUFZLWXQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 09:58:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2390', 'OTHCXWKOONEXEYXODPLHHLORDXPEBF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 09:58:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2391', 'OBFEOZPOHHRZXFGEJTRGOWLACOKBVM', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 13:40:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2392', 'HDPCBBPYEIVFWEISBLPVADGMHUKEJU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 18:17:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2393', 'CCPLNJNVLMZDXSAPVJQLMBHATWEDTM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-05 18:18:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2394', 'RDXTFLMIAAMHWETOXQKFZHUUQSYGDE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-07 21:00:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2395', 'VYJYFETVOZDUTARRJMVSYOOQWFWRKR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-08 10:26:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2396', 'ROMAWHZPHATRBJROVWDANAFQWQWBKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-08 11:20:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2397', 'TVZVWQSEQJNOIICHJPDUOUGLJRUORQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-08 11:20:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2398', 'YTLVQTBWONDWMEPZKTTZYQQHHHXNXU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-08 13:03:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2399', 'YTLVQTBWONDWMEPZKTTZYQQHHHXNXU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-08 13:03:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2400', 'JVNNUMBZFSDJRBCAIYXMBHZOLIEDYS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-10 05:13:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2401', 'IZZIYDJJKDSKAYVTFQWSDSYILJUUZM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-10 05:15:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2402', 'CKDPGUZZFWVNMKHFGCKJQAQMUNTVSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-10 10:23:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2403', 'PUEUBPOWJHAAGEGJEUVOXBYFUJRUQO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-10 14:04:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2404', 'ADMFOTMXRXEHIRLVDIKMRKFQJZRFVE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-11 04:42:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2405', 'SNXNGNGXRLEOGRQRPXBLZZURSUTYKE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-11 04:43:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2406', 'HJCNBICKGFFIFXTEKFPEKJBMZAAQQU', '13', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-11 15:48:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2407', 'TWIVPIXLERPLRJRFEFNWIBSDGZNHWI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-11 16:55:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2408', 'CHLDWMXSBTXGJIWZVHHEBVOKDVMKZW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-11 16:55:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2409', 'VSERSSOOPLVVHMCINRHBLUJYEQNKWX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-12 19:12:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2410', 'ORWVQMNYGSDXBYDVLQQHJVAODCKWVQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-12 19:12:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2411', 'HZTSTYNVVPZLYCVOQJZIEWMJYFZNXS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-15 05:17:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2412', 'MGDXJRPIHQVJBSSLCKIKCAJGSVIXLZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-15 05:57:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2413', 'SNAITXLJRTQANVRLMOGBWILOKJKSHK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-15 05:57:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2414', 'QXYBKCYDQNENNGAQJIAMVGXRLMNFWW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-15 14:16:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2415', 'LTOOFDGOHDOKFHYHIRHOUFIILFRFHR', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-16 18:08:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2420', 'YFYYNWMOJIMIHSEBXLSOZWPOQTRJTB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-18 07:30:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2418', 'GJRHUGXZTNNIAXXUPVKXNHCBEMOFCX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-17 10:18:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2419', 'EBIRXUIDVZMQGMIVBRENYFFPJRQYTR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-17 10:18:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2421', 'PJEEPJTOAEOWBUELOSQCPEHROQBAYO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-18 15:45:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2422', 'MYGNJGEUKHRITGASPVQYEGCYADNPTC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-18 15:45:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2423', 'PYCWHYUFIBGURDBRONGIXGWNPTVSPH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-20 20:11:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2424', 'BIOADMMZBZLDEBVJHQUXSEGFDUDRUS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-20 20:11:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2425', 'ZHWFNFOQIKFLNNOIZIFATUACNYSBEF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-21 06:35:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2426', 'ORDOTYNMDIXOLCFVASQGZHVMNFZBCG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 03:23:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2427', 'JPUUDKPZEFAWUUYHIDWXYSNHFGSWEL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 04:18:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2428', 'GAVUJPHENAWTHWIHYHERDBZSWRYADG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 04:18:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2430', 'ULNGXBPRSFRUTYHAVYDGKTLCBCQJJS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 17:42:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2431', 'MAPIRVEAYXRNKYGMXMAXHJXICXVBWS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 23:58:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2432', 'OMGPZREIFLRWGLSIBEZKOKNNREYMQH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-22 23:59:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2433', 'UFAQRDIYBCCJFZAHAZWUIWDVWINEEG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-23 22:21:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2434', 'QTDWZIJJQTOBNZZWFEVQPUTHMXDBYP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-24 02:00:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2435', 'NFVPRGOZHETLYMXNEFTUWHOJKOVFLP', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-24 17:03:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2436', 'QPHSPDTFZUWLCRMDAQMYRBJSSKAMTO', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-24 17:40:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2437', 'QPHSPDTFZUWLCRMDAQMYRBJSSKAMTO', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-24 17:42:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2438', 'NODXHKIBVQNAPKRVFCVOZXRLOSSZBU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-25 22:03:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2439', 'RMOQEDRQVRYOVVONVBAAJGQDTRTNVQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-25 22:03:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2443', 'GFQEREOTGPBAZOIQPJJNILEFFQBOMF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-27 14:09:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2444', 'GFQEREOTGPBAZOIQPJJNILEFFQBOMF', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-27 14:09:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2448', 'UJGAKLTIBHOTSKNETRKCJTSEPCLMJW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-30 00:16:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2447', 'NQGVAAKOLJCMYZCBFKMFOSOWCPWMBH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-28 15:22:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2449', 'TFYXDNMEDORREUUDPJEKJGJMYJLREX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-30 00:16:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2450', 'EBQWGMOYKSGTZOBHJHDTEZLIYXJRXN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-30 10:22:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2451', 'GSATBZYDZCJOEGVWYGYIGATQANIJRU', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-30 11:28:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2452', 'EEXPDZAJNNQFQPVGGTBTGHMRGQSBZI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-31 05:36:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2453', 'CQIDHRVZOTSDLUWJRVWIQYKZBOAFUT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-31 10:24:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2454', 'QPYXJBEVSPXZHZYLUTOMYWZTJRMIJE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-31 10:59:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2455', 'PRUOJVWAFEIOCUNZAPTEQBQRDEPORT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-31 10:59:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2456', 'SLLLHWVFIISZMTQZQPSZNCCSGAAUTY', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-03-31 12:22:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2457', 'IZFWNVETFKPPDFZOOIYRCSSMPYXKUT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-01 10:19:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2458', 'TWNQXIOLTFRHZPACGHYIUYEKEVPFHN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-02 05:59:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2459', 'WSNGNXWHKGRHNUEUPDMWJNRGRIKSIY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-02 16:47:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2460', 'ZWHFICWNKGJSBSYMMWDRUTRCSVTIZZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-02 21:07:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2461', 'WTTIKHRMPNCIGZRSBBTULSNTNCJIVQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-02 21:07:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2462', 'KZFVTTDWGZNQKALHIOCDEBJLIXMBIP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-03 02:53:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2463', 'ONGSBMOLPCLCOFIDZFSWZIGDLDWZUL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-03 02:53:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2465', 'NXACQCIRUXPDCYHYQAUDNYUYITCNUV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-04 21:48:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2466', 'NXACQCIRUXPDCYHYQAUDNYUYITCNUV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-04 21:48:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2467', 'JGTADBORIPIMFCKLFMLOQUPYXDZDLD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-05 04:12:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2468', 'YOWHDJBPEZXAWSFLRLXYGATGCBDUWP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-05 04:13:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2469', 'ICOJTOVBWMZVMWYLMQNVNEOLDISTKL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-05 12:27:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2470', 'LGGWBNRCBRDAJBCRQYTXLEYCQRJWHP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-07 23:27:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2471', 'WGJFUYPKDDOZUOCZJDIPKWQGRDVFPN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-08 04:10:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2472', 'JTSASSLGHLVWFHRSINXLRSZYBJYOGY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-08 04:10:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2475', 'YZWOCFVMGPHOAVBOCOSSVOYWPRSMMS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-09 21:05:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2481', 'YAUEVHJNFRSTUCQEOIZHKJBHJXRNVS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 05:39:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2482', 'WQTPQANTUQYBMKQTDAKUMYWRCLUVST', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 05:39:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2480', 'OOSLVLMRAFNVTBEBHUYAXUPKANPNDF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-10 10:16:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2484', 'BCVZAAFZDGSEESEGZMKJMXBDRGAKOH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 09:10:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2485', 'BCVZAAFZDGSEESEGZMKJMXBDRGAKOH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 09:10:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2486', 'XTOVXQSLEWMPNJICLTAQBFDFLIARKC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 10:19:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2487', 'UWEKJKBOZTEHWUZVHBQFQKOEJMKZBB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 12:33:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2488', 'ABOVAEADBNOQKBSCCCTZCVSUPTBLSS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 12:37:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2489', 'LHGVSIXLXXQKGTAJSJCDBPODEBCXPT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-11 21:38:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2490', 'YRONXAXLRKWRIQWGELKJALABXGXGKW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-12 04:29:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2492', 'SFCLTHSPLPPFDZUMRUQXSTWSKPBZAC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-13 22:45:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2493', 'JDACKCBGMWFHWCYSZYWFSPMTNJNTZS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-14 12:10:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2494', 'FWBRCTYCKTRHHTEZKPZSHQVAFHYGUZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-14 12:10:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2495', 'RUDKEAGIWOSNOBTZTTQCCFDHUVBXHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-16 10:21:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2496', 'DHNBGDRPYUOETALLPWHLFQVTUIMRWV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-17 07:18:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2497', 'XPSSEIWVXSZBZMSZAOXMUMKGGLXFLP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-17 07:18:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2498', 'RNXOJGZYANDEUOLVQTHCYLZBGABXZB', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-17 07:52:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2499', 'BHZVJWRRYFDAFTZZRNSEVWJUYIPSLY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-17 10:08:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2500', 'KUXDKGMWRDSKSOPUETLVVELXRMSDRP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-17 10:21:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2501', 'PTYGHYLWEVCINQMRFWFKVMYCSCCQWM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-18 08:50:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2502', 'ZNVMSOJXRVHXXCXQNEJQJFLPWSSCFO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-18 10:17:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2503', 'DDCFNOOOQTLMBMPFXJMHRTDRSDAYJE', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-20 14:56:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2504', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-21 03:42:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2505', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-21 03:43:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2506', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-21 04:39:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2507', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-21 11:34:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2508', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-21 23:17:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2509', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-22 19:14:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2510', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-23 06:54:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2517', 'CPPKGPHPRVVIZWBNTQGPLNQLEMRTER', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-24 12:05:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2516', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-24 10:53:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2515', 'IERWVLSLDRKQDLVDMNDDXZDIBDVOAM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-23 21:44:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2518', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-24 18:55:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2519', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-24 18:55:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2520', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-25 10:21:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2522', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-26 05:02:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2523', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-27 10:18:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2524', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-27 19:17:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2525', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-28 23:43:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2526', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-29 10:20:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2527', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-29 16:25:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2528', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-29 16:25:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2529', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-29 16:26:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2530', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-29 16:27:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2532', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-04-30 14:11:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2534', 'SIILAIMNGJPAYKRUHDXEMROXJHPKSR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-01 02:00:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2535', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-01 02:00:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2536', 'VWURBQQZOVFTYNTXJHPWRUOVITZZSP', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-02 10:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2537', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-02 10:21:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2538', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-03 17:37:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2539', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-04 10:26:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2540', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-04 23:49:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2541', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-04 23:49:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2542', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-05 19:55:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2543', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-05 19:55:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2545', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-06 12:09:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2546', 'DNATJDILPHFNBEHDJNCQJIUSCNMXUZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-06 21:22:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2547', 'DNATJDILPHFNBEHDJNCQJIUSCNMXUZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-06 21:23:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2548', 'DNATJDILPHFNBEHDJNCQJIUSCNMXUZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-06 21:24:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2550', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-08 18:23:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2551', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-08 18:23:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2552', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-09 10:19:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2553', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-09 16:22:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2554', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-09 16:22:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2555', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-10 08:12:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2556', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-10 08:12:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2557', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-10 10:27:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2558', 'not-set', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-10 11:13:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2559', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-10 11:14:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2560', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-11 01:18:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2562', 'CZDPFWRHQRICWMOMAOBFXIFPPDIKYW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-11 12:23:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2563', 'CZDPFWRHQRICWMOMAOBFXIFPPDIKYW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-11 12:23:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2564', '', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-12 04:01:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2565', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-12 06:22:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2566', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-12 06:22:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2567', 'HUXYYINTQSLWKMEMQYDEVIBYTVUZVO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-12 21:06:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2568', 'ZRSORILILDPFQRIFURHASOQAYYVNUW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-12 21:06:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2569', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-13 10:26:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2570', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-13 15:38:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2571', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-13 15:38:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2572', 'OBROVYEHVZQIXOECICWTJLVQKNCXTQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-14 20:46:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2573', 'OBROVYEHVZQIXOECICWTJLVQKNCXTQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-14 20:46:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2575', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-17 09:36:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2576', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-17 09:36:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2577', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-17 10:15:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2578', 'BZMAEMKUZFLMOMPFBFIEYYMSDGVXZT', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-17 20:57:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2579', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-19 06:16:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2582', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-20 10:23:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2583', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-21 04:45:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2584', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-21 04:45:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2585', 'UEOYENEGJZZTZKYSTXQJXVUCVVQEQU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-21 13:30:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2586', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-22 13:18:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2587', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-22 13:18:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2589', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-23 13:15:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2592', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-24 01:32:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2593', 'CPWRKCGADHQTUNSHPJZVRJXYRPENNY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-24 06:05:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2594', 'CPWRKCGADHQTUNSHPJZVRJXYRPENNY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-24 06:05:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2598', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-25 05:50:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2597', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-25 05:50:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2599', 'AAYQBCGAVLJAPASZRECQXISMMDPGOV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-25 22:59:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2600', 'TFYZHEMCESKLQPIETFLJIVKHHGNRFT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-26 05:56:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2602', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-28 09:11:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2603', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-28 09:26:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2604', 'DVYBUWDAFLHFHAKUMFNAYWQKRBOZZT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 11:45:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2605', 'CWMMIRRGHARAXMUETVHUDYDSERDZZN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 11:54:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2606', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 12:15:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2607', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 12:15:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2614', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 17:39:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2609', 'AFXATQTIPMHIXDKDTMFXDAPTLGAUVP', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 13:08:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2613', 'FMVSHHWYUUARLQMCEEIFCCHLLRUXHH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 17:08:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2618', 'TPSHFGCLIWSIQGPFKEEUEQBVWVXBLN', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 17:46:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2624', 'LASNOWZDFHJZKQJZMLYQXONATTGCCX', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 19:59:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2625', 'JXILHGQMACBHUJIAYRESIPTBWNTPVJ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 20:52:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2619', 'TPSHFGCLIWSIQGPFKEEUEQBVWVXBLN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-29 17:46:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2626', 'KBHJCNKTPTQJZXRIGANWMRDQWBMQFA', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 04:10:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2628', 'HTMCXPMHVWCDUPJNZNTWAXWFXHERUB', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 07:11:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2632', 'YGWNLCOEASVMYMNIOHCWLEYEXCIGFK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 13:24:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2645', 'PHZPHREBMPMRLJCEFTNHZMTMQOCVMF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 16:59:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2637', 'DVQLFVISPHNNWVXANOOERYEHMPFFAI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 16:10:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2644', 'PHZPHREBMPMRLJCEFTNHZMTMQOCVMF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 16:51:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2640', 'BUDUKSKMNQZXYPBRPOSTFUKRWPOYLS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 16:29:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2643', 'ZDPBTENUQASRZBNVVCJRUOHDQDDDLH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 16:34:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2649', 'JXOYBVLZGWONLIVCJIXJITPROUEQBB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 19:10:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2650', 'QYMWDAHHOTCWBFMJITRTUMMFOHGAFD', '14', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 19:15:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2651', 'YQSDBHZCYZUEOYKGQLJTMJLYJCWNCD', '14', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 19:16:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2652', 'NSAGNPHLONKJWQAQMWKHSRLXJSOZKK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 19:19:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2653', 'LGKIFUYNFXCZMHARFOPWZAEDNRXWYO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 20:54:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2656', 'ONWKEHDXBQYSQEDPQODJNLCUDNZDNO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-30 22:49:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2658', 'OYCZEXGVZJWSLGKLRLQXSNWFGNSGSI', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-31 07:45:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2659', 'OYCZEXGVZJWSLGKLRLQXSNWFGNSGSI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-31 07:49:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2660', '', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-31 07:54:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2661', 'SDPONFWSNRPBPHQFLEKHEHLFNMAQZH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-31 10:18:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2662', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-05-31 10:22:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2666', '', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-01 10:20:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2667', 'not-set', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-01 10:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2668', 'VNBYTPRSBIKOXEVXNQLMTLATRVZSBX', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-01 11:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2669', 'VNBYTPRSBIKOXEVXNQLMTLATRVZSBX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-01 11:21:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2671', 'QEGHAJJDFHPWGKJSUXKKWEUVVHIIGO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-02 03:01:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2672', 'QEGHAJJDFHPWGKJSUXKKWEUVVHIIGO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-02 03:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2673', 'AKXDLWVGGLUDCMDHMCIRHTFJOUUKNI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-03 01:27:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2674', 'WJSRGNISCOEQZPFAGIPREZCQRNPEOY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-03 01:27:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2675', 'DJGIDEOKXBSRUOTLSWOEVXOXVCBWOA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 12:12:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2676', 'DJGIDEOKXBSRUOTLSWOEVXOXVCBWOA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 12:12:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2677', 'DJGIDEOKXBSRUOTLSWOEVXOXVCBWOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 12:13:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2678', 'DJGIDEOKXBSRUOTLSWOEVXOXVCBWOA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 12:14:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2679', 'NSQVEWSOCHDXGRFRNERQMINKOBDVLH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 20:51:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2680', 'NSQVEWSOCHDXGRFRNERQMINKOBDVLH', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-04 20:52:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2681', 'XOBKNUKXLOXRTYZVXCUQJYRRTARHPQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-06 10:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2682', 'RXBJJNRYZHXBWSJHCZIAXLTZHNVDUF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-07 06:39:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2683', 'NOCTXVNMMMZBGFPLQTHBVOETONLNML', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-07 10:18:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2684', 'KBDJMURGZRHDQSXZGTXZMTSSXVFCJC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-07 20:55:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2685', 'QHJKTMQJVFIQCKXIGVMWSFIHMRHGHP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-07 20:55:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2686', 'VKFBSFHCCEECDSNJDNRWYVNXUCBUEC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-08 04:13:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2687', 'KUJMPYJTGJKAKCRCTFMQYYOXMNYKYO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-08 04:13:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2688', 'MJMMHQYLWCPJBQVXYCDPYBDQCNVGMI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-10 08:20:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2689', 'GHCGZVSHRZGAQAARYFOPEUOTWMDDXW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-11 05:13:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2690', 'GHCGZVSHRZGAQAARYFOPEUOTWMDDXW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-11 05:14:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2691', 'KQCZMLRFJFCMTAIJBDWFORPIWRHLBU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-11 10:17:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2692', 'UKYQMUQUJTTGCGQPBJGZSPVUEVKBRG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-12 11:07:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2693', 'GZAAKVBZYLWNFUOOBKOMOAZGOWCYIO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-13 23:16:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2694', 'GZAAKVBZYLWNFUOOBKOMOAZGOWCYIO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-13 23:18:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2695', 'UMVOTUXYJKVYBXNRMDJONCNDEPSXPD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-15 03:54:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2696', 'UMVOTUXYJKVYBXNRMDJONCNDEPSXPD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-15 03:55:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2697', 'VYYCDELBPCGONNQVLWAKOLNSVOGBGL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-16 11:13:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2698', 'XKGJXLYADDHCWGUGXMDDHDFARSXBWK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-16 11:13:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2699', 'FGHMGHZKDYJCSNFZFDNYLHUSNAZQZN', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-17 11:24:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2700', 'XJTBRHOTKIFHDFBCSXMYMMOGHOHNKH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 06:25:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2701', 'GJZEWBCRUSBKIXWGDCFERLFRZGFBEQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 06:27:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2702', 'VKHTVUEZDHYCRSDSBWSHGRNMNVDAQO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 08:18:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2703', 'VKHTVUEZDHYCRSDSBWSHGRNMNVDAQO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 08:18:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2704', 'XHWNPOOIRUWYXTUEPHKILZGRMOOMYR', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 08:20:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2705', 'FGHMGHZKDYJCSNFZFDNYLHUSNAZQZN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 09:14:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2706', 'HUTJRRQYFQJFOIWYHVJVNWTFMEYENV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 15:17:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2707', 'QLAUTFBSNBTAYYYXGRHHMIQOKMCAFZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-18 21:40:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2708', 'JERVVAMTELHVKAKERJIWFXCXRUNUJX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-19 06:49:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2709', 'JERVVAMTELHVKAKERJIWFXCXRUNUJX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-19 06:50:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2710', 'JERVVAMTELHVKAKERJIWFXCXRUNUJX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-19 06:50:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2711', 'SGETHDFEGGEGFZHNJMZSVEDWVUVYFG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-20 08:01:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2712', 'XAVLLUYQVHNYWIRVTWTJEKFXTVOAQL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-20 10:18:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2713', 'BFVKXGLXWUBMKFSLBSKQXKNUNMPAMM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 02:57:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2714', 'BFVKXGLXWUBMKFSLBSKQXKNUNMPAMM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 02:57:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2715', 'PTOJOIIVWTXYPMNDHLRCVVNSDPFIQB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 08:33:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2716', 'NYMOQREDVWIFJOGAXMWBIVKZNVNHZE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 11:30:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2717', 'WHPNMBJTFKLIQZCBFNDAHNMJLMYEFU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 14:12:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2718', 'FXEZZJRGFWGGWHMWAGLKOEQPIVJAQT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 18:32:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2719', 'FXEZZJRGFWGGWHMWAGLKOEQPIVJAQT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 18:33:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2720', 'KWTOGNYTYPRTPNBYMZEXIHDGAJMKQI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 18:42:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2721', 'KWTOGNYTYPRTPNBYMZEXIHDGAJMKQI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-21 18:42:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2722', 'AIAMRFHOLHBPMLRYYANICQVUZPPVVC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 06:41:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2723', 'KWTOGNYTYPRTPNBYMZEXIHDGAJMKQI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:10:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2724', 'BWYRMBQRMFEOCMPXTYJKCJCVKRBENO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:14:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2725', 'BWYRMBQRMFEOCMPXTYJKCJCVKRBENO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:14:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2726', 'BWYRMBQRMFEOCMPXTYJKCJCVKRBENO', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:14:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2727', 'BWYRMBQRMFEOCMPXTYJKCJCVKRBENO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:18:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2728', 'TKAXHTXYLYVHJAMHWUFUNRMPOBXFQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:30:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2729', 'KGAZMKJBOSZIKKKHXWNBNEWLWIJPLS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 09:52:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2730', 'MLICRZETDQXRYYLMHFPGTEPUPLIDAB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 12:18:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2731', 'MLICRZETDQXRYYLMHFPGTEPUPLIDAB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 12:19:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2732', 'VMUMSLGFCMPBROVIYIMWNPRCYWCFKV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 20:53:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2733', 'VOSFWMSMOFUKZBERPKTVBXAOVHWAGQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 20:53:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2734', 'HVMJNOJMIWJEQCSUZVKEZPGOLRANTJ', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-22 22:32:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2735', 'QZWVKOYCDEXEWWIPAAXUFFLIRIPKBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 10:20:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2736', 'GLWMQBLJXOUPGAJFOXYTLFDKUDOYQB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 20:01:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2737', 'GLWMQBLJXOUPGAJFOXYTLFDKUDOYQB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 20:02:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2738', 'HIWQAELOJWQCPUXJUAOSCZYEVNLSWV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 22:48:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2739', 'HIWQAELOJWQCPUXJUAOSCZYEVNLSWV', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 22:48:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2740', 'HIWQAELOJWQCPUXJUAOSCZYEVNLSWV', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-23 22:50:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2741', 'AWPDQPENQVOBCHEZHQOZUKQBQGJFRN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-24 10:52:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2742', 'UWEQKNKXDAKZWGCWZPALYNYHPSTBEZ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-24 10:55:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2743', 'CGICWVPUKFFDQXQLDHQXQLZGCJNXWH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-25 07:06:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2744', 'BZJWKHBLUTEWDXPILZOBIDUVWIXKPB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-25 07:06:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2745', 'FTLTJNSJRMPRPVRGIYLRBBQWIWLZUD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-25 23:55:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2746', 'NLHNOSVVOUXABONLFKYLIRHBSAFXHI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-26 09:32:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2749', 'QLMSQIPACMIBUCPOPNNWTDHBTXMXNI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-26 13:00:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2748', 'NEDROXAUEQXHVQDFFFCQYCASVBVZEA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-26 11:17:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2753', 'KCLDDFSEFVOISEQIFDWIJISUSJQPME', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-29 08:31:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2752', 'QIDJIJZWGZXSLJNVUNGKJEPLNLQGUJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-27 13:15:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2754', 'VCNROTVHMSQDQTGTCOMIDBMXCUIUOV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-29 13:52:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2755', 'JUWROLZLFFMKMYWXXHEZECXWPSVROZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-29 13:52:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2756', 'SYPJZFNOKBNNEMZYCJTUDFHLXTMHEL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-29 23:05:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2757', 'TULZNCFXRCPPNQIOGSTIXZCHATQPKL', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 06:57:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2758', 'KTWZHRIHDKPCGUNIPKMVRIAKGIOLFN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 18:36:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2759', 'VNVJGRNKQLXDVGUMKIQYVZXTZWYVJN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 20:04:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2760', 'VNVJGRNKQLXDVGUMKIQYVZXTZWYVJN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 20:04:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2761', 'VNVJGRNKQLXDVGUMKIQYVZXTZWYVJN', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 20:06:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2762', 'VNVJGRNKQLXDVGUMKIQYVZXTZWYVJN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-06-30 20:07:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2770', 'GHSRUBNWOXAHSOUZRESLSMTGSYGKWS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-03 19:42:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2765', 'EOQZPCUGCTNOMTLZEJQMFMFMKAHTVQ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-01 11:30:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2768', 'UWEIHIMAZNPPKUPRVRUPGKVXLEUVXX', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-01 12:37:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2772', 'YCCACNGVWKZWXWVSCZYTQXHHWVDWLN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-04 23:21:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2773', 'RNAZEIMWXVZYFAONZFKEAHGPKNIVGN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-04 23:23:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2774', 'YICENKFWDQEGKJIKKQACSJSXDHGYZA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-05 13:51:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2775', 'ASPKHUVFQZUZZDUFYXYYGSJZPSRRCC', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-07 18:27:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2777', 'PNZADECCWYATYWWHLFVVTBCNJBDEAX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-08 09:32:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2781', 'QDFCDDDAMOLVPCYGWEZSHDNYRDBRHS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-08 13:13:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2780', 'QDFCDDDAMOLVPCYGWEZSHDNYRDBRHS', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-08 13:11:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2782', 'QQKHGCUVNHQQWICLEFSKAQXMXQMGFW', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-08 22:01:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2783', 'PSBDTZNMCSMQPEFQZOKAUHXECRGATA', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-08 22:05:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2784', 'DYWOSKIPTFQQILWTTZAOPQLFAQZJCU', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-09 12:40:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2785', 'RGOLZUFMTKFFVDMXOYJGYPNMJVOIKQ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-09 12:57:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2786', 'IOXGDRYAFSEKPMPGHYFDLFVGNGRLZM', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-09 14:09:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2788', 'KWGKGKNAPTONFUXEJAQMZOMXNADEOM', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-11 13:56:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2789', 'WQBYNPRMTIVUQOHQOSSJLEXEVXAROL', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-11 18:41:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2790', 'WQBYNPRMTIVUQOHQOSSJLEXEVXAROL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-11 18:41:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2791', 'WQBYNPRMTIVUQOHQOSSJLEXEVXAROL', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-11 18:42:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2800', 'OJBKSUCYXUJJKDVHTWVUBBFQBXQWCN', '9', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-12 14:14:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2805', 'FAJKKYBZDKZQLLWEVHXCHFKFGSDPHS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-13 08:29:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2802', 'YNPOZXTLBTUGEYDESDUATBUCNBZCPA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-13 08:09:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2807', 'PKEIWBFQFFRUGGQJYZBKDSVQGQCFTG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-13 10:41:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2808', 'PKEIWBFQFFRUGGQJYZBKDSVQGQCFTG', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-13 10:41:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2809', 'PMYFHHIEKMKCLVRBVVZKXLROHKFHSF', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-13 20:19:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2810', 'AJPUQYNURHUUEFIUTUMLUYGSLIJITZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-14 12:54:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2816', 'XIDXLUTZMXXIFBCFPQCJTKWBUJQSSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-17 05:53:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2817', 'IIHMVNCCKFEAEOHITSPRFDLNYFDVMH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-17 10:58:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2815', 'FFQMEYPYZFEFGXRTYEWROSLGEJCIKD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-16 09:04:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2823', 'NULNKFFGRPQWMRAECUISKICPPZUMKP', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-18 07:59:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2822', 'OOAZCAKKRMLCEWPLVISDVPCNTACDOH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-18 01:47:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2821', 'FDKXPGERWDEAVIUKDZJQLTTIYYUDFB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-18 01:47:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2824', 'GQQQNFZRWGOALGYSOWNXXWWTGPXIBK', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-19 06:45:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2825', 'MUEVLXWWQFYSWYLDCRUPYXOYVPZHMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-20 07:48:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2826', 'BIGHESZPFOVHGLATGFYKTITDECTYES', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-20 07:53:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2829', 'APTSYXTOLXEQQBUXIGUNXPGPCWAZJY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-21 04:21:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2830', 'DTPOSAJUDCDXCHLFXMYUTRIAOARJKG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-21 13:30:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2831', 'GJYGDHIQOPEJOODGAGJENGEPTVIGOO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-22 13:00:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2832', 'YHCQAYVESPRIPCOHEIYZDMDPYBEJOC', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-22 19:34:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2833', 'ZYZMXMLOJUVMIOHADIYQSIGKHXBPVE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-23 05:28:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2834', 'JVMINQRJYJAKZKQBOWLHMJSGYWFQPE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-23 08:22:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2835', 'YPCXCUMMFWULUYGDNUKDDOWQAAXSDF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-23 11:13:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2836', 'LYTXFKEMKZZVHUWGNCHNDBMTZEZZPH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-23 14:27:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2837', 'ALAMPLDUSZQAGFEHJNBRJKTZBJSFII', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-24 02:30:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2838', 'ELXMNZNMZPNPIYPXIDDWHROOSZKFIN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-24 02:30:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2841', 'GCFFXKJGASXLYNENHYHRRLOTOACLCZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-25 04:51:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2842', 'OCLYVLLPNMUJELATHCEVTHZODWDULF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-25 15:51:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2843', 'JNPFQANVKBCKNAJHRWPIMAETGXULVN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-26 00:27:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2844', 'BVHCHOVMZWYGXROTXDZOLRAAMDCKKZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-26 15:54:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2845', 'HSNIENQFSPGNLGZZNZIYRPOHMCWJXO', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-27 18:32:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2846', 'GHUXTOBVDYQVDEJQIRAUXCGZQBAXJB', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-28 20:25:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2847', 'UJXBVFXKCMPGWWMIZJJTYOJGMKWPFP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-29 16:00:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2848', 'FLBOULSKTKRCFAJPKWYHVZDIOQNTAO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-29 20:54:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2849', 'PWNAHNYLQQCHUQSACMYHEJCJHJRYNO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-07-30 12:26:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2851', 'LFRUWECACDZURWBWFULRRPKTRWNZCG', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-01 00:45:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2852', 'LFRUWECACDZURWBWFULRRPKTRWNZCG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-01 00:46:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2853', 'LFRUWECACDZURWBWFULRRPKTRWNZCG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-01 00:48:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2855', 'MEQNDLKMFOQTLSYAVCSDHOAWBBCCHE', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-01 11:53:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2866', 'VGXXBTYCBIZNEUKSPLAEPKWCUAGJWK', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-07 09:11:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2863', 'ZXMIEPKANARSPLIMKGPLRQRJAXENHE', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-06 19:27:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2861', 'DMRXOHYCKEXVZZBKBVZGYUBEPPBEIE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-06 11:00:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2868', 'VVSFXVRNBCJGTKSQVHJMLWUMKLTKWB', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-08 10:59:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2869', 'THFZCWXDAXTXILEBPUJBYFZZSYMNDB', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-08 12:18:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2873', 'RBCRFZKFZJIPJZQVMZDVNRTTQMFHFH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-11 19:48:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2872', 'XLQITUSLTNEXUNJMNKIZAMLITKMLOZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-11 16:18:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2874', 'QHEOFBIJPHTKJZXWULTVMQEQIQUZWR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-12 19:52:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2875', 'QHEOFBIJPHTKJZXWULTVMQEQIQUZWR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-12 19:54:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2876', 'YYNTXPWHOSQSNSGUZZBLVTDEPAAYCC', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-13 11:08:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2883', 'SRAHUIXQVVRRZOOATMCMOJAHLWGDOD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-15 09:25:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2884', 'ZWEBWPTIVNFBNHNRCDFLBSKXMABORN', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-15 10:59:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2885', 'QEGAGSSQWUJLSMQECWWWORYTLIMLZS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-16 03:33:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2881', 'MBICEJEDGRLCWSMIJWBCASITFJEGXD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-13 15:20:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2886', 'OPFTOJJQYBXJPSSHQGGLXVZLWSHOUJ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-16 12:07:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2887', 'OPFTOJJQYBXJPSSHQGGLXVZLWSHOUJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-16 12:08:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2888', 'OPFTOJJQYBXJPSSHQGGLXVZLWSHOUJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-16 12:09:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2889', 'SOSDETQKRIYRDRYFPJITHQNOHICUEL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-16 20:16:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2890', 'TRBRBOKRMHXWWVOLVVTFBWPZULXLFX', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-17 04:40:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2892', 'LWHJJCCHCZRRWLSIKFFEMFGVFVRQQH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-17 10:01:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2893', 'NGXRMCLQOUYNZXKBYUZBBSHDCXRQMT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-17 10:05:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2894', 'ERFBXDPNHQUHPHRCAHRXVJWWXNHIIS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-18 09:03:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2895', 'GDHLZAGYCRPYSFMHNNSYPFEHQMLXEY', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-18 19:01:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2896', 'GNUGDVIQAYFDDRDHRNWIDJGRZSUCWH', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-18 20:00:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2897', 'ADWVMUWHKHVERIQZIAMUHUMOHJVBFG', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-18 20:16:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2898', 'NWHFXBGXLOAONRGNJYRIHJWYHFWLEB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-19 00:24:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2899', 'MKFAPLURUGLVFAPPLFZMTKNZFZZFSZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-19 06:14:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2904', 'DOTDNZBQVFHSVYOKKNZXBHAABDZMID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 08:01:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2903', 'VHBINTVOVCPVKJHCQEHVWKROCEXNON', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 08:01:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2905', 'QKDEDIWNXZSOAVFOXJKHMBUIMPEPFB', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 12:36:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2906', 'HQNGYPSGRKQGPGPNYRRXDRZNUXLSKL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 17:09:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2909', 'NJTDKNIKBQLVHZGGNFYAQVCRCBDNQL', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 22:01:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2908', 'BOYHXGLXQKZDLPTGCDAYVQOJRPVCGN', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 19:50:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2910', 'NJTDKNIKBQLVHZGGNFYAQVCRCBDNQL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-20 22:02:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2914', 'YWVTBJSUREQCRHEGVOIQMSJRASNJYO', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 09:23:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2913', 'VSSXLSHZSRBYJDEYDBZMWYRXRBHPJC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 05:53:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2915', 'YWVTBJSUREQCRHEGVOIQMSJRASNJYO', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 09:24:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2916', 'YWVTBJSUREQCRHEGVOIQMSJRASNJYO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 09:25:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2917', 'QZMKSZHOKZMYDSDYSJNWPAIWCTFJCR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 12:31:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2918', 'SMBWONVBPWPJOXFMJWEDLBQLPGTDDI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-23 20:02:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2922', 'WBXINRXNZGZEBNDIPUHKNXNWBJFCJM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-25 03:40:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2923', 'HXWIADIOHJHYBCCLYSSHZYVVKZFZNR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-25 14:41:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2924', 'HXWIADIOHJHYBCCLYSSHZYVVKZFZNR', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-25 14:43:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2925', 'HXWIADIOHJHYBCCLYSSHZYVVKZFZNR', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-25 14:43:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2926', 'VADAQYMONNROGVLHPKOXLGPVGVLQKN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-26 15:30:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2932', 'ZNRCZZLOMQJTPJISLMTTZJHHVEILQF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-26 20:29:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2931', 'ZNRCZZLOMQJTPJISLMTTZJHHVEILQF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-26 20:28:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2930', 'ZNRCZZLOMQJTPJISLMTTZJHHVEILQF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-26 20:27:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2933', 'SNXHGRJWFNJOXXXDFDDGGHCXEZJXAK', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-27 14:34:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2934', 'HYARVARHFQVJIYGEMNZXOBLDXOCLOC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-27 15:12:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2935', 'HVMNXBOAEYCCPVQHBKTKJJBXQZXPPB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-27 21:38:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2936', 'JCOOWYSAJLJJTMQYEKYDBOYVJXSSTL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-27 23:07:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2937', 'TBCBEZPMEIZYNDTGHLTNAVNCFTAVLJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-28 23:04:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2938', 'HSPQBFCEFNACZHMHPIHPLLARLFBCME', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-29 11:44:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2941', 'TAQSBUMLCVYGOIGGBIZEVXOMMQEGXM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-29 17:21:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2942', 'ZEPWTJHIWJLQMPBPOZYCHRSOZHYJDV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-29 18:53:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2943', 'VTYBFONTIUVATAYEHLFIKCWEVCKZYX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-08-30 06:17:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2945', 'YVPPBKGHOFQFMMNMKTTDEEXGLDYTGS', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-01 09:42:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2946', 'FDQSLCCGTDRLVQJGOXNBTADKLPDYKN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-01 12:04:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2947', 'FDQSLCCGTDRLVQJGOXNBTADKLPDYKN', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-01 12:05:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2952', 'BPNCNESXBAWDJFOWELAGCULYYCOVBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-03 14:10:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2950', 'NZHKNWVUATMOUBQSYRDGMEYPMQQRNJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-02 15:47:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2958', 'QTMSZBIIGGOPWTVGQGIISCJZSGIFCG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-06 14:56:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2957', 'CFHICKLJLIXEZVFVWITXHSYVZAFHMH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-06 07:44:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2955', 'EFQZRIGFVCAMUYMSMZNIMQQSOYLFWO', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-03 17:03:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2956', 'DOVNIDUHSJGASGQEWWFCEKOFDRMCJC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-03 18:17:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2959', 'QAPGIYBIRFVXPQKMJZUTVQFIOUNSKK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-07 01:44:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2960', 'ELFOXXWSCYHUEHZGPJZOVPEOAHYNUM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-07 11:11:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2961', 'EFQTXFZLYSZWUQFXCWTHGSPZEZBZME', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-07 15:48:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2962', 'XCADMXLRYFUGWASDVICFOBUTQOIYJM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-07 22:38:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2964', 'FUAAGQWYUWTWFTMPDOTZPUXGSWDZZP', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-08 21:29:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2969', 'VMHBAOIZTFMJXZJPQOXGYJCXJNHAXX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-10 21:43:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2968', 'LJJFTNYIECCXNOKOYIZOINQYNAAJOM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-10 14:36:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2970', 'KTANGGDDAQMKLRWSAPDMARJKBXNDVK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-12 13:15:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2971', 'XJWGAQVQNCOVLOEJNDBINVKMEHVJWR', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-14 10:13:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2972', 'VKIMIIHXBKIHTBUXZSMPVQSMLTTBWG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-16 00:21:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2973', 'APIZIRHHLGXNBCBWPHRKKDALSXLUDW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-16 11:47:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2974', 'MXMDKLMDMKBYFYFRRPAVJLTACXLYJM', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-16 18:32:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2976', 'MFGCGJOXEYKFTQKCYWIOBNDZWWKYQF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-17 00:09:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2977', 'WQFTCOBTAYSVPCUZPKKWPASXDEXYWA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-17 12:23:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2978', 'PUZGWEYXBPIRDAPANPQAUCIWZWQSPP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-19 09:20:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2982', 'BHYJUAHGCIDFQNJKNRWNHLISLRDOXV', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-24 13:22:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2987', 'EHSDJCVQFAEIAVYSHRCLTFNVXCVOZK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-26 00:06:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2986', 'GQMSMFLXVWVCJWWJMYFFCMWPHMGIMQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-25 18:54:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2988', 'ILFCCYNJMUCGBXBDIIDVFGCMNCXSWG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-27 12:11:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2989', 'FSGTORBTOJMCOAKKGQVBRPWEQKJZPR', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-27 18:23:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2990', 'YOYXPPJLLIDCLSCTEAIPATXCPTYSHW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-28 00:57:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2991', 'OXDKWWWAQGYFQEUMSTPFVVXUIFHADY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-09-28 06:17:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2992', 'NPDYOVQWFONCLHAGMVIXBTTBFDFQXY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-06 11:32:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2998', 'BZXYQZCLDBBSHQLJILPJBBWJRHRJZJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-11 09:18:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2997', 'BZXYQZCLDBBSHQLJILPJBBWJRHRJZJ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-11 09:17:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('2999', 'PVSJTGFBSHFMPJFSHYSVZGXTKDCTMS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-15 23:48:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3000', 'SZNOYNSOFSBWTGOBJOEZYHPYOWURNK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-16 20:20:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3001', 'SZNOYNSOFSBWTGOBJOEZYHPYOWURNK', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-16 20:27:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3004', 'SZNOYNSOFSBWTGOBJOEZYHPYOWURNK', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-16 20:27:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3003', 'SZNOYNSOFSBWTGOBJOEZYHPYOWURNK', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-16 20:24:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3005', 'SZNOYNSOFSBWTGOBJOEZYHPYOWURNK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-16 20:29:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3006', 'ENWNCMMXOCSKQKKTGZURSANKFFIZWU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-17 04:44:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3007', 'HDOCFKURIDAADGWVHZXNXIDQTEBWGL', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-17 11:11:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3010', 'TTAMRYUHQRSEAIOWYKTQBNVQCVVEHR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-22 00:07:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3014', 'EBQHAIIHSUYRLHUTNVASDHQLZSUVBM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-23 10:18:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3013', 'EBQHAIIHSUYRLHUTNVASDHQLZSUVBM', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-23 10:18:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3016', 'BBRBMFFIRZLPKEBKSAQEZYISOORYHY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-24 22:38:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3017', 'WOINAKYXWVFGVKDYBIUCTFXNCQYOSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-25 12:22:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3018', 'MYKBXQITCVFUSHOSAJRCUIHQGAEPOZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-25 16:03:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3019', 'TANTUKOQPIRQEELWMSJFFNCWBEKDEU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-26 04:12:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3020', 'SVYYJHPQWJVSLBZBNIBGRAQDKEAABI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-27 19:50:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3021', 'SCVRQRIYRDEQMJRJNTORMYKVDWTMAT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-10-31 00:51:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3022', 'ERXYAEJIBWKFTXKLBKIAVATGRLUPOM', '5', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-01 13:19:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3023', 'ERXYAEJIBWKFTXKLBKIAVATGRLUPOM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-01 13:20:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3024', 'SYBEQDBAIWILVJPQITJBRDKWQZWSZP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-02 19:40:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3025', 'TERDBMPUSITASNFIINBHINRRHETASY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-02 23:49:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3026', 'BDSNZMCFTSQEUINBFCUXOBHGPUJQHH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-03 14:36:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3027', 'CWFLXXMBHXXAFIXDVGOCQMAMROMHMH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-04 15:50:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3029', 'GIIFVQLHWJPPXFEFFHFEZSVOFUABZY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-05 16:13:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3030', 'TMBRZNWDSPJJOJBZQNYNEFNJSTWYLV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-07 18:29:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3032', 'XIRWLHLFUUSKKOCOWMVIPZFYYKGLKU', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-09 13:56:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3033', 'WTPXNPYUKNSVZCJUSZMHAYWZNBCXFO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-10 23:54:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3034', 'GTRLVEWQZCEMFOWDTJARHEVGGMKRGG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-11 13:22:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3036', 'KTLIJDQGIFKQCESPQUSKHTZQQFUPHY', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-12 21:22:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3039', 'SDEEZIBUEPUKNPYGMEKJBKFRVHXOLE', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-14 21:55:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3040', 'SDEEZIBUEPUKNPYGMEKJBKFRVHXOLE', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-14 22:00:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3041', 'FBBCOATGQKSFHECIMSEDMLOYSNAZKV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-18 10:42:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3042', 'FGRFEPFSIVROSZOHECALIJUJIIZUSY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-18 11:00:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3046', 'JWVULOIFBSIQJWCGEJOCTLMBQQXXQJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-20 22:50:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3045', 'SYSVNWCXLJYWMJLUPFJSJWIXJOYBYO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-20 20:12:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3047', 'GVOXKTCBPYFWKXFEQLETRLMOGPUMMH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-21 21:51:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3048', 'GVOXKTCBPYFWKXFEQLETRLMOGPUMMH', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-21 21:52:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3049', 'YORRMWPMMSNBMWQZHUMETXHTNKCPEO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-23 12:08:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3050', 'PTDNJNHZCOGBKZAWNXAKBEDUNSRYPE', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-24 08:56:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3051', 'XAOUFPBNGDYAJTXNKAAAWMUGEJZHIA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-27 00:30:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3052', 'UUURXCQAQDAJUKTHWEBIRWDNKYBGAE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-28 08:46:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3053', 'NEOSADOUIJRPIQWLFQCTVUSLRLUGHF', '3', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-29 10:13:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3055', 'YZXIQGVFPVEGRYEPAOTRBMTOMABTJG', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-30 06:28:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3056', 'QJOSGXLZFPMDHTUWKKHPMLIGNRVRGD', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-30 11:39:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3057', 'QJOSGXLZFPMDHTUWKKHPMLIGNRVRGD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-11-30 11:39:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3059', 'HJDOZYZDGHPFAKEBWLUTXPODJHWFEI', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-01 12:23:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3060', 'WZMCZXJSFNYLTKOAIDAKVWXBBOGVMZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-02 20:51:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3062', 'GOHAOWFUIRMYCLJHOWQVNOKJERQGAS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-04 06:28:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3067', 'IZXTOJKQQCVMCKYIEZYKMDJODCUWAG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-06 19:43:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3065', 'VRVJIEAUNPIIBXCMUNKTUUFWJMWCZZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-06 12:39:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3066', 'WBXVFLEMMQUWWPLWCTCIXGQIGPRZPU', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-06 15:50:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3068', 'ORXXABQGGYJSYIPPQOQCZXEZSHOMLD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-09 20:17:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3069', 'ASFSTIHOUWVGLAYTIWFKNKMQJQYJBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-11 09:59:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3070', 'HIQJNFGXUNVLTVZFHVLYWHLTXLFYVQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-11 10:55:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3074', 'JCQLZBGXDTGYCZRNNGSYSHPPUQDPKW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-12 20:53:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3075', 'LZSCANSIILLVXWMRFAYYTWRJQRMSNX', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-15 12:24:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3078', 'LYZJEOPLQJOYCOMPMBWDHTKXKQQWEO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-15 18:22:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3079', 'NKFLWSFBEFOMIBXLCXLFATQMDOECCY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-16 09:26:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3085', 'GOGKBENQUXKNGCZTZAHPBGFDCVTNAC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-20 04:45:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3084', 'UVZXEPZPWJMELUNEQBEYQANZIWCCPD', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-17 10:55:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3086', 'INDYOJIQUGFMUMESCYCAQMMOUKDPCN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-20 11:02:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3088', 'BYCDPWQXAPSXEWFFQULSCAUPSSSIJW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-20 12:27:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3089', 'AEKLIHVCUSMBIOCXGQPMZTJXZNHRCF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-20 20:58:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3090', 'BVFJFSKMCAVULWVJDXZRVJTEQRIURZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-27 18:10:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3091', 'DXBDAFBFKVPAYIKKEUTQSWYXCWTGFO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-28 17:14:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3092', 'DXBDAFBFKVPAYIKKEUTQSWYXCWTGFO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-28 17:14:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3093', 'PITJRDGFGJZBNCXFVJHBPCUCXGPVDM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-28 17:31:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3094', 'TNGKAYMYOKNULKPEFLXMHMNNNTOXXV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-28 17:31:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3095', 'XNCEGZIUQNCGBNTKVYHSEJHHTIQJDD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-29 04:51:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3096', 'XNCEGZIUQNCGBNTKVYHSEJHHTIQJDD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-29 04:51:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3097', 'NKTBFPUMRHOMYCYXPODRYPAFJNAEIZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-29 07:26:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3098', 'NKTBFPUMRHOMYCYXPODRYPAFJNAEIZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-29 07:26:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3099', 'SAOTRXGZMXZFXSNDVSUBLXKUJANQWW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-29 15:31:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3100', 'SGEHJKTPZWDINIKCUNSSLJLHWCIWDP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-30 04:20:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3107', 'BPWYEUELFQFNOLAGDBWPDSXSAIGZQX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-31 10:18:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3105', 'GOZZZBMQWJXWYMIDMICFVXIDSIHCPE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-31 02:16:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3106', 'BPWYEUELFQFNOLAGDBWPDSXSAIGZQX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2018-12-31 10:18:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3108', 'KRCHAOGGFSOUQMYMADMDLMMRKOTFVP', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-01 17:37:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3109', 'KSTBUCXIUWQORDSZTJRUYAMFPKAJDD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-01 20:16:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3110', 'KSTBUCXIUWQORDSZTJRUYAMFPKAJDD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-01 20:16:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3111', 'PNYEFBVSZTNJLUEQQGIIOELXVCDHHR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 02:39:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3112', 'TFNVTWYTUEKPLHPRCTAPUXOPXUXPPX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 02:39:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3113', 'BNFBIEHLITTNNBSGCOGENSVZEXATWD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 07:55:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3114', 'SRLZBLOQXZBOIFXBAOAZDCPNUXXRHI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 07:56:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3115', 'FFJBNZOHAVFXGKUIOFVMUHRQKMWQTN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 08:29:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3116', 'FFJBNZOHAVFXGKUIOFVMUHRQKMWQTN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-02 08:29:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3117', 'WAOYUTVHSPMDFQYHFYJRTMBBANAYXJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-03 18:07:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3118', 'WAOYUTVHSPMDFQYHFYJRTMBBANAYXJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-03 18:08:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3119', 'OEFJZMQJESWRPSQKBPQDUBLEXZRVTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-04 03:26:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3120', 'OEFJZMQJESWRPSQKBPQDUBLEXZRVTP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-04 03:26:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3121', 'UILJDKAJHXEUGVQHZZWATKWKHRXSEE', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-06 08:54:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3122', 'LEHSGASUMNSFCBWDAGUPAEMZBGFLPO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-06 20:15:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3123', 'FYRHXJAMANDKNLUWFTREUCHKXHDMVR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-06 20:15:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3124', 'IHNUDBZRDPZNPZADLZNSHFFNLFNFDD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-07 15:43:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3125', 'OOKYXEGZJEVKLDCALBHJJSJNDOQLXQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-07 23:18:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3127', 'BOLVMFOVJCJFAORAGNMIWWBMYIVVJY', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 09:41:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3128', 'BOLVMFOVJCJFAORAGNMIWWBMYIVVJY', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 09:42:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3129', 'ZGHZUXHDHFEKDNIIEFDHZMCIAIQJCI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 14:42:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3130', 'WKMRFBATYKTEBQHVYHVCCZZNEKORHO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 18:55:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3131', 'UHUWATCREKZBUBZKKWTEZJEJFQCLSW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 22:51:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3132', 'UHUWATCREKZBUBZKKWTEZJEJFQCLSW', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-08 22:53:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3133', 'NWZVSPRUYHYSAISMFFBFCAZTQRWNUO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-09 18:22:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3134', 'XHFRDLIRNGQORXAWIVGAFINIVQANKU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-09 18:22:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3136', 'BXNZKKDMXAXLTTIENQABHSZEZHMLWG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-10 12:58:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3137', 'XCYKEVCYKFTFQFVMTGUWOHCHBJRQDZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-10 20:18:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3138', 'VNPXWQSXSHPSVDYCJULYFQXEPRRBNC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 07:05:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3139', 'VUKIIJHEZCYSMPDQLNELIJSCPAYXUN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 13:12:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3140', 'SOHETXGJASCBNLXRAIVGLLGUCMJYIC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 13:12:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3141', 'PWZZGLVAXBUFUMZBYLQTDMPVDIOXJM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 14:28:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3142', 'WXWUUYHYNJRALXIPKGCJFPJVQOHJSI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 14:28:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3143', 'OSHQLRRFRGTMGEXYQXCZQEGLXZNFND', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 17:50:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3144', 'QFHBSJKORAVQYEYFQZTLXEFGKPZYLS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-11 17:50:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3145', 'GUDGBSABBLFJCPVZFENXFLUGWVMDMD', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-12 19:22:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3146', 'GUDGBSABBLFJCPVZFENXFLUGWVMDMD', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-12 19:24:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3150', 'BRYVPFEUMQYQLVAYMFKFVVUYXEHIQF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-15 21:54:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3151', 'ILEVCAXIWTYPUVTVRSUQZIGANMZXJT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-15 21:54:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3152', 'XIQPVSSRMLZUUCRBOSBFDLSHGTYUVT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-16 08:49:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3153', 'ABHGRVWOWRTBMQRTWTQUBBXVIVNXFT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-16 08:49:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3156', 'YWSVTWZZMVUYEGRRJMEULVVQUQXGZY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-17 14:46:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3157', 'TXBQCZTDRXVMJFYCBLLQXAJGUYLAHJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-21 02:06:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3158', 'QHWOOFJLJZBBVYXZMOTFLQNSZRZAAG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-21 02:06:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3159', 'SBYSGOEEEAHNSQSSOILKYUWCFUZKUB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 01:16:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3160', 'MOCSQSLQDRLJBRSIOYZCPCUBPOWLQS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 01:16:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3161', 'LEWDONIIVQWPOJXNFBHXBFUSOJHVFL', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 07:46:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3162', 'DIKCNKYIIZKNWDHOBQPKQSWPQBGEDO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 15:44:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3163', 'DIKCNKYIIZKNWDHOBQPKQSWPQBGEDO', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 15:44:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3164', 'DIKCNKYIIZKNWDHOBQPKQSWPQBGEDO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 15:45:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3166', 'DIKCNKYIIZKNWDHOBQPKQSWPQBGEDO', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 15:46:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3167', 'RWLPPZSXQRLKSQTWNPECLHXZYBQQFS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 23:40:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3168', 'RWLPPZSXQRLKSQTWNPECLHXZYBQQFS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-23 23:40:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3174', 'HHZIZHSOSRDWMMIMFVVUGFDDKYYIHD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-25 21:59:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3173', 'CMVPHZCIVSMPIHBKDQQKIAKUNQIAJP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-25 16:50:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3172', 'OMMWZLKSPYVKMTPHUSSVATEHDSBTPI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-25 16:50:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3175', 'FZVHQZCPQOUWDYRSQHRFGRETABCCMI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-26 10:23:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3177', 'HWWWYQQOCJCDBCMWWOKFRLPFEBYLRL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-26 15:23:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3179', 'GVFOESYADAFRPZSBHQUMCKEJTJFISL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-27 17:08:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3180', 'UTXHAOPJQRPPWAMVBYSTLTIXRXAPVT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-27 17:45:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3181', 'NNIMNSSOYUXAHSXSMDHJHOLJGIXULJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-27 18:22:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3182', 'QCEOBKMZLHMAEBDRCMQGTLVKJITBZA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-28 13:16:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3183', 'SWIXNVQYPBDHFYGDEXHGNBLXADPBYV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-29 10:59:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3184', 'FUCMBAQWZBAAWTGGAZRXXRJXMKHEIU', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-29 19:27:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3185', 'RNFPTLADBXDPNBRVVYSVJWFOHBFVBW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-30 09:18:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3186', 'JEITEOXHQSJSEWBXKLPYYZFTJZSFDL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-30 09:19:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3193', 'NYVVFWGRAWPEJKHOCRBNKRTCQNPERC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-01 05:08:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3189', 'MAVKRSKHNDATGNGEIGXWUIJUQQOXQE', '3', '26', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-01-31 13:10:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3192', 'NYVVFWGRAWPEJKHOCRBNKRTCQNPERC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-01 05:08:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3199', 'YYRRRASGUBBVLYDUSFCLMMGIJMXRTL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-04 03:39:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3196', 'MKMTAOKNFUOCUBRURTOWNESIHTLFFV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-03 09:18:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3198', 'BVUHDJRFWDSJYGHGRVPREJMKYTVPDJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-03 19:48:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3200', 'ENZJUKHWHGFTGYQBHCWGJJJGOEUOOZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-04 03:40:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3201', 'IFJASIQKGIICZMGMTANIAGCZHSATPA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-04 11:23:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3202', 'YAHQTFOMELSWTWYPDIOAAJFSCXYFZR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-05 21:31:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3208', 'WJNMFYHSSCTARMRBDVTIZFSLUTIDLI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-08 16:50:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3207', 'ELFTTUEXARPQPOICSSYCBUXLRJXRIH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-08 01:53:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3206', 'ELFTTUEXARPQPOICSSYCBUXLRJXRIH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-08 01:53:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3210', 'VIMLNSOWMYLQFOTFUCNXMXQTKEIZUW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-11 18:18:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3216', 'PMYLFKWCOAHSEECZQVJIDONQIRKMRZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-13 04:30:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3215', 'NKHBSWDJAYBVZNJVGIFLXUNRYVEECA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-12 15:25:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3214', 'YQQSTGPJXYGTXUWYTGLRPPJFPXWMMU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-12 15:24:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3217', 'WOEKMUIKSCAQCKCNFMORHEYAIBNDEL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-13 22:28:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3218', 'MGMSLLWASVUJDVRZARJDVIQDQIKWAD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-13 22:28:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3219', 'ELSXFWKTFIABSWDQEACNRDQCGCFHDU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-16 00:47:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3225', 'PCYOSPUMWXDGYPYWYYODKYGNJPKZUO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-19 11:24:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3224', 'OEAYXCZZJOXPLYPYUQKETJYCVINNHZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-18 20:20:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3223', 'LSRWGAOULLAXBUINOBSKINDAXJYEOI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-18 20:20:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3226', 'FVZGUUKASUSUGPKHZQYOOPZNVNUONA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-19 13:24:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3231', 'EJNFPQGVZIESHDKODCOZIJLUBQTKVH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-21 05:29:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3230', 'SJDFVRTAMLFPZJXDMUIPKWDDLUBXXQ', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-20 08:59:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3232', 'LRCEULEFBXKXYCGEEEHTNVDZCWMOBJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-23 16:20:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3233', 'ZNISWMYCZTAKGQLLIJSSYVNOLHBDJN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-23 16:20:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3234', 'UZUDLCWJUGLGZQNRKRVBBFILDVYNSA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-23 20:54:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3235', 'UZUDLCWJUGLGZQNRKRVBBFILDVYNSA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-23 20:54:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3236', 'AKAXJDJWGPLYRLPPRTWNVTJJVKUFTA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-24 00:52:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3237', 'SPCPRDSVUNRRKLNADRGPLSEVIHBUGX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-24 14:17:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3238', 'UPCFGRSSMMIKXUXFNSODNLZNJXDMXO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-25 14:33:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3241', 'EBOGDEZKUSBEBHTFJCTLLZZFTOGOYC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-26 00:50:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3242', 'HDGWSGXBCCXVCWBWNRTGRWKVGORSSL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-26 00:50:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3244', 'WOKDHMLASRULQMQFNVVOXMGIISDNTV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-28 11:50:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3245', 'LLMHEVVNUDAMKKRKDPVABQVYITRWPG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-02-28 11:50:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3246', 'WMCINCREGKJKFDUZVCVVQAYJCWIQTX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-01 13:19:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3251', 'JMSBCDMNPYWGOMSDSQFRTMKYNUXFEY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-03 16:49:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3250', 'RTQIJCJNIFFPKQZLMITPWQHBQAAUFJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-03 16:49:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3252', 'IJDJVSXXCLYGVOUJBBZNFRUUDCJDZT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-03 23:53:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3253', 'XUHHHTAHMXKTOSWPROWUCIAYVDCCAB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-03 23:53:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3254', 'MCOQDYKUFAWJGXEUUOKFMYKNQRLHIB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 08:29:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3255', 'OGTUTRCWVGXBTEIZPQLYCUTRVVVKLH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 08:29:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3256', 'EBGQGPLDRWFCIYXLBUDMBNPQGIFAVN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 09:27:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3257', 'EBGQGPLDRWFCIYXLBUDMBNPQGIFAVN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 09:27:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3258', 'OEAIBDDLHXWLSHPORUAKIOLJBGIVVK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 09:54:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3259', 'OEAIBDDLHXWLSHPORUAKIOLJBGIVVK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 09:55:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3260', 'CHLBHRDPPFXLTLAFINCNVOTNHWKESS', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 10:43:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3261', 'DSCFXBIOGKFTJFKRRBLGMKAAGOUCNN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-05 16:32:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3262', 'UETQPLHXJRBLIOTPEAMDJZAOSESOEL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-06 21:31:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3263', 'RMCGKBXNYVGPXDAGZDLHFMJBCESVFK', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-10 05:48:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3264', 'YKDZNKNXTVPFJBFGIGZGXHRKENWCLG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-11 05:54:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3265', 'PYNOALYANHDQNJFUVIXMGQTVGAOYTL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-12 00:30:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3266', 'ZUSCBUYPPLQUJLMHHZXAZHUNFBEZBQ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-12 09:41:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3267', 'OQZRDMOVAWMFKDVOOYBICOXHICVXYR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-12 18:06:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3268', 'IIFLYWGLFUPUOAMRNOWUDXNQQOJDXG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-12 18:07:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3275', 'GJUCJKPLQLVVJKVQSJBBCOASCTICYT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-14 21:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3270', 'TRDADGWTMFSGEJUVKBKOKBGZOPIJTG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-13 15:24:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3271', 'URDHOVKTREKOLPCZSGLDUBGQBXNRMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-13 15:24:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3274', 'LTIXYFLRHBQMLTMGVNWZXOZROSQFJE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-14 21:25:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3276', 'IPOLIVSEGHKOXTKCWCRKACCHEFJJSA', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-15 12:34:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3277', 'IPOLIVSEGHKOXTKCWCRKACCHEFJJSA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-15 12:34:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3278', 'HSAFZCGYNVAYVMWTRQVUMKUBBHJRLF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-15 23:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3279', 'VIDZTHPEPCLTCHLGMCHELJQKSCEJHO', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-16 20:25:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3280', 'HITFYVVLJVWCTPWOYAVPGZXJOECLES', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-17 10:52:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3281', 'GWFZMKCNTTHEEYILVPANMIQJXJVSHX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-18 04:37:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3282', 'BZFHHKFVXTMHSHRPTIALXLGIYVGCSC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-18 06:26:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3283', 'BZFHHKFVXTMHSHRPTIALXLGIYVGCSC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-18 06:26:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3289', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3288', 'QFPGZOGLJORZRUQMDCBNPJSPFMPLKY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-19 16:30:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3287', 'ZWZDWJNKXYPFEAIZOSGSTQMZIZPAEE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-19 16:30:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3290', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3291', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3292', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3293', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3294', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3295', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3296', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3297', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3298', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:58:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3299', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3300', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3301', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3302', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3303', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3304', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3305', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3306', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3307', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3308', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3309', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3310', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3311', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3312', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 03:59:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3313', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3314', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3315', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3316', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3317', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3318', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3319', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3320', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:00:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3321', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3322', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3323', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3324', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3325', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3326', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3327', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3328', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3329', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3330', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3331', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3332', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:01:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3333', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3334', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3335', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3336', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3337', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3338', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3339', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3340', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3341', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3342', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:02:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3343', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:03:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3344', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:03:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3345', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:03:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3346', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3347', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3348', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3349', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3350', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3351', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3352', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3353', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3354', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3355', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3356', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:04:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3357', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3358', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3359', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3360', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3361', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3362', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3363', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3364', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3365', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3366', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3367', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:05:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3368', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:06:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3369', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:06:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3370', 'EJHUQUUZFKNUHPBJKXXZQYTUUGKHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 04:06:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3371', 'DKVPFRBERGSWZFSPXUUEWGTVOMQZYA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 17:21:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3372', 'EYHIBVCIXIWMEVPPOZDURUQZQYMXAL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 17:21:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3373', 'LRQWYZCASXLPUJDZRESCSMWHUTZQBZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-21 22:03:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3374', 'HFAEFBAYEIYILJXNSATDPACVQTRPLB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-22 03:51:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3375', 'GAJCQVSJDKPPUWRSVBGGJAGBNCOEPZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-22 12:43:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3376', 'THIGVYGWQJLEAQXVYWKNJQQIRYRPIT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-22 23:32:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3377', 'RLTOLCOXZKHQPMHPFTNKJPLGNIELOF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-22 23:32:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3378', 'RPVHAWPWFVYOFIUTPYQKZQAAGTSXWC', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-23 21:37:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3379', 'SKPRFHQTIUPNKXFQETFLMSKBDSLENG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-24 12:08:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3380', 'SBOGGRKZKNUTMBSOVLIJZXGJIMVQZQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-24 12:09:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3381', 'KANBHTTHTTDBUIAGUTHLTGPTTTCGUD', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-24 15:23:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3382', 'MGNVQLOUZESYMHSWMHPGTQDVFTJARU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-25 07:37:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3383', 'BSWCQBHFZJOVPRNSANJMWNUKTXIMEN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-25 20:17:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3389', 'ZCCMSJNYODULGBJHEGIMLWHBLISLXI', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-26 07:48:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3388', 'SWRGEEDVMOGSYIGMLADJIKEDQAVVRE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-26 06:19:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3387', 'SWRGEEDVMOGSYIGMLADJIKEDQAVVRE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-26 06:19:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3390', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:55:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3391', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:55:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3392', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:55:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3393', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:55:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3394', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3395', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3396', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3397', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3398', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3399', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3400', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3401', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3402', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3403', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3404', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3405', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:56:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3406', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3407', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3408', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3409', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3410', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3411', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3412', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3413', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3414', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3415', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3416', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3417', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:57:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3418', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3419', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3420', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3421', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3422', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3423', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3424', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3425', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3426', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3427', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3428', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:58:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3429', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:59:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3430', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 00:59:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3431', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3432', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3433', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3434', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3435', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3436', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3437', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3438', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3439', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:00:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3440', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3441', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3442', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3443', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3444', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3445', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3446', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3447', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3448', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:01:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3449', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3450', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3451', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3452', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3453', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3454', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3455', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3456', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3457', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3458', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:02:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3459', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3460', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3461', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3462', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3463', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3464', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3465', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3466', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:03:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3467', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:04:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3468', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:05:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3469', 'YUTFEPTTILUOTSWQJALULVMRDEVUBP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:05:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3470', 'MQMGTOPAETLYEKWOBBKGWZOFWZPNLT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 01:56:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3471', 'WBWWRABEXSQCTNSDJOZUUXWSYODRXT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 04:53:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3472', 'JFWYYOHNCLXZRQROTZTFBNRYHKYVJC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 18:01:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3473', 'JFWYYOHNCLXZRQROTZTFBNRYHKYVJC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-27 18:01:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3477', 'TCAVRSMTIVNTCDFZUALZCRXFFGSNLD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-28 20:07:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3476', 'BHLGTLSGJRDMFUTYBVQTDHSLSCLXXS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-28 20:07:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3478', 'EYAFUBJBPRELJORAGULJCFTFNDMUYV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 00:01:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3479', 'XHAVUXQVBKJMGQMIGNWSWPYGPPAEAI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 00:09:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3480', 'EGNIMZKEDWUCBMAYNWPJWFHNIGLNVX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 10:26:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3483', 'VYLQETWSKJVHKKDIAOWNSFZFUKZPDN', '9', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 11:02:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3484', 'VYLQETWSKJVHKKDIAOWNSFZFUKZPDN', '9', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 11:03:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3485', 'VYLQETWSKJVHKKDIAOWNSFZFUKZPDN', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 11:04:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3486', 'VYLQETWSKJVHKKDIAOWNSFZFUKZPDN', '11', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 11:06:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3487', 'VYLQETWSKJVHKKDIAOWNSFZFUKZPDN', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-03-30 11:06:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3488', 'OFMAJRITXWYRELLHEQNGUMBYUSZRHC', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-02 11:22:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3489', 'XTLGTKAZTDCTPPAYDTYISRZKKVVFXW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-02 14:54:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3490', 'CXNBAOESFUSIJIFHOARISLTTRNWURT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-02 22:17:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3491', 'WAGWIHMBJNLTUJASRUTDDHXANVCKAL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-02 22:17:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3492', 'KSJGAARPCTCXPVTTDNVPFKQPCFCUZO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-03 06:33:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3493', 'LECCOYKTAUXBSCOXDSMAIMYCXMOTYS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-03 06:38:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3494', 'RNVCQUWTAKKLPTUDBVGYELIPAJCZXK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-03 17:32:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3495', 'JMXZBMVEKJFCRAFQVTSFRDWWDJQPDU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-03 17:32:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3496', 'BQIBYQRQOALVGTXDDZAJWMLLLPGFMO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-04 06:55:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3497', 'LGLCUCVYVRVOCEGSZGXKIQLIONKLCY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-04 10:46:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3498', 'NJUUJJKSYZHJWVWSZGNSLPTOYBLEZB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-04 13:54:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3499', 'IWUYTWLEYFNFUUQUGNAJUAMYKXMKIH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-04 13:54:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3500', 'EMVFJGKBPUOKCFHKXCRAJKPAWBNPDT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-07 03:02:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3501', 'ZVKNHIEWNRGCSQYNKZVPHLRNGPATLN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-07 15:30:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3502', 'UCETLMTKJZFUQVUAMQXMDLVMMBNSMZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-07 17:11:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3503', 'MMMYTFAJRXTQMQBSRNZEPCFLSQIWNK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-07 17:12:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3504', 'GHMHDBTHSVFNWPZPKQJHULWQORLSZV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-08 06:23:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3505', 'DJUAVKEYNTMHHLZMXONGIQZBGFMISS', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-08 06:30:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3506', 'OYRFOTACRRHQESYZGQDVKAJQJHUTJD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-10 17:27:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3507', 'JXZZEWZZUMBFEJTSARMMRHQHSKVYTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-10 17:29:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3508', 'ARFGMACSFNXMXDFOWMCEVWBGWXBXKP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-10 17:33:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3509', 'LFXZDLZKTMIIVBECRUIJXAMACPLTWC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 03:43:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3510', 'LFXZDLZKTMIIVBECRUIJXAMACPLTWC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 03:43:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3511', 'AJGNCQPYSXNUSQOOPPEHDWKUOGIZYI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 08:05:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3512', 'AULUDLXTZEHBTAVYNNACXQJMCRYXQL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 09:08:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3513', 'YKKVYBNFITWCFWNPCQZIPPNDZBEIMT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 09:09:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3514', 'FPLXDSCJDVPMEGSDRLYCBFQRGAIASI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 09:38:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3515', 'FPLXDSCJDVPMEGSDRLYCBFQRGAIASI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-11 09:38:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3516', 'MVMKQGELYDNWKYUSDIIESSMJGRHMFX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-12 12:48:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3517', 'EQFREDWIAWIZMJHSNZXFLPJCGOLBUS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-12 12:48:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3518', 'HEMULJXWKCGUMLLCXGOUAIGNPYERZV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-15 13:11:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3519', 'PZOAXPRMTEIAVDFYMNDACYYTQFNUXD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-15 18:04:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3520', 'IXORUFWLKKLLFOEMWKILQSXXTRJYFS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-15 18:05:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3521', 'LDFSOWTMSBDGHZPUGNEWGWTPNEWACY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-16 01:07:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3522', 'YPVVVSJEPRZYRISMXPBNTRHKEIZWKF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-16 06:35:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3524', 'AEFBSTNMGCRJUWIQITNWFAGBOZFMDS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-17 01:59:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3525', 'KLLODLEMXYNRKUSZKVPQDUNAYSEXFU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-17 08:36:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3526', 'RGFVALNLUZMCZPOHQOLSSFUOIZGOXP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-17 08:36:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3527', 'JGMDCECUTISOVFKEMRBDMSHXEAWIDQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-18 07:18:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3528', 'BUKQGQTPUVBSHMAWALYDNJJBMFGQDV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-18 11:54:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3533', 'GBFFJTOMQIJZVSQKHNXOGSAILNIZJC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-20 15:21:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3532', 'GBFFJTOMQIJZVSQKHNXOGSAILNIZJC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-20 15:21:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3534', 'YGPSNTDIACXZWAOMBQYAJKKVKMIZIW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-20 16:42:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3535', 'ZAIKKCXXWPTBQRJAKDZTKKBESKGYDS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-20 20:22:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3536', 'NDMDIKMUDWJHZOKIFUVKTUXLHRWAIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-21 09:44:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3537', 'TFGGJTFFYDYHEIKPZDNJMMVVCHNZEZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-21 14:55:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3538', 'DCIUOOAKRFRGGLCSWGQDILGKAOPWID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-22 05:05:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3539', 'XVXVBIMCITHAJIKVUPWHLLGKBHUTBN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-22 05:05:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3540', 'IKLOWQFUKEBPZLOUKYBJGSRKPECMHP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-23 05:17:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3541', 'IKLOWQFUKEBPZLOUKYBJGSRKPECMHP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-23 05:17:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3542', 'UFLMQBCKJPYPAMYJNEDSFVYBNDBWTH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-23 13:07:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3543', 'UEWKJRNEEGRLXNDZRJWHEBTZDDKXKD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-23 13:08:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3544', 'CHCVPMJFMKIVPVZUTXQMAKQEKHVOVI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-24 22:27:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3545', 'PUEZWPENNQBZRQFZTWQSDMZJZALYGG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-26 10:25:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3546', 'CTPCYRNSQWKDHXAQMVPFKNLRQSCIJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-26 18:30:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3547', 'BHHRLEXCOYHQKQIJRNDYEIXKAYMXZD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-27 22:53:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3549', 'BHHRLEXCOYHQKQIJRNDYEIXKAYMXZD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-27 22:54:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3550', 'DYIUINONPJDQMBWQYAKLPDVUUICOAF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 00:28:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3551', 'DYIUINONPJDQMBWQYAKLPDVUUICOAF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 00:29:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3552', 'IDMONOLMUJDVSZLPEMOHWAPWLMVRIF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 02:27:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3553', 'CEYHGMGGWVXJOYFBUVSQWXAMCTTGKO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 07:31:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3554', 'ELBSBETPAMNVEEWXOSVQRSMYAMKPMC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 10:16:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3555', 'WJLZKNSQQARHABAHQJLJGDDPXBEZDS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 10:16:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3556', 'PQLLNGWQOHDTMZNKJARNMWQLTOFEZE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 10:16:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3557', 'LDOUYMCMXGXZHPKBRNUEEZUFJORXFC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 10:17:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3558', 'FTNPCMIHCBSABEWMXFDQRILGOQTGRN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 19:27:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3559', 'FTNPCMIHCBSABEWMXFDQRILGOQTGRN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-28 19:28:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3560', 'BPKSMBVQHJPRSIGQTWKBNLJBKLDURR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-29 22:28:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3561', 'BPKSMBVQHJPRSIGQTWKBNLJBKLDURR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-29 22:28:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3562', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:46:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3572', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:55:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3564', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:47:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3565', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:48:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3576', 'YZRVVBZZDRIQUVVSNKJYWAFFLPPJLQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 18:14:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3567', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:50:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3574', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 08:01:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3569', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:52:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3570', 'ZSGZYSXVTGMQOHRFOHPSKCSMJFUAJL', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 07:52:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3577', 'QNATXLSNOYXLWVTPGYFGEVFIFILFCB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 18:14:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3578', 'IFWRPNEWMLLGQVJJEQOLPZGSIIFTXV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 22:27:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3579', 'IFWRPNEWMLLGQVJJEQOLPZGSIIFTXV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-04-30 22:27:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3580', 'TEJOFQQDFUHTESMRCVAWDKGWZIYMSI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-01 17:12:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3581', 'TLVIHTMEMXUJHIROGPNUASRPKMDUYH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-01 17:12:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3582', 'QEAWQJVFAIXMORCOUDUTDZQEYKIBMW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-01 22:26:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3583', 'SRJGWTABPEMTFXUTOAVZWQDTLCJOIA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-02 10:06:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3584', 'KDGVQJASIDHKKXKDGKKGRYSCWIFUEE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-02 10:18:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3585', 'KWLHRGOWWYWIRBSGGOAVCNOUDDCXVO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-02 10:24:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3586', 'PPXYXPYRVESHAXMIZVWJZJJXYWWQFM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-02 14:03:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3587', 'XVVFRSTOIVTSYCNPIYBVJKCNQOLOER', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-03 10:55:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3588', 'SZUCIKTTTKGMHRXXGHECDFLUQIDRNE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-04 04:15:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3589', 'KHWVNDCNPKSTJZNLBVHFNUFVKVIFKP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-04 04:16:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3590', 'CGRIYFASPOKBRTOUIVXJHWESNVXNXN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-04 21:09:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3591', 'HRJBLZEVOLKAEWLURDIWBVXKEERSZK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-04 22:22:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3592', 'UGANNHGIOAXSVYUJESIARFUVLAKNXN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-06 06:51:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3593', 'TPHAKCAZYTOEYZBBUCUONVSTFSHEUM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-06 11:11:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3594', 'WARRQQVYTRJNWQXCOTZSUJJMEGKHQT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-06 11:11:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3595', 'ABHJEZJSRFXRMZPQEOVEBILHODHIFJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-07 07:44:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3600', 'TRCRYCRSAMRUUKQWPTRAIKJXOBWUOD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-08 13:02:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3599', 'ZSZTQYZDFVOIPHBMLRKWCYRSNFCJBN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-08 12:42:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3601', 'FCHWMKWYKNYQRWBQCYOSNJQWJXJTTG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-10 08:40:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3602', 'ECBATLENTUJGDXHBTHIZSKXGDPHIWN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-10 11:35:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3603', 'DFQPNAYYPTJIDCYSLZTUPNOKFLZVDV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-11 15:02:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3604', 'GDSDXFECHHSZPDQROQLVONPNOKWECZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-11 15:02:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3605', 'PZNKDIBXEPZLMEDHBVMTOIBKXLAUXW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-12 17:01:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3606', 'FLJNPPMWMQNCCBCLIQOOBSIGYQONLP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-12 17:02:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3607', 'FWLXFZCZCHLHLYRWWIYUOUFRSIFBWL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-12 18:00:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3608', 'ZGANTICIYFCYBGSPCMODINHLKGINRZ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-13 05:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3609', 'ADSBUCYYDTSDHNALWHQTXHCGLBUHUH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-14 07:38:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3610', 'VTWQXXIQJYTBKZDTYYFDNAZSKPMASL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-14 14:56:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3611', 'VTWQXXIQJYTBKZDTYYFDNAZSKPMASL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-14 14:56:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3612', 'OOLPFPOICNYEWHNEQVRXOXMWMCMJWF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-15 02:21:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3613', 'ORTUDWCSOQFXGIVJTNKOHCVNVNFNKY', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-15 09:39:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3614', 'SOLRQHOFRMBSYBNKZOCQPXWIBDKWDE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-15 15:03:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3615', 'SOLRQHOFRMBSYBNKZOCQPXWIBDKWDE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-15 15:04:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3616', 'DHTVTFTRGBEYZBMCEXKBHRHQZRGKEN', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-15 18:42:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3617', 'UBELVLYIDQVTQUSRZRXYKIUSVGSDTI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-16 00:09:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3618', 'GZUCBWVLZGUCOWKWIQUWWGAVHZYFYY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-16 09:45:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3619', 'JTVRXEWRJFTMUDTERNAOHJOHBQLCAU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-16 09:45:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3620', 'AZUZLQYVSJOPLWWHZCHIMRRPCVLIXU', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-16 16:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3624', 'VICSMWKHRLSVBSTJDXOCTICYTGUVZQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-17 12:31:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3625', 'ZGHHWXHRZTIGCWVCJWFUAZQSXEPDJZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-18 12:37:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3626', 'MTKFIWRZJGTIWGGAQAQZQCEYLGFAUL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-19 17:54:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3627', 'NJVZHENNMTPYJHZNXAQXDTRVDCAVCK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-19 17:54:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3628', 'JRTYJTOCBZEHXQNHJNNLNUVFFULWLI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-20 00:21:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3629', 'HHPKMKQMOBYEHYHJOWRFWFIYFBNURP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-20 00:21:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3630', 'IZNXKTCXWTHZDPJJIBMPUIPFXIQSKB', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-21 05:37:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3631', 'IGWIWGTENYVCEGKDDWHCCDOBWBDVZC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-21 09:24:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3632', 'OPMOSDLTJQEVVRTZWCOILAWUWIRRWO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-21 09:24:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3633', 'UVDJUJNJKINOPBEUKWOBQCFSFCANYU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-21 21:02:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3635', 'LSVEIOUUBNRLAJEUUGHPKQRRBZGZDZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-23 11:15:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3636', 'QPEYWKQRSTSDXIXVOCQTRIWBVAXZMO', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-23 14:07:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3637', 'QPEYWKQRSTSDXIXVOCQTRIWBVAXZMO', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-23 14:07:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3638', 'NLMHVERQYPIJMQDCVVEIQRNXMEVREA', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-23 15:09:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3639', 'NLMHVERQYPIJMQDCVVEIQRNXMEVREA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-23 15:10:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3640', 'FUEZLRLJQGJEFSLTSFSNOWIGDSTMIL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-24 07:53:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3641', 'VAJDEXEKUQMFRPHNFXXBYUGTNGPKYJ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-24 18:56:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3642', 'ARWKELGNYUWGRRLJMZHMZEHJLXRWHV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-25 23:43:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3643', 'YQAXQONQRFKTPPIEBJROTTBSYIRAKX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-25 23:43:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3644', 'IMXLWQXUDKMWBAFKXAUORYMVSVQRWH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-26 10:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3645', 'TYKIPTHXRNFELLPJPFBUXVBAKOZOIL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-26 12:29:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3646', 'JPPXFCBEYMSCKQBLSSKGELBZQZQWGZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-26 16:51:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3647', 'MIVVHLMQQWQAHICEMBRCAWMDHKZQDP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-26 19:29:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3648', 'PPHXAUHPQKBZUULJIQMBGKRFQUIFYY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-26 19:29:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3649', 'GYWWFNBJRZNGCZUPVULCNPIJUEMNMT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-27 02:41:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3650', 'WGYMJADQLHWINOHQNMSPPJXBPEHBKB', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-27 06:16:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3651', 'MAFFAWKPWJOAXJXPEDUTVXJQUGMLGM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-27 10:43:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3657', 'YLCSZHFFTOKJWTAJEBXXSGPPHGDCFH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 08:20:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3653', 'ZZKTKNZXOBSQRXDCUCTVXBXQFPIKWH', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-27 18:57:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3654', 'EWLTRUNKZKKKWEMAXYBZGEKCYYPLHY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-29 02:09:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3655', 'EWLTRUNKZKKKWEMAXYBZGEKCYYPLHY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-29 02:09:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3658', 'ZMDPWEYZGVCFOTEMTJGQAFLISIYRZZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 08:21:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3659', 'IKETACLKLHNFKITWXNFZCLZBZPLFCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 18:39:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3660', 'ZPWBJXKOGLHVRIYNMUZWVAOJYJGMPA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 18:39:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3661', 'WVJQVUDKFDGVCHKNKSSIJQAFPYATWC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 23:13:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3662', 'AZDGGAVRQQWUIEIQTVBFCSIXBXHGZY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-30 23:14:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3663', 'FPZFWBOKMQTFMUSQOTJGZYLPGREPHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 01:13:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3664', 'DDPORIRPJLPJYNCOPXWVIMCXKMIFBN', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 06:36:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3665', 'PACYAOXJGTIKNPKTKBNFUUOSBMDFWD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 19:38:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3666', 'JIELSUPTVGVWMWEVENPQDTZZORBTSJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 19:38:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3668', 'DXSNMSOLGELDHFQZNISMNKQJDKUWOI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 20:12:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3669', 'DXSNMSOLGELDHFQZNISMNKQJDKUWOI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 20:12:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3670', 'DLGGMEMTIWLZNQAYBWEWZMIMGLMCES', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 23:03:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3671', 'DLGGMEMTIWLZNQAYBWEWZMIMGLMCES', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-05-31 23:03:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3672', 'WSCWCUZDAYOVHQAMSKOQWOGUYYKPQK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-01 06:17:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3673', 'YPNFEOKTROXKUSHRBHRMKEFCBJAGSO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-01 07:16:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3674', 'ZEIYMRXEZXCLWCVWYIMDEHHXRJNGYL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-01 19:36:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3675', 'SYNFZTGZCSLWYEFZZIUHXLHOUMCLEH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-02 12:30:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3676', 'SYNFZTGZCSLWYEFZZIUHXLHOUMCLEH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-02 12:30:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3677', 'QYZKCAFABSLWONHRWEVGQOZPOOCGQY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-02 15:12:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3678', 'OUHTFVBNBOBOBIVRHVFQLZLYCIKQMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-02 15:12:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3679', 'BQBJOOGAFCIABAVZCUYISHXOBTIMGQ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-02 19:10:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3680', 'XLTENRVKWCWUTBRCPQOFVYTGSJDSSN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-03 03:08:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3681', 'XLTENRVKWCWUTBRCPQOFVYTGSJDSSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-03 03:08:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3682', 'FPRZEEPQWIEVRMFYTHCYLAJSENPASD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-03 10:23:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3683', 'CMFFPARYNMGOWNATEPYPGUTTNSGVZQ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-04 17:05:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3684', 'IBDUMBRPPFXTPENQWEQAGCPYKLGZEC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-05 22:09:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3685', 'RGPMLWTOAHBGPJYUILSHWTBADZWVIV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-05 22:09:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3686', 'VABHTFDHYFXAXZCSOGDIKGSGYVADRB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-07 06:10:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3687', 'VHCGITAAHEYXGQQPBWVNPPLBNILIDL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-07 07:17:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3688', 'VHCGITAAHEYXGQQPBWVNPPLBNILIDL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-07 07:18:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3689', 'LONGRALWHOKSTEJMKMDQQRNBORMPKQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-07 21:42:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3690', 'QKUIYKZICRGLVHGBYSMGUQHMSGFCYT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-07 22:03:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3691', 'OUWBJCCCDYHUBUPEVHMJSQSYKYZFQI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-08 06:22:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3692', 'ZNNLTDFJAJEKPCRBRFEHKMAXFMPIRA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-08 11:35:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3693', 'LCSCVRLHFZJELCNKJZQTCJINRJLYPI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-08 15:21:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3694', 'MCSHTHLGULNVSHXMKCLFXZEMVNKKJD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-08 15:29:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3696', 'VRGUQBZXSKUNWFWXKTZPTNHPSKZZHS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-09 01:43:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3704', 'CJFADTPRAFLRJZAMBFUSANIKIFUDRE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-12 17:44:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3703', 'VEFLWOIFLWNWWJZBTYMBYWMRJBPWZF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-12 15:32:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3700', 'LHTFSWHIYHVRIOPRPXFJLHXJBEQYIP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-12 04:49:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3705', 'CYHXNNDARIDUSUCTCCIICTCNJYBPXB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 08:11:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3706', 'WSNKTWNLALIDYNWHOMNDRQHMAWOZUK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 12:49:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3707', 'ZJDLBEGCKVYPDDWNSPUBWSBXUAQRFG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3708', 'FFRMPDUHWAHADLCAENOPZZHUNIQRFW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3709', 'UIGXIUTKQAQNKXTEHUNPQSEYBNYDDG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3710', 'NYOUVIMFWKSMMOYXPFYIWMUOTGTCNZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3711', 'EFDPYKUMCZQSBXQFOCZDMGXOZRNMUW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3712', 'LZZLCXPCMYQRFXTHIJJWYMAYVVHCBS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:25:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3713', 'BLIINSEWTKSWEDKEPIGAPIKIVERBUC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:26:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3714', 'EHJUBEXLUYNEPFOMAFULARTFBMSCMY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-13 23:26:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3715', 'BGNHJTTEHFHUHDZRDROAASGHQYVZYA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:54:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3716', 'FDONUXOCRJPFIAJNGRZHHYNVNLINXE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3717', 'AULOJKJNNOBJSZUMSTDEQITGVZZUJT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3718', 'HTMYIMGYRBYGACMXPCYXYEIZQFOCHY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3719', 'LAURXFMFACFIIUEPVNHQXHBOYEWLBB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3720', 'FEZVZMRMHXMEHPCWWCULXWWAPSVQHL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3721', 'VEHWAYISNRTHFAFERPFVYPHBTACBCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3722', 'CKJQHXPJPOTYMHZLAQXJJROXUDPXTE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:55:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3723', 'NDAPCXRZYIEAHVZRSYOLKSPPROWAOF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3724', 'SNJINCDBMJVJVFGVQKANQUMBKRTLPY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3725', 'MDAQTUSQTFUEVDFSDZIBVSJZCBIPNC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3726', 'DCAVPRTOTFUPOWZIZRWIEAMOULPKYG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3727', 'OEKIEWRJRWLHUMGYHCRMESSRQGWZXA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3728', 'SUGAKSWKNZIAMDPAMKCLBFNJLYREBW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3729', 'QGNFLCOKKIFYCSLQDHYRNNHPWTZKPT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 03:56:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3730', 'LRHHUYNDROGXHXGGGPVVHYBULCDYIY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3731', 'EBDSDNBCKOFVCHQNQKJYWLXPDGHVJV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3732', 'TWWMCEUBRJIJUDUTKGEFHZRRBFLIOP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3733', 'CZFLIIPWSQXOPTFAMSHOMKQQEVTYTR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3734', 'WVWLHIZGXQXSNWDAGESVGJBNMFWYXF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3735', 'WIEFUUECCMIWYFLJXYSLQGTQGDGLZH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3736', 'MOYJNBVDTCHAHXDSVJSGVITHYKYOMQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3737', 'ADKIURTLIVUQGBPNDXJEFPEXAVHXKA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:00:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3738', 'PTVKYPALDXMCTOCWKOZJKUHOATLXJZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3739', 'DFOQCTRZGKBYMLIWCPCYEPCMKHMOSE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3740', 'NESTHIXMCSZZKXZNLXXBAKWBXEWSTJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3741', 'GUPEJREXBGDWHXKLKDCNZDNUDWPRWW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3742', 'SDOSXUMPHIWPCSYXUMRPLTNUMBFGIZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3743', 'SDTIJDZOXSPGNTNNKXJVKNUYPXJHZG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3744', 'PUBSWEFHEVEEAUFXCUXJXOPRPSYFJZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3745', 'PDGJWIICOGHJLSCEDLQTTRXCDPXLPM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3746', 'FNGPAWKEKJUHNYIXVRGCNHTGOUAKIQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3747', 'VVDUVKJFIBGQGJTNVSNCVAAUMPOVNW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3748', 'KRWLMBCGNXEAUVUUEESYZRCRZQIVCC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3749', 'LRSMLSTIKCJTSAMHCTTCTQCGKTJOSL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3750', 'CARCEHOXRVWUKUGFYGRWZVKWGCNQCW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3751', 'JEIMLKFVCCXKHWJJXSSYJBFOXGMCOK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3752', 'DFQJEXXROVETNKAEMRUEWNNAKTXXMP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:01:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3753', 'EVNOYCEOELULWDLLEIVJCRWVDAODRA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3754', 'FFXDQFCAXMRGCMYESQFXTWXZMTBOZN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3755', 'OZXMHNLBXDKUASCDMKWRMWZKNGOROJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3756', 'YHJFDRNLEFAJHLTAWKVSSXDQSCJFWA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3757', 'MEFHGIKNGSAHIQOZKGNSHRTXKWYMKX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3758', 'LVDEDJNUACJENGFWKMCEVAYZOXIYAG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3759', 'FGDFPGBXMVJMXYSHSQUISWYOKIIYVZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3760', 'VRCMOYBREWKFZRUCYZPIXBYNRJUGBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3761', 'PCHATHDWILLSWQGTSNBBPGLQJEDNWW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3762', 'SSLPSRQULJGNXCFMYUJGBJFZGOBGHO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3763', 'HBBZDPNCWTLNBCVPJVCLDRMQQRSWVL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3764', 'YQGTYPLQHHOLABTYPFGFRPEPOSUHMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3765', 'VOPPCYZILFBIBPUJTSZKRXOPOSHUPR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3766', 'BLPSWHLSPHCKBIWZTNDFIRCDBGXLBZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3767', 'KHNQZFVRWUJAXGGFOLNUNMZHSNRFOE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:03:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3768', 'CSDBMDYEHFUARZCFATFCYAWLLNABJS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3769', 'XIHHUPEBYDRWRTWYUZZAZLYGARSFJY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3770', 'YDFQHQHBBRJELZEYKNDMHZYPPJBVTV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3771', 'XANUDHJMAYQRFGWBKIIRGHJQPDAXVI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3772', 'RXGIUHJHKZXBHLQKRPFRNZZUQMKMZY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3773', 'KGODVUSUAAIYECDTTNCKZUTBORNIOE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3774', 'DSVFVAYQBHZOVVQCVDRSRASCJXPJRK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:05:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3775', 'MEBFGIXHBVWDKRUQBQOPCYUCREZGZS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3776', 'DUEVROFWYHPWAALMTHJJMDFPQKXHPM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3777', 'TXZCSVGKFZNUPRJMJWGIYRJZFXOPLY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3778', 'SSHQYRYYMEGDSBBFEIUVDJYTQVLKSC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3779', 'XJMMRHNQINCNFVCEFOUMFJELWUSSTK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3780', 'VAJVRGNIJOGWUOQJFVEXORETETENNW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3781', 'HNJTJVSDNEUNRXCYTTIVZZZFARBYIQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3782', 'QIPRJCSCLRCXLYLZHDCLJDAKVMIEZV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3783', 'JAXBQPXMGXIZJRXWUWHOGKDNBFKSQT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3784', 'EJUDOJBEGFVDVOTPTONFVYKRHOOCWF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3785', 'UZJYKYDXBIZOWCNZXHBKIOOIMXBDMX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3786', 'PXBNBKWCNEKJHTVXTUFXPLCMZJVEAD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3787', 'PIDSSRGWKXFSTWDEPJXFCMPGPIURUR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3788', 'EQVRQMYPDNZDNOBAXCGNHFFQSKAJHK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3789', 'IIMSGOIHGJOPBLUKABWPTEZARHSJFY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3790', 'VGBECUQEJDVIHQHYUDCKAZZRXPZACR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:06:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3791', 'VPAWLLSGOUWHSWWHOODMHSTGLXHECG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:14:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3792', 'ZOQIBDTETSFHZIZWYXZLQNHPVQYROK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:15:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3793', 'CBMWDSUNKSRAPBERDMDQUGHZRMSEBO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:15:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3794', 'IYCZWGCRPIVBBAXIAYLSQKOSQHCYEO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:15:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3795', 'JAPVOCPNBXMTKAKGURPFTDCXLFGNSV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:24:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3796', 'ZTHONYKMUAWNPQRCALDQTFMQCTWDEM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:25:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3797', 'HPWMJFCHEJCGNZKOYHEGGAJKKZFSCH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:25:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3798', 'CJGOOPILTVBMRRCNXERUCPJSPVMMCH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:25:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3799', 'UKXSEWRVVLXGSCMJTJAJDQKXVGBOZR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:25:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3800', 'KVKSRWSNKQDYOYAGXMXVTTTDIKQJFF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:25:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3801', 'BHWWQVZLOUJUVNHAFPZSAMPBRKMDNX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:26:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3802', 'KHBYLRDPEIOTMBXZALQNISOABZGDIV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:26:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3803', 'EDYHZZHJNASUHBAHTCQPSTHTXIOQJW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:26:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3804', 'YZQHOXYVPYBTSXBUAAHKONWWLRKQDC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3805', 'OERQMWYXJGPISDJZUWRVBCJXNHCCIQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3806', 'VGOJAMHMNVDABXOAQAROPAFCVFWWXO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3807', 'UKIJBGXXGDAHBHLWLQFNAXUPXZOVVW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3808', 'GENIOHDVSTUPOEKBLFTZBLQBCTWDKO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3809', 'KBENSQCZBEWZMFUDMVLRBGWTTBXSCG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3810', 'GKYZGQAQOPLJVBOGFZECZTZGMHMNEH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3811', 'OMYEIBXOEAVWFUPGTYXDPZHWCKBIKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3812', 'SKEWWFNENWVISEDEIHYJCSKLEXEDJC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3813', 'BDUJICYIBFFMLGNYQMUVRIZRQUTZBQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3814', 'WOIPSHAXIYQNMWRJTSGQITRSJJNENB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:27:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3815', 'XTBMREHWLPZPXOKIWREWJYWPQOAJKF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3816', 'URJJKDKVUGZAVQKDIKOXQGRVOHDTLN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3817', 'FIFRFUHKVEEPUXAOAVWESWRGXAOKEI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3818', 'CCNNAUNDOOVGQQFWSYRAUALGCNSHGW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3819', 'PFNVIUHZORQFYVEBZWLDZNWRZLYENI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3820', 'BPQTBOYOGGGGVSSKUHJXBHMSMUBANI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3821', 'OQUCPHVBTBQOUITMGXTLEHHOYDCUKI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3822', 'EWFFORNMLRJHYILLNAPYZEDPXYPRBC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3823', 'JEIGNXKOGWSADSQINMZRSSZNXRYVGE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3824', 'UMJGDAZQYTXPMQNFGJPSCVNLICBFKB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:28:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3825', 'ASOZAAPDXTGBXJINMWFMVOAUZNFYBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:34:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3826', 'WJWLYFWGDQNWQCRALTUFQTKPUKBEJL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3827', 'QJJAHEDDJOXTOBEIGGHGQBLHKWYYSR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3828', 'PNXBZYSVLLXCITDSPFHGYZXRQYMQVF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3829', 'RPYSUKFXZIXREZCGLVPHUTTHNCHBHN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3830', 'FZKWKAFRXVOEZMEYFEAEYWBVVCDEYG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3831', 'YRTZYSVKYOYYJUZYMAWKXEHSYEGOSL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3832', 'UDWLBIXEORPYOWHDYSUDPCXYNNNPEO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3833', 'CJORMVIWKSDECCWITIITCRNVZBROZD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3834', 'ZCIYHTUCMQXOOOYGIOLURJGSVHMBKS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3835', 'GJYIFDQWHZAHUUZRXOTMTCECGXCWOM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3836', 'GZDTTGZKPXNEBIYAOLAKXKOQHXATPK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:35:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3837', 'QSNQEJNXKWLDKOCPLPPHGFZPWDHWNV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3838', 'ZQIVKUXYMCGGXUCJKCEXNHMBUOBMDN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3839', 'LTHCNCBIDWNMTUJBKZIFSMITJQTSAI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3840', 'OUCLCYEXYLNKONBTFWXJCUKYFGLXSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3841', 'GZFEKFQYHSJTJFZDVETMFETNTAXSCW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3842', 'MUXCKWOVVPIBVSFBXENSYVBTOVKLUZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3843', 'QAFBGDGRQDYCWPHUFGRHLTQRUXYCXC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3844', 'BOIZZCFWWVCTEZXBWFSIGDTQKPNUAA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:36:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3845', 'DHXRSEWTNALZISLVYWJNWWHRXFIDRI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3846', 'OHHHHHEKTMNXKIEPNDCRFWEONOKMLU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3847', 'KJIMMBYPAMLTHZNGVMHFCACZREXZBR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3848', 'MDEVJFROQTWGWYNYGXTNTHOLCFCBLH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3849', 'BXIMROACICFPKZSGQEMGNZSHDXZBXO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3850', 'RVCEYNKDLHHLMOEGWQVVCIQPNVHRYR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3851', 'AKMXBDRCUEBFYYXCCPAGLCJOXLAYQS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3852', 'IJXJQKGLMQBJQNIJOYNMANTSLOUJKV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3853', 'MIFTCZRWUSNPOLEJVDKOIPVVHULLZU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3854', 'ZVXPMMGJLAJGGMHYANLSBBWBLYTNCA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3855', 'KXVRPESMVKLAVRIIRCCMNNDNXSFOGF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3856', 'HQBTUOGQXUXHSNHXNYZUIUPLBEDKJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3857', 'EIEVPZKGPDTQKSOGJVGKLHFKSXGVSN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3858', 'ZKDADXTMGDZKUECHQCFDQRXKFDJTBZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3859', 'KKIEKKSXFXOOPMWVCVMFUKVFSZFBFG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3860', 'JPQJEMCGENORYEUXHOKDKBTNMMDKOB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:37:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3861', 'FVOTKLQZCAOASIETCOAKDAJMMBNLWO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:44:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3862', 'YLZLYFMPFAZRJRKLDWRYCIKLLRKXDW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3863', 'KMFRSGKVYCCVPNWWEONYMTMONKQYSS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3864', 'RIELTRFUTCIVCIXUWKDKONKOUMTXWY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3865', 'ZGKLACJSUATYNHOLEXAKOKADCQLZGK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3866', 'SIBRYGPLPSOEWHSTNSTPJHGFHVGUEG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3867', 'YDWXUFWJLXFLUJATQGVLDZKUCTGZSL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3868', 'JHLLIZISRMRIMZRHNNCZQNUJJNKFVP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3869', 'ITSCFDHQPEDBJPOVNFKMHSPNETSNEL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3870', 'XMUKSLFBBPGLMBJMDHSCJJKRNHGKEG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:46:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3871', 'IDTBBQROVDVGMLTBXVPBYXWVNTBQOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3872', 'FHCJFIJVPXXVMTAPTIMLUHZIJHLDVG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3873', 'GBCYYITSYPJJRKYNZEXJBIVJYZDGHE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3874', 'BDVNIFIKJRUJMAEWLCFZKXTMCGTJSA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3875', 'HYBYVYZDNLCKFTBISSFTGQWMDEYBZU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3876', 'YAMHIMELQTRDAMDARHIASXSGRZUYRY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3877', 'RPPHJPHGRRHHFCUUWBSICIBMGKNCQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3878', 'DMFWPYDMDHNTCIFJLKHGZJFFWPLRQS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3879', 'VZRXZOROILWDSHFVUUIVDLVZZVIJEU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 04:47:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3880', 'GRRYRTEBQKYTEZFTITYTJYMWZFWNKT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 12:52:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3881', 'WOAIBGOMVNFQJLCRFPJQFKIUIKMKCB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 16:38:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3882', 'ZVRKVJRXCKEFDRERXOXLQOLOJGBMEO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 20:37:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3883', 'YSYMJIMDUXOSSFJEUTOEEYKCWHKSUA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-14 21:12:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3890', 'QBVBYFNCPUWTFFVWXQEANJUHMADFQX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-16 10:39:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3888', 'RJWTWPEJCQFCKQMPGJCEKAVOVMKJUR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-15 15:11:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3889', 'MKACPWVLHDAHTQPQZUQYKVLYAUZWQL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-15 17:11:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3891', 'CKTHCMHGZQWBWJAIWUIBPATAMJCTEW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-16 10:39:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3892', 'JCOJLNKUCIKTPTLJNXPZFXVBKJFHCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-16 22:20:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3901', 'SJAGXHXMWVXQLYVXYLBZGATLPOPZVD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 18:15:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3900', 'LHYAWNUFPNCIRAEEVIBEHUTCCCAJFM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 18:14:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3899', 'CVCMYYUMRGVHTTUPYZYUSEYPJWNDLD', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 10:42:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3898', 'TYWVMJLCRDOAGOVJOVRVPKCAWAODYS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 04:58:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3902', 'TBPBEWVMHNOVMIQYDWZPWEVTZMMYVS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 18:15:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3903', 'AOHKBDAMSBPMJPSIQLRTBNSGUYQHRJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-20 18:16:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3904', 'YSDQQALYTXQJCPNEUVWAXKUYYBXIMH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-21 20:52:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3905', 'KNTNBSPGKLWVDLHJXCQHDCSHDFOPSX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-21 20:52:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3906', 'OQRZCWGDVWXJLPKGJLHKTEGMVAHBFS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-22 02:53:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3907', 'PNEQADGODCJPBEBWVKUIFPLWYEUPQB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-22 15:47:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3908', 'TTHAYUCLLDZHXIWPGDIDDVULZNJFUU', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-22 21:43:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3909', 'DFLRYNUCTIDBHUANRPSXYFGKCGVNSC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-23 01:20:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3910', 'XTMOENEAOUTFCLZATYHIYYKWQXERVB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-23 11:32:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3911', 'EIYBHJHIXADMPZYYPSFKHCGSIRIYWW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 10:25:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3912', 'EIYBHJHIXADMPZYYPSFKHCGSIRIYWW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 10:25:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3913', 'HDDYJQVEBEBNWFZZLKCULVLTMLZEPR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 10:35:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3914', 'HADTFYLNOUATROSPOJFIBTSPLICYOQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 22:34:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3915', 'IEDAJWDPVSGVUGQOUZMYPOJMNCGWWQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 22:46:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3916', 'RFPVFCTZBLWFBIMJVJBOFAAXOXIGTD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-25 22:54:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3917', 'XUPAHASRYPMLAGGCDZCAIKZHATQHTQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 02:39:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3918', 'XUPAHASRYPMLAGGCDZCAIKZHATQHTQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 02:39:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3919', 'YJJCIUOAFRVFUZEKCLQOMBCKTICPGM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 08:18:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3920', 'SXMLKXQIEMVSHDDXJTZSCWQKIISAAP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 08:20:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3921', 'KQYEBNJRHOVLJSVXJDFKACSULCJTXZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 14:21:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3922', 'GAVLQDDFIZIRICMZEKNLZVTVLRKWYV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-26 14:21:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3923', 'RGELMZAXASJLRXSSOPSPPHOYRWBZXQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-27 12:24:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3924', 'GGKBGFSHMDTEUDBECGWVSFTWTTIVUW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-27 12:24:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3927', 'KQSWNUPCNVBHRIQKFKCCGSLOWVHDAK', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-28 10:17:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3928', 'CMDOQDHQBSKVNGALBHREFKQWVYEFHV', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-30 04:40:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3929', 'CMDOQDHQBSKVNGALBHREFKQWVYEFHV', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-30 04:41:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3930', 'XLPVRWLNVUZMQECDTSFQQJCDEWJBFW', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-30 07:57:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3931', 'YDFSFLQQFPWGTCBPVPUEBEINBOWCEZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-30 09:18:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3932', 'VFVXNYVMMXVINNGUWJWXOTGSKMUYJN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-06-30 15:26:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3933', 'ZMJOXDJHDRFEZQVABTMVZNIEBGUUZU', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-01 19:00:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3935', 'DDQOUKJAEGPCJTKNKVZOXUZNKNZDSZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-02 03:23:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3936', 'WIPEQOTAQAGQKNVCEWGBVFYACPWFVT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-02 04:06:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3940', 'CIYBBWMYTUSDJQYYTPTCJPQNEVWKHT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-02 19:19:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3939', 'CIYBBWMYTUSDJQYYTPTCJPQNEVWKHT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-02 19:18:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3942', 'ZNOZLSMFKSLKRNIQSRBPBSHKCAEMFE', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-03 13:09:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3943', 'KFSFIVOUNETHBZMWFEYLAONSHTURDW', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-03 13:21:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3944', 'FQVUXROPGUKAPVOCDGFCSJWPVRMRTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-03 21:08:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3945', 'LJRHWGHOCKMNEDAVWXOWOTLOAOSFEH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 00:02:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3946', 'TWXBYLWCYBGGTPSHSUHWSZLPNBLHTU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 04:45:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3947', 'HOUISTYKLFUOYIEXPHSELRZWGLGCSY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 12:07:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3948', 'HOUISTYKLFUOYIEXPHSELRZWGLGCSY', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 12:08:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3953', 'NZKFKOQMBFJCATBQKIPUKNGFNYIZDX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 13:51:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3952', 'NZKFKOQMBFJCATBQKIPUKNGFNYIZDX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 13:50:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3954', 'NZKFKOQMBFJCATBQKIPUKNGFNYIZDX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 13:52:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3955', 'BDADQPIXHUSTAJOAAMWPTMSUWRODYU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-04 22:46:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3956', 'CKNIIPLSXHJOUQJOOAHXHOFWXLOXZO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-05 04:12:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3957', 'FBDCWIIWJYTTIOFCMKVPMMJRKTZGAB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-05 06:16:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3958', 'RFHIEUFAYPISSGEBMGBBBOILKBOWSU', '11', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-05 13:07:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3961', 'RFHIEUFAYPISSGEBMGBBBOILKBOWSU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-05 13:08:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3962', 'YOSGSQLXXORQCHRRZRGWOHAOZPECYO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-05 22:03:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3963', 'SHNZPSOBJIGMMIQTSYJKSDKKORBNPA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-06 08:00:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3964', 'SHNZPSOBJIGMMIQTSYJKSDKKORBNPA', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-06 08:02:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3965', 'SHNZPSOBJIGMMIQTSYJKSDKKORBNPA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-06 08:03:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3966', 'SHNZPSOBJIGMMIQTSYJKSDKKORBNPA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-06 08:04:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3967', 'SHNZPSOBJIGMMIQTSYJKSDKKORBNPA', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-06 08:05:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3968', 'CSKPCXIJIWHCAIQTYZDQORQVGKXPAX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-07 01:31:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3969', 'LBMNKJAEQRIZXMYFRUFXWRELJQQSFV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-07 01:31:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3971', 'OWWAMIKLQUNUIEYCDJZWEIJJHTIPUI', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-07 16:12:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3972', 'RVGNUCVQTXJSSGBTLZESRLABBBZBYJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-07 18:09:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3973', 'HWYKZEXKXBRMHXZVXBXZZGEUSKDZXC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-08 09:17:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3981', 'FHUTWGVSJYPROLXNNHUQBWLFISPYHE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-10 05:50:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3977', 'JOEODQJLVMVVPXYCKPLRZIJYTJUZZI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-08 19:51:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3980', 'DJRQHNATLGRUYIMLXHYGJZBKTBKCJA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-09 20:57:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3985', 'LXBUEEBNWNETXFUROEJVUYBFTAKTPU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-10 23:22:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3984', 'DNPPWNOPZXJHNJAPKHSXXNLWGXVHOP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-10 19:26:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3986', 'BVSYURZYAIHYPVAATSDKJKKDCBVPAN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-11 20:12:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3987', 'YKTMTUDISOFMRAGCROJJMCEQMIZIWD', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-12 10:33:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3988', 'VQTYYEARUNZMNERCRMLXUGNEECCPDB', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-12 18:21:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3990', 'NLIYZNATIIVUBCEQLYDPCSCVJAZRWQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-12 18:43:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3991', 'RNTQEMWVZIQTYWNQZKLYJQHIZJILLN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-12 18:43:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3992', 'ASUQNTICUDNFJLHFJBBJYHFJXPUBPT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-13 21:56:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3993', 'BXALPAPREBMOGJQVYDVQSEUEIBPCDM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-14 02:29:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3994', 'WHZNMIEVWMHUBCPPZRJOJPQZCNAHTW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-14 02:39:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3995', 'JIUONMJFJZWSUIAKLNRRCJDJVDXDWT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-14 08:01:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3999', 'APGTMUZJSPIZMLOZPBFTWJFXEYSUPA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-15 07:11:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('3998', 'APGTMUZJSPIZMLOZPBFTWJFXEYSUPA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-15 07:10:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4004', 'ZFKDLBTGSNJMFQDJAHEXSNVUYCHTJE', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-15 16:29:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4002', 'CAYHHFPMLYWJUNFEMFFCQWXOFLACSH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-15 08:28:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4007', 'YDHRNPSPNCXNDXOLERBKZEGURFSKEP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-16 04:40:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4008', 'LZRFSCMEFLDOCQEZSNWAQOXYVQEXOG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-16 06:33:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4009', 'QKFPFZOXLNVCQJVWWMOHCBYARUMSYD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-16 16:41:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4010', 'UJYYKWBBTGYLPAYIDLIZNCEAHRQHTU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-17 06:14:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4014', 'QYLBDPQNQHCHZCCALQINXNAAQDRYBB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-17 23:04:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4016', 'QPNYARLYBFFZJWUSHINPWEFEXAJORU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-19 00:43:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4017', 'QPNYARLYBFFZJWUSHINPWEFEXAJORU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-19 00:44:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4022', 'COWGVMMNJGFNQVPWYMPVKAPJMBJZKG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 06:23:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4020', 'FOFTZABAZPCGXFUDFNKSHYIROYCHYR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-20 13:21:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4023', 'LJHQSUMNUOMOWDICZLVEGOOVVPDBKG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 06:23:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4024', 'AEEXNHQMSWQWWRDOEXADAVXSJJUIBR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 11:18:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4027', 'IHJVVFRUILOBNCGMLRNCWXHMXMURTV', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 15:42:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4029', 'IEJMXZOHNWNYHBMMNKMXSHYPDKXHXE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 22:51:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4030', 'VBTBUOZTKXFXXEYLBILDHAFLMFWKDF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-21 22:51:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4031', 'VEGMNVUACMIYSKXNHEOQGZEBVCKWWL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-22 14:28:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4032', 'VEGMNVUACMIYSKXNHEOQGZEBVCKWWL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-22 14:29:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4049', 'SGGRWOVMNARGHSLHWMRPRBUOEGGQVT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-25 10:27:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4048', 'PNKOMZJTRBELVYWOZYMGLRCOJWMYVO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-24 16:54:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4047', 'REMVTAKOVGMPNLRJQRIDHWHRVLUZKP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-24 10:53:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4046', 'REMVTAKOVGMPNLRJQRIDHWHRVLUZKP', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-24 10:53:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4044', 'SFRWCCPODBJRPYPPNBGKJEZORYGWYN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-24 00:12:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4043', 'GGQEZNPCAWOQAKHDWUXVIVNZNWNWII', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-23 20:06:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4050', 'CCHXFZFFPFKTBZEXPRLRZTZERQMWVY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 02:58:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4051', 'XJYQPPFDHCZLNLQBMOARLEZGLFHIYF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 12:32:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4057', 'WNDGNBDANZQSJHYHRPTTTVBNTEUSDS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 20:47:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4056', 'WNDGNBDANZQSJHYHRPTTTVBNTEUSDS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 20:47:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4055', 'PUIQGURQEJSVNDZNYBMZKOACMFSHPS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 20:24:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4058', 'EUJEABRYDNIGISGIOXJMCSQEQGLDFM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-26 23:21:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4059', 'MDIPUNCTRAVFONLQKYHMPFMPDDHWXW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-28 08:11:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4060', 'MDIPUNCTRAVFONLQKYHMPFMPDDHWXW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-28 08:11:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4061', 'XQBNGUKUSWGSZAYXKDUTKKINKUQAAR', '3', '2', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-28 14:39:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4062', 'MJWOQFQTOUIWTGSXWTFTHZPLLJBXUL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-29 17:48:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4063', 'RAVWSWHFHJEKLZCMHIKSYIDCOOPRTV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-29 19:42:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4064', 'ELNVRHWFMUTZQVRZJHHQDTAPFPLATG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-29 19:43:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4065', 'BFCTZDFQRLHLEXBWOUVJDBTXNHAISJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-30 07:40:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4066', 'SWBIYGPASYOHHNXRKWNHEMCWDBLSSP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-30 07:40:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4067', 'LEISNBBRGEMZMBGYBUSCAGSWGZAYZJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-30 19:10:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4068', 'FMQUAQVXHLKUSSJKQURYLFLIGHSJRZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-30 19:15:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4069', 'YEQIXZTUUNATXCIEZFCHJFQUPJQAII', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-31 10:40:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4070', 'YEQIXZTUUNATXCIEZFCHJFQUPJQAII', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-31 10:40:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4072', 'KWRRPOWOVVAZEKOXOIOMKUPISMJIYP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-31 20:50:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4073', 'KWRRPOWOVVAZEKOXOIOMKUPISMJIYP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-07-31 20:50:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4077', 'EFXOZGBNANPBYXQSFOZSHIYGCLWGMH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 00:48:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4076', 'GHYHXPYTTTZOGBLFAJTJIFIKRLVSUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-01 17:45:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4078', 'PAJBHEPPDMKAGZCARCCHLHEICLRUDH', '6', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 02:44:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4079', 'DKEFQEQWBAYIHTSKPGULCCMODSEQPF', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 03:24:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4080', 'NYJLOFAYEDTXHVKUHRLEBJJAVPUWFW', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 03:54:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4081', 'BUONVYBIIJQDMVMCTTYVUFTEGURPBN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 13:28:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4082', 'BUONVYBIIJQDMVMCTTYVUFTEGURPBN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 13:36:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4083', 'CXEWEDPCMDDNRPQBMFFJPMTKRAZDDS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-02 14:56:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4085', 'ETGLPAAZBRVXZMINCTCXJXQNOBFHGA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 20:04:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4086', 'VHCAGIVJETLCYUVBJFPQCAUFJULQNG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 22:07:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4087', 'VHCAGIVJETLCYUVBJFPQCAUFJULQNG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 22:08:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4088', 'VHCAGIVJETLCYUVBJFPQCAUFJULQNG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 22:09:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4089', 'VHCAGIVJETLCYUVBJFPQCAUFJULQNG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 22:10:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4090', 'VHCAGIVJETLCYUVBJFPQCAUFJULQNG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-03 22:11:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4099', 'ZVSEPENIPIOMEEKHJBJUAYMLGWKVCK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-06 06:55:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4097', 'KTQUHQOUQMJABJCSSWEBDZRMHYPYKI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-05 14:10:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4096', 'TZSMPBXTLMLEJGWHLRJSTKVNZNFIRF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-04 14:35:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4095', 'DBAXDDEZQSCQXZZJJXTPYZBBAYQFYZ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-04 06:43:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4100', 'MZYEOVQKNCRYYZOGOIZGKYLGDLAHID', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-06 14:12:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4101', 'JESXETACUSJWDKMYQMWACFWLOUPLLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-06 16:44:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4102', 'DNBLXKYFBHXVEGBAGRQECSXKLNBWLB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-06 19:52:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4113', 'GSQUJAYOTREKWKKVTNLPCYHSDRZYEX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-08 05:02:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4112', 'LBOUUHJFORIBYKAGOATKDVGBDRSXHM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-07 14:36:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4106', 'QFYMTCKAUGLXLADGVVZWJZSJQHZRUU', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-07 06:27:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4111', 'LBOUUHJFORIBYKAGOATKDVGBDRSXHM', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-07 14:36:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4114', 'RIONMHLFOCPSDLJNOZYDTHJWKYINJN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-08 05:02:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4115', 'WMSHUMVZXALRZMPKGIWDMKEEARXFQL', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-08 15:24:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4116', 'FTWUUFDRDIHVELGVMWNADWNXBTVODO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-09 03:10:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4117', 'RGSTCHTQVJYSXWDIDKRXHSECPADAUX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-09 03:11:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4118', 'FWHPPHKTBBISXVKHRAHTAIARYNPCUX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-09 15:18:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4124', 'GEYSXNNRRZLVJXDROPFNYLFDLEUJYQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-11 18:15:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4123', 'KAKNTAFKMOZHJMIXKPQIPOXTKNOLLE', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-11 11:51:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4125', 'VFQHVAEASKTGZYBFLLKCFFRYOCHIUS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-11 19:20:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4127', 'PKZYLWQZOPBOZFCXZSMDHNAAVBMIIF', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-12 13:31:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4128', 'PKZYLWQZOPBOZFCXZSMDHNAAVBMIIF', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-12 13:34:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4129', 'ILKSFLCQKJHGYLGCYNKEIAUEPBHMFA', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-12 19:47:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4130', 'YKEWNIEXFANKTZDRKVRFYFGKZGVMRY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-13 14:48:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4131', 'TDYBCZMTEFOTTZAZCZGPSFQXCCZNKN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-13 14:48:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4132', 'BBUKAWTTKTSYBKQYAVKLCXFBCDUIGX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-13 18:28:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4133', 'KGIPNBTIYEDOUBHVLMWCVVATRNNTWA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-14 01:43:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4134', 'KGIPNBTIYEDOUBHVLMWCVVATRNNTWA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-14 01:43:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4138', 'ZBMSSHDBYUKAOGSAMSLXIXNFYRHONT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-14 15:25:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4149', 'WPFASYUNOUJKTNODVMKUXPFFLTCSBB', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 16:52:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4141', 'BDDYWTVKFXYDNTVYMCYQWKFVHVAWPE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 10:27:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4147', 'LTBSVCINEPJEKERJEWHTHSQKXDJNNH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 15:50:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4148', 'DRPCFDFBIIMPITWORCYSIQNICRAQGL', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 16:40:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4150', 'JQPDHRZGMCNQQYXBVCKSSQKAJQUQUD', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 17:28:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4152', 'VBHBXJQBSBTHKHCXTYEBJQLODVESWZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 18:13:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4153', 'ZYCOCHDNSYUROKFMNFDYFAFTNPGYLF', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 19:32:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4154', 'ZYCOCHDNSYUROKFMNFDYFAFTNPGYLF', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 19:35:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4155', 'IOHPTEPSWIPLNMCNPVYUCSUQRXUAPT', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 19:39:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4170', 'YKGUBBHYOUBNQZCWQJIOWEHQAFZHAN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-16 21:07:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4163', 'PBEXPFOCNDQSZKEYENIQRMVYJCCFKW', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-16 09:27:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4162', 'IFUFGVZHGPZQQOCGDDXTGYPCDRXERZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-16 03:37:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4161', 'FVAPAMHEHSTKWBGHFWCZNNMAXIKMTC', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-15 23:47:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4169', 'LWJOFSXBQUURXWBHYXRMCNSXVXVJCZ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-16 11:36:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4171', 'IETCWKGFYEBEXGBIILGCXUWALXWHHL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-17 09:09:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4172', 'YVLPPMWQTPRYRYGPZBVOKBXBANBSFG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-17 09:51:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4173', 'VGGMXNHVEWICLYWOYSKOGOAYGXDAJX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-17 13:03:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4175', 'SXUEMNCYIKTNWCGCMEWXTCAWGZXQLB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-18 06:26:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4176', 'WLXQBSPQVXSIBMWOXPWUPLNSVRHBNS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-18 09:30:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4177', 'RDXNZZWOBBLJVIXCAVJBBHYKLDHNVE', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-18 16:18:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4180', 'XSDMIDYFIBLQXKUWWPAYMKXZEBZNSW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-19 21:05:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4179', 'KFLVPTMTDDGBFJJXEWYXKOJLIIRTMH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-18 19:02:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4181', 'GFRMDWYSKSNSJOABPPVRCEYRBQALRB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-19 23:20:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4182', 'GMICUZQUPVEBGUSTMUPVVUTLMQQTRM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-21 11:46:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4185', 'SJKWXLUWWRYMZODYYFTQVIHEEHXATL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-21 17:34:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4186', 'MGLFIJRHYVNDJTBGFOZGHCHMTMELJU', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-22 02:29:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4187', 'EHKQTQATAYXKGCVCIPKDZZGWEOFCSD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-22 10:54:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4188', 'PCKDTFDHNYDRZHCAIFIZTSIXLHLQJL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-22 16:18:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4189', 'WDSJVKZHNYVPDBFZYBIRXTCMCGXQRZ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-22 20:37:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4190', 'CYTTGUAFOCOXDGAWJQVWUXFRJKGBXA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-22 23:29:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4192', 'BFFKLJWBQYHNRFRBKDKSANKSZEODKJ', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-23 08:20:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4193', 'REFHKIKHMFJQRPVEQTPBYXQBQDVWLV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-23 12:34:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4197', 'ECZSIOCMFXMOEMTYNMUCSQZYIHHVJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-23 18:20:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4198', 'TLBBNKHTLZBAYCABRTDXUOZHEYLYDT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-23 18:30:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4199', 'HZTBOGJTYJGMQAIOJQCRVYRQZRYCNN', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-23 18:36:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4208', 'UDOZVYIVWGDRTNUUEVPOHQOEFWOGAC', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-26 08:48:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4207', 'QWEXGLNOOXEZWPPRPFZYYRFYYCVNBJ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-25 16:01:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4206', 'GBXCJCZOMKRAJGDUUBYGUAGGHYBCLM', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-25 15:57:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4209', 'YCCQVGSGUJIALKQWAGTIVEGWEWIUCC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-26 10:15:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4211', 'TPWIQYCMZRKJKRALVUSWCBBQHUDMRH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-26 12:55:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4212', 'YXFZTYTCZDMBFRYYLPYBLAROBHXSHS', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-27 13:19:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4213', 'YXFZTYTCZDMBFRYYLPYBLAROBHXSHS', '5', '3', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-27 13:21:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4214', 'YXFZTYTCZDMBFRYYLPYBLAROBHXSHS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-27 13:22:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4219', 'GAAIYPZXWYUJWHUVGJZDLYFZMNOSXW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-29 11:17:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4217', 'GXXSGBXNWTFQDPLHTUJIPUJVOHTZYR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-28 20:58:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4220', 'KPIROOBMQAYHOFVUOOFKYSTNETVTEA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-31 09:01:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4221', 'BXEZVPEPQWNGLGGQDSGZGYNNJKZPFH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-31 09:55:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4222', 'MGBMDZTAODKFFHEDCFAKXTUFZESDLB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-08-31 20:39:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4223', 'UIGDFEPCYYHLIQALBBGRUWOKGAOPAU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-01 15:11:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4224', 'NOAMXKTBHOTAIHZJXZVTKKILHGCRGZ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-01 15:55:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4232', 'XWPYRIRQVJBDFNBSGOHFHLDVIVGBLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-04 17:31:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4230', 'RUBBZBRVQTISWZUFUNQKXCAJKNXYMX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-02 14:11:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4233', 'BQDVXMMCBDKUVVZUXFVAEBHLMLSOBB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-04 19:55:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4234', 'EGCFRCUOEIDZVBDLYLPKFFAMIYFUGX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-05 07:48:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4235', 'OGFCRWPJVITOHVOGMZEZDWAXEQAGJX', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-05 18:43:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4237', 'LDIEFJPYWQFEWCKHXMEOHKKNIYXZLL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-06 05:56:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4238', 'MKUGFOXGXNHMVAKVWTPLURTPGDMKRX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-07 04:03:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4240', 'XCLYIMTKLPKQJKCYNGKYDNJWFALGMI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-08 02:37:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4241', 'TKNMYKZKHPEVCRHVWLALWROIJZLFZV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-09 01:33:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4242', 'IMDKWYGMAWZMUIRVKIJJQVDKMHUFYV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-09 07:18:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4243', 'TQSWDPXMDWQMSZUVTCQRTRSHMBQNEY', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-09 08:18:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4244', 'UWEPRNRJMTCKTKXILLFCXFXZPSHLMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-09 20:22:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4245', 'GXCUDELILCAZBYKLFMKXUYIGDXLGTC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-10 00:16:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4246', 'JZFWPMCNGJUJJZGLIUXCQAXTIGNDTM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-10 14:46:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4247', 'HYPNRLETKJGHRPINGLIEXKLVQVDKXL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-10 17:29:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4248', 'NGBQKVBUZYDSCTWNPLRBALBPHTNKPD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-10 21:37:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4249', 'WUFPYZIIQNWNCRNYUFCNDVXHWJOODD', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-11 03:17:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4258', 'VODCZKPYTLEROTXLROXONNKRUBHROV', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-12 15:28:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4252', 'ONTQCKXXQGMAVOFXJWTJJTCUPKCOZB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-12 04:23:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4256', 'SSTOWYEFKEESKVUAFFGTDTIVYDYOTD', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-12 13:36:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4259', 'VCIDIEENYIUDZGVEGHNUIVESFBIISD', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-12 19:47:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4260', 'TPCDDRNMENGSKPFKLMOURJNUMQWSBX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-14 13:57:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4262', 'JSGEECEKTGQNFGWXWMQBFWRARPAEQO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-15 01:58:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4263', 'LSINGOPCPBPVKWMFHDDYLWDUEPMLBJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-16 05:40:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4264', 'ESAXEOCTPBGIHUDGRGEUOHVMBUIEOX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-16 15:31:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4265', 'KQFGGMITQSPLBHXCAHSGXWFCRNGSPJ', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-17 10:46:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4266', 'KFSMVLFEBYJBFPYRZMUFJQIDVXYXZJ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-17 10:47:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4267', 'ZMEHOGIDXXSZVPBFMOBSWBFLXGCLSJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-17 13:06:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4268', 'JMOGEIQXNYMGZGAVBHFGTFVDIDUENJ', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-17 21:17:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4269', 'BHMOMNEMVKTNJKSLXXAAOVSFIFWGCS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-17 22:06:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4270', 'TJDPWJQDQBEYEKSQUAJPHWMOJMWOQS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-19 07:44:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4271', 'ZVHKDMKPPKIBNPIUZDHSTQRWWACVTC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-19 07:45:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4272', 'ZVETLICQXLYAZOEACJCLIXZFLYRRIV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-19 10:08:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4274', 'WBKOKSQYZVNXULAFBDPWWSUFBYCHDT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-20 08:25:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4275', 'EBUVIYOJQWJJJXXRARRHCIXBTFUIMN', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-20 12:00:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4276', 'EBUVIYOJQWJJJXXRARRHCIXBTFUIMN', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-20 12:02:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4277', 'EBUVIYOJQWJJJXXRARRHCIXBTFUIMN', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-20 12:03:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4279', 'ISIDMMUPHFRPAMWDDLTPGRZKTEACZL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-22 10:20:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4280', 'FEQTEFVUXAKLZGZXIZIHFIESMQXCAN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-22 19:40:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4281', 'ZMXRGXGGUQSYPNOOLKSLLYJBPPBZXJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-23 10:19:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4282', 'WSFNALAMBUCDDLJKGKBPHJVLGLJZPW', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-23 23:51:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4284', 'VCDSVGHZQGKTGSBEHDPLLSXMBDOATF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-26 05:46:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4285', 'CRVYDDNPTMALFCLITEGBQNSUHRFFMV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-26 06:33:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4286', 'IKGQXTNCUXUNOTPNGECUPZITFUVZEU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-27 02:10:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4287', 'MDFGKKMIQRDACBABKQFAKQHLNXZWVX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-27 13:14:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4291', 'JXCBXQXKUSNDFUQPZSRJDVIZDTOMYB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-28 00:27:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4292', 'OVYRWOPIXMEVARHOEQQQVAFJIARUAA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-30 18:14:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4293', 'OVYRWOPIXMEVARHOEQQQVAFJIARUAA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-09-30 18:15:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4295', 'VVCSOLFHBFVDGAEWXUDMXUOFHTWKHW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-02 09:16:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4297', 'IPIUYYDGYPBVPTFHLATDHMRIUOEHNJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-04 00:23:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4298', 'PYKSXTZUNUOKDHWCLOOZLVWSPJJRZX', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-05 15:36:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4299', 'HOAGEOJCCICRBDZODBMQFPITEXCZBI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-05 17:09:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4300', 'ZHIHBYEUCZTXMGLJRUTZWWNDIAQMAD', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-07 15:44:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4301', 'CFMJVFDFRBVHDTGPOHWQVHUOHRFNEO', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-07 19:43:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4304', 'GWVCOYCEEHWOMKBAKYPAWOODIYHMZX', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-08 20:47:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4305', 'UWOSMQWMIVUWONTHIPAKCVDSNBYSUG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-10 15:02:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4306', 'YTXPLOOVQZOIDIEXTWGLOLKQEHAVRF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-11 08:23:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4307', 'KZQZLEKOCFDRYDJWEINGTKOBTXXQWH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-15 03:07:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4308', 'THRWSPQCKNZHOIKLVNLIKGLXXAXLVZ', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-15 15:13:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4309', 'PBGOEADXUGWCGGAYNLENRADYAESVUG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-15 17:40:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4310', 'FFWDVHTLGRFOBYOOERDLFZUJPKOHAQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-15 17:49:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4311', 'VKOZVJZBVKZWKSBOWGBBXPAUCQXGGW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-16 06:23:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4312', 'GTEJAWZFSPAYOPVSZXFCDIJUTOJGMD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-18 08:59:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4314', 'PMQABNOWIZEANHUFJWXRWIOHIHWAQI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-19 01:32:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4315', 'FOGRXJRLUSCWVCISBTOMDKOOWKGDTZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-19 22:45:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4316', 'HIGTWYJKVIIRJNGHMUPNVISJNXCWXA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-20 09:22:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4320', 'VPYBXMVYKLGWBJKUGCTIKZVSQTHMKD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-22 21:19:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4319', 'FUGMVXWPJTNTAJLEJLRFVEGSNBFHLI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-22 00:46:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4325', 'BKLFJEQGWVEISTVTEOKSJGZSKFBFYA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-23 12:58:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4326', 'NGQLYBKPQMSRKJGZJHHZCMOVLOCKSD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-23 12:58:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4324', 'BZHYHLFYSJDEEGHZZDDBPGYITUYVNZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-23 10:21:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4327', 'OTYLTUYCTAJSWNLCOAWFQNZTVYOWUE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-24 01:53:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4328', 'XXQYSIAMCQZASKGQKPSNTXXFIMTJBS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-24 01:56:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4329', 'GNDSKMGWTOTUPKXEBILCOLJUTKORRZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-24 04:01:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4330', 'NLGGFGDKFOPMPBTXOQQKOMDPHWTHHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-25 00:59:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4331', 'NLGGFGDKFOPMPBTXOQQKOMDPHWTHHC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-25 00:59:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4332', 'ZGUJIBEOGVXWOOOVTWEKVHMJZDQOVV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-25 15:09:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4333', 'ZGUJIBEOGVXWOOOVTWEKVHMJZDQOVV', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-25 15:12:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4334', 'PEAEUQHFIYEWCSLDSPBGWINGGYVXOX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-25 18:37:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4335', 'MXWPLUOQRDILYCNIOEGJOCWBEHIHID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-26 18:50:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4336', 'MXWPLUOQRDILYCNIOEGJOCWBEHIHID', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-26 18:52:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4337', 'NIPNYRYVYPAKBUOUSUVNWZMCXPEDQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-27 23:42:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4338', 'NIPNYRYVYPAKBUOUSUVNWZMCXPEDQK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-27 23:42:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4339', 'GDTTYOAPPKJJRHAWGUBGEUEHPMINFT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-28 00:32:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4343', 'TEQOBFHSUMSQGIASBQDOXKDZWYMOTD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-31 23:21:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4342', 'TEQOBFHSUMSQGIASBQDOXKDZWYMOTD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-10-31 23:21:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4344', 'BIICAGAIAFLTFMPAWMOAQJRRBQDNGC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 02:06:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4345', 'BIICAGAIAFLTFMPAWMOAQJRRBQDNGC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 02:06:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4346', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:12:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4347', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:13:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4348', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:13:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4349', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:14:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4350', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4351', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4352', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4353', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4354', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4355', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4356', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4357', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4358', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4359', 'SDNXURDJMOXTDSZYGJNYVZDOEBREBL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-01 10:15:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4360', 'JMFVMXDYTIAMFBTHUHQOVYHLPXKVBO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-02 22:54:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4364', 'KTBLNFMRZTSAEYPTLSUQRFXYJXRVSK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-05 05:17:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4363', 'STHQKGWXKOZAUQEEFKIYMOFSZYDVME', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-03 08:10:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4366', 'QIFXMXOGBGNLKTLZIXKDTJPNKGVGHT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-06 14:10:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4367', 'TMXMGWFJODLTJLGUCXABMLRFGWMUXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-06 14:10:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4368', 'ZKRTGDUBPUFNRXPTDTQQSNKNITRHRT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-06 14:58:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4369', 'RYDVYIUEKXHCBMZZWWFFSJRJLUHSCR', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-08 20:51:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4370', 'KUUEZFSOMKTOJISCJRKYXVKJPXLQDK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-10 02:51:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4371', 'KUUEZFSOMKTOJISCJRKYXVKJPXLQDK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-10 02:52:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4372', 'LBZTOYGUVEGSVDGAWGOSJFKPVTBSNX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-10 22:34:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4373', 'GRABTQCKCPWSTRUXWLAXVHZRXRHEZV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-10 22:34:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4374', 'SHBSCEIPNVFGZKCRLAEZNZQVCIYWIS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-13 21:05:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4375', 'CYPGTMIOAYIFKTLAPJSCOIUMHIGAFQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-14 18:49:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4376', 'CYPGTMIOAYIFKTLAPJSCOIUMHIGAFQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-14 18:49:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4379', 'JWPKCDBBKSOKOBGEYPKHRVETVJCCZC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-15 00:03:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4382', 'MDVNBMWWXXXRRDYDUHOYMQKDRHGMRB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-18 06:34:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4381', 'HMZWRFFLUNRPTRBDFFDLAGGYYSPJDI', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-16 18:53:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4383', 'XGETLXMDNUOMCVFORVNFQJMGDFMUUK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-18 06:34:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4384', 'AOWFUVRNKJCXTJIDHKZXGCMKBTGPSC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-18 11:23:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4385', 'OKEKJPGTPLIVZTHTTANTNNOSBZIMGZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-19 09:04:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4386', 'KIZOVDRGZDHCGALTWDSAXQDBBBGDSH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-19 09:06:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4387', 'BKTXOAOSQVDKPDCQNCJWGWRMPAPOXV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-19 14:34:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4388', 'ZPJRONWUYCBIQYUOQSXBBVQJOSKFIX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-19 14:34:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4390', 'QSCTYPWPJGDBJGSNRNDQOSLHXXHSQR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-20 11:21:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4391', 'QSCTYPWPJGDBJGSNRNDQOSLHXXHSQR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-20 11:21:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4392', 'WIJBUFHKYDRTTHADVBZIFHQXNQWCOI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-20 19:40:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4393', 'USYOXHESDNRUMJAORVEBGEOMWTOKFM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-20 19:41:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4394', 'YCWYQPXKEIIGGTUCSZTHRHGCMCSLQE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-21 10:46:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4395', 'KSRWRYQXPYSLRQBPSQLPDHSIODITUA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-22 13:50:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4396', 'DPDRFSLYMIIXIVTDEOLHJFDPRUOOZG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-22 16:46:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4397', 'JGBOHCPTODGTPJMGXKNSFEMPMDWOBC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-22 16:46:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4398', 'DJYMSKDUOTELFHYNTSBWVZRWKEFLWF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-22 21:50:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4399', 'LFOOYQHZJPHVPZGKQXXBKENWTSMVAB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-22 22:44:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4400', 'ODWBIKGFOXXUNLKWVHOHUNMBDKADWD', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-23 14:49:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4401', 'RBQECXYXOQFDGRNLUVQANPABDIXFMB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-24 10:57:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4402', 'XGSBMXPUXHONLEWMQGORGTPAAULYOC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-25 09:41:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4404', 'TRIAXUFFSKCZEHFHKWFBWUBORRVPBZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-28 05:20:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4405', 'QONUXYABTDTWZPARCWUWNUTOACAUHG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-28 05:20:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4406', 'XAFSJSQRFLYXVZUQTTXYSJYMRHVSRT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-29 07:32:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4407', 'UKVUVIUFXQRZYEMLFMUDTAETNRCYID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-29 18:13:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4408', 'UKVUVIUFXQRZYEMLFMUDTAETNRCYID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-29 18:14:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4409', 'UKVUVIUFXQRZYEMLFMUDTAETNRCYID', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-29 18:14:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4410', 'OFVRKBWVGHVFXXQYTHMLGCQKTUYLRS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-30 21:45:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4411', 'OFVRKBWVGHVFXXQYTHMLGCQKTUYLRS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-11-30 21:45:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4412', 'GZROEWIICUTNLYHIUDGNIUSBCLGYIA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-01 00:40:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4413', 'GZROEWIICUTNLYHIUDGNIUSBCLGYIA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-01 00:40:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4414', 'SFKPPDTFYQLQYCDAXCDUKRFZONQVMD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-01 07:47:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4417', 'XSEIOAWGSORNGKRHGKGCKSWJIEHIXL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-02 15:02:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4418', 'XSEIOAWGSORNGKRHGKGCKSWJIEHIXL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-02 15:02:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4419', 'NKQZTVUCWELODHNATSHSXNUTUTHNYD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-03 00:19:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4420', 'TGJXYFBBSOJCBBJDROFLKJMFOFHIWC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-03 09:39:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4421', 'YEUNUAJWONLSWPOXWZZXWBZJEQOWWZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-03 19:06:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4422', 'IZHQKHTNGDVHTEJMYWRHHUHDUGMTIJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-04 04:33:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4423', 'MZLGEHNTLYMVMNJXFCGLNYJEBGKEAB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-04 13:45:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4424', 'JDWSYNPCVZTWZBYHEQKNCAGABZFMDM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 01:39:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4425', 'JDWSYNPCVZTWZBYHEQKNCAGABZFMDM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 01:39:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4428', 'GXCRAFKOGQYWZOFZBKJDCWJASJOCSI', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 14:33:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4427', 'GXCRAFKOGQYWZOFZBKJDCWJASJOCSI', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 14:32:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4429', 'QNZTCFUUMOMMFMLHWGFFVCCEZDNGLM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 17:08:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4430', 'QNZTCFUUMOMMFMLHWGFFVCCEZDNGLM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-05 17:08:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4431', 'EAIEICNOXTJBCMWWEBQFHNCTBBNLRF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-06 19:32:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4432', 'KZRKKXDIXZOQCOMNRQQIHWKVCBNUIJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-06 19:32:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4433', 'JYEDGWXETZEVKIQVKXWJBTJYJUYBWD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-08 22:04:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4434', 'KNPOCIRWBYZTDQJNHTCOHZEBMCFRIJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-08 22:04:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4435', 'AINTUVXPUUEFRTOLSLFGKZBJOFGCCB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-08 23:47:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4436', 'HIXIQNBPQMIDPIOLMMHYEWFSILVCUL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-11 01:12:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4437', 'IOOYAFBBUACJDPGOQKJTGBRLVECQSR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-11 01:12:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4438', 'IVQONFIEWAJNKKCMHWKLZNQLLREBCE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-12 19:16:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4439', 'NGRLOPQPDWVLEWORSKSPQPAWVEIIKB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-14 03:31:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4440', 'NGRLOPQPDWVLEWORSKSPQPAWVEIIKB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-14 03:31:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4441', 'KCOVLOZPZJYGQJBDZGEJWVYBPXGNGM', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-14 07:58:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4443', 'PEMRZEOIBADVFPIDMGFPYITXMAFWDL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-14 12:07:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4444', 'YUGMBWRETALMYGEDBLIIHFQJQUQUVG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-14 15:02:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4445', 'DSDPMJDGBVJPHTWNWPFBSEEUJLRTDI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-17 10:38:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4446', 'DSDPMJDGBVJPHTWNWPFBSEEUJLRTDI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-17 10:39:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4447', 'ECNVHRCUODJYRYVDRBPVTLQQJLSUHN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-17 14:58:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4448', 'KJSKMHCZWKWEYGSCQRFEBBRUXYTSHO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-17 15:00:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4453', 'CYMXDRSYGPMPMUQBOWCTQBBBVNGQYE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-23 20:55:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4451', 'KHWWRYEKIVWFFNTWZIKAXVBJZXCKXR', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-22 13:12:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4454', 'NXXVXBTXTOPOOZIFKDZWZIKNMQNNBO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-23 20:55:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4455', 'OJTAUMFXYBEORHUUZHDVLFXPPMEOXF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-24 23:42:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4456', 'EYJBKOJEXRIQCSEYYFUJQJNXSYQEXC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-25 01:13:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4457', 'EDFRPDOCKJOABZTVQCLDSUTRWVIFZG', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-25 11:43:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4458', 'CNNGCLXKWWZAKVJELQFXTGQJOBFBRY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-25 20:10:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4459', 'YOYALEOOSPAQMSYYHPUPTHKWSEUMPH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-25 20:25:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4460', 'YOYALEOOSPAQMSYYHPUPTHKWSEUMPH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-25 20:25:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4461', 'NAREZCFJSYYDFDZJOQBXKSWHALGIWQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-26 14:23:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4463', 'WXLEMLJKLOTUQPHUOIEZKMJKLQLWHQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 01:18:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4464', 'QBOWIADNLKKFORBWZSTDHQLMSGIVUV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 01:18:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4465', 'SVKMDMFGSTUOHHBCMDPWJMPNBINVLY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 06:16:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4466', 'PSHBYBYXPQHJUUWLIKIRCBFUWTNOFJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 06:16:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4467', 'UDSTSJSODXFSSVLQAMDJDPQTGBGFUE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 06:18:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4468', 'RFFDKLDNJKPOLVIHNUODNTYSMZNDOX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-28 06:18:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4470', 'JURECYMBCKCIVGJLUHPGAYFJCXHYHJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-31 02:17:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4471', 'JURECYMBCKCIVGJLUHPGAYFJCXHYHJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-31 02:17:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4472', 'GMZBKEMAOGVKTUTFKAZXZIZGZEFUWJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-31 17:34:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4473', 'HAYJHDTZYXKRBXLIGMHTQBRXMEZIUG', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2019-12-31 19:02:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4474', 'DVMHYSYFAHUXRTCAVAJTMMKWNLFATV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-01 06:06:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4475', 'PBIFVYBASSSKVMZVIUSKHBWVLCRUHR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-01 06:06:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4476', 'KVQEIMYGIMCSDHIOMVSWNOGMXMCMUQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-02 21:47:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4477', 'VTXYUXCVZPXYCPYATCAIGDHTMOPUHZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-03 15:57:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4478', 'MHYPANQXSVSTFYHCIEUBOSORPAQUCA', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-04 07:40:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4479', 'ZRTZRVRXJLDHUTBZAXJMSHYFRRHFTE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-05 01:17:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4480', 'DZMWIHDAVXPNQPFCHYWUEYEVUTDPOI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-05 08:57:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4481', 'BPIXXNWUDAUMQXUEOFGZQMZHQHNFJR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-05 08:58:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4482', 'PAFVVYSAEBCOSVMPCAMTPOAKROIEFE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-05 17:59:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4495', 'HCKXOZVNYJIGZQBLREANUQATWJXIUP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-07 10:15:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4497', 'LKVVNILIXSNWYMHGKWEQDOZPDQHUFN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-07 16:54:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4494', 'DHVMWZCYCSUEYOKKDNQUWDVZOCPXEY', '3', '100', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-06 16:51:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4496', 'ASUPIEBQXWEPFOOEDLWBJTSROEAWTS', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-07 14:19:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4498', 'LKVVNILIXSNWYMHGKWEQDOZPDQHUFN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-07 16:54:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4499', 'ATZJUDZVLXXMRKVZEZOINVHIQJOJUT', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-08 15:01:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4500', 'EGGUJAJBRNWXTLJQNONLEHSHROKNNO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-09 10:19:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4501', 'IRFKBYPUUPGUFYRMQOEBWROFYZZBBY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-09 13:02:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4503', 'OPNHJNXHHLLWBPJBRQKUZHPGYVWKKS', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-10 20:23:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4504', 'OPNHJNXHHLLWBPJBRQKUZHPGYVWKKS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-10 20:23:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4505', 'IINJSCXWLQCHEUQBUNJFCABVMLIDRR', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-11 19:12:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4506', 'IINJSCXWLQCHEUQBUNJFCABVMLIDRR', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-11 19:13:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4507', 'VBLNXWJGYIYRZGGPUVTOKYOWNHZRFY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 04:01:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4508', 'QAYAIZSWSSMVUHNUCOBNGONGWUKEOC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 04:01:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4516', 'XIAWOTZBXNKKSSPTSRJOQBSXIHDMLA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 13:04:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4515', 'GARTHEFCAKNJBLAEJXNUAQPZVZOCMO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 11:22:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4514', 'GARTHEFCAKNJBLAEJXNUAQPZVZOCMO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 11:21:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4517', 'XIAWOTZBXNKKSSPTSRJOQBSXIHDMLA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 13:04:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4519', 'JNQMZICCFEPQWZOCZRKPVSHAVRKGCW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-13 19:14:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4525', 'WCPPMBVXGQHZEEXUHYTUOQUXURZANC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-14 20:10:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4521', 'LSNTYOZITVKHRWCTQXJFSIKBUBOMQH', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-14 11:44:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4524', 'WCPPMBVXGQHZEEXUHYTUOQUXURZANC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-14 20:10:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4526', 'DFUUNAXTLSDQSDIJJRANRJBVCFSIUR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-16 08:41:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4528', 'GVTEMLRUZILCWPTFPUVRZBUINSDXBT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-16 10:29:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4529', 'SEFEMMUUIMUENHVRZFZZKADTGIWBOM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-17 10:22:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4530', 'AIJVTJTHBNRAQQHBANXDUWQTVJYWWR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-17 10:26:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4531', 'FXRGUHQPWNPULBAMNCNZTMMGRZUDIK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 06:23:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4532', 'WHOEMKCAZMFNPWVAKYKAVBPJQBZUHC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 06:23:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4533', 'SBCLMVEQJFOYNRQXPJDKFKMWVOJJPK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 10:18:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4534', 'SEZEBNDMMKXOYQZUVVFCFBLDHCESFQ', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 14:29:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4535', 'MLPILKRJNXQKEGBEZLAIUQOGQJKZJW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 14:50:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4536', 'MLPILKRJNXQKEGBEZLAIUQOGQJKZJW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 14:50:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4537', 'TVVGHPZAEBESDAIEZRXVOZUYGHSHJZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 15:26:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4538', 'TVVGHPZAEBESDAIEZRXVOZUYGHSHJZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-18 15:26:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4539', 'HPHJUVRDLISCMRGVBAPUHZYFZXSMAW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-19 19:51:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4540', 'PJYUPPMIOCJMJBBXJDYSESDUCUEMTJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-19 19:51:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4541', 'IYBKSSWGFBMWLGEZAWKQSJSCFHLRRY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-19 19:52:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4542', 'BHDGJSOYOQBVGBGRSEMGYEFTAPHEQT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-20 03:49:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4543', 'TWXVZKOKRJWUPLBJDHDMWJEPTXLICF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-20 13:52:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4544', 'TWXVZKOKRJWUPLBJDHDMWJEPTXLICF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-20 13:52:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4545', 'FJFPYNWRACOTWGGGAFDAQNZMFNHXIU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-21 10:17:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4546', 'EGIMCMYGERXWSBZQVHXOODGHAEHGUA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-21 10:17:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4547', 'TVYDMEZKEUWAIQGKGXAVSZNDBPLCLU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-21 13:45:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4548', 'TVYDMEZKEUWAIQGKGXAVSZNDBPLCLU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-21 13:45:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4549', 'CZGSQWDBZFXPWEHWTUYZHRXHEVKHSK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-22 00:08:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4550', 'JLJQURMXHPHPVMHRQJGEEPAWURRKBH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-22 09:26:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4551', 'VXXPVVCHGHZUCJMRLAOFCSTULHYYWX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-22 10:24:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4552', 'PIQXNZMCBOCWUYEIDFHOFUBHCDOUUW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-23 05:28:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4553', 'WHJAPWFRVPNZDYATKPTUSEMGMXRPPO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-23 16:15:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4554', 'OAYZMCNUYTCKFGZHESVABGQLXGRFOS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 08:36:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4555', 'OAYZMCNUYTCKFGZHESVABGQLXGRFOS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 08:36:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4556', 'QKUEPHACFVHXTZGLULBSJUSUMLVUSG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 08:55:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4557', 'RCXJSZMNHCCBMVICMJJWQDTBHJWMTJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 10:30:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4558', 'OPHAGKGIOUSTKWFNPBLHJRGLPKSOLG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 10:30:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4559', 'DZCEGCLEWNOOIOFTPXXCJBLRQNJYUN', '13', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 17:42:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4560', 'ICPKOZIUUATUTYRSKEWAWFPNJUGHNF', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-24 17:49:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4561', 'IXHTPWCZTIIRBJPISMNFRBLSXNYSGV', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-25 14:58:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4562', 'YYBJYXJQPKPWMVLXAMVRUFBCHGZTWS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 01:22:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4563', 'JNZKZNTVUEWXGTUUIWNMMXPTZOGQCR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 01:41:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4564', 'JNZKZNTVUEWXGTUUIWNMMXPTZOGQCR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 01:41:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4565', 'JBBENDFFXRWRNMSWOLLKIIGOILDEAM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 07:00:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4566', 'ECCPOUBBIQVAUFJXBSNPYLPTCXGGSE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 07:37:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4567', 'WBWSOHJHUGDGAHTRMKCMBHDDUUFXFR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 14:56:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4568', 'KRTPASBXILPJVUTRJWUAJQZESTSFIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 15:47:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4569', 'QWETFFXIETKAIEEAQCTRQVHTVHDKUT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-26 15:48:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4570', 'PRKDGPWNHVIQMOTZZQDGPCEQYWRNQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-27 09:19:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4571', 'PRKDGPWNHVIQMOTZZQDGPCEQYWRNQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-27 09:19:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4573', 'SYBNDHKYMYSJXGLWWPSVBPUVDAFFTY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-27 10:18:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4574', 'JOTZYAYFAHHTAVBCCYINSHRZRKAVLP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-27 10:59:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4575', 'UOLWQZYOZZLZLZYFHQZEKFYQTQIEHS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-28 06:56:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4576', 'EGNYJNAOWUHMMRUNYHFSEEYTDKQMJE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-29 10:24:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4585', 'VACHITYMLNDMLBWSIMQPWHKXAYYXFV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 00:28:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4584', 'JXXCIGLYPYJZVSXDKWCJZOCYBWVCMY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-30 22:16:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4579', 'KQQJSBKHVPCEGPLEJCUNOUYEYSKOEX', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-29 18:04:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4586', 'PPAASKIGLKMOMTIDXFWDKZJRIXHUER', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 00:29:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4587', 'EZLQSVILJWQKPRJIGTQYTADKLDAPAZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 08:42:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4588', 'YJYDPIHEZXVSKTFENIGUTGXBSHJUHB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 10:38:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4589', 'YJYDPIHEZXVSKTFENIGUTGXBSHJUHB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 10:38:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4590', 'BXHAKVYLBFZJGJVWJFYQBCNTXPGAHO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 20:14:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4591', 'BXHAKVYLBFZJGJVWJFYQBCNTXPGAHO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-01-31 20:14:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4592', 'SQEIZFBQQZLFJEDRLBUZCWRIUJSSLJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-02 08:35:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4593', 'OCAIEBACFRNRXGBUDMMDGJNWRJGCUH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-03 02:58:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4594', 'OCAIEBACFRNRXGBUDMMDGJNWRJGCUH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-03 02:58:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4595', 'UBDTVUIFRTXCYJLFADBAHSKJVCHIUC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-03 10:20:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4596', 'JRVCGGAFQILGNZJTUGMKJSUYRRCNBL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-03 10:20:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4600', 'OODJFEVKQMIHSQWJDAUZBDUILEZLHV', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-04 18:18:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4599', 'DQOTJMVKFZZGFDBPQGOXZQZIICRAMV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-04 10:21:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4601', 'OOCHIWJUJDNYUPEZFEZEKEPGHGCLHC', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-04 21:48:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4602', 'YYENRSZDPYPZXQVBAJJWOWADETQKRL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-05 10:30:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4604', 'CVJOEEFNIGCXDGFCECCAONKRFEGXIK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-05 22:57:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4605', 'CJMXFMCLOSZXOFFCGWVDNECGXNHWRO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-05 22:58:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4606', 'MTIVSMGCIWYGBUAXDWUZBTHAZMHYCJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-06 05:53:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4607', 'MTIVSMGCIWYGBUAXDWUZBTHAZMHYCJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-06 05:53:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4608', 'GUMFAYMVIGZGATMWGVCUEKDOXUAIPO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-07 04:32:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4609', 'WGSWKKCEXPGMTLZDQCDCNBPFGNUENS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-07 10:18:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4610', 'DJFHFYWVKAXDNWJJIOCPDUUPKMARTH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-07 10:18:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4614', 'XYXMRNNFVHMTTFJHGNZCQBWGMTLTTH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-08 11:16:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4613', 'YWNPYYSAKYREWSYNWMXWOKCRBSNSWF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-07 22:42:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4615', 'XYXMRNNFVHMTTFJHGNZCQBWGMTLTTH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-08 11:16:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4616', 'WXZUCMAJGFTWOJQYXCIDXGYMHTZCAW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-09 01:09:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4617', 'WXZUCMAJGFTWOJQYXCIDXGYMHTZCAW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-09 01:09:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4618', 'UNGVLODLNPUBURERKNVCFBRHXEPETQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-10 21:13:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4619', 'UNGVLODLNPUBURERKNVCFBRHXEPETQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-10 21:13:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4620', 'UTIWDYNDRZXSUXLGGEKSWDBYYBCWRY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-11 06:43:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4621', 'UKBOVCZLMHBCMOQSRIMNGNMQKHMBEC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-11 10:12:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4622', 'UKBOVCZLMHBCMOQSRIMNGNMQKHMBEC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-11 10:12:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4623', 'LULXPCLBGPOIYQYHNVDZCBCPOKDVJM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-11 10:19:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4624', 'AQWYTGRLAREPPKNOXNZXUWKMVJHEPB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-12 01:50:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4625', 'DADGPPHCIKVWCLRSLMEZCRHIQLRNAC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-12 10:16:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4626', 'SOBLPGBENPIIZECZVWHESFTFOJUBZB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-12 18:51:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4627', 'XXMJCVHQEAOPURYAOJMSNTOGTKIJHS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-13 08:49:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4628', 'XXMJCVHQEAOPURYAOJMSNTOGTKIJHS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-13 08:49:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4629', 'WVEJAKEDQGSQAYNRTWAENKXINEPAQY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-13 10:22:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4631', 'WEHNZJOMYZRQUOIUIHHDJYNYSHIQLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-14 09:10:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4632', 'WEHNZJOMYZRQUOIUIHHDJYNYSHIQLR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-14 09:10:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4633', 'AXUDKVMWWFZSEWRFGIKAEHVDWWGXWO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-14 10:16:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4634', 'PMLQMDRBNUPWQEUANVBBTRMCSBDTHT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-15 10:23:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4635', 'OCPMIRFZHFSDURQSUHUFPWVYKSNKFJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-15 10:23:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4636', 'YYSAQCJNRJQPTXJARKDPEOFJCTPZHJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-15 16:50:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4639', 'ITPCXCOTICDWRMLIMUSLOSVQSUNEPH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-16 01:42:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4640', 'ITPCXCOTICDWRMLIMUSLOSVQSUNEPH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-16 01:42:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4641', 'NUTTPCXOFSZMTQAGWTYSENYDJJCKEH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-16 10:27:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4642', 'VYIECDXHPAJUIEMEVWZHJYDSILJUPD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-16 10:27:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4643', 'PGOCVNACGVHKPAKZONXVBZKIHASNEO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-16 14:41:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4645', 'LMQQQUPBBNSRIHWNXAPOEUKTHTAFQL', '10', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-17 15:03:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4646', 'GLIXZPMRMENDBNHQPGQYPCTAGETXOB', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-17 22:32:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4647', 'HGPLMIQBFOTYIRICDXFOIZJDOPWZSJ', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-19 08:27:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4651', 'OSRMIAESPCEOSNACMVZKOAGLFBVQDU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-22 10:26:03', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4650', 'DGMDTWXNDNESREGDNVLBWIRZEFKLHA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-22 00:21:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4652', 'BEZMHYAJBMABVHCYSIRWWGYGAQNIXK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-22 10:26:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4653', 'NSGVOYQCQBFCIUDAKZHZBRXPPDPIJU', '11', '8', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-23 01:18:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4654', 'NSGVOYQCQBFCIUDAKZHZBRXPPDPIJU', '3', '5', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-23 01:15:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4655', 'XUJEBPUBEYJBPPIYKSYAVJVBAZQMFG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-23 02:26:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4656', 'XUJEBPUBEYJBPPIYKSYAVJVBAZQMFG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-23 02:26:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4657', 'POKFAOALGZZQZRHJCNCCDLSJYMXBMJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-23 10:19:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4658', 'ZFZJYYWTPNRNNCWETXGGXNHUTDTIZB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-24 00:22:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4659', 'CLKZWZMHHIGQSFLRASFPLPTCIWVVYJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-24 06:32:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4660', 'YVCQWWEZWFQNZOUBKWVABSSXQUMIBG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-25 10:26:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4661', 'VNVYANHBVHSYADFGIDSEKSJGEIYREF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-25 16:01:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4662', 'VNVYANHBVHSYADFGIDSEKSJGEIYREF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-25 16:01:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4663', 'LCNVDKSQMHZLLVPHQJPBFHUSQCKHZH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-25 21:56:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4664', 'WEVNBAEASDJDRVWITDBVHPXTSHLTGR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-26 02:20:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4665', 'SQDWYCJKKBZNGEHMARKJCVGCKSPQRZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-26 09:56:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4666', 'ZFXKPNTHSAPNXBGVZVQGXFEYIFTNGB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-26 10:24:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4667', 'UHOGNPYGJFKOAYSFLWLUGYSJTWFRFR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-26 19:35:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4668', 'UHOGNPYGJFKOAYSFLWLUGYSJTWFRFR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-26 19:35:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4669', 'TIMEJILIDLAWFCRUOAEDCABBWGOAVW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-27 02:19:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4670', 'RGKHSQUJQSBMLBWKWUUDJBMUHDDXVS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-27 02:21:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4671', 'MOKYKCMPTQGMYBAFWBQOSTAHRUOGEJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-28 04:00:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4672', 'NSZMOHXRBWVLOXLCEWJZGHUNPLQAWB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-29 10:33:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4673', 'NSZMOHXRBWVLOXLCEWJZGHUNPLQAWB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-02-29 10:33:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4674', 'INJNANRKVTMPSGMXMAXNXQSAOASEHK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 01:01:15', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4675', 'INJNANRKVTMPSGMXMAXNXQSAOASEHK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 01:01:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4676', 'XECKYVVWTCBUINMQBVMQZQYOUZMRBM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 10:29:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4679', 'XECKYVVWTCBUINMQBVMQZQYOUZMRBM', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 10:30:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4680', 'AOSVBDOQQMYQJSZKHODYMTIFZDVYJN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 19:42:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4681', 'AOSVBDOQQMYQJSZKHODYMTIFZDVYJN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-01 19:42:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4682', 'WKGCEHMZXYOEBJLXYCKJAWRCCAHAHM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-02 05:26:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4683', 'WKGCEHMZXYOEBJLXYCKJAWRCCAHAHM', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-02 05:26:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4684', 'BGBOICBDWYDQASMPVGVUCKUSXXLXVX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-02 10:16:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4685', 'KTRJQGYDPPQYBMBBSSYOJFVETOZTBL', '1', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-02 14:58:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4686', 'MUOIPZQFYGBSDMMSEERXFOYBUKTBVD', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-02 23:04:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4687', 'YEPKORMUPCGQIWYCNGZLRHAENQVGYY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-03 06:34:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4688', 'YEPKORMUPCGQIWYCNGZLRHAENQVGYY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-03 06:34:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4689', 'ZTECOCTEBKHCEFINHPMZZNPORTNYCT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-03 23:27:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4690', 'PMSHJAVJWEMZVPMLKZXLBPFLRIEMIE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-05 06:03:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4691', 'PMSHJAVJWEMZVPMLKZXLBPFLRIEMIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-05 06:03:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4698', 'GZHWKEVZFGQAPPZYRQHQNUDCWZHAHV', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-07 15:13:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4697', 'NHXBMNDWSTNUHYRVUXIADHYJQDMPYZ', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-06 10:12:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4696', 'NQFQOAVSHXZKQJURLQSOMSOECMSNHO', '12', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-06 07:50:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4699', 'BSPUCPITBTVJPIWJROZWZDJKEIEUFS', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-08 10:20:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4700', 'HOHKBTBBVHHLZIHVWEFCEOUJXMGYKC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-08 20:50:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4701', 'HOHKBTBBVHHLZIHVWEFCEOUJXMGYKC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-08 20:50:55', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4702', 'SHJARIWNKGKUWUBCKBVGTJYYNJJMCL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-09 01:27:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4703', 'VOYLGZECRAVBNSTDWJJCCDMYZXKJVZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-10 09:12:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4704', 'ZLLDVLQNHFLNKAPAUHXAKCPZYKZQPK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-10 09:12:57', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4705', 'OQTBSCOXPRWQCYMVVLAHRMJMVZFEOU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-11 10:17:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4711', 'FPYCKIEWAYRKQBJMUKGVXULKFIZAJP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-13 02:12:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4710', 'ZYDOYOOYQNTBTRWABBDLVVCYPCCCVR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-13 01:39:09', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4709', 'UOBGYAXRDYQCMVJVFGSOBGOSLTXKFF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-12 19:54:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4712', 'MANFWWXCLJSLOZZECOZZBUJHKZQCOS', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-13 10:23:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4713', 'CVCDHQHAKJTCJFMCHZXDJBITYNDBZQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-13 13:43:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4714', 'PQCHUEAQIHOOHDRDARWAYIZGHEZKEK', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-13 13:43:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4715', 'HTGLYLBFMJSNAFHASTHJTBBRMFPFMX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-14 23:42:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4716', 'HTGLYLBFMJSNAFHASTHJTBBRMFPFMX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-14 23:42:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4717', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:07:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4718', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:07:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4719', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:07:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4720', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:07:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4721', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4722', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4723', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4724', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4725', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:36', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4726', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4727', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4728', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4729', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4730', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4731', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:08:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4732', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4733', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4734', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4735', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4736', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4737', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4738', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4739', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4740', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4741', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4742', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:09:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4743', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4744', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4745', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:22', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4746', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4747', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4748', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:30', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4749', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4750', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4751', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4752', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4753', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4754', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4755', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:10:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4756', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4757', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4758', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4759', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4760', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4761', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4762', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4763', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4764', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:25', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4765', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4766', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4767', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4768', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4769', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:42', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4770', 'LVAALNIQUJOBUXMVTVPZGAHOHTWJOA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 04:11:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4771', 'WYLNIJLBLAGJVXHZZQBGMZOKNHPBZA', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-15 17:49:33', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4773', 'BWXIEDPZWFVQCUNITEMYVCCMXMLLOQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-16 10:18:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4774', 'SSOACYLUPTGNQUJOOFTMZYTPYEMJOR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-18 04:58:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4775', 'GLGMEOBNOJQOUYJXWGZZXHOHVKGVQK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-18 08:32:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4776', 'NGGIPFSFPJPOBLYBUMWXUNLXDKFDST', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-19 21:54:04', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4777', 'VETVCEYXOMBRAJJTKCNGPBCJRHTYLT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-19 21:55:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4778', 'YXLCDVDTNGEZMNJWRBRMKZRRUCBIIW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-19 22:00:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4779', 'ESBYNQERRKKLDIKUCGNNWJNKVLZRWZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-20 10:21:14', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4780', 'UCWOIIZGOIBYRZFMBIVFEDOMTVKCCF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-21 05:11:47', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4781', 'UCWOIIZGOIBYRZFMBIVFEDOMTVKCCF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-21 05:11:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4782', 'JCDNNMYYWYBJZRVNZYZYABPSYKWQWR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-22 10:20:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4783', 'YUSQJFWQIXBUZQMRHWMRENBLGDJQGM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-22 10:33:06', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4784', 'FSLYGBQBFGUSVTUYHCZPIYFPUDMLBO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-22 13:55:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4785', 'QHYXDWQPYZWRIUIDJHPQZUCLCOEIXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-22 21:01:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4786', 'QHYXDWQPYZWRIUIDJHPQZUCLCOEIXI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-22 21:01:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4787', 'BUDXEALOJKZIJIQBECFVEJGGEQZTBK', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-23 01:49:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4788', 'EPMHQNPBYBFJZDBUMFSLKJPRNQNPBD', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-24 10:35:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4790', 'ZPNKVBJMQVODIYVGUKBFUQBJHXRMRL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-25 12:49:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4791', 'MFOCPMVTDTAEWGXBPCQACTZKFXBRLG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-26 10:24:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4792', 'YVAVRXWNRQZGDPIACXPXORRDSOKFAP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-26 23:26:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4793', 'HFLQYHILPQMKFJJWKQWXDSKOKQADWR', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-27 14:31:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4794', 'HFLQYHILPQMKFJJWKQWXDSKOKQADWR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-27 14:31:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4795', 'MICBCLMVZSDZUHNLKWRKXQTLNSGGZL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-28 01:25:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4796', 'FWDVHJSJLXKHUVSRQCHYVNLMGSHNGU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-28 03:03:16', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4797', 'YOUOAOJRWJEWVOQHBCBWFUFCMZCBRF', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-28 03:40:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4798', 'LBMEGQPXSEYEXRDXNDMRTJOHQNXXMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-28 11:41:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4799', 'RVDJIDNYSEPCACVMOLHYLFJCICOYUU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-03-30 10:20:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4800', 'LPJGUXIDDZKQQLSXEWXWDJQVLWPTIE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-01 01:15:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4801', 'XCZNODWXBQOCLERBYKUZEZOUYDVRRM', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-01 13:06:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4802', 'KFKGHDYDWZVDOQGZLCDWEZYSYCLWRY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-01 13:30:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4808', 'SAJQQNMNNVBHZQQDAEAIDVJJMPZRXP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-03 16:50:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4807', 'SAJQQNMNNVBHZQQDAEAIDVJJMPZRXP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-03 16:50:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4806', 'NGIYARBLDZIDWSVAIWKASECTGWQXLN', '9', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-03 11:33:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4809', 'RJXWKNRGGRMPFLJEKMCKLTNETHLFRA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-05 22:44:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4810', 'RJXWKNRGGRMPFLJEKMCKLTNETHLFRA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-05 22:45:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4811', 'DSOJHKWNMPIFQLCIKHNBGZQDXODTUS', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-06 08:04:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4812', 'XTDBHOQRDQOADLQUBXKOJKENTHWVMY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-06 10:28:43', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4813', 'CYTSDIIEKVNFISAAURJGVBPPWJXGXP', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-06 15:35:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4814', 'CYTSDIIEKVNFISAAURJGVBPPWJXGXP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-06 15:36:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4818', 'QRJYJWVRHYLNFFESWDQNOIYSJRYAYB', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-07 13:50:32', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4817', 'VLFQDVLPFFTEVWKRXKTCKHVKAOFCEU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-07 10:22:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4819', 'JVAGMOGDYTMXOISDKPMBXZVVNTBAMO', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-08 23:08:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4820', 'JVAGMOGDYTMXOISDKPMBXZVVNTBAMO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-08 23:08:26', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4824', 'CUTVPCKXZHTRLGQXUNCVWDUCBDWIMC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-10 18:36:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4823', 'ATBATLCSBTGVJYEOYXKDBTHZUTYRHG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-10 17:08:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4825', 'JOVXBEEUEBRKAPNCTCUMZSVKEAQWHY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-10 18:41:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4826', 'FLEJDXAPYAGOCNETVNNJCBVPKNKOXT', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-11 09:05:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4827', 'ZRWQSWNKZQNHNTGSMUMHVOWHGIVTUX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-11 10:23:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4828', 'JAPCUOABJOTEIRUFKGGDXCUFITKLAX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-11 13:26:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4832', 'MYWLIKSOVJRCYSXNZMFWKIZFAMOHYW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-12 00:20:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4831', 'MYWLIKSOVJRCYSXNZMFWKIZFAMOHYW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-12 00:20:24', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4834', 'UWNKOMVSUNSOAKHEIVGLFCSLTKCXJB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-13 06:08:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4835', 'JVTWFZJDWVCVVGGTNEVGOJCZZHHEMX', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-13 10:28:02', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4836', 'BFURNRFOHHETNFHEQVDMFNCOSFUDYZ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-14 10:18:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4837', 'ZPFWHNTWXBWCADESJUAVVAFQJXDAMF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-15 07:26:45', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4838', 'IDQJDLEFSXFVMCKNWWXLRNQSGLUQGJ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-15 10:28:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4839', 'GFLQCQPOGKWRYOARIMWVOQOMROEZGW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-15 21:36:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4841', 'ELSNORCFJGAHCZIEPTVIQHFGDVMPDE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-16 11:26:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4842', 'LFUPCOTOXBOQYOPVNMSQUAGSKOTNJT', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-17 10:23:44', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4843', 'DTBZAOJRSHOFAIBVJXJNSRUPRANYUI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-18 01:05:54', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4844', 'DTBZAOJRSHOFAIBVJXJNSRUPRANYUI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-18 01:06:21', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4845', 'WEYPBUIHQUVSNVKPDLXGXSJFFWRBDG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-18 16:01:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4846', 'WEYPBUIHQUVSNVKPDLXGXSJFFWRBDG', '14', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-18 16:05:49', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4847', 'DUPTAUZYBDWXDBTUUSOJCUHWDFISVL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-19 10:22:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4848', 'DJRAZLYLEFBQEWWPQEGMAIAYFNBKON', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-21 07:20:23', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4849', 'DJRAZLYLEFBQEWWPQEGMAIAYFNBKON', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-21 07:20:40', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4850', 'UAKGHFTNXBSIKXXXJMJXIAWWEWWVCE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-21 10:19:50', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4851', 'KAKIJFUMWBLJFBHERUAOAPKDNDFVXG', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-21 14:09:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4852', 'MOPQLWGWBICUENEFVUJKQFINYWBXNF', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-21 17:34:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4853', 'FSAXEVTWPVONITPJIFPWIUCYGKQGRU', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 05:59:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4854', 'FSAXEVTWPVONITPJIFPWIUCYGKQGRU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 06:00:17', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4855', 'KTONGARBFCPZKQATWAODHXNHRYWCEH', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 08:45:53', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4856', 'KTONGARBFCPZKQATWAODHXNHRYWCEH', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 08:46:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4857', 'QDOIPNGCRAKIRZGZOUKJOMVRFSKXHX', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 23:53:18', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4858', 'UPNWTAKSWFIIUNLVULTJPZNWOQSHSY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-23 23:54:13', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4860', 'XDNCROODLCLCXVGNKASVYAKWMIYZXE', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 07:41:31', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4861', 'EDEPVRSWCAWRJMSBMZQUKFYRGCTNOG', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 07:46:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4862', 'PXFDOSOAGGBFBAGNXMDZSTFAUHATFM', '2', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 10:00:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4863', 'SRJTWMLVWZJAAJLMODGRHUUVOQXOKQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 10:18:39', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4864', 'MVZYKRUQYCUUIUKVZYIMHUQJJIXVNI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 12:01:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4865', 'LPDEJZCRDQEMWOXFYAYZJREPFHDWES', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-25 12:02:12', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4867', 'LSZEIGARYKMOMNXLLMTXFOVJVFMXBB', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-26 10:44:35', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4868', 'LZUSKZBLIMUBBNGIPEVUGTOFVPOLJB', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-26 10:44:38', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4869', 'EQLEJLOMDQYMQYJVOUIVUGDGZNWNAL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-26 14:36:11', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4870', 'EQLEJLOMDQYMQYJVOUIVUGDGZNWNAL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-26 14:36:20', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4871', 'EMUAFJCTIIEHMQRACUXVWPRNDBKYIL', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-27 05:43:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4872', 'EYAASCIKRWPIUBTWFMLFWJHDYXMFXY', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-30 22:00:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4873', 'EYAASCIKRWPIUBTWFMLFWJHDYXMFXY', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-04-30 22:00:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4874', 'OKLJJZDMQWYXSJWTHIGMTPUWCKBAMN', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 04:43:56', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4875', 'OKLJJZDMQWYXSJWTHIGMTPUWCKBAMN', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 04:43:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4876', 'GQMLJUBUVENAZQDKDEBUTSUEGBUNSW', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 08:02:51', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4877', 'GQMLJUBUVENAZQDKDEBUTSUEGBUNSW', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 08:04:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4878', 'WNOXHYIZDCLVABRQDJJCXGCPDBUKTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 14:53:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4879', 'WNOXHYIZDCLVABRQDJJCXGCPDBUKTP', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 14:53:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4880', 'JAIYEZOBVJYDCPKMPVLZUYLEEGBGIG', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 16:07:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4881', 'TBIPCAZZKMNTRLIVTOLIDJMVVDAFDR', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-01 16:30:00', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4882', 'CRSRCAIZJBAUVQQRDWJPCZGRRYCRMA', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-02 04:08:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4883', 'CRSRCAIZJBAUVQQRDWJPCZGRRYCRMA', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-02 04:09:05', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4884', 'PDMGWZQOSCOJEQHBZSVFKXXHPSZWNC', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-02 08:12:19', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4885', 'PDMGWZQOSCOJEQHBZSVFKXXHPSZWNC', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-02 08:13:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4886', 'HJAAXMODGZJKVXXKWTUAKJCQVCXJUT', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-02 12:52:10', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4887', 'VMMTFBQQTUEZXZEXDODTGQICICUGPI', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-03 08:13:07', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4888', 'VMMTFBQQTUEZXZEXDODTGQICICUGPI', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-03 08:14:08', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4889', 'FEOUSLYZIJJICWNFJORRZLBBJYJMLO', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-03 10:21:46', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4890', 'JWVQYMHBAURQAYWWFFHAWRKZRPGTIE', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-03 10:21:48', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4892', 'WKMOLFSYRXNBWXBFMETVYCAXBFLGGZ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-03 23:46:59', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4893', 'MZSFGVAJZJCIIXBFZBEIWGFXJIPGDQ', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 08:12:37', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4894', 'MZSFGVAJZJCIIXBFZBEIWGFXJIPGDQ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 08:14:29', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4897', 'JMVOBNAYTXKMDXVNKXYUQZUZQDPACL', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 10:02:41', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4898', 'JMVOBNAYTXKMDXVNKXYUQZUZQDPACL', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 10:03:58', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4899', 'MYNJTDSHDBSJSDJXIAJKSCSZFKKLVU', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 13:54:01', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4900', 'KXVLVIBTXMBKEHZBJHXQGJQRDFWWZJ', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-04 16:02:52', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4901', 'CVKEDZKBBFUYOUQQXSDUSLRNRIZBDU', '5', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-05 07:30:28', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4902', 'LLQCGDYAGNTPSGODAQOXUGWEAJQHED', '11', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-05 08:08:27', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
INSERT INTO `ec_tempcart` VALUES('4903', 'LLQCGDYAGNTPSGODAQOXUGWEAJQHED', '3', '1', '', '', '', '0', '0', '0', '0', '0', '0.000', '2020-05-05 08:09:34', '0', '0', '', '', '', '', '', '', '', '', '0.000', '0.000', '0.000', '1', '', '0', '0');
/*!40000 ALTER TABLE `ec_tempcart` ENABLE KEYS */;
SET FOREIGN_KEY_CHECKS = 1;
SET UNIQUE_CHECKS = 1;
